//CDC2000.js  Statistics for anthropometry. US  CDC/WHO Reference curves, 2000

var returnFormat = "Zz  P%  Text";   //Z value will appear in place of upper case Z, and P value in place of upper case P

var strcat=["??", "(-)", "(OK)", "(++)", "(+++)"," "]; //Categories that will appear in place of "Text" above. (+) is "normal"

var langToUse = "EN"; //Default language.  Others right now are "ES"
 /*
function put_returnFormat(newValue)
{
	returnFormat = newValue;
}

function put_langToUse(newValue)
{
	langToUse = newValue.toUpperCase();
}


function BMI(KILOS, CM)
{
     var crudeBMI=(KILOS* 10000) / (CM * CM );
     return crudeBMI.toFixed(2);
}
*/

 /*
function resultStr(LMSArray, numValue)
//returns zscore, text category, and percentile value from LMSArray and numValue.  Format is
//determined by the property called returnFormat.
{
  if ((typeof LMSArray =="undefined" ) || (LMSArray==""))
   {
     alert("value out of range in CDC2000.js")
     return 999
   }
  else
   {
  var L=LMSArray[0]
  var M=LMSArray[1]
  var S=LMSArray[2]
  var ZScore=0;
  var outputStr=String(returnFormat);
  var category=0;
  var percentile=0;
 

  if (L != 0)
   {        
     ZScore =  (Math.pow((numValue/M),L) - 1 ) / (L*S)
   }
  else
  {
     ZScore = Math.log(numValue/M)/S; //This is the log to the base e function, despite the notation
  }
return ZScore.toFixed(3);
  }
}
 */
 /*

function PCTILEFROMZ(Z)
{
  // function pnorm(z,upper) 
   //{
    // Algorithm AS66 Applied Statistics (1973) vol22 no.3
    // Computes P(Z<z)
	var upper=false;
	//When z=1.96, the values returned are .975 (upper=false) or .025(upper=true) (roughly).
    var z=parseFloat(Z); //note upper case Z converted to lower.
   // upper=(form.upper[0].checked ? true:false);
    //upper must be set to true or false when the function is called
    ltone=7.0;
    utzero=18.66;
    con=1.28;
    a1 = 0.398942280444;
    a2 = 0.399903438504;
    a3 = 5.75885480458;
    a4 =29.8213557808;
    a5 = 2.62433121679;
    a6 =48.6959930692;
    a7 = 5.92885724438;
    b1 =0.398942280385;
    b2 =3.8052e-8;
    b3 =1.00000615302;
    b4 =3.98064794e-4;
    b5 =1.986153813664;
    b6 =0.151679116635;
    b7 =5.29330324926;
    b8 =4.8385912808;
    b9 =15.1508972451;
    b10=0.742380924027;
    b11=30.789933034;
    b12=3.99019417011;

    if(z<0) {
      upper=!upper;
      z=-z;
    }
    if(z<=ltone || upper && z<=utzero) {
      y=0.5*z*z;
      if(z>con) {
        alnorm=b1*Math.exp(-y)/(z-b2+b3/(z+b4+b5/(z-b6+b7/(z+b8-b9/(z+b10+b11/(z+b12))))));
      }
      else {
        alnorm=0.5-z*(a1-a2*y/(y+a3-a4/(y+a5+a6/(y+a7))));
      }
    }
    else {
      alnorm=0;
    }
    if(!upper) alnorm=1-alnorm;
    return(alnorm*100);
    }
 */
//End of P from Z function
    


function WTAGEINF(MF, AGEMO, KILOS, CM)
{
var agemo=AGEMO;
if ((agemo < 0.1) && (agemo > 0))
  {agemo=0}
else
  {agemo=parseInt(agemo)+1}

var M = new Array();
var F = new Array();

//from NCHS 2000, with O.5 added to age in months, except for the first (0)
M[0]=[1.815151075, 3.530203168, 0.152385273];
M[1]=[1.547523128, 4.003106424, 0.146025021];
M[2]=[1.068795548, 4.879525083, 0.136478767];
M[3]=[0.695973505, 5.672888765, 0.129677511];
M[4]=[0.41981509, 6.391391982, 0.124717085];
M[5]=[0.219866801, 7.041836432, 0.121040119];
M[6]=[0.077505598, 7.630425182, 0.1182712];
M[7]=[-0.02190761, 8.162951035, 0.116153695];
M[8]=[-0.0894409, 8.644832479, 0.114510349];
M[9]=[-0.1334091, 9.081119817, 0.113217163];
M[10]=[-0.1600954, 9.476500305, 0.11218624];
M[11]=[-0.17429685, 9.835307701, 0.111354536];
M[12]=[-0.1797189, 10.16153567, 0.110676413];
M[13]=[-0.179254, 10.45885399, 0.110118635];
M[14]=[-0.17518447, 10.7306256, 0.109656941];
M[15]=[-0.16932268, 10.97992482, 0.109273653];
M[16]=[-0.1631139, 11.20955529, 0.10895596];
M[17]=[-0.15770999, 11.4220677, 0.108694678];
M[18]=[-0.15402279, 11.61977698, 0.108483324];
M[19]=[-0.15276214, 11.80477902, 0.108317416];
M[20]=[-0.15446658, 11.9789663, 0.108193944];
M[21]=[-0.15952202, 12.14404334, 0.108110954];
M[22]=[-0.16817926, 12.30154103, 0.108067236];
M[23]=[-0.1805668, 12.45283028, 0.108062078];
M[24]=[-0.19670196, 12.59913494, 0.108095077];
M[25]=[-0.21650121, 12.74154396, 0.108166005];
M[26]=[-0.23979048, 12.88102276, 0.108274705];
M[27]=[-0.26631585, 13.01842382, 0.108421024];
M[28]=[-0.29575496, 13.1544966, 0.108604769];
M[29]=[-0.32772936, 13.28989667, 0.108825681];
M[30]=[-0.36181746, 13.42519408, 0.109083423];
M[31]=[-0.39756808, 13.56088113, 0.109377581];
M[32]=[-0.43452025, 13.69737858, 0.109707646];
M[33]=[-0.47218875, 13.83504622, 0.110073084];
M[34]=[-0.51012309, 13.97418199, 0.110473238];
M[35]=[-0.54788557, 14.1150324, 0.1109074];
M[36]=[-0.5850701, 14.25779618, 0.111374787];
M[37]=[-0.60333785, 14.32994444, 0.111620652];
F[0]=[1.509187507, 3.39918645, 0.142106724];
F[1]=[1.357944315, 3.79752846, 0.138075916];
F[2]=[1.105537708, 4.544776513, 0.131733888];
F[3]=[0.902596648, 5.230584214, 0.126892697];
F[4]=[0.734121414, 5.859960798, 0.123025182];
F[5]=[0.590235275, 6.437587751, 0.119840911];
F[6]=[0.464391566, 6.967850457, 0.117166868];
F[7]=[0.352164071, 7.454854109, 0.11489384];
F[8]=[0.250497889, 7.902436186, 0.112949644];
F[9]=[0.15724751, 8.314178377, 0.11128469];
F[10]=[0.070885725, 8.693418423, 0.109863709];
F[11]=[-0.00968493, 9.043261854, 0.10866078];
F[12]=[-0.085258, 9.366593571, 0.10765621];
F[13]=[-0.15640945, 9.666089185, 0.106834517];
F[14]=[-0.22355869, 9.944226063, 0.106183085];
F[15]=[-0.28701346, 10.20329397, 0.105691242];
F[16]=[-0.34699919, 10.4454058, 0.105349631];
F[17]=[-0.40368918, 10.67250698, 0.105149754];
F[18]=[-0.45721877, 10.88638558, 0.105083666];
F[19]=[-0.50770077, 11.08868151, 0.105143752];
F[20]=[-0.55523599, 11.28089537, 0.105322575];
F[21]=[-0.59992113, 11.46439708, 0.10561278];
F[22]=[-0.64185418, 11.64043402, 0.106007025];
F[23]=[-0.6811381, 11.81013895, 0.106497957];
F[24]=[-0.71788283, 11.97453748, 0.107078197];
F[25]=[-0.75220617, 12.13455528, 0.107740346];
F[26]=[-0.78423359, 12.2910249, 0.108477009];
F[27]=[-0.81409743, 12.44469237, 0.109280822];
F[28]=[-0.8419355, 12.59622335, 0.110144488];
F[29]=[-0.86788939, 12.74620911, 0.111060814];
F[30]=[-0.89210264, 12.89517218, 0.112022758];
F[31]=[-0.91471881, 13.04357164, 0.113023466];
F[32]=[-0.93587966, 13.19180827, 0.114056316];
F[33]=[-0.95572344, 13.34022934, 0.115114952];
F[34]=[-0.97438101, 13.48913357, 0.116193337];
F[35]=[-0.99198075, 13.63877446, 0.11728575];
F[36]=[-1.00864074, 13.78936547, 0.118386847];
F[37]=[-1.01665314, 13.86507382, 0.118939087];

if (MF=="F")
   {
     
    result=resultStr(F[agemo],KILOS);

   }
else
   {
     
    result=resultStr(M[agemo],KILOS); //If MF is not specified, assumes M
   }   


return result;


}

function LENAGEINF(MF, AGEMO, KILOS, CM)
{
var M = new Array();
var F = new Array();
var agemo=AGEMO;
if ((agemo < 0.1) && (agemo > 0))
  {agemo=0}
else
  {agemo=parseInt(agemo)+1}
//from NCHS 2000, with O.5 added to age in months, except for the first (0)

M[0]=[1.2670042261, 49.988884079, 0.0531121908];
M[1]=[0.5112376962, 52.695975301, 0.0486926838];
M[2]=[-0.45224446, 56.628428552, 0.0441168302];
M[3]=[-0.990594599, 59.608953427, 0.0417955825];
M[4]=[-1.285837689, 62.077000266, 0.0404541256];
M[5]=[-1.43031238, 64.216864104, 0.0396338789];
M[6]=[-1.47657547, 66.125314898, 0.0391238128];
M[7]=[-1.456837849, 67.860179904, 0.0388119944];
M[8]=[-1.391898768, 69.459084582, 0.0386332091];
M[9]=[-1.29571459, 70.948039123, 0.0385468328];
M[10]=[-1.177919048, 72.345861109, 0.0385262623];
M[11]=[-1.045326049, 73.666654103, 0.038553387];
M[12]=[-0.902800887, 74.921297174, 0.0386155012];
M[13]=[-0.753908107, 76.118375358, 0.0387034611];
M[14]=[-0.601263523, 77.264799111, 0.0388105571];
M[15]=[-0.446805039, 78.366223087, 0.0389317838];
M[16]=[-0.291974772, 79.427340501, 0.0390633563];
M[17]=[-0.13784767, 80.452094919, 0.0392023816];
M[18]=[0.014776155, 81.443836034, 0.0393466285];
M[19]=[0.1653041691, 82.405436434, 0.0394943647];
M[20]=[0.3133018086, 83.339380627, 0.0396442379];
M[21]=[0.4584554707, 84.247833944, 0.0397951891];
M[22]=[0.6005446308, 85.132696575, 0.0399463877];
M[23]=[0.7394389526, 85.995648803, 0.0400971806];
M[24]=[0.8750004465, 86.838175097, 0.0402470597];
M[25]=[1.0072080698, 87.661609339, 0.0403956257];
M[26]=[0.8372513507, 88.452472817, 0.0405775247];
M[27]=[0.681492975, 89.223264339, 0.0407231216];
M[28]=[0.5387796541, 89.975492278, 0.0408331942];
M[29]=[0.4076971531, 90.710408526, 0.0409090589];
M[30]=[0.2867624533, 91.429077621, 0.0409524329];
M[31]=[0.1744894848, 92.132423789, 0.0409653301];
M[32]=[0.0694445205, 92.821271673, 0.0409499758];
M[33]=[-0.029720564, 93.496379457, 0.0409087367];
M[34]=[-0.124251789, 94.158465459, 0.0408440616];
M[35]=[-0.215288396, 94.808229231, 0.0407584307];
M[36]=[-0.30385434, 95.446369813, 0.0406543122];
F[0]=[-1.295960857, 49.286396118, 0.0500855601];
F[1]=[-0.809249882, 51.683580573, 0.0468185454];
F[2]=[-0.050782985, 55.286128126, 0.0434439];
F[3]=[0.4768514065, 58.093819061, 0.0417161032];
F[4]=[0.8432996117, 60.459807634, 0.0407051733];
F[5]=[1.0975622571, 62.536696555, 0.0400797646];
F[6]=[1.2725096408, 64.406327624, 0.0396868449];
F[7]=[1.3904288587, 66.118415533, 0.0394445547];
F[8]=[1.466733925, 67.705744192, 0.0393047376];
F[9]=[1.5123019758, 69.191236138, 0.0392371101];
F[10]=[1.534950767, 70.591639237, 0.0392216648];
F[11]=[1.5403908751, 71.919616727, 0.0392446716];
F[12]=[1.5328528917, 73.185010399, 0.0392964203];
F[13]=[1.5155094695, 74.395643786, 0.0393698746];
F[14]=[1.4907650275, 75.557854397, 0.0394598321];
F[15]=[1.460458255, 76.676858713, 0.0395623818];
F[16]=[1.4260060091, 77.757009856, 0.0396745415];
F[17]=[1.3885070954, 78.801984056, 0.0397940102];
F[18]=[1.3488181274, 79.814918523, 0.0399189943];
F[19]=[1.3076096543, 80.798515316, 0.0400480838];
F[20]=[1.2654081486, 81.755120921, 0.0401801621];
F[21]=[1.2226277319, 82.686788098, 0.0403143396];
F[22]=[1.1795943654, 83.59532461, 0.040449904];
F[23]=[1.1365644483, 84.48233206, 0.0405862829];
F[24]=[1.0937319466, 85.349236238, 0.0407230154];
F[25]=[1.0512729122, 86.197316902, 0.0408597268];
F[26]=[1.041951175, 87.090263184, 0.0411421607];
F[27]=[1.0125922357, 87.957141816, 0.0413493986];
F[28]=[0.9705419086, 88.796018399, 0.041500428];
F[29]=[0.9211299875, 89.605511504, 0.0416105082];
F[30]=[0.8682213922, 90.38476689, 0.0416917614];
F[31]=[0.8145441296, 91.133417221, 0.0417536804];
F[32]=[0.7619579771, 91.851543603, 0.0418035615];
F[33]=[0.7116602284, 92.539635196, 0.0418468815];
F[34]=[0.6643233788, 93.198544285, 0.041887626];
F[35]=[0.6202851017, 93.829453915, 0.0419285678];
F[36]=[0.57955631, 94.433822779, 0.0419715144];


if (MF=="F")
   {
     
    result=resultStr(F[agemo],CM);

   }
else
   {
     
    result=resultStr(M[agemo],CM); //If MF is not specified, assumes M
   }   


return result;


}

function WTLENINF(MF, AGEMO, KILOS, CM)
{

if(CM) 
  {
    cm=parseInt(CM+1)
  }

var M = new Array();
var F = new Array();
//from NCHS 2000, with O.5 added to length, except for the first (45)

M[45]=[1.44903689, 2.289757735, 0.149236691];
M[46]=[1.31794165, 2.38617219, 0.144790131];
M[47]=[1.041730589, 2.587097922, 0.1365472];
M[48]=[0.756615683, 2.797952593, 0.129156077];
M[49]=[0.472617587, 3.017679791, 0.122589498];
M[50]=[0.197455933, 3.245225583, 0.116802688];
M[51]=[-0.063272822, 3.479567767, 0.111734963];
M[52]=[-0.305663778, 3.719739648, 0.107316407];
M[53]=[-0.527210764, 3.964838222, 0.10347453];
M[54]=[-0.726356263, 4.214033476, 0.100139369];
M[55]=[-0.902380499, 4.466562625, 0.097246097];
M[56]=[-1.055126826, 4.721730669, 0.09473644];
M[57]=[-1.184933443, 4.978903744, 0.092558749];
M[58]=[-1.292531809, 5.237504753, 0.09066765];
M[59]=[-1.378973111, 5.497008915, 0.089023438];
M[60]=[-1.445563111, 5.756939907, 0.087591418];
M[61]=[-1.49380121, 6.016866693, 0.086341291];
M[62]=[-1.525332827, 6.276400575, 0.085246598];
M[63]=[-1.541839648, 6.535195541, 0.084284401];
M[64]=[-1.545098045, 6.792942366, 0.083434649];
M[65]=[-1.536863318, 7.049370425, 0.08268004];
M[66]=[-1.518786093, 7.304248994, 0.082005843];
M[67]=[-1.49249029, 7.557381995, 0.081399411];
M[68]=[-1.459487925, 7.808610136, 0.080850107];
M[69]=[-1.421167427, 8.057810266, 0.08034908];
M[70]=[-1.378835366, 8.304892397, 0.079888977];
M[71]=[-1.333634661, 8.549802669, 0.079463915];
M[72]=[-1.286605147, 8.792519752, 0.079069193];
M[73]=[-1.238665517, 9.033054944, 0.07870118];
M[74]=[-1.19066716, 9.271448675, 0.078357096];
M[75]=[-1.143316882, 9.507773605, 0.078035021];
M[76]=[-1.097263403, 9.742129356, 0.077733651];
M[77]=[-1.053083813, 9.974642178, 0.077452242];
M[78]=[-1.011294273, 10.20546331, 0.077190512];
M[79]=[-0.972360231, 10.43476723, 0.076948562];
M[80]=[-0.936705887, 10.66274993, 0.076726804];
M[81]=[-0.904722736, 10.88962699, 0.076525901];
M[82]=[-0.876777097, 11.11563177, 0.076346711];
M[83]=[-0.853216568, 11.34101346, 0.076190236];
M[84]=[-0.834375406, 11.56603512, 0.076057579];
M[85]=[-0.820578855, 11.79097176, 0.075949901];
M[86]=[-0.81214646, 12.01610828, 0.075868383];
M[87]=[-0.809394398, 12.24173753, 0.075814185];
M[88]=[-0.812636889, 12.46815824, 0.075788413];
M[89]=[-0.822186712, 12.69567298, 0.075792075];
M[90]=[-0.838354876, 12.92458613, 0.075826044];
M[91]=[-0.861449493, 13.15520182, 0.075891019];
M[92]=[-0.891773904, 13.38782185, 0.075987476];
M[93]=[-0.929617736, 13.6227442, 0.076115636];
M[94]=[-0.975268944, 13.86025986, 0.076275395];
M[95]=[-1.028990493, 14.10065234, 0.076466299];
M[96]=[-1.091024455, 14.34419522, 0.076687482];
M[97]=[-1.161574946, 14.59115139, 0.076937631];
M[98]=[-1.240820737, 14.84177007, 0.077214912];
M[99]=[-1.328879402, 15.0962879, 0.077516968];
M[100]=[-1.425809463, 15.35492729, 0.077840877];
M[101]=[-1.531575592, 15.61789822, 0.078183177];
M[102]=[-1.646081976, 15.88539464, 0.078539804];
M[103]=[-1.769082483, 16.15760201, 0.078906277];
M[104]=[-1.900221246, 16.43469418, 0.079277694];
F[45]=[0.666839915, 2.305396985, 0.168969897];
F[46]=[0.699616404, 2.403256702, 0.157654766];
F[47]=[0.747915684, 2.606020484, 0.139389663];
F[48]=[0.751754737, 2.817114082, 0.125837223];
F[49]=[0.691329975, 3.035356101, 0.115888948];
F[50]=[0.559107556, 3.259693318, 0.108648608];
F[51]=[0.361549127, 3.48922017, 0.103402703];
F[52]=[0.116436203, 3.723195489, 0.099599651];
F[53]=[-0.152509094, 3.961034945, 0.096830356];
F[54]=[-0.421478627, 4.202270022, 0.09480477];
F[55]=[-0.671388289, 4.446476028, 0.093323068];
F[56]=[-0.889973526, 4.693220151, 0.092246459];
F[57]=[-1.071844454, 4.942029343, 0.091473166];
F[58]=[-1.216671445, 5.192403337, 0.090923715];
F[59]=[-1.327360462, 5.443830096, 0.090532906];
F[60]=[-1.408261687, 5.69581328, 0.090246768];
F[61]=[-1.464051065, 5.947889759, 0.090021128];
F[62]=[-1.499105627, 6.199640267, 0.089820688];
F[63]=[-1.517197913, 6.450695818, 0.089618171];
F[64]=[-1.521479703, 6.700736725, 0.089393174];
F[65]=[-1.514481331, 6.949493534, 0.089131254];
F[66]=[-1.498204976, 7.196744733, 0.088822943];
F[67]=[-1.474231858, 7.442313819, 0.088462854];
F[68]=[-1.443808911, 7.686067039, 0.088048963];
F[69]=[-1.407959107, 7.92790936, 0.087581916];
F[70]=[-1.367521025, 8.167783677, 0.087064605];
F[71]=[-1.32324327, 8.405666621, 0.086501667];
F[72]=[-1.275834578, 8.641566305, 0.085899159];
F[73]=[-1.226014257, 8.875519723, 0.085264271];
F[74]=[-1.174555804, 9.107590221, 0.084605096];
F[75]=[-1.122323639, 9.337865054, 0.083930435];
F[76]=[-1.070302348, 9.566453061, 0.083249631];
F[77]=[-1.019617172, 9.793482492, 0.082572421];
F[78]=[-0.971544123, 10.01909902, 0.081908788];
F[79]=[-0.927495981, 10.24346467, 0.081268832];
F[80]=[-0.889046221, 10.46675386, 0.080662561];
F[81]=[-0.857844783, 10.6891553, 0.080099785];
F[82]=[-0.835600041, 10.91086924, 0.079589888];
F[83]=[-0.824007806, 11.13210717, 0.079141623];
F[84]=[-0.824673085, 11.35309164, 0.078762888];
F[85]=[-0.839021353, 11.57405623, 0.078460511];
F[86]=[-0.868191531, 11.79524697, 0.078240047];
F[87]=[-0.912987527, 12.0169203, 0.078105554];
F[88]=[-0.973732843, 12.23934838, 0.078059544];
F[89]=[-1.050238631, 12.46281861, 0.078102898];
F[90]=[-1.141750538, 12.68763627, 0.078234935];
F[91]=[-1.246935039, 12.9141268, 0.078453576];
F[92]=[-1.363881842, 13.1426393, 0.078755652];
F[93]=[-1.490235591, 13.37354263, 0.079137144];
F[94]=[-1.623204367, 13.60723197, 0.079593737];
F[95]=[-1.759750536, 13.84412275, 0.080121122];
F[96]=[-1.896722704, 14.08464853, 0.080715361];
F[97]=[-2.031079769, 14.32925018, 0.081372938];
F[98]=[-2.159985258, 14.57837334, 0.082090922];
F[99]=[-2.280992946, 14.8324557, 0.082866693];
F[100]=[-2.392125361, 15.09192012, 0.083697706];
F[101]=[-2.491985117, 15.35716167, 0.08458092];
F[102]=[-2.579688446, 15.62854849, 0.085512655];
F[103]=[-2.654922113, 15.90640903, 0.086487929];
F[104]=[-2.717782155, 16.19103966, 0.087500575];

if (MF=="F")
   {
     
    result=resultStr(F[cm],KILOS);

   }
else
   {
     
    result=resultStr(M[cm],KILOS); //If MF is not specified, assumes M
   }   

 
return result;


}

function BMIAGE(MF, AGEMO, KILOS, CM)
{
if (!(AGEMO>=0 && KILOS>0 && CM>0)) 
  {
   return "";
  }
var BMIValue=BMI(KILOS,CM);
var result="";

if ((AGEMO<24) || (AGEMO>240))
    {result=strcat[6];}
else   
{	     //Use BMIAge values
 var M = new Array();
 var F = new Array();
var agemo=parseInt(AGEMO)+1;

//from NCHS 2000, with O.5 added to age in months, except for the first (24)


M[24]=[-2.01118107, 16.575027675, 0.080592465];
M[25]=[-1.982373595, 16.547774867, 0.0801274288];
M[26]=[-1.924100169, 16.494427632, 0.0792339937];
M[27]=[-1.86549793, 16.442595522, 0.0783893561];
M[28]=[-1.807261899, 16.392243398, 0.0775935012];
M[29]=[-1.750118905, 16.343336543, 0.0768464622];
M[30]=[-1.69481584, 16.295840971, 0.0761483079];
M[31]=[-1.642106779, 16.249723714, 0.0754991255];
M[32]=[-1.592744414, 16.204952678, 0.0748989935];
M[33]=[-1.547442391, 16.161498714, 0.0743479966];
M[34]=[-1.506902601, 16.119332582, 0.0738461386];
M[35]=[-1.471770047, 16.078427579, 0.0733933698];
M[36]=[-1.442628957, 16.038758958, 0.0729895508];
M[37]=[-1.419991255, 16.000304012, 0.0726344323];
M[38]=[-1.404277619, 15.963042771, 0.072327649];
M[39]=[-1.39586317, 15.926954175, 0.0720686401];
M[40]=[-1.394935252, 15.892025816, 0.0718568052];
M[41]=[-1.401671596, 15.858240929, 0.071691278];
M[42]=[-1.416100312, 15.825588223, 0.0715710933];
M[43]=[-1.438164899, 15.794057282, 0.0714951131];
M[44]=[-1.467669032, 15.763642549, 0.0714621062];
M[45]=[-1.504376347, 15.734336684, 0.0714706462];
M[46]=[-1.547942838, 15.706135657, 0.0715192177];
M[47]=[-1.597896397, 15.679040623, 0.0716062769];
M[48]=[-1.653732283, 15.653051916, 0.071730167];
M[49]=[-1.714869347, 15.628172692, 0.0718892136];
M[50]=[-1.780673181, 15.604407997, 0.0720817373];
M[51]=[-1.850468473, 15.58176458, 0.0723060813];
M[52]=[-1.923551865, 15.560250666, 0.0725606369];
M[53]=[-1.999220429, 15.539874597, 0.0728438397];
M[54]=[-2.076707178, 15.520649927, 0.0731543235];
M[55]=[-2.155348017, 15.502584267, 0.0734906668];
M[56]=[-2.234438552, 15.485689732, 0.0738516716];
M[57]=[-2.313321723, 15.469977177, 0.0742362346];
M[58]=[-2.391381273, 15.455456916, 0.0746433738];
M[59]=[-2.468032491, 15.442139608, 0.0750722636];
M[60]=[-2.542781541, 15.430032072, 0.0755221037];
M[61]=[-2.61516595, 15.419141631, 0.0759922501];
M[62]=[-2.684789516, 15.409473561, 0.0764821284];
M[63]=[-2.751316949, 15.401031388, 0.0769912324];
M[64]=[-2.81445945, 15.393817852, 0.0775191487];
M[65]=[-2.87402476, 15.387830936, 0.0780653898];
M[66]=[-2.92984048, 15.383069448, 0.0786295919];
M[67]=[-2.981796828, 15.37952958, 0.0792113694];
M[68]=[-3.029831343, 15.37720582, 0.0798103341];
M[69]=[-3.073924224, 15.376091068, 0.0804260861];
M[70]=[-3.114093476, 15.376176765, 0.0810582059];
M[71]=[-3.15039004, 15.37745304, 0.0817062489];
M[72]=[-3.182893018, 15.379908859, 0.0823697413];
M[73]=[-3.21170511, 15.383532169, 0.0830481778];
M[74]=[-3.23694834, 15.388310046, 0.0837410207];
M[75]=[-3.25876011, 15.39422883, 0.0844476998];
M[76]=[-3.277281546, 15.40127496, 0.0851676514];
M[77]=[-3.292683774, 15.40943252, 0.0859001836];
M[78]=[-3.305124073, 15.418686911, 0.0866446671];
M[79]=[-3.314768951, 15.429022732, 0.0874004212];
M[80]=[-3.321785992, 15.440424387, 0.0881667444];
M[81]=[-3.326345795, 15.452875806, 0.088942897];
M[82]=[-3.328602731, 15.466362178, 0.0897282019];
M[83]=[-3.328725277, 15.480867041, 0.0905218748];
M[84]=[-3.32687018, 15.496374654, 0.0913231621];
M[85]=[-3.323188896, 15.512869363, 0.0921313054];
M[86]=[-3.317827016, 15.530335632, 0.0929455443];
M[87]=[-3.310923871, 15.548758065, 0.0937651184];
M[88]=[-3.302612272, 15.568121426, 0.0945892702];
M[89]=[-3.293018361, 15.588410651, 0.0954172465];
M[90]=[-3.282260813, 15.60961101, 0.0962483005];
M[91]=[-3.270454609, 15.63170735, 0.0970816941];
M[92]=[-3.257703616, 15.654685628, 0.0979166976];
M[93]=[-3.244108214, 15.678531387, 0.0987525931];
M[94]=[-3.229761713, 15.703230518, 0.0995886749];
M[95]=[-3.214751287, 15.728769113, 0.1004242507];
M[96]=[-3.199158184, 15.755133465, 0.1012586429];
M[97]=[-3.18305795, 15.782310065, 0.1020911894];
M[98]=[-3.166520664, 15.810285603, 0.1029212448];
M[99]=[-3.1496103, 15.839047084, 0.1037481885];
M[100]=[-3.132389637, 15.868581229, 0.1045713862];
M[101]=[-3.114911153, 15.898875618, 0.1053902685];
M[102]=[-3.097226399, 15.929917651, 0.1062042575];
M[103]=[-3.079383079, 15.961694805, 0.1070127883];
M[104]=[-3.061423765, 15.994194894, 0.1078153274];
M[105]=[-3.043386071, 16.027406071, 0.1086113736];
M[106]=[-3.025310003, 16.061315897, 0.1094003876];
M[107]=[-3.007225737, 16.095912922, 0.1101819146];
M[108]=[-2.989164598, 16.131185315, 0.1109554781];
M[109]=[-2.971148225, 16.167122344, 0.1117206908];
M[110]=[-2.953208047, 16.203711677, 0.1124770587];
M[111]=[-2.935363951, 16.240942388, 0.1132241995];
M[112]=[-2.917635157, 16.278803458, 0.1139617339];
M[113]=[-2.900039803, 16.317283847, 0.1146892914];
M[114]=[-2.882593796, 16.356372672, 0.1154065227];
M[115]=[-2.865311266, 16.396059161, 0.1161130971];
M[116]=[-2.848204697, 16.436332645, 0.1168087018];
M[117]=[-2.831285052, 16.477182556, 0.1174930418];
M[118]=[-2.81456189, 16.518598425, 0.1181658396];
M[119]=[-2.79804347, 16.560569873, 0.1188268351];
M[120]=[-2.781736856, 16.603086612, 0.1194757852];
M[121]=[-2.765648008, 16.646138439, 0.1201124636];
M[122]=[-2.749782197, 16.689715178, 0.1207366562];
M[123]=[-2.734142443, 16.733806953, 0.1213481813];
M[124]=[-2.718732873, 16.778403632, 0.121946849];
M[125]=[-2.703555506, 16.82349538, 0.1225325012];
M[126]=[-2.688611957, 16.869072375, 0.1231049908];
M[127]=[-2.673903164, 16.915124866, 0.1236641859];
M[128]=[-2.659429443, 16.961643168, 0.1242099694];
M[129]=[-2.645190534, 17.00861766, 0.1247422387];
M[130]=[-2.631185649, 17.056038787, 0.1252609054];
M[131]=[-2.617413511, 17.103897052, 0.125765895];
M[132]=[-2.603872392, 17.152183022, 0.1262571467];
M[133]=[-2.590560148, 17.200887318, 0.1267346133];
M[134]=[-2.577474253, 17.250000623, 0.1271982604];
M[135]=[-2.564611831, 17.299513673, 0.1276480666];
M[136]=[-2.551969684, 17.349417258, 0.128084023];
M[137]=[-2.539539972, 17.399703081, 0.1285061919];
M[138]=[-2.527325681, 17.450360715, 0.1289144974];
M[139]=[-2.515320235, 17.501381606, 0.1293090012];
M[140]=[-2.503519447, 17.552756739, 0.1296897408];
M[141]=[-2.491918934, 17.604477144, 0.1300567649];
M[142]=[-2.480514136, 17.656533895, 0.1304101325];
M[143]=[-2.469300331, 17.708918107, 0.1307499132];
M[144]=[-2.458272656, 17.761620938, 0.1310761867];
M[145]=[-2.447426113, 17.814633586, 0.1313890423];
M[146]=[-2.436755595, 17.867947289, 0.1316885791];
M[147]=[-2.426255887, 17.92155332, 0.1319749052];
M[148]=[-2.415921689, 17.975442992, 0.1322481377];
M[149]=[-2.405747619, 18.029607653, 0.1325084026];
M[150]=[-2.395728233, 18.084038684, 0.1327558343];
M[151]=[-2.385858029, 18.138727501, 0.1329905752];
M[152]=[-2.376131459, 18.193665552, 0.133212776];
M[153]=[-2.366542942, 18.248844314, 0.1334225948];
M[154]=[-2.357086871, 18.304255296, 0.1336201973];
M[155]=[-2.347757625, 18.359890034, 0.1338057563];
M[156]=[-2.338549576, 18.415740092, 0.1339794518];
M[157]=[-2.3294571, 18.471797059, 0.1341414703];
M[158]=[-2.320474586, 18.528052549, 0.1342920051];
M[159]=[-2.311596446, 18.584498199, 0.1344312555];
M[160]=[-2.302817124, 18.641125665, 0.134559427];
M[161]=[-2.294131107, 18.697926627, 0.1346767311];
M[162]=[-2.285532933, 18.754892781, 0.1347833849];
M[163]=[-2.277017201, 18.812015839, 0.1348796107];
M[164]=[-2.268578584, 18.869287528, 0.1349656365];
M[165]=[-2.260211837, 18.92669959, 0.1350416951];
M[166]=[-2.251911809, 18.984243775, 0.1351080243];
M[167]=[-2.243673453, 19.041911845, 0.1351648666];
M[168]=[-2.235491842, 19.099695568, 0.1352124688];
M[169]=[-2.227362173, 19.157586716, 0.1352510825];
M[170]=[-2.21927979, 19.215577065, 0.1352809633];
M[171]=[-2.211240187, 19.27365839, 0.1353023707];
M[172]=[-2.203239029, 19.331822466, 0.1353155684];
M[173]=[-2.195272161, 19.390061061, 0.1353208237];
M[174]=[-2.187335625, 19.448365938, 0.1353184074];
M[175]=[-2.179425674, 19.506728848, 0.1353085942];
M[176]=[-2.171538789, 19.565141532, 0.1352916617];
M[177]=[-2.163671689, 19.623595714, 0.1352678911];
M[178]=[-2.155821357, 19.682083101, 0.1352375667];
M[179]=[-2.147985046, 19.740595376, 0.1352009759];
M[180]=[-2.140160305, 19.799124201, 0.1351584088];
M[181]=[-2.132344989, 19.857661209, 0.1351101588];
M[182]=[-2.124537282, 19.916198004, 0.1350565219];
M[183]=[-2.116735712, 19.974726154, 0.1349977968];
M[184]=[-2.108939167, 20.033237194, 0.134934285];
M[185]=[-2.10114692, 20.091722615, 0.1348662908];
M[186]=[-2.093358637, 20.15017387, 0.1347941208];
M[187]=[-2.085574403, 20.208582361, 0.1347180845];
M[188]=[-2.077794735, 20.266939444, 0.1346384938];
M[189]=[-2.070020599, 20.325236424, 0.1345556632];
M[190]=[-2.062253431, 20.383464548, 0.1344699098];
M[191]=[-2.054495145, 20.441615008, 0.1343815533];
M[192]=[-2.046748156, 20.499678935, 0.1342909159];
M[193]=[-2.039015385, 20.557647399, 0.1341983225];
M[194]=[-2.031300282, 20.615511404, 0.1341041006];
M[195]=[-2.023606828, 20.673261889, 0.1340085806];
M[196]=[-2.015942013, 20.730889051, 0.1339120657];
M[197]=[-2.008305745, 20.788385102, 0.1338149542];
M[198]=[-2.000706389, 20.845740029, 0.1337175518];
M[199]=[-1.993150137, 20.902944494, 0.1336202002];
M[200]=[-1.985643741, 20.959989088, 0.1335232441];
M[201]=[-1.97819451, 21.01686433, 0.1334270316];
M[202]=[-1.970810308, 21.073560674, 0.1333319137];
M[203]=[-1.96349954, 21.130068501, 0.1332382449];
M[204]=[-1.956271141, 21.186378131, 0.1331463832];
M[205]=[-1.949134561, 21.242479819, 0.1330566901];
M[206]=[-1.942099744, 21.298363759, 0.1329695305];
M[207]=[-1.935177101, 21.354020094, 0.1328852735];
M[208]=[-1.92837748, 21.409438911, 0.1328042916];
M[209]=[-1.921712136, 21.464610257, 0.1327269615];
M[210]=[-1.915192685, 21.519524136, 0.1326536641];
M[211]=[-1.908831065, 21.574170525, 0.1325847841];
M[212]=[-1.902639482, 21.628539373, 0.1325207109];
M[213]=[-1.896630358, 21.682620618, 0.1324618378];
M[214]=[-1.890816268, 21.736404191, 0.1324085629];
M[215]=[-1.885209876, 21.789880029, 0.1323612888];
M[216]=[-1.879823505, 21.843038191, 0.1323204265];
M[217]=[-1.874670324, 21.895868501, 0.1322863818];
M[218]=[-1.869760299, 21.948361684, 0.1322595999];
M[219]=[-1.865113245, 22.00050569, 0.1322404176];
M[220]=[-1.860734944, 22.052292423, 0.1322293301];
M[221]=[-1.85663384, 22.103713048, 0.132226801];
M[222]=[-1.852827186, 22.154756029, 0.1322332005];
M[223]=[-1.849323204, 22.205412485, 0.1322489931];
M[224]=[-1.846131607, 22.255673, 0.1322746254];
M[225]=[-1.843261294, 22.305528306, 0.132310549];
M[226]=[-1.840720248, 22.354969299, 0.1323572208];
M[227]=[-1.83851544, 22.403987057, 0.132415103];
M[228]=[-1.83665586, 22.452571818, 0.132484631];
M[229]=[-1.835138046, 22.500717781, 0.1325663592];
M[230]=[-1.833972004, 22.548414372, 0.132660699];
M[231]=[-1.833157751, 22.595654215, 0.1327681527];
M[232]=[-1.83269562, 22.642429557, 0.1328892105];
M[233]=[-1.832584342, 22.688732921, 0.1330243684];
M[234]=[-1.832820974, 22.734557126, 0.1331741285];
M[235]=[-1.833400825, 22.779895295, 0.1333389994];
M[236]=[-1.834317405, 22.824740868, 0.1335194959];
M[237]=[-1.83555752, 22.869089116, 0.1337161923];
M[238]=[-1.837119466, 22.912931508, 0.1339295249];
M[239]=[-1.838987063, 22.956263733, 0.1341600729];
M[240]=[-1.841146139, 22.999080616, 0.1344083809];
M[241]=[-1.84233016, 23.020294238, 0.134539365];
F[24]=[-0.98660853, 16.423396643, 0.085451785];
F[25]=[-1.024496827, 16.388040561, 0.085025838];
F[26]=[-1.102698353, 16.318971901, 0.0842140522];
F[27]=[-1.18396635, 16.252079845, 0.083455124];
F[28]=[-1.268071036, 16.187346686, 0.0827482842];
F[29]=[-1.354751525, 16.124754481, 0.0820927371];
F[30]=[-1.443689692, 16.064287623, 0.0814877172];
F[31]=[-1.53454192, 16.005930007, 0.0809324482];
F[32]=[-1.626928093, 15.94966631, 0.0804261754];
F[33]=[-1.720434829, 15.895481969, 0.0799681758];
F[34]=[-1.814635262, 15.843361791, 0.0795577348];
F[35]=[-1.909076262, 15.793291456, 0.0791941867];
F[36]=[-2.003296102, 15.7452564, 0.0788768946];
F[37]=[-2.096828937, 15.699241878, 0.0786052551];
F[38]=[-2.189211877, 15.655232823, 0.0783786964];
F[39]=[-2.279991982, 15.613213709, 0.0781966743];
F[40]=[-2.368732949, 15.573168427, 0.078058667];
F[41]=[-2.455021314, 15.53508019, 0.077964169];
F[42]=[-2.538471972, 15.498931449, 0.0779126837];
F[43]=[-2.618732901, 15.464703844, 0.0779037156];
F[44]=[-2.695488973, 15.432378168, 0.0779367628];
F[45]=[-2.768464816, 15.401934364, 0.078011309];
F[46]=[-2.837426693, 15.373351541, 0.0781268172];
F[47]=[-2.902178205, 15.346608415, 0.0782827393];
F[48]=[-2.962580386, 15.321681814, 0.0784784485];
F[49]=[-3.018521987, 15.298548972, 0.0787133246];
F[50]=[-3.069936555, 15.277186179, 0.0789866938];
F[51]=[-3.116795864, 15.257569204, 0.0792978405];
F[52]=[-3.159107331, 15.239673384, 0.079646006];
F[53]=[-3.196911083, 15.22347371, 0.0800303887];
F[54]=[-3.230276759, 15.208944907, 0.0804501449];
F[55]=[-3.259300182, 15.19606152, 0.0809043905];
F[56]=[-3.284099963, 15.184797987, 0.0813922027];
F[57]=[-3.30481415, 15.175128708, 0.0819126232];
F[58]=[-3.321596954, 15.167028107, 0.0824646608];
F[59]=[-3.334615646, 15.160470684, 0.0830472946];
F[60]=[-3.344047622, 15.155431067, 0.0836594775];
F[61]=[-3.35007771, 15.15188405, 0.0843001394];
F[62]=[-3.352893805, 15.149804788, 0.0849681996];
F[63]=[-3.352691376, 15.14916825, 0.085662539];
F[64]=[-3.34966438, 15.149949835, 0.086382035];
F[65]=[-3.343998803, 15.152125852, 0.0871255909];
F[66]=[-3.335889574, 15.155671862, 0.0878920466];
F[67]=[-3.325522491, 15.160564192, 0.0886802643];
F[68]=[-3.31307846, 15.166779473, 0.0894891056];
F[69]=[-3.298732648, 15.174294641, 0.090317434];
F[70]=[-3.282653831, 15.183086936, 0.0911641168];
F[71]=[-3.265003896, 15.193133896, 0.0920280276];
F[72]=[-3.245937506, 15.204413348, 0.0929080476];
F[73]=[-3.225606516, 15.216902957, 0.0938030328];
F[74]=[-3.204146115, 15.230581504, 0.0947119161];
F[75]=[-3.181690237, 15.245427448, 0.0956335947];
F[76]=[-3.158363475, 15.261419664, 0.096566992];
F[77]=[-3.134282833, 15.278537278, 0.0975110459];
F[78]=[-3.109557879, 15.296759667, 0.0984647101];
F[79]=[-3.084290931, 15.316066442, 0.0994269552];
F[80]=[-3.058577292, 15.336437447, 0.1003967693];
F[81]=[-3.032505499, 15.357852744, 0.1013731591];
F[82]=[-3.0061576, 15.380292613, 0.1023551503];
F[83]=[-2.979609448, 15.403737535, 0.1033417884];
F[84]=[-2.952930993, 15.428168191, 0.1043321392];
F[85]=[-2.926186592, 15.453565452, 0.1053252892];
F[86]=[-2.899435307, 15.479910374, 0.1063203463];
F[87]=[-2.872731211, 15.507184187, 0.1073164399];
F[88]=[-2.846123683, 15.535368293, 0.1083127212];
F[89]=[-2.819657704, 15.564444257, 0.1093083637];
F[90]=[-2.793374145, 15.594393802, 0.1103025629];
F[91]=[-2.767310047, 15.625198798, 0.111294537];
F[92]=[-2.741498897, 15.656841259, 0.1122835261];
F[93]=[-2.715970894, 15.689303334, 0.113268793];
F[94]=[-2.690753197, 15.722567299, 0.1142496222];
F[95]=[-2.665870146, 15.756615553, 0.1152253207];
F[96]=[-2.641343436, 15.791430622, 0.1161952181];
F[97]=[-2.617192204, 15.826995169, 0.1171586674];
F[98]=[-2.593430614, 15.863292407, 0.1181150731];
F[99]=[-2.570076037, 15.900304841, 0.1190638073];
F[100]=[-2.547141473, 15.938015446, 0.1200042898];
F[101]=[-2.524635245, 15.976407871, 0.1209359936];
F[102]=[-2.502569666, 16.015464834, 0.1218583548];
F[103]=[-2.48095189, 16.055169844, 0.1227708703];
F[104]=[-2.459785573, 16.09550688, 0.1236730846];
F[105]=[-2.439080117, 16.136458809, 0.1245644841];
F[106]=[-2.418838304, 16.178009551, 0.125444639];
F[107]=[-2.399063683, 16.220142813, 0.1263131206];
F[108]=[-2.379756861, 16.262842771, 0.1271695453];
F[109]=[-2.360920527, 16.306093162, 0.1280135154];
F[110]=[-2.342557728, 16.349877586, 0.1288446388];
F[111]=[-2.324663326, 16.39418118, 0.1296626372];
F[112]=[-2.307240716, 16.438987413, 0.1304671382];
F[113]=[-2.290287663, 16.484280823, 0.1312578524];
F[114]=[-2.273803847, 16.530045538, 0.1320344789];
F[115]=[-2.257782149, 16.57626713, 0.132796819];
F[116]=[-2.242227723, 16.62292864, 0.1335445247];
F[117]=[-2.227132805, 16.670015716, 0.1342774356];
F[118]=[-2.212495585, 16.717512877, 0.1349953236];
F[119]=[-2.19831275, 16.765404961, 0.1356979956];
F[120]=[-2.184580762, 16.813676886, 0.1363852755];
F[121]=[-2.171295888, 16.862313656, 0.1370570042];
F[122]=[-2.158454232, 16.911300357, 0.1377130391];
F[123]=[-2.146051754, 16.960622156, 0.1383532537];
F[124]=[-2.134084303, 17.010264304, 0.1389775374];
F[125]=[-2.122547629, 17.060212133, 0.1395857952];
F[126]=[-2.111437411, 17.110451055, 0.1401779469];
F[127]=[-2.100749266, 17.160966564, 0.1407539274];
F[128]=[-2.090478774, 17.211744236, 0.1413136859];
F[129]=[-2.080621484, 17.262769728, 0.1418571858];
F[130]=[-2.071172932, 17.314028776, 0.1423844043];
F[131]=[-2.062128649, 17.365507199, 0.1428953318];
F[132]=[-2.053484173, 17.417190895, 0.143389972];
F[133]=[-2.045235058, 17.469065845, 0.1438683412];
F[134]=[-2.03737688, 17.52111811, 0.1443304685];
F[135]=[-2.029906684, 17.573333469, 0.1447763715];
F[136]=[-2.022817914, 17.625698688, 0.1452061381];
F[137]=[-2.016107084, 17.678199868, 0.1456198193];
F[138]=[-2.009769905, 17.730823397, 0.1460174906];
F[139]=[-2.003802134, 17.783555746, 0.1463992386];
F[140]=[-1.998199572, 17.836383471, 0.1467651605];
F[141]=[-1.992958064, 17.889293209, 0.1471153639];
F[142]=[-1.988073505, 17.942271684, 0.1474499668];
F[143]=[-1.983541835, 17.995305704, 0.1477690965];
F[144]=[-1.979359041, 18.048382162, 0.1480728906];
F[145]=[-1.975521156, 18.101488036, 0.1483614954];
F[146]=[-1.972024258, 18.154610394, 0.1486350668];
F[147]=[-1.968864465, 18.207736386, 0.1488937694];
F[148]=[-1.966037938, 18.260853253, 0.1491377764];
F[149]=[-1.963540872, 18.313948324, 0.1493672695];
F[150]=[-1.961369499, 18.367009017, 0.1495824386];
F[151]=[-1.959520079, 18.420022839, 0.1497834816];
F[152]=[-1.9579889, 18.472977388, 0.1499706043];
F[153]=[-1.956772271, 18.525860352, 0.1501440201];
F[154]=[-1.95586652, 18.578659513, 0.1503039498];
F[155]=[-1.955267984, 18.631362745, 0.1504506214];
F[156]=[-1.954973011, 18.683958013, 0.1505842702];
F[157]=[-1.954977947, 18.736433381, 0.1507051384];
F[158]=[-1.955279136, 18.788777004, 0.1508134748];
F[159]=[-1.955872909, 18.840977134, 0.1509095352];
F[160]=[-1.956755579, 18.893022121, 0.1509935818];
F[161]=[-1.957923436, 18.944900411, 0.1510658829];
F[162]=[-1.959372737, 18.996600549, 0.1511267136];
F[163]=[-1.9610997, 19.048111179, 0.1511763547];
F[164]=[-1.963100496, 19.099421046, 0.1512150935];
F[165]=[-1.96537124, 19.150518994, 0.1512432229];
F[166]=[-1.967907983, 19.201393971, 0.1512610419];
F[167]=[-1.970706706, 19.252035026, 0.1512688553];
F[168]=[-1.973763307, 19.302431312, 0.1512669735];
F[169]=[-1.977073595, 19.352572085, 0.1512557127];
F[170]=[-1.980633277, 19.402446707, 0.1512353947];
F[171]=[-1.984437954, 19.452044646, 0.1512063468];
F[172]=[-1.988483106, 19.501355476, 0.1511689019];
F[173]=[-1.992764085, 19.550368876, 0.1511233983];
F[174]=[-1.997276103, 19.599074637, 0.1510701797];
F[175]=[-2.002014224, 19.647462655, 0.1510095954];
F[176]=[-2.00697335, 19.695522937, 0.1509419999];
F[177]=[-2.012148213, 19.743245597, 0.1508677534];
F[178]=[-2.017533363, 19.790620862, 0.1507872211];
F[179]=[-2.023123159, 19.837639068, 0.1507007738];
F[180]=[-2.028911755, 19.884290662, 0.1506087878];
F[181]=[-2.034893091, 19.930566203, 0.1505116446];
F[182]=[-2.041060881, 19.976456361, 0.1504097312];
F[183]=[-2.047408604, 20.021951917, 0.1503034402];
F[184]=[-2.05392949, 20.067043765, 0.1501931693];
F[185]=[-2.060616513, 20.11172291, 0.1500793222];
F[186]=[-2.067462375, 20.155980469, 0.1499623077];
F[187]=[-2.074459502, 20.199807672, 0.1498425404];
F[188]=[-2.081600029, 20.243195857, 0.1497204407];
F[189]=[-2.088875793, 20.286136477, 0.1495964342];
F[190]=[-2.096278323, 20.328621093, 0.1494709526];
F[191]=[-2.103798828, 20.370641376, 0.1493444333];
F[192]=[-2.111428194, 20.412189106, 0.1492173194];
F[193]=[-2.119156972, 20.453256172, 0.14909006];
F[194]=[-2.126975375, 20.49383457, 0.1489631101];
F[195]=[-2.134873266, 20.5339164, 0.1488369306];
F[196]=[-2.142840157, 20.573493869, 0.1487119885];
F[197]=[-2.150865204, 20.612559285, 0.1485887569];
F[198]=[-2.158937201, 20.651105058, 0.1484677151];
F[199]=[-2.167044578, 20.689123698, 0.1483493484];
F[200]=[-2.175176987, 20.726607282, 0.1482341202];
F[201]=[-2.183317362, 20.763550105, 0.148122614];
F[202]=[-2.191457792, 20.799943374, 0.1480152488];
F[203]=[-2.199583649, 20.83578051, 0.1479125643];
F[204]=[-2.207681525, 20.871054493, 0.1478150781];
F[205]=[-2.215737645, 20.905758394, 0.1477233147];
F[206]=[-2.223739902, 20.939884769, 0.1476377678];
F[207]=[-2.231667995, 20.973428578, 0.1475590832];
F[208]=[-2.239511942, 21.006381705, 0.1474877162];
F[209]=[-2.247257081, 21.038737402, 0.1474242097];
F[210]=[-2.254885145, 21.070489959, 0.1473691743];
F[211]=[-2.26238209, 21.101632407, 0.147323144];
F[212]=[-2.269731517, 21.132158447, 0.1472866982];
F[213]=[-2.276917229, 21.162061708, 0.1472604146];
F[214]=[-2.283925442, 21.191335097, 0.1472448281];
F[215]=[-2.290731442, 21.219974716, 0.1472406828];
F[216]=[-2.29732427, 21.247972623, 0.147248467];
F[217]=[-2.303687802, 21.275322389, 0.1472687698];
F[218]=[-2.309799971, 21.302019325, 0.1473022986];
F[219]=[-2.315651874, 21.328054894, 0.1473495144];
F[220]=[-2.32121731, 21.353425629, 0.1474112153];
F[221]=[-2.326481911, 21.378124616, 0.1474879793];
F[222]=[-2.331428139, 21.402145892, 0.1475804525];
F[223]=[-2.336038473, 21.425483514, 0.1476892889];
F[224]=[-2.34029545, 21.448131558, 0.1478151501];
F[225]=[-2.344181703, 21.470084116, 0.1479587057];
F[226]=[-2.34768, 21.491335286, 0.1481206332];
F[227]=[-2.350773286, 21.511879176, 0.1483016185];
F[228]=[-2.353444725, 21.531709894, 0.1485023554];
F[229]=[-2.355677743, 21.550821547, 0.1487235462];
F[230]=[-2.35745607, 21.569208237, 0.1489659018];
F[231]=[-2.358763788, 21.586864057, 0.1492301415];
F[232]=[-2.359585369, 21.603783087, 0.1495169936];
F[233]=[-2.359905726, 21.619959388, 0.1498271951];
F[234]=[-2.359710258, 21.635387002, 0.1501614923];
F[235]=[-2.358980464, 21.650061262, 0.150520734];
F[236]=[-2.357714508, 21.663972695, 0.1509054394];
F[237]=[-2.355892424, 21.677117355, 0.1513165313];
F[238]=[-2.353501353, 21.689489352, 0.1517548077];
F[239]=[-2.350528726, 21.701082884, 0.1522210861];
F[240]=[-2.346962247, 21.711892252, 0.1527162055];
F[241]=[-2.34495843, 21.716999342, 0.152974718];


if (MF=="F")
   {

   // result=t("BMIAge")+": " + resultStr(F[agemo],BMIValue);
    result=resultStr(F[agemo],BMIValue);
   }
else
   {
   // result=t("BMIAge")+": " + resultStr(M[agemo],BMIValue); //If MF is not specified, assumes M
    result=resultStr(M[agemo],BMIValue); //If MF is not specified, assumes M
   }   

} 
return result; 

}


function WTHEIGHT(MF, AGEMO, KILOS, CM)
{

var cm=parseInt(CM)+1;
var M = new Array();
var F = new Array();
//from NCHS 2000, with O.5 added to CM, except for the first (77)


M[77]=[-0.999294215, 10.27440527, 0.077115837];
M[78]=[-0.979897716, 10.38901871, 0.076995353];
M[79]=[-0.943555181, 10.61724901, 0.076769511];
M[80]=[-0.91080778, 10.84432907, 0.076564374];
M[81]=[-0.882026316, 11.07048885, 0.076380766];
M[82]=[-0.857561667, 11.29597453, 0.076219662];
M[83]=[-0.837750377, 11.52104655, 0.07608215];
M[84]=[-0.822919198, 11.74597768, 0.075969382];
M[85]=[-0.813388595, 11.97105103, 0.075882537];
M[86]=[-0.809475279, 12.19655799, 0.075822785];
M[87]=[-0.811493792, 12.4227963, 0.075791244];
M[88]=[-0.8197572, 12.65006791, 0.075788944];
M[89]=[-0.834576932, 12.87867701, 0.07581679];
M[90]=[-0.856261805, 13.10892794, 0.075875517];
M[91]=[-0.885116299, 13.34112314, 0.075965652];
M[92]=[-0.921432943, 13.5755615, 0.076087468];
M[93]=[-0.965501267, 13.81253552, 0.076240931];
M[94]=[-1.017588552, 14.05233041, 0.076425662];
M[95]=[-1.077941994, 14.29522185, 0.07664088];
M[96]=[-1.146773671, 14.54147499, 0.076885365];
M[97]=[-1.224269596, 14.79134177, 0.07715739];
M[98]=[-1.310558831, 15.04506152, 0.077454707];
M[99]=[-1.405713355, 15.30285949, 0.077774507];
M[100]=[-1.509717075, 15.56494815, 0.078113436];
M[101]=[-1.622491233, 15.83152429, 0.078467542];
M[102]=[-1.743825743, 16.10277448, 0.078832409];
M[103]=[-1.873365511, 16.37887678, 0.079203258];
M[104]=[-2.010641647, 16.65999867, 0.079574978];
M[105]=[-2.154957918, 16.94630912, 0.079942558];
M[106]=[-2.305458316, 17.23797444, 0.08030117];
M[107]=[-2.461019713, 17.53517134, 0.080646757];
M[108]=[-2.62033059, 17.83808212, 0.080976208];
M[109]=[-2.781787762, 18.14690821, 0.0812881];
M[110]=[-2.943638944, 18.46185811, 0.081582687];
M[111]=[-3.103888502, 18.78315936, 0.081862656];
M[112]=[-3.260482798, 19.11103983, 0.082132791];
M[113]=[-3.411305599, 19.44572803, 0.082400213];
M[114]=[-3.554288672, 19.78744004, 0.082674023];
M[115]=[-3.687600863, 20.13635563, 0.082964333];
M[116]=[-3.809599339, 20.49262111, 0.083282267];
M[117]=[-3.919005213, 20.85632542, 0.083638758];
M[118]=[-4.014882272, 21.2274989, 0.084044246];
M[119]=[-4.096683061, 21.60610366, 0.084508001];
M[120]=[-4.164160421, 21.9920407, 0.085038256];
M[121]=[-4.217425718, 22.3851382, 0.085641503];
M[122]=[-4.256802224, 22.78516628, 0.086323118];
F[77]=[-0.957840869, 10.08653219, 0.081713853];
F[78]=[-0.935908436, 10.19868351, 0.081394448];
F[79]=[-0.89621042, 10.42217324, 0.080780644];
F[80]=[-0.863423474, 10.64473659, 0.080208403];
F[81]=[-0.839250279, 10.86657146, 0.079687207];
F[82]=[-0.825395013, 11.08788714, 0.079225952];
F[83]=[-0.823487667, 11.30890397, 0.078832728];
F[84]=[-0.834997067, 11.52985331, 0.078514592];
F[85]=[-0.861125495, 11.75097872, 0.078277372];
F[86]=[-0.90275588, 11.97253416, 0.078125431];
F[87]=[-0.960308955, 12.19478883, 0.078061602];
F[88]=[-1.033704489, 12.41802682, 0.078087089];
F[89]=[-1.122303405, 12.64254963, 0.078201515];
F[90]=[-1.224887418, 12.86867851, 0.07840306];
F[91]=[-1.339655646, 13.09675786, 0.078688751];
F[92]=[-1.464342037, 13.32715202, 0.079054697];
F[93]=[-1.596224732, 13.56025156, 0.079496621];
F[94]=[-1.732305592, 13.79646793, 0.080010179];
F[95]=[-1.869440665, 14.03623165, 0.080591346];
F[96]=[-2.004558693, 14.27998232, 0.081236502];
F[97]=[-2.134764169, 14.5281658, 0.08194262];
F[98]=[-2.257524917, 14.78122196, 0.082707038];
F[99]=[-2.370762249, 15.03957746, 0.083527227];
F[100]=[-2.472965302, 15.30363303, 0.084400264];
F[101]=[-2.563140425, 15.5737634, 0.085322654];
F[102]=[-2.640873937, 15.8503043, 0.086289668];
F[103]=[-2.706178899, 16.1335593, 0.087295416];
F[104]=[-2.759500412, 16.42379037, 0.088332358];
F[105]=[-2.801578893, 16.72122308, 0.089391426];
F[106]=[-2.833376069, 17.02604617, 0.090461996];
F[107]=[-2.855987198, 17.33841369, 0.09153201];
F[108]=[-2.870584724, 17.65844486, 0.092588053];
F[109]=[-2.878341197, 17.98622785, 0.093615622];
F[110]=[-2.880404823, 18.32181829, 0.094599184];
F[111]=[-2.877853767, 18.66524194, 0.095522442];
F[112]=[-2.871676584, 19.01649457, 0.096368448];
F[113]=[-2.86277466, 19.37553957, 0.097119646];
F[114]=[-2.851915004, 19.74231348, 0.097758211];
F[115]=[-2.839760032, 20.11672014, 0.098265916];
F[116]=[-2.826824189, 20.4986363, 0.098624434];
F[117]=[-2.813480089, 20.88790914, 0.09881529];
F[118]=[-2.799924586, 21.28435965, 0.09882];
F[119]=[-2.786142221, 21.6877854, 0.098620143];
F[120]=[-2.771843402, 22.09796571, 0.098197431];
F[121]=[-2.756365595, 22.51466977, 0.097533789];
F[122]=[-2.738514883, 22.93766971, 0.09661143];

if (MF=="F")
   {
     
    result=resultStr(F[cm],KILOS);

   }
else
   {
     
    result=resultStr(M[cm],KILOS); //If MF is not specified, assumes M
   }   

return t("WtHeight")+": "+ result; 

}


function WTAGE(MF, AGEMO, KILOS, CM)
{
var agemo=parseInt(AGEMO)+1;

var M = new Array();
var F = new Array();
//from NCHS 2000, with O.5 added to age in months, except for the first (24)


M[24]=[-0.20615245, 12.6707633, 0.108125811];
M[25]=[-0.216501213, 12.74154396, 0.108166006];
M[26]=[-0.239790488, 12.88102276, 0.108274706];
M[27]=[-0.266315853, 13.01842382, 0.108421025];
M[28]=[-0.295754969, 13.1544966, 0.10860477];
M[29]=[-0.327729368, 13.28989667, 0.108825681];
M[30]=[-0.361817468, 13.42519408, 0.109083424];
M[31]=[-0.397568087, 13.56088113, 0.109377581];
M[32]=[-0.434520252, 13.69737858, 0.109707646];
M[33]=[-0.472188756, 13.83504622, 0.110073084];
M[34]=[-0.510116627, 13.97418299, 0.110473254];
M[35]=[-0.547885579, 14.1150324, 0.1109074];
M[36]=[-0.58507011, 14.25779618, 0.111374787];
M[37]=[-0.621319726, 14.40262749, 0.111874514];
M[38]=[-0.656295986, 14.54964614, 0.112405687];
M[39]=[-0.689735029, 14.69893326, 0.112967254];
M[40]=[-0.721410388, 14.85054151, 0.11355811];
M[41]=[-0.751175223, 15.00449143, 0.114176956];
M[42]=[-0.778904279, 15.16078454, 0.114822482];
M[43]=[-0.804515498, 15.31940246, 0.115493292];
M[44]=[-0.828003255, 15.48030313, 0.116187777];
M[45]=[-0.849380372, 15.64343309, 0.116904306];
M[46]=[-0.86869965, 15.80872535, 0.117641148];
M[47]=[-0.886033992, 15.97610456, 0.118396541];
M[48]=[-0.901507878, 16.14548194, 0.119168555];
M[49]=[-0.915241589, 16.31676727, 0.11995532];
M[50]=[-0.927377772, 16.4898646, 0.120754916];
M[51]=[-0.938069819, 16.66467529, 0.121565421];
M[52]=[-0.94747794, 16.84109948, 0.122384927];
M[53]=[-0.955765694, 17.01903746, 0.123211562];
M[54]=[-0.963096972, 17.1983908, 0.124043503];
M[55]=[-0.969633434, 17.37906341, 0.124878992];
M[56]=[-0.975532355, 17.56096245, 0.125716348];
M[57]=[-0.980937915, 17.74400082, 0.126554022];
M[58]=[-0.986006518, 17.92809121, 0.127390453];
M[59]=[-0.99086694, 18.11315625, 0.128224294];
M[60]=[-0.995644402, 18.29912286, 0.129054277];
M[61]=[-1.000453886, 18.48592413, 0.129879257];
M[62]=[-1.005399668, 18.67349965, 0.130698212];
M[63]=[-1.010575003, 18.86179576, 0.131510245];
M[64]=[-1.016061941, 19.05076579, 0.132314586];
M[65]=[-1.021931241, 19.24037019, 0.133110593];
M[66]=[-1.028242376, 19.43057662, 0.133897752];
M[67]=[-1.035043608, 19.62136007, 0.134675673];
M[68]=[-1.042372125, 19.8127028, 0.13544409];
M[69]=[-1.050254232, 20.0045944, 0.13620286];
M[70]=[-1.058705595, 20.19703171, 0.136951959];
M[71]=[-1.067731529, 20.39001872, 0.137691478];
M[72]=[-1.077321193, 20.58356862, 0.138421673];
M[73]=[-1.087471249, 20.77769565, 0.139142773];
M[74]=[-1.098152984, 20.97242631, 0.139855242];
M[75]=[-1.10933408, 21.16779192, 0.140559605];
M[76]=[-1.120974043, 21.36383013, 0.141256489];
M[77]=[-1.133024799, 21.56058467, 0.141946613];
M[78]=[-1.145431351, 21.75810506, 0.142630785];
M[79]=[-1.158132499, 21.95644627, 0.143309898];
M[80]=[-1.171061612, 22.15566842, 0.143984924];
M[81]=[-1.184141975, 22.35583862, 0.144656953];
M[82]=[-1.197307185, 22.55702268, 0.145327009];
M[83]=[-1.210475099, 22.75929558, 0.145996289];
M[84]=[-1.223565263, 22.9627344, 0.146666];
M[85]=[-1.236497304, 23.16741888, 0.147337375];
M[86]=[-1.249186293, 23.37343341, 0.148011715];
M[87]=[-1.261555446, 23.58086145, 0.148690256];
M[88]=[-1.273523619, 23.78979096, 0.149374297];
M[89]=[-1.285013783, 24.00031064, 0.150065107];
M[90]=[-1.295952066, 24.21251028, 0.150763933];
M[91]=[-1.306268473, 24.42648043, 0.151471982];
M[92]=[-1.31589753, 24.642312, 0.152190413];
M[93]=[-1.324778843, 24.86009596, 0.152920322];
M[94]=[-1.332857581, 25.07992303, 0.153662731];
M[95]=[-1.340080195, 25.30188584, 0.154418635];
M[96]=[-1.346412105, 25.52606977, 0.155188768];
M[97]=[-1.351813296, 25.75256528, 0.155973912];
M[98]=[-1.356253969, 25.9814599, 0.156774684];
M[99]=[-1.359710858, 26.2128399, 0.157591579];
M[100]=[-1.362167159, 26.44679027, 0.158424964];
M[101]=[-1.363612378, 26.68339457, 0.159275071];
M[102]=[-1.364042106, 26.92273494, 0.160141995];
M[103]=[-1.363457829, 27.16489199, 0.161025689];
M[104]=[-1.361865669, 27.40994539, 0.161925976];
M[105]=[-1.35928261, 27.65796978, 0.162842452];
M[106]=[-1.355720571, 27.90904433, 0.163774719];
M[107]=[-1.351202536, 28.16324264, 0.164722138];
M[108]=[-1.345754408, 28.42063744, 0.165683945];
M[109]=[-1.339405453, 28.68130005, 0.166659247];
M[110]=[-1.332188093, 28.94530029, 0.167647017];
M[111]=[-1.324137479, 29.21270645, 0.168646104];
M[112]=[-1.315291073, 29.48358527, 0.169655235];
M[113]=[-1.30568824, 29.75800198, 0.170673022];
M[114]=[-1.295369867, 30.03602021, 0.17169797];
M[115]=[-1.284374967, 30.31770417, 0.17272854];
M[116]=[-1.272750864, 30.60311107, 0.173762961];
M[117]=[-1.260539193, 30.89230072, 0.174799493];
M[118]=[-1.247783611, 31.18532984, 0.175836284];
M[119]=[-1.234527763, 31.48225315, 0.176871417];
M[120]=[-1.220815047, 31.78312329, 0.177902912];
M[121]=[-1.206688407, 32.08799062, 0.17892874];
M[122]=[-1.19219015, 32.39690313, 0.17994683];
M[123]=[-1.177361786, 32.7099062, 0.180955078];
M[124]=[-1.162243894, 33.02704244, 0.181951361];
M[125]=[-1.146876007, 33.34835148, 0.182933537];
M[126]=[-1.131296524, 33.67386973, 0.183899465];
M[127]=[-1.115542634, 34.00363017, 0.184847006];
M[128]=[-1.099650267, 34.33766207, 0.185774041];
M[129]=[-1.083654055, 34.67599076, 0.18667847];
M[130]=[-1.067587314, 35.01863732, 0.187558229];
M[131]=[-1.051482972, 35.36561737, 0.18841128];
M[132]=[-1.035367321, 35.71694723, 0.189235738];
M[133]=[-1.019277299, 36.07262569, 0.190029545];
M[134]=[-1.003235326, 36.43265996, 0.190790973];
M[135]=[-0.987269866, 36.79704392, 0.191518224];
M[136]=[-0.971406609, 37.1657671, 0.192209619];
M[137]=[-0.955670107, 37.53881268, 0.192863569];
M[138]=[-0.940083834, 37.91615721, 0.193478582];
M[139]=[-0.924670244, 38.2977703, 0.194053274];
M[140]=[-0.909450843, 38.6836143, 0.194586368];
M[141]=[-0.894446258, 39.07364401, 0.195076705];
M[142]=[-0.879676305, 39.46780643, 0.195523246];
M[143]=[-0.865160071, 39.86604044, 0.195925079];
M[144]=[-0.850915987, 40.26827652, 0.196281418];
M[145]=[-0.836961905, 40.67443658, 0.196591612];
M[146]=[-0.823315176, 41.08443363, 0.19685514];
M[147]=[-0.809992726, 41.49817164, 0.19707162];
M[148]=[-0.797011132, 41.91554528, 0.197240806];
M[149]=[-0.784386693, 42.33643978, 0.197362591];
M[150]=[-0.772135506, 42.76073078, 0.197437004];
M[151]=[-0.760273528, 43.18828419, 0.19746421];
M[152]=[-0.748815968, 43.61895703, 0.197444522];
M[153]=[-0.737780398, 44.0525931, 0.197378345];
M[154]=[-0.727181568, 44.48903027, 0.197266263];
M[155]=[-0.717035494, 44.92809483, 0.197108968];
M[156]=[-0.707358338, 45.36960315, 0.196907274];
M[157]=[-0.698166437, 45.81336172, 0.196662115];
M[158]=[-0.689476327, 46.25916729, 0.196374538];
M[159]=[-0.68130475, 46.70680701, 0.196045701];
M[160]=[-0.673668658, 47.15605863, 0.195676862];
M[161]=[-0.666585194, 47.60669074, 0.19526938];
M[162]=[-0.660069969, 48.05846572, 0.19482473];
M[163]=[-0.654142602, 48.51113138, 0.19434441];
M[164]=[-0.648819666, 48.96443224, 0.193830046];
M[165]=[-0.644118611, 49.41810374, 0.193283319];
M[166]=[-0.640056805, 49.87187409, 0.192705974];
M[167]=[-0.636651424, 50.32546478, 0.192099812];
M[168]=[-0.633919328, 50.77859121, 0.191466681];
M[169]=[-0.631876912, 51.23096332, 0.190808471];
M[170]=[-0.63053994, 51.68228625, 0.190127105];
M[171]=[-0.629923353, 52.13226113, 0.18942453];
M[172]=[-0.630041066, 52.58058583, 0.188702714];
M[173]=[-0.630905733, 53.02695588, 0.187963636];
M[174]=[-0.632528509, 53.47106525, 0.187209281];
M[175]=[-0.634918779, 53.91260737, 0.18644163];
M[176]=[-0.638083884, 54.35127608, 0.185662657];
M[177]=[-0.642028835, 54.78676659, 0.184874323];
M[178]=[-0.646756013, 55.21877657, 0.184078567];
M[179]=[-0.652262297, 55.64701131, 0.183277339];
M[180]=[-0.658551638, 56.07116407, 0.182472427];
M[181]=[-0.665609025, 56.49095862, 0.181665781];
M[182]=[-0.673425951, 56.90610886, 0.18085918];
M[183]=[-0.681987284, 57.31634059, 0.180054395];
M[184]=[-0.691273614, 57.72138846, 0.179253153];
M[185]=[-0.701261055, 58.12099696, 0.178457127];
M[186]=[-0.711921092, 58.51492143, 0.177667942];
M[187]=[-0.723218488, 58.90293208, 0.176887192];
M[188]=[-0.735121189, 59.28479948, 0.176116307];
M[189]=[-0.747580416, 59.66032626, 0.175356814];
M[190]=[-0.760550666, 60.02931704, 0.174610071];
M[191]=[-0.773984558, 60.39158721, 0.173877336];
M[192]=[-0.787817728, 60.74698785, 0.173159953];
M[193]=[-0.801993069, 61.09536847, 0.172459052];
M[194]=[-0.816446409, 61.43660077, 0.171775726];
M[195]=[-0.831110299, 61.77057372, 0.171110986];
M[196]=[-0.845914498, 62.09719399, 0.170465756];
M[197]=[-0.860786514, 62.41638628, 0.169840869];
M[198]=[-0.875652181, 62.72809362, 0.169237063];
M[199]=[-0.890436283, 63.03227756, 0.168654971];
M[200]=[-0.905063185, 63.32891841, 0.168095124];
M[201]=[-0.91945749, 63.61801537, 0.16755794];
M[202]=[-0.933544683, 63.89958662, 0.167043722];
M[203]=[-0.947251765, 64.17366943, 0.166552654];
M[204]=[-0.960507855, 64.44032016, 0.166084798];
M[205]=[-0.973244762, 64.69961427, 0.16564009];
M[206]=[-0.985397502, 64.95164625, 0.165218341];
M[207]=[-0.996904762, 65.1965295, 0.164819236];
M[208]=[-1.007705555, 65.43440186, 0.16444238];
M[209]=[-1.017756047, 65.66540015, 0.164087103];
M[210]=[-1.027002713, 65.88970117, 0.163752791];
M[211]=[-1.035402243, 66.10749114, 0.163438661];
M[212]=[-1.042916356, 66.31897311, 0.163143825];
M[213]=[-1.049511871, 66.52436618, 0.162867311];
M[214]=[-1.055160732, 66.72390443, 0.162608072];
M[215]=[-1.059840019, 66.91783563, 0.162365006];
M[216]=[-1.063531973, 67.10641956, 0.162136973];
M[217]=[-1.066224038, 67.28992603, 0.161922819];
M[218]=[-1.067908908, 67.46863255, 0.161721398];
M[219]=[-1.068589885, 67.64281378, 0.16153153];
M[220]=[-1.068261146, 67.8127675, 0.161352313];
M[221]=[-1.066933756, 67.97877331, 0.161182785];
M[222]=[-1.064620976, 68.14111022, 0.161022184];
M[223]=[-1.061341755, 68.30004741, 0.160869943];
M[224]=[-1.057116957, 68.4558454, 0.160725793];
M[225]=[-1.051988979, 68.60872174, 0.160589574];
M[226]=[-1.04599033, 68.75889263, 0.1604617];
M[227]=[-1.039168248, 68.90653028, 0.160342924];
M[228]=[-1.031579574, 69.05176427, 0.160234478];
M[229]=[-1.023291946, 69.19467288, 0.160138158];
M[230]=[-1.014385118, 69.33527376, 0.160056393];
M[231]=[-1.004952366, 69.47351373, 0.159992344];
M[232]=[-0.995101924, 69.60925782, 0.159949989];
M[233]=[-0.984958307, 69.74227758, 0.159934231];
M[234]=[-0.974663325, 69.87223885, 0.159951004];
M[235]=[-0.964376555, 69.99868896, 0.160007394];
M[236]=[-0.954274945, 70.12104381, 0.160111769];
M[237]=[-0.944551187, 70.23857482, 0.160273918];
M[238]=[-0.935410427, 70.35039626, 0.160505203];
M[239]=[-0.927059784, 70.45546105, 0.160818788];
M[240]=[-0.919718461, 70.55252127, 0.161229617];
M[241]=[-0.91648762, 70.59761453, 0.161476792];
F[24]=[-0.73533951, 12.05503983, 0.107399495];
F[25]=[-0.75220657, 12.13455523, 0.107740345];
F[26]=[-0.78423366, 12.2910249, 0.10847701];
F[27]=[-0.81409582, 12.44469258, 0.109280828];
F[28]=[-0.841935504, 12.59622335, 0.110144488];
F[29]=[-0.867889398, 12.74620911, 0.111060815];
F[30]=[-0.892102647, 12.89517218, 0.112022759];
F[31]=[-0.914718817, 13.04357164, 0.113023467];
F[32]=[-0.935876584, 13.19180874, 0.114056328];
F[33]=[-0.955723447, 13.34022934, 0.115114953];
F[34]=[-0.974383363, 13.48913319, 0.116193327];
F[35]=[-0.991980756, 13.63877446, 0.11728575];
F[36]=[-1.008640742, 13.78936547, 0.118386848];
F[37]=[-1.024471278, 13.94108332, 0.119491669];
F[38]=[-1.039573604, 14.09407175, 0.120595658];
F[39]=[-1.054039479, 14.24844498, 0.121694676];
F[40]=[-1.067946784, 14.40429169, 0.12278503];
F[41]=[-1.081374153, 14.56167529, 0.1238634];
F[42]=[-1.094381409, 14.72064045, 0.124926943];
F[43]=[-1.107021613, 14.88121352, 0.125973221];
F[44]=[-1.119338692, 15.04340553, 0.127000212];
F[45]=[-1.131367831, 15.20721443, 0.128006292];
F[46]=[-1.143135936, 15.37262729, 0.128990225];
F[47]=[-1.15466215, 15.53962221, 0.129951143];
F[48]=[-1.165958392, 15.70817017, 0.130888527];
F[49]=[-1.177029925, 15.87823668, 0.131802186];
F[50]=[-1.187871001, 16.04978452, 0.132692269];
F[51]=[-1.198484073, 16.2227706, 0.133559108];
F[52]=[-1.208853947, 16.39715363, 0.134403386];
F[53]=[-1.218965087, 16.57289122, 0.13522599];
F[54]=[-1.228798212, 16.74994187, 0.136028014];
F[55]=[-1.238330855, 16.92826587, 0.136810739];
F[56]=[-1.247537914, 17.10782615, 0.137575606];
F[57]=[-1.256392179, 17.28858894, 0.138324193];
F[58]=[-1.264864846, 17.47052444, 0.139058192];
F[59]=[-1.272926011, 17.65360733, 0.139779387];
F[60]=[-1.28054514, 17.83781722, 0.140489635];
F[61]=[-1.287691525, 18.02313904, 0.141190842];
F[62]=[-1.294332076, 18.20956418, 0.141884974];
F[63]=[-1.300441561, 18.3970876, 0.142573939];
F[64]=[-1.305989011, 18.58571243, 0.143259709];
F[65]=[-1.310946941, 18.77544728, 0.143944216];
F[66]=[-1.315289534, 18.966307, 0.144629359];
F[67]=[-1.318992925, 19.15831267, 0.14531699];
F[68]=[-1.322035315, 19.35149163, 0.146008903];
F[69]=[-1.324398133, 19.54587708, 0.146706813];
F[70]=[-1.326064539, 19.74150854, 0.147412363];
F[71]=[-1.327020415, 19.93843145, 0.148127109];
F[72]=[-1.327256387, 20.13669623, 0.148852482];
F[73]=[-1.326763834, 20.33635961, 0.149589838];
F[74]=[-1.325538668, 20.53748298, 0.1503404];
F[75]=[-1.323579654, 20.74013277, 0.151105277];
F[76]=[-1.320888012, 20.94438028, 0.151885464];
F[77]=[-1.317468695, 21.15030093, 0.152681819];
F[78]=[-1.313331446, 21.35797332, 0.15349505];
F[79]=[-1.308487081, 21.56748045, 0.154325756];
F[80]=[-1.302948173, 21.77890902, 0.155174414];
F[81]=[-1.296733913, 21.99234686, 0.15604132];
F[82]=[-1.289863329, 22.20788541, 0.156926667];
F[83]=[-1.282358762, 22.4256177, 0.157830504];
F[84]=[-1.274244931, 22.64563824, 0.158752743];
F[85]=[-1.265548787, 22.86804258, 0.159693163];
F[86]=[-1.256299378, 23.09292679, 0.16065141];
F[87]=[-1.24653066, 23.32038549, 0.161626956];
F[88]=[-1.236266832, 23.55051871, 0.162619308];
F[89]=[-1.225551344, 23.78341652, 0.1636276];
F[90]=[-1.214410914, 24.01917703, 0.1646511];
F[91]=[-1.202884389, 24.25789074, 0.165688808];
F[92]=[-1.191007906, 24.49964778, 0.166739662];
F[93]=[-1.178818621, 24.74453536, 0.167802495];
F[94]=[-1.166354376, 24.99263735, 0.168876037];
F[95]=[-1.153653688, 25.24403371, 0.169958922];
F[96]=[-1.140751404, 25.49880264, 0.171049756];
F[97]=[-1.127684095, 25.7570168, 0.172147043];
F[98]=[-1.114490244, 26.01874261, 0.173249185];
F[99]=[-1.101204848, 26.28404312, 0.174354569];
F[100]=[-1.087863413, 26.55297507, 0.175461512];
F[101]=[-1.074500927, 26.82558904, 0.176568284];
F[102]=[-1.061151213, 27.1019295, 0.177673124];
F[103]=[-1.047847141, 27.38203422, 0.178774242];
F[104]=[-1.034620551, 27.66593402, 0.179869829];
F[105]=[-1.021502197, 27.9536524, 0.180958063];
F[106]=[-1.008521695, 28.24520531, 0.182037118];
F[107]=[-0.995707494, 28.54060085, 0.183105172];
F[108]=[-0.983086844, 28.83983907, 0.18416041];
F[109]=[-0.970685789, 29.14291171, 0.185201039];
F[110]=[-0.958529157, 29.44980208, 0.186225287];
F[111]=[-0.946640568, 29.76048479, 0.187231416];
F[112]=[-0.935042447, 30.0749257, 0.188217723];
F[113]=[-0.923756041, 30.39308176, 0.18918255];
F[114]=[-0.912801445, 30.71490093, 0.190124286];
F[115]=[-0.902197638, 31.0403221, 0.191041375];
F[116]=[-0.891962513, 31.36927506, 0.191932319];
F[117]=[-0.882112919, 31.7016805, 0.192795682];
F[118]=[-0.872664706, 32.03744999, 0.193630095];
F[119]=[-0.863632768, 32.37648607, 0.19443426];
F[120]=[-0.855031092, 32.71868225, 0.195206948];
F[121]=[-0.846872805, 33.06392318, 0.195947008];
F[122]=[-0.839170224, 33.4120847, 0.196653365];
F[123]=[-0.831934903, 33.76303402, 0.197325023];
F[124]=[-0.825177688, 34.1166299, 0.197961065];
F[125]=[-0.818908758, 34.47272283, 0.198560655];
F[126]=[-0.813137675, 34.83115524, 0.199123037];
F[127]=[-0.807873433, 35.19176177, 0.199647538];
F[128]=[-0.803122613, 35.55437176, 0.200133598];
F[129]=[-0.79889771, 35.91879976, 0.200580618];
F[130]=[-0.795203499, 36.28486194, 0.200988216];
F[131]=[-0.792047959, 36.65236365, 0.201356017];
F[132]=[-0.789435274, 37.02110818, 0.201683791];
F[133]=[-0.787374433, 37.39088668, 0.201971282];
F[134]=[-0.785870695, 37.76148905, 0.202218375];
F[135]=[-0.784929893, 38.1326991, 0.202425006];
F[136]=[-0.784557605, 38.50429603, 0.202591183];
F[137]=[-0.78475917, 38.87605489, 0.20271698];
F[138]=[-0.785539703, 39.24774707, 0.202802535];
F[139]=[-0.786904102, 39.61914076, 0.202848049];
F[140]=[-0.788858208, 39.98999994, 0.202853758];
F[141]=[-0.791403051, 40.36009244, 0.202820053];
F[142]=[-0.794546352, 40.72917544, 0.202747236];
F[143]=[-0.79829102, 41.09701099, 0.202635758];
F[144]=[-0.802640891, 41.46335907, 0.202486098];
F[145]=[-0.807599577, 41.82797963, 0.202298783];
F[146]=[-0.813170461, 42.19063313, 0.202074385];
F[147]=[-0.819356692, 42.55108107, 0.201813521];
F[148]=[-0.826161176, 42.90908653, 0.201516851];
F[149]=[-0.833586038, 43.2644155, 0.201185082];
F[150]=[-0.841634949, 43.61683402, 0.200818928];
F[151]=[-0.850307441, 43.9661169, 0.200419208];
F[152]=[-0.859607525, 44.31203579, 0.199986681];
F[153]=[-0.869534339, 44.65437319, 0.199522233];
F[154]=[-0.880088651, 44.99291356, 0.199026736];
F[155]=[-0.891270585, 45.32744704, 0.198501096];
F[156]=[-0.903079458, 45.65777013, 0.197946255];
F[157]=[-0.915513542, 45.98368656, 0.197363191];
F[158]=[-0.928569454, 46.30500858, 0.196752931];
F[159]=[-0.942245864, 46.62155183, 0.196116472];
F[160]=[-0.956537923, 46.93314404, 0.19545489];
F[161]=[-0.971440492, 47.23962058, 0.194769279];
F[162]=[-0.986947308, 47.54082604, 0.194060758];
F[163]=[-1.003050887, 47.83661466, 0.193330477];
F[164]=[-1.019742425, 48.12685082, 0.192579614];
F[165]=[-1.037011698, 48.41140938, 0.191809374];
F[166]=[-1.054846957, 48.69017613, 0.191020995];
F[167]=[-1.073234825, 48.9630481, 0.190215739];
F[168]=[-1.092160195, 49.22993391, 0.189394901];
F[169]=[-1.111606122, 49.49075409, 0.188559804];
F[170]=[-1.131553723, 49.74544132, 0.187711798];
F[171]=[-1.151982079, 49.99394068, 0.186852266];
F[172]=[-1.172868141, 50.23620985, 0.185982617];
F[173]=[-1.19418462, 50.47222213, 0.185104331];
F[174]=[-1.215907492, 50.70195581, 0.184218803];
F[175]=[-1.238005268, 50.92540942, 0.183327556];
F[176]=[-1.260445591, 51.14259229, 0.182432113];
F[177]=[-1.283193626, 51.3535268, 0.181534018];
F[178]=[-1.306212032, 51.55824831, 0.180634839];
F[179]=[-1.329460945, 51.75680513, 0.179736168];
F[180]=[-1.35289798, 51.94925841, 0.178839614];
F[181]=[-1.376478254, 52.13568193, 0.177946804];
F[182]=[-1.400154426, 52.31616197, 0.177059379];
F[183]=[-1.423876772, 52.49079703, 0.17617899];
F[184]=[-1.447593267, 52.65969757, 0.175307296];
F[185]=[-1.471249702, 52.82298572, 0.174445958];
F[186]=[-1.494789826, 52.9807949, 0.173596636];
F[187]=[-1.518155513, 53.13326946, 0.172760982];
F[188]=[-1.541286949, 53.28056425, 0.17194064];
F[189]=[-1.564122852, 53.42284417, 0.171137232];
F[190]=[-1.586600712, 53.5602837, 0.170352363];
F[191]=[-1.608657054, 53.69306637, 0.169587605];
F[192]=[-1.630227728, 53.82138422, 0.168844497];
F[193]=[-1.651248208, 53.94543725, 0.168124538];
F[194]=[-1.67165392, 54.06543278, 0.167429179];
F[195]=[-1.691380583, 54.18158486, 0.166759816];
F[196]=[-1.710364557, 54.29411356, 0.166117788];
F[197]=[-1.728543207, 54.40324431, 0.165504365];
F[198]=[-1.745855274, 54.50920717, 0.164920747];
F[199]=[-1.762241248, 54.61223603, 0.164368054];
F[200]=[-1.777643747, 54.71256787, 0.16384732];
F[201]=[-1.792007891, 54.81044184, 0.163359491];
F[202]=[-1.805281675, 54.90609842, 0.162905415];
F[203]=[-1.817416335, 54.99977846, 0.162485839];
F[204]=[-1.828366707, 55.09172217, 0.162101402];
F[205]=[-1.838091576, 55.18216811, 0.161752634];
F[206]=[-1.846554015, 55.271352, 0.161439944];
F[207]=[-1.853721704, 55.35950558, 0.161163623];
F[208]=[-1.859567242, 55.44685531, 0.160923833];
F[209]=[-1.864068443, 55.53362107, 0.160720609];
F[210]=[-1.86720861, 55.62001464, 0.16055385];
F[211]=[-1.8689768, 55.70623826, 0.160423319];
F[212]=[-1.869371157, 55.79247939, 0.160328578];
F[213]=[-1.868386498, 55.87892356, 0.160269232];
F[214]=[-1.866033924, 55.96573022, 0.160244549];
F[215]=[-1.862327775, 56.05304601, 0.160253714];
F[216]=[-1.857289195, 56.14099882, 0.160295765];
F[217]=[-1.850946286, 56.22969564, 0.16036959];
F[218]=[-1.84333425, 56.3192203, 0.16047393];
F[219]=[-1.834495505, 56.40963105, 0.160607377];
F[220]=[-1.824479785, 56.50095811, 0.16076838];
F[221]=[-1.813344222, 56.59320107, 0.160955249];
F[222]=[-1.801153404, 56.68632619, 0.161166157];
F[223]=[-1.787979408, 56.78026364, 0.161399151];
F[224]=[-1.773901816, 56.87490465, 0.161652158];
F[225]=[-1.759007704, 56.97009856, 0.161922998];
F[226]=[-1.743391606, 57.06564989, 0.162209399];
F[227]=[-1.72715546, 57.16131528, 0.162509006];
F[228]=[-1.710410733, 57.25679821, 0.162819353];
F[229]=[-1.693267093, 57.35175792, 0.163138124];
F[230]=[-1.67585442, 57.44578172, 0.163462715];
F[231]=[-1.658302847, 57.53840429, 0.163790683];
F[232]=[-1.640747464, 57.62910094, 0.164119574];
F[233]=[-1.623332891, 57.7172758, 0.164446997];
F[234]=[-1.606209374, 57.80226553, 0.164770638];
F[235]=[-1.589533346, 57.88333502, 0.165088289];
F[236]=[-1.573467222, 57.95967458, 0.165397881];
F[237]=[-1.558179166, 58.0303973, 0.165697507];
F[238]=[-1.543846192, 58.09453209, 0.165985386];
F[239]=[-1.530642461, 58.15103575, 0.166260109];
F[240]=[-1.518754013, 58.1987714, 0.16652037];
F[241]=[-1.51336185, 58.21897289, 0.166644749];

if (MF=="F")
   {
     
    result=resultStr(F[agemo],KILOS);

   }
else
   {
     
    result=resultStr(M[agemo],KILOS); //If MF is not specified, assumes M
   }   


return result;



}

function HEIGHTAGE(MF, AGEMO, KILOS, CM)
{

var agemo=parseInt(AGEMO)+1;

var M = new Array();
var F = new Array();
//from NCHS 2000, STATAGE with O.5 added to age in months, except for the first (24)


M[24]=[0.941523967, 86.45220101, 0.040321528];
M[25]=[1.00720807, 86.86160934, 0.040395626];
M[26]=[0.837251351, 87.65247282, 0.040577525];
M[27]=[0.681492975, 88.42326434, 0.040723122];
M[28]=[0.538779654, 89.17549228, 0.040833194];
M[29]=[0.407697153, 89.91040853, 0.040909059];
M[30]=[0.286762453, 90.62907762, 0.040952433];
M[31]=[0.174489485, 91.33242379, 0.04096533];
M[32]=[0.069444521, 92.02127167, 0.040949976];
M[33]=[-0.029720564, 92.69637946, 0.040908737];
M[34]=[-0.124251789, 93.35846546, 0.040844062];
M[35]=[-0.215288396, 94.00822923, 0.040758431];
M[36]=[-0.30385434, 94.64636981, 0.040654312];
M[37]=[-0.390918369, 95.27359106, 0.04053412];
M[38]=[-0.254801167, 95.91474929, 0.040572876];
M[39]=[-0.125654535, 96.54734328, 0.04061691];
M[40]=[-0.00316735, 97.17191309, 0.040666414];
M[41]=[0.11291221, 97.78897727, 0.040721467];
M[42]=[0.222754969, 98.3990283, 0.040782045];
M[43]=[0.326530126, 99.00254338, 0.040848042];
M[44]=[0.42436156, 99.599977, 0.040919281];
M[45]=[0.516353108, 100.191764, 0.040995524];
M[46]=[0.602595306, 100.7783198, 0.041076485];
M[47]=[0.683170764, 101.3600411, 0.041161838];
M[48]=[0.758158406, 101.9373058, 0.041251224];
M[49]=[0.827636736, 102.5104735, 0.041344257];
M[50]=[0.891686306, 103.0798852, 0.041440534];
M[51]=[0.95039153, 103.645864, 0.041539635];
M[52]=[1.003830006, 104.208713, 0.041641136];
M[53]=[1.05213569, 104.7687256, 0.041744602];
M[54]=[1.0953669, 105.3261638, 0.041849607];
M[55]=[1.133652119, 105.8812823, 0.041955723];
M[56]=[1.167104213, 106.4343146, 0.042062532];
M[57]=[1.195845353, 106.9854769, 0.042169628];
M[58]=[1.220004233, 107.534968, 0.042276619];
M[59]=[1.239715856, 108.0829695, 0.042383129];
M[60]=[1.255121285, 108.6296457, 0.042488804];
M[61]=[1.266367398, 109.1751441, 0.042593311];
M[62]=[1.273606657, 109.7195954, 0.042696342];
M[63]=[1.276996893, 110.2631136, 0.042797615];
M[64]=[1.276701119, 110.8057967, 0.042896877];
M[65]=[1.272887366, 111.3477265, 0.042993904];
M[66]=[1.265728536, 111.8889694, 0.043088503];
M[67]=[1.255402281, 112.4295761, 0.043180513];
M[68]=[1.242090871, 112.9695827, 0.043269806];
M[69]=[1.225981067, 113.5090108, 0.043356287];
M[70]=[1.207263978, 114.0478678, 0.043439893];
M[71]=[1.186140222, 114.5861486, 0.043520597];
M[72]=[1.162796198, 115.1238315, 0.043598407];
M[73]=[1.137442868, 115.6608862, 0.043673359];
M[74]=[1.110286487, 116.1972691, 0.043745523];
M[75]=[1.081536236, 116.732925, 0.043815003];
M[76]=[1.05140374, 117.2677879, 0.043881929];
M[77]=[1.020102497, 117.8017819, 0.043946461];
M[78]=[0.987847213, 118.3348215, 0.044008785];
M[79]=[0.954853043, 118.8668123, 0.044069112];
M[80]=[0.921334742, 119.397652, 0.044127675];
M[81]=[0.887505723, 119.9272309, 0.044184725];
M[82]=[0.85357703, 120.455433, 0.044240532];
M[83]=[0.819756239, 120.9821362, 0.044295379];
M[84]=[0.786246296, 121.5072136, 0.044349559];
M[85]=[0.753244292, 122.0305342, 0.044403374];
M[86]=[0.720940222, 122.5519634, 0.04445713];
M[87]=[0.689515708, 123.0713645, 0.044511135];
M[88]=[0.659142731, 123.588599, 0.044565693];
M[89]=[0.629997853, 124.1035312, 0.044621104];
M[90]=[0.602203984, 124.6160161, 0.044677662];
M[91]=[0.575908038, 125.1259182, 0.044735646];
M[92]=[0.55123134, 125.6331012, 0.044795322];
M[93]=[0.528279901, 126.1374319, 0.044856941];
M[94]=[0.507143576, 126.6387804, 0.04492073];
M[95]=[0.487895344, 127.1370217, 0.044986899];
M[96]=[0.470590753, 127.6320362, 0.045055632];
M[97]=[0.455267507, 128.1237104, 0.045127088];
M[98]=[0.441945241, 128.6119383, 0.045201399];
M[99]=[0.430625458, 129.096622, 0.045278671];
M[100]=[0.421291648, 129.5776723, 0.045358979];
M[101]=[0.413909588, 130.0550101, 0.045442372];
M[102]=[0.408427813, 130.5285669, 0.045528869];
M[103]=[0.404778262, 130.9982857, 0.045618459];
M[104]=[0.402877077, 131.4641218, 0.045711105];
M[105]=[0.402625561, 131.9260439, 0.045806742];
M[106]=[0.40391127, 132.3840348, 0.045905281];
M[107]=[0.406609232, 132.838092, 0.046006604];
M[108]=[0.410583274, 133.2882291, 0.046110573];
M[109]=[0.415687443, 133.7344759, 0.046217028];
M[110]=[0.421767514, 134.1768801, 0.04632579];
M[111]=[0.428662551, 134.6155076, 0.046436662];
M[112]=[0.436206531, 135.0504433, 0.04654943];
M[113]=[0.44423, 135.4817925, 0.046663871];
M[114]=[0.45256176, 135.9096813, 0.046779748];
M[115]=[0.461030578, 136.3342577, 0.046896817];
M[116]=[0.469466904, 136.7556923, 0.047014827];
M[117]=[0.477704608, 137.1741794, 0.047133525];
M[118]=[0.48558272, 137.5899378, 0.047252654];
M[119]=[0.492947182, 138.0032114, 0.047371961];
M[120]=[0.499652617, 138.4142703, 0.047491194];
M[121]=[0.505564115, 138.8234114, 0.047610108];
M[122]=[0.510559047, 139.2309592, 0.047728463];
M[123]=[0.514528903, 139.6372663, 0.04784603];
M[124]=[0.517381177, 140.042714, 0.047962592];
M[125]=[0.519041285, 140.4477127, 0.048077942];
M[126]=[0.519454524, 140.8527022, 0.048191889];
M[127]=[0.518588072, 141.2581515, 0.048304259];
M[128]=[0.516433004, 141.6645592, 0.048414893];
M[129]=[0.513006312, 142.072452, 0.048523648];
M[130]=[0.508352901, 142.4823852, 0.048630402];
M[131]=[0.502547502, 142.8949403, 0.04873505];
M[132]=[0.495696454, 143.3107241, 0.048837504];
M[133]=[0.487939275, 143.7303663, 0.048937694];
M[134]=[0.479449924, 144.1545167, 0.049035564];
M[135]=[0.470437652, 144.5838414, 0.049131073];
M[136]=[0.461147305, 145.0190192, 0.049224189];
M[137]=[0.451858946, 145.4607359, 0.049314887];
M[138]=[0.442886661, 145.9096784, 0.049403145];
M[139]=[0.434576385, 146.3665278, 0.049488934];
M[140]=[0.427302633, 146.8319513, 0.049572216];
M[141]=[0.421464027, 147.3065929, 0.049652935];
M[142]=[0.417477538, 147.7910635, 0.049731004];
M[143]=[0.415771438, 148.2859294, 0.0498063];
M[144]=[0.416777012, 148.7917006, 0.04987865];
M[145]=[0.420919142, 149.3088178, 0.049947823];
M[146]=[0.428606007, 149.8376391, 0.050013518];
M[147]=[0.440218167, 150.3784267, 0.050075353];
M[148]=[0.456097443, 150.9313331, 0.050132858];
M[149]=[0.476536014, 151.4963887, 0.050185471];
M[150]=[0.501766234, 152.0734897, 0.050232532];
M[151]=[0.531951655, 152.6623878, 0.050273285];
M[152]=[0.567179725, 153.2626819, 0.050306885];
M[153]=[0.607456565, 153.8738124, 0.050332406];
M[154]=[0.652704121, 154.495058, 0.05034886];
M[155]=[0.702759868, 155.1255365, 0.050355216];
M[156]=[0.757379106, 155.7642086, 0.050350423];
M[157]=[0.816239713, 156.4098858, 0.050333444];
M[158]=[0.878947416, 157.0612415, 0.050303283];
M[159]=[0.945053486, 157.7168289, 0.050259018];
M[160]=[1.014046108, 158.3750929, 0.050199837];
M[161]=[1.085383319, 159.034399, 0.050125062];
M[162]=[1.158487278, 159.6930501, 0.05003418];
M[163]=[1.232768816, 160.3493168, 0.049926861];
M[164]=[1.307628899, 161.0014586, 0.049802977];
M[165]=[1.382473225, 161.6477515, 0.04966261];
M[166]=[1.456720479, 162.2865119, 0.049506051];
M[167]=[1.529810247, 162.9161202, 0.049333801];
M[168]=[1.601219573, 163.535045, 0.049146553];
M[169]=[1.670433444, 164.1418486, 0.04894519];
M[170]=[1.736995571, 164.7352199, 0.048730749];
M[171]=[1.800483802, 165.3139755, 0.048504404];
M[172]=[1.860518777, 165.8770715, 0.048267442];
M[173]=[1.916765525, 166.4236087, 0.04802123];
M[174]=[1.968934444, 166.9528354, 0.047767192];
M[175]=[2.016781776, 167.4641466, 0.047506783];
M[176]=[2.060109658, 167.9570814, 0.047241456];
M[177]=[2.098765817, 168.4313175, 0.04697265];
M[178]=[2.132642948, 168.8866644, 0.046701759];
M[179]=[2.16167779, 169.3230548, 0.046430122];
M[180]=[2.185849904, 169.7405351, 0.046159004];
M[181]=[2.205180153, 170.139255, 0.045889585];
M[182]=[2.219728869, 170.5194567, 0.045622955];
M[183]=[2.2295937, 170.881464, 0.045360101];
M[184]=[2.234907144, 171.2256717, 0.045101913];
M[185]=[2.235833767, 171.5525345, 0.044849174];
M[186]=[2.232567138, 171.8625576, 0.044602566];
M[187]=[2.2253265, 172.1562865, 0.044362674];
M[188]=[2.214353232, 172.4342983, 0.044129985];
M[189]=[2.199905902, 172.6971935, 0.043904897];
M[190]=[2.182262864, 172.9455898, 0.043687723];
M[191]=[2.161704969, 173.180112, 0.043478698];
M[192]=[2.138524662, 173.4013896, 0.043277987];
M[193]=[2.113023423, 173.6100518, 0.043085685];
M[194]=[2.085490286, 173.8067179, 0.042901835];
M[195]=[2.0562195, 173.9919998, 0.042726424];
M[196]=[2.025496648, 174.1664951, 0.042559396];
M[197]=[1.993598182, 174.3307855, 0.042400652];
M[198]=[1.960789092, 174.4854344, 0.042250063];
M[199]=[1.927320937, 174.6309856, 0.042107465];
M[200]=[1.89343024, 174.7679617, 0.041972676];
M[201]=[1.859337259, 174.8968634, 0.041845488];
M[202]=[1.825245107, 175.0181691, 0.041725679];
M[203]=[1.791339209, 175.1323345, 0.041613015];
M[204]=[1.757787065, 175.2397926, 0.041507249];
M[205]=[1.724738292, 175.340954, 0.041408129];
M[206]=[1.692324905, 175.4362071, 0.041315398];
M[207]=[1.660661815, 175.5259191, 0.041228796];
M[208]=[1.629847495, 175.6104358, 0.04114806];
M[209]=[1.599964788, 175.690083, 0.041072931];
M[210]=[1.571081817, 175.7651671, 0.04100315];
M[211]=[1.543252982, 175.8359757, 0.040938463];
M[212]=[1.516519998, 175.9027788, 0.040878617];
M[213]=[1.490912963, 175.9658293, 0.040823368];
M[214]=[1.466451429, 176.0253641, 0.040772475];
M[215]=[1.44314546, 176.081605, 0.040725706];
M[216]=[1.420996665, 176.1347593, 0.040682834];
M[217]=[1.399999187, 176.1850208, 0.04064364];
M[218]=[1.380140651, 176.2325707, 0.040607913];
M[219]=[1.361403047, 176.2775781, 0.040575448];
M[220]=[1.343763564, 176.3202008, 0.040546051];
M[221]=[1.327195355, 176.3605864, 0.040519532];
M[222]=[1.311668242, 176.3988725, 0.040495713];
M[223]=[1.297149359, 176.4351874, 0.040474421];
M[224]=[1.283603728, 176.469651, 0.040455493];
M[225]=[1.270994782, 176.5023751, 0.040438773];
M[226]=[1.25928483, 176.533464, 0.040424111];
M[227]=[1.248435461, 176.5630153, 0.040411366];
M[228]=[1.23840791, 176.5911197, 0.040400405];
M[229]=[1.229163362, 176.6178621, 0.040391101];
M[230]=[1.220663228, 176.6433219, 0.040383334];
M[231]=[1.212869374, 176.6675729, 0.04037699];
M[232]=[1.20574431, 176.6906844, 0.040371962];
M[233]=[1.199251356, 176.712721, 0.040368149];
M[234]=[1.19335477, 176.733743, 0.040365456];
M[235]=[1.188019859, 176.753807, 0.040363795];
M[236]=[1.183213059, 176.7729657, 0.04036308];
M[237]=[1.178901998, 176.7912687, 0.040363233];
M[238]=[1.175055543, 176.8087622, 0.040364179];
M[239]=[1.171643828, 176.8254895, 0.04036585];
M[240]=[1.16863827, 176.8414914, 0.04036818];
M[241]=[1.167279219, 176.8492322, 0.040369574];
F[24]=[1.07244896, 84.97555512, 0.040791394];
F[25]=[1.051272912, 85.3973169, 0.040859727];
F[26]=[1.041951175, 86.29026318, 0.041142161];
F[27]=[1.012592236, 87.15714182, 0.041349399];
F[28]=[0.970541909, 87.9960184, 0.041500428];
F[29]=[0.921129988, 88.8055115, 0.041610508];
F[30]=[0.868221392, 89.58476689, 0.041691761];
F[31]=[0.81454413, 90.33341722, 0.04175368];
F[32]=[0.761957977, 91.0515436, 0.041803562];
F[33]=[0.711660228, 91.7396352, 0.041846882];
F[34]=[0.664323379, 92.39854429, 0.041887626];
F[35]=[0.620285102, 93.02945392, 0.041928568];
F[36]=[0.57955631, 93.63382278, 0.041971514];
F[37]=[0.54198094, 94.21335709, 0.042017509];
F[38]=[0.511429832, 94.79643239, 0.042104522];
F[39]=[0.482799937, 95.37391918, 0.042199507];
F[40]=[0.455521041, 95.94692677, 0.042300333];
F[41]=[0.429150288, 96.51644912, 0.042405225];
F[42]=[0.403351725, 97.08337211, 0.042512706];
F[43]=[0.377878239, 97.6484807, 0.042621565];
F[44]=[0.352555862, 98.21246579, 0.042730809];
F[45]=[0.327270297, 98.77593069, 0.042839638];
F[46]=[0.301955463, 99.33939735, 0.042947412];
F[47]=[0.276583851, 99.9033122, 0.043053626];
F[48]=[0.251158446, 100.4680516, 0.043157889];
F[49]=[0.225705996, 101.033927, 0.043259907];
F[50]=[0.20027145, 101.6011898, 0.043359463];
F[51]=[0.174913356, 102.1700358, 0.043456406];
F[52]=[0.149700081, 102.7406094, 0.043550638];
F[53]=[0.12470671, 103.3130077, 0.043642107];
F[54]=[0.100012514, 103.8872839, 0.043730791];
F[55]=[0.075698881, 104.4634511, 0.043816701];
F[56]=[0.051847635, 105.0414853, 0.043899867];
F[57]=[0.02853967, 105.6213287, 0.043980337];
F[58]=[0.005853853, 106.2028921, 0.044058171];
F[59]=[-0.016133871, 106.7860583, 0.04413344];
F[60]=[-0.037351181, 107.3706841, 0.044206218];
F[61]=[-0.057729947, 107.9566031, 0.044276588];
F[62]=[-0.077206672, 108.5436278, 0.044344632];
F[63]=[-0.09572283, 109.1315521, 0.044410436];
F[64]=[-0.113225128, 109.7201531, 0.044474084];
F[65]=[-0.129665689, 110.3091934, 0.044535662];
F[66]=[-0.145002179, 110.8984228, 0.044595254];
F[67]=[-0.159197885, 111.4875806, 0.044652942];
F[68]=[-0.172221748, 112.0763967, 0.044708809];
F[69]=[-0.184048358, 112.6645943, 0.044762936];
F[70]=[-0.194660215, 113.2518902, 0.044815402];
F[71]=[-0.204030559, 113.8380006, 0.044866288];
F[72]=[-0.212174408, 114.4226317, 0.044915672];
F[73]=[-0.219069129, 115.0054978, 0.044963636];
F[74]=[-0.224722166, 115.5863089, 0.045010259];
F[75]=[-0.229140412, 116.1647782, 0.045055624];
F[76]=[-0.232335686, 116.7406221, 0.045099817];
F[77]=[-0.234324563, 117.3135622, 0.045142924];
F[78]=[-0.235128195, 117.8833259, 0.045185036];
F[79]=[-0.234772114, 118.4496481, 0.045226249];
F[80]=[-0.233286033, 119.0122722, 0.045266662];
F[81]=[-0.230703633, 119.5709513, 0.045306383];
F[82]=[-0.227062344, 120.1254495, 0.045345524];
F[83]=[-0.222403111, 120.6755427, 0.045384203];
F[84]=[-0.216770161, 121.22102, 0.045422551];
F[85]=[-0.210210748, 121.7616844, 0.045460702];
F[86]=[-0.202774891, 122.2973542, 0.045498803];
F[87]=[-0.194515104, 122.827864, 0.045537012];
F[88]=[-0.185486099, 123.3530652, 0.045575495];
F[89]=[-0.175744476, 123.8728276, 0.045614432];
F[90]=[-0.165348396, 124.38704, 0.045654016];
F[91]=[-0.15435722, 124.8956114, 0.04569445];
F[92]=[-0.142831123, 125.398472, 0.045735953];
F[93]=[-0.130830669, 125.895574, 0.045778759];
F[94]=[-0.118416354, 126.3868929, 0.045823114];
F[95]=[-0.105648092, 126.8724284, 0.04586928];
F[96]=[-0.092584657, 127.3522056, 0.045917535];
F[97]=[-0.079283065, 127.8262759, 0.045968169];
F[98]=[-0.065797888, 128.2947187, 0.04602149];
F[99]=[-0.0521805, 128.757642, 0.046077818];
F[100]=[-0.03847825, 129.2151839, 0.046137487];
F[101]=[-0.024733545, 129.6675143, 0.046200842];
F[102]=[-0.010982868, 130.1148354, 0.04626824];
F[103]=[0.002744306, 130.5573839, 0.046340046];
F[104]=[0.016426655, 130.995432, 0.046416629];
F[105]=[0.030052231, 131.4292887, 0.046498361];
F[106]=[0.043619747, 131.8593015, 0.046585611];
F[107]=[0.05713988, 132.2858574, 0.046678741];
F[108]=[0.070636605, 132.7093845, 0.046778099];
F[109]=[0.08414848, 133.1303527, 0.04688401];
F[110]=[0.097729873, 133.5492749, 0.046996769];
F[111]=[0.111452039, 133.9667073, 0.047116633];
F[112]=[0.125404005, 134.3832499, 0.047243801];
F[113]=[0.13969316, 134.7995463, 0.047378413];
F[114]=[0.154445482, 135.2162826, 0.047520521];
F[115]=[0.169805275, 135.634186, 0.047670085];
F[116]=[0.185934346, 136.0540223, 0.047826946];
F[117]=[0.203010488, 136.4765925, 0.04799081];
F[118]=[0.2212252, 136.9027281, 0.048161228];
F[119]=[0.240780542, 137.3332846, 0.04833757];
F[120]=[0.261885086, 137.7691339, 0.048519011];
F[121]=[0.284748919, 138.2111552, 0.048704503];
F[122]=[0.309577733, 138.6602228, 0.048892759];
F[123]=[0.336566048, 139.1171933, 0.049082239];
F[124]=[0.365889711, 139.5828898, 0.049271137];
F[125]=[0.397699038, 140.0580848, 0.049457371];
F[126]=[0.432104409, 140.5434787, 0.049638596];
F[127]=[0.46917993, 141.0396832, 0.049812203];
F[128]=[0.508943272, 141.5471945, 0.049975355];
F[129]=[0.551354277, 142.0663731, 0.050125012];
F[130]=[0.596307363, 142.59742, 0.050257992];
F[131]=[0.643626542, 143.1403553, 0.050371024];
F[132]=[0.693062173, 143.6949981, 0.050460835];
F[133]=[0.744289752, 144.2609497, 0.050524236];
F[134]=[0.79691098, 144.8375809, 0.050558224];
F[135]=[0.85045728, 145.4240246, 0.050560083];
F[136]=[0.904395871, 146.0191748, 0.050527494];
F[137]=[0.958138449, 146.621692, 0.050458634];
F[138]=[1.011054559, 147.2300177, 0.050352269];
F[139]=[1.062474568, 147.8423918, 0.050207825];
F[140]=[1.111727029, 148.4568879, 0.050025434];
F[141]=[1.158135105, 149.0714413, 0.049805967];
F[142]=[1.201050821, 149.6838943, 0.049551023];
F[143]=[1.239852328, 150.2920328, 0.049262895];
F[144]=[1.274006058, 150.8936469, 0.048944504];
F[145]=[1.303044695, 151.4865636, 0.048599314];
F[146]=[1.326605954, 152.0686985, 0.048231224];
F[147]=[1.344443447, 152.6380955, 0.047844442];
F[148]=[1.356437773, 153.1929631, 0.047443362];
F[149]=[1.362602695, 153.7317031, 0.04703243];
F[150]=[1.363085725, 154.2529332, 0.046616026];
F[151]=[1.358162799, 154.755501, 0.046198356];
F[152]=[1.348227142, 155.2384904, 0.04578335];
F[153]=[1.333772923, 155.7012216, 0.045374597];
F[154]=[1.315374704, 156.1432438, 0.044975281];
F[155]=[1.293664024, 156.564323, 0.044588148];
F[156]=[1.269304678, 156.9644258, 0.044215488];
F[157]=[1.242968236, 157.3436995, 0.043859135];
F[158]=[1.21531127, 157.7024507, 0.04352048];
F[159]=[1.186955477, 158.0411233, 0.043200497];
F[160]=[1.158471522, 158.3602756, 0.042899776];
F[161]=[1.130367088, 158.6605588, 0.042618565];
F[162]=[1.103079209, 158.9426964, 0.042356812];
F[163]=[1.076970655, 159.2074654, 0.042114211];
F[164]=[1.052329922, 159.455679, 0.041890247];
F[165]=[1.029374161, 159.688172, 0.04168424];
F[166]=[1.008254396, 159.9057871, 0.041495379];
F[167]=[0.989062282, 160.1093647, 0.041322765];
F[168]=[0.971837799, 160.299733, 0.041165437];
F[169]=[0.95657215, 160.4776996, 0.041022401];
F[170]=[0.94324228, 160.6440526, 0.040892651];
F[171]=[0.931767062, 160.7995428, 0.040775193];
F[172]=[0.922058291, 160.9448916, 0.040669052];
F[173]=[0.914012643, 161.0807857, 0.040573288];
F[174]=[0.907516917, 161.2078755, 0.040487005];
F[175]=[0.902452436, 161.3267744, 0.040409354];
F[176]=[0.898698641, 161.4380593, 0.040339537];
F[177]=[0.896143482, 161.5422726, 0.040276811];
F[178]=[0.894659668, 161.639917, 0.040220488];
F[179]=[0.89413892, 161.7314645, 0.040169932];
F[180]=[0.894475371, 161.8173534, 0.040124562];
F[181]=[0.895569834, 161.8979913, 0.040083845];
F[182]=[0.897330209, 161.9737558, 0.040047295];
F[183]=[0.899671635, 162.0449969, 0.040014473];
F[184]=[0.902516442, 162.1120386, 0.03998498];
F[185]=[0.905793969, 162.17518, 0.039958458];
F[186]=[0.909440266, 162.2346979, 0.039934584];
F[187]=[0.913397733, 162.2908474, 0.039913066];
F[188]=[0.91761471, 162.343864, 0.039893644];
F[189]=[0.922045055, 162.3939652, 0.039876087];
F[190]=[0.926647697, 162.4413513, 0.039860185];
F[191]=[0.931386217, 162.4862071, 0.039845754];
F[192]=[0.93622842, 162.5287029, 0.039832629];
F[193]=[0.941145943, 162.5689958, 0.039820663];
F[194]=[0.94611388, 162.6072309, 0.039809725];
F[195]=[0.95111043, 162.6435418, 0.0397997];
F[196]=[0.956116576, 162.6780519, 0.039790485];
F[197]=[0.961115792, 162.7108751, 0.039781991];
F[198]=[0.966093766, 162.7421168, 0.039774136];
F[199]=[0.971038162, 162.7718741, 0.03976685];
F[200]=[0.975938391, 162.8002371, 0.03976007];
F[201]=[0.980785418, 162.8272889, 0.039753741];
F[202]=[0.985571579, 162.8531067, 0.039747815];
F[203]=[0.99029042, 162.8777619, 0.039742249];
F[204]=[0.994936555, 162.9013208, 0.039737004];
F[205]=[0.999505539, 162.9238449, 0.039732048];
F[206]=[1.003993753, 162.9453912, 0.039727352];
F[207]=[1.0083983, 162.9660131, 0.03972289];
F[208]=[1.012716921, 162.9857599, 0.03971864];
F[209]=[1.016947912, 163.0046776, 0.039714581];
F[210]=[1.021090055, 163.0228094, 0.039710697];
F[211]=[1.025142554, 163.0401953, 0.039706971];
F[212]=[1.029104983, 163.0568727, 0.039703391];
F[213]=[1.032977233, 163.0728768, 0.039699945];
F[214]=[1.036759475, 163.0882404, 0.039696623];
F[215]=[1.040452117, 163.1029943, 0.039693415];
F[216]=[1.044055774, 163.1171673, 0.039690313];
F[217]=[1.047571238, 163.1307866, 0.039687311];
F[218]=[1.050999451, 163.1438776, 0.039684402];
F[219]=[1.054341482, 163.1564644, 0.039681581];
F[220]=[1.057598512, 163.1685697, 0.039678842];
F[221]=[1.060771808, 163.1802146, 0.039676182];
F[222]=[1.063862715, 163.1914194, 0.039673596];
F[223]=[1.066872639, 163.202203, 0.039671082];
F[224]=[1.069803036, 163.2125835, 0.039668635];
F[225]=[1.072655401, 163.2225779, 0.039666254];
F[226]=[1.075431258, 163.2322024, 0.039663936];
F[227]=[1.078132156, 163.2414722, 0.039661679];
F[228]=[1.080759655, 163.2504019, 0.039659481];
F[229]=[1.083315329, 163.2590052, 0.039657339];
F[230]=[1.085800751, 163.2672954, 0.039655252];
F[231]=[1.088217496, 163.2752848, 0.039653218];
F[232]=[1.090567133, 163.2829854, 0.039651237];
F[233]=[1.092851222, 163.2904086, 0.039649306];
F[234]=[1.095071313, 163.297565, 0.039647424];
F[235]=[1.097228939, 163.304465, 0.039645591];
F[236]=[1.099325619, 163.3111185, 0.039643804];
F[237]=[1.101362852, 163.3175349, 0.039642063];
F[238]=[1.103342119, 163.3237231, 0.039640367];
F[239]=[1.105264876, 163.3296918, 0.039638715];
F[240]=[1.107132561, 163.3354491, 0.039637105];
F[241]=[1.108046193, 163.338251, 0.039636316];


if (MF=="F")
   {
     
    result=resultStr(F[agemo],CM);

   }
else
   {
     
    result=resultStr(M[agemo],CM); //If MF is not specified, assumes M
   }   


return result;


}

function HEADAGE(MF, AGEMO, KILOS, HEADCM)
{
var agemo=AGEMO;
if ((agemo < 0.1) && (agemo > 0))
  {agemo=0}
else
  {agemo=parseInt(agemo)+1}
var M = new Array();
var F = new Array();
//From NCHS2000, HCAGEINF, with 0.5 added to each age except 0.

M[0]=[4.427825037, 35.81366835, 0.052172542];
M[1]=[4.310927464, 37.19361054, 0.047259148];
M[2]=[3.869576802, 39.20742929, 0.040947903];
M[3]=[3.305593039, 40.65233195, 0.037027722];
M[4]=[2.720590297, 41.76516959, 0.034364245];
M[5]=[2.16804824, 42.66116148, 0.032462175];
M[6]=[1.675465689, 43.40488731, 0.031064702];
M[7]=[1.255160322, 44.03609923, 0.03002267];
M[8]=[0.91054114, 44.58096912, 0.029242173];
M[9]=[0.639510474, 45.05761215, 0.028660454];
M[10]=[0.436978864, 45.4790756, 0.0282336];
M[11]=[0.296275856, 45.85505706, 0.027929764];
M[12]=[0.210107251, 46.19295427, 0.027725179];
M[13]=[0.171147024, 46.49853438, 0.027601686];
M[14]=[0.172393886, 46.77637684, 0.027545148];
M[15]=[0.207371541, 47.03017599, 0.027544382];
M[16]=[0.270226126, 47.2629533, 0.027590417];
M[17]=[0.355757274, 47.47720989, 0.02767598];
M[18]=[0.459407627, 47.67503833, 0.027795115];
M[19]=[0.577227615, 47.85820606, 0.0279429];
M[20]=[0.705826778, 48.02821867, 0.028115241];
M[21]=[0.842319055, 48.18636864, 0.028308707];
M[22]=[0.984266833, 48.3337732, 0.028520407];
M[23]=[1.129626698, 48.47140432, 0.028747896];
M[24]=[1.276691223, 48.60011223, 0.028989089];
M[25]=[1.424084853, 48.72064621, 0.029242207];
M[26]=[1.570621291, 48.83366629, 0.029505723];
M[27]=[1.715393998, 48.93976089, 0.029778323];
M[28]=[1.857652984, 49.03945383, 0.030058871];
M[29]=[1.996810563, 49.13321432, 0.030346384];
M[30]=[2.132411346, 49.22146409, 0.030640006];
M[31]=[2.264111009, 49.30458348, 0.030938992];
M[32]=[2.391658052, 49.38291658, 0.031242693];
M[33]=[2.514878222, 49.45677569, 0.031550537];
M[34]=[2.633661226, 49.526445, 0.031862026];
M[35]=[2.747949445, 49.59218385, 0.03217672];
M[36]=[2.857728375, 49.65422952, 0.032494231];
M[37]=[2.910932095, 49.68393611, 0.032653934];
F[0]=[-1.298749689, 34.7115617, 0.046905108];
F[1]=[-1.440271514, 36.03453876, 0.042999604];
F[2]=[-1.581016348, 37.97671987, 0.038067862];
F[3]=[-1.593136386, 39.3801263, 0.035079612];
F[4]=[-1.521492427, 40.46773733, 0.033096443];
F[5]=[-1.394565915, 41.34841008, 0.03170963];
F[6]=[-1.231713389, 42.0833507, 0.030709039];
F[7]=[-1.046582628, 42.71033603, 0.029974303];
F[8]=[-0.848932692, 43.25428882, 0.029430992];
F[9]=[-0.645779124, 43.73249646, 0.029030379];
F[10]=[-0.442165412, 44.15742837, 0.028739112];
F[11]=[-0.24163206, 44.53836794, 0.028533537];
F[12]=[-0.046673786, 44.88240562, 0.028396382];
F[13]=[0.141031094, 45.19507651, 0.028314722];
F[14]=[0.320403169, 45.48078147, 0.028278682];
F[15]=[0.490807133, 45.74307527, 0.028280585];
F[16]=[0.65193505, 45.98486901, 0.028314363];
F[17]=[0.803718086, 46.20857558, 0.028375159];
F[18]=[0.946259679, 46.41621635, 0.028459033];
F[19]=[1.079784984, 46.60950084, 0.028562759];
F[20]=[1.204602687, 46.78988722, 0.028683666];
F[21]=[1.321076285, 46.95862881, 0.028819525];
F[22]=[1.429602576, 47.11681039, 0.028968459];
F[23]=[1.530595677, 47.26537682, 0.029128879];
F[24]=[1.624475262, 47.40515585, 0.029299426];
F[25]=[1.71165803, 47.53687649, 0.029478937];
F[26]=[1.792551616, 47.66118396, 0.029666406];
F[27]=[1.867550375, 47.77865186, 0.02986096];
F[28]=[1.93703258, 47.8897923, 0.030061839];
F[29]=[2.001358669, 47.99506422, 0.030268375];
F[30]=[2.060870301, 48.09488048, 0.030479985];
F[31]=[2.115889982, 48.18961365, 0.03069615];
F[32]=[2.16672113, 48.2796011, 0.030916413];
F[33]=[2.21364844, 48.36514917, 0.031140368];
F[34]=[2.256943216, 48.44653703, 0.031367651];
F[35]=[2.296844024, 48.52401894, 0.031597939];
F[36]=[2.333589434, 48.59782828, 0.031830942];
F[37]=[2.350847202, 48.63342328, 0.031948378];


if (MF=="F")
   {
     
    result=resultStr(F[agemo],HEADCM);

   }
else
   {
     
    result=resultStr(M[agemo],HEADCM); //If MF is not specified, assumes M
   }   


return result;


}

