﻿//WHO zscore calculations
//

//function BSA(KILOS, CM)   returns Body Surface Area
//function BMI(KILOS, CM)   returns BodyMassIndex
//function zscore(statistic, sex, agedays, kg, cm, LorH, headcm, muac)
//Assumes recumbent "L"ength under 731 days (2 years) unless otherwise specified by "LorH" parameter.
//After 730 days, assumes standing "H"eight unless otherwise specified
//Head and arm statistics are not currently implemented

//Returns z-score for the following parameters, using the WHO 2006 reference tables for 1 to 1856 days (5 years)
//"WAZ_W06":     Weight-for-Age  "M" or "F" or 1 or 2,  1 to 1856 days, kg, cm, "L" or "H", Headcm, MUACcm
//"HAZ_W06"     Height-for-Age
//"WLZ_W06":    Weight-for-Length
//"WHZ_W06":     Weight-for-Height
//"BMIZ_W06":    BMI for Age



function Z_WHO(statistic, sex, agedays, kg, cm, headcm, muac)
{
//To avoid using eval, we use the switch statement
//998 means age out of range
//999 means statistic is not offered--check spelling
var mf=sex;

if ((sex==2) || (sex=="2") || (sex=="F") || (sex=="f"))
  {mf="F"}
else if ((sex==1) || (sex=="1") || (sex=="M") || (sex=="m"))
  {mf="M"}
else {mf="M"} //default to "M"


 if ((agedays<0)||(agedays>1856))
    {return 998}   
 var headmm=0;
   if (headcm>0) {headmm=headcm*10}
 var armmm=0;
   if (muac>0){armmm=muac*10}
 var staturemm = 0;
 staturemm=cm*10;
/*
   if (cm>0)
     {
       staturemm=cm*10
       if (((LorH=="L")||(LorH==1))&&(agedays>730))
          {
            staturemm=staturemm-7;
            //Toddler lying down, subtract 0.7 cm
          }
       else if  (((LorH=="H")||(LorH==2))&&(agedays<731))
          {
            staturemm=staturemm+7
            //Infant standing up, add 0.7 cm
          }
     }
 */


 switch(statistic.toUpperCase())
 {
 case "WAZ_W06":
  return WAZ_W06(mf,agedays,kg,staturemm);
 case "HAZ_W06":
  return HAZ_W06(mf,agedays,kg,staturemm);
 case "WLZ_W06":
  return WLZ_W06(mf,agedays,kg,staturemm);
 case "WHZ_W06":
   return WHZ_W06(mf,agedays,kg,staturemm);
 case "BMIZ_W06":
  return BMIZ_W06(mf,agedays,kg,staturemm);
 case "MUACZ_W06":
  return MUACZ_W06(mf,days,kg,staturemm,headmm,armmm);
 case "HEADZ_W06":
  return HEADZ_W06(mf,days,kg,staturemm,headmm,armmm);
 default:
  return -999;
  }
}


 /*
var bmicat=["(??)","(severely underweight)","(underweight)","(normal)","(overweight)","(obese class I)","(obese class II)", "(obese class III)"]

var langToUse = "EN"; //Default language.  Others right now are "ES"

function pt5Round(num)
{
 var fraction=Math.abs(num-parseInt(num));
 if ((fraction>=0.25) && (fraction<=0.75))
   {
     return parseInt(num)+0.5;
   }
 else
   {
     return Math.round(num);
   }
}
 */



//#region WHO 2006 Growth Standards Data



function WAZ_W06(MF, AGEDAYS, KILOS,MM)
{
var result;
var M = new Array();
var F = new Array();

//         From WAZLMS
//Wazlms.js  WHO]
//sex,agedays2,l,m,s]
M[0]=[.3487,3.3464,.14602]
M[1]=[.3127,3.3174,.14693]
M[2]=[.3029,3.337,.14676]
M[3]=[.2959,3.3627,.14647]
M[4]=[.2903,3.3915,.14611]
M[5]=[.2855,3.4223,.14571]
M[6]=[.2813,3.4545,.14528]
M[7]=[.2776,3.4879,.14483]
M[8]=[.2742,3.5222,.14436]
M[9]=[.2711,3.5576,.14388]
M[10]=[.2681,3.5941,.14339]
M[11]=[.2654,3.6319,.1429]
M[12]=[.2628,3.671,.14241]
M[13]=[.2604,3.7113,.14192]
M[14]=[.2581,3.7529,.14142]
M[15]=[.2558,3.7956,.14093]
M[16]=[.2537,3.8389,.14044]
M[17]=[.2517,3.8828,.13996]
M[18]=[.2497,3.927,.13948]
M[19]=[.2478,3.9714,.139]
M[20]=[.246,4.0158,.13853]
M[21]=[.2442,4.0603,.13807]
M[22]=[.2425,4.1046,.13761]
M[23]=[.2408,4.1489,.13715]
M[24]=[.2392,4.193,.1367]
M[25]=[.2376,4.2369,.13626]
M[26]=[.2361,4.2806,.13582]
M[27]=[.2346,4.324,.13539]
M[28]=[.2331,4.3671,.13497]
M[29]=[.2317,4.41,.13455]
M[30]=[.2303,4.4525,.13413]
M[31]=[.229,4.4946,.13372]
M[32]=[.2276,4.5363,.13332]
M[33]=[.2263,4.5776,.13292]
M[34]=[.225,4.6185,.13253]
M[35]=[.2237,4.659,.13215]
M[36]=[.2225,4.699,.13177]
M[37]=[.2213,4.7386,.13139]
M[38]=[.2201,4.7778,.13102]
M[39]=[.2189,4.8166,.13066]
M[40]=[.2178,4.8549,.1303]
M[41]=[.2166,4.8928,.12994]
M[42]=[.2155,4.9303,.1296]
M[43]=[.2144,4.9674,.12925]
M[44]=[.2133,5.0041,.12891]
M[45]=[.2122,5.0404,.12858]
M[46]=[.2112,5.0763,.12825]
M[47]=[.2101,5.1118,.12792]
M[48]=[.2091,5.1469,.1276]
M[49]=[.2081,5.1817,.12729]
M[50]=[.2071,5.2161,.12698]
M[51]=[.2061,5.2501,.12667]
M[52]=[.2052,5.2837,.12637]
M[53]=[.2042,5.3171,.12607]
M[54]=[.2032,5.35,.12577]
M[55]=[.2023,5.3826,.12548]
M[56]=[.2014,5.4149,.1252]
M[57]=[.2005,5.4468,.12491]
M[58]=[.1996,5.4784,.12463]
M[59]=[.1987,5.5097,.12436]
M[60]=[.1978,5.5407,.12409]
M[61]=[.1969,5.5714,.12382]
M[62]=[.196,5.6018,.12356]
M[63]=[.1952,5.6319,.1233]
M[64]=[.1943,5.6617,.12304]
M[65]=[.1935,5.6912,.12279]
M[66]=[.1926,5.7205,.12254]
M[67]=[.1918,5.7494,.12229]
M[68]=[.191,5.7781,.12205]
M[69]=[.1902,5.8065,.12181]
M[70]=[.1894,5.8346,.12157]
M[71]=[.1886,5.8625,.12134]
M[72]=[.1878,5.8901,.12111]
M[73]=[.187,5.9174,.12088]
M[74]=[.1863,5.9445,.12066]
M[75]=[.1855,5.9713,.12044]
M[76]=[.1847,5.9979,.12022]
M[77]=[.184,6.0242,.12001]
M[78]=[.1832,6.0503,.1198]
M[79]=[.1825,6.0762,.11959]
M[80]=[.1818,6.1018,.11939]
M[81]=[.181,6.1272,.11918]
M[82]=[.1803,6.1523,.11899]
M[83]=[.1796,6.1772,.11879]
M[84]=[.1789,6.2019,.1186]
M[85]=[.1782,6.2264,.11841]
M[86]=[.1775,6.2507,.11822]
M[87]=[.1768,6.2748,.11803]
M[88]=[.1761,6.2986,.11785]
M[89]=[.1754,6.3223,.11767]
M[90]=[.1747,6.3457,.1175]
M[91]=[.174,6.369,.11732]
M[92]=[.1734,6.3921,.11715]
M[93]=[.1727,6.4149,.11698]
M[94]=[.172,6.4376,.11682]
M[95]=[.1714,6.4601,.11666]
M[96]=[.1707,6.4824,.11649]
M[97]=[.1701,6.5046,.11634]
M[98]=[.1694,6.5265,.11618]
M[99]=[.1688,6.5483,.11603]
M[100]=[.1682,6.5699,.11588]
M[101]=[.1675,6.5914,.11573]
M[102]=[.1669,6.6126,.11558]
M[103]=[.1663,6.6338,.11544]
M[104]=[.1657,6.6547,.1153]
M[105]=[.1651,6.6755,.11516]
M[106]=[.1644,6.6962,.11502]
M[107]=[.1638,6.7166,.11489]
M[108]=[.1632,6.737,.11476]
M[109]=[.1626,6.7572,.11463]
M[110]=[.162,6.7772,.1145]
M[111]=[.1614,6.7971,.11438]
M[112]=[.1609,6.8168,.11425]
M[113]=[.1603,6.8365,.11413]
M[114]=[.1597,6.8559,.11401]
M[115]=[.1591,6.8753,.1139]
M[116]=[.1585,6.8945,.11378]
M[117]=[.158,6.9135,.11367]
M[118]=[.1574,6.9325,.11356]
M[119]=[.1568,6.9513,.11345]
M[120]=[.1563,6.9699,.11334]
M[121]=[.1557,6.9885,.11324]
M[122]=[.1551,7.0069,.11313]
M[123]=[.1546,7.0252,.11303]
M[124]=[.154,7.0434,.11293]
M[125]=[.1535,7.0615,.11283]
M[126]=[.1529,7.0794,.11274]
M[127]=[.1524,7.0972,.11265]
M[128]=[.1519,7.1149,.11255]
M[129]=[.1513,7.1325,.11246]
M[130]=[.1508,7.15,.11237]
M[131]=[.1502,7.1674,.11229]
M[132]=[.1497,7.1846,.1122]
M[133]=[.1492,7.2018,.11212]
M[134]=[.1487,7.2188,.11204]
M[135]=[.1481,7.2357,.11196]
M[136]=[.1476,7.2525,.11188]
M[137]=[.1471,7.2692,.1118]
M[138]=[.1466,7.2858,.11172]
M[139]=[.1461,7.3023,.11165]
M[140]=[.1456,7.3187,.11158]
M[141]=[.1451,7.335,.1115]
M[142]=[.1446,7.3512,.11143]
M[143]=[.1441,7.3673,.11137]
M[144]=[.1436,7.3833,.1113]
M[145]=[.1431,7.3992,.11123]
M[146]=[.1426,7.415,.11117]
M[147]=[.1421,7.4307,.11111]
M[148]=[.1416,7.4463,.11104]
M[149]=[.1411,7.4618,.11098]
M[150]=[.1406,7.4772,.11092]
M[151]=[.1401,7.4925,.11087]
M[152]=[.1396,7.5077,.11081]
M[153]=[.1391,7.5228,.11075]
M[154]=[.1387,7.5379,.1107]
M[155]=[.1382,7.5528,.11065]
M[156]=[.1377,7.5677,.11059]
M[157]=[.1372,7.5824,.11054]
M[158]=[.1368,7.5971,.11049]
M[159]=[.1363,7.6117,.11044]
M[160]=[.1358,7.6262,.1104]
M[161]=[.1354,7.6406,.11035]
M[162]=[.1349,7.655,.11031]
M[163]=[.1344,7.6692,.11026]
M[164]=[.134,7.6834,.11022]
M[165]=[.1335,7.6975,.11018]
M[166]=[.1331,7.7115,.11013]
M[167]=[.1326,7.7255,.11009]
M[168]=[.1322,7.7394,.11005]
M[169]=[.1317,7.7532,.11002]
M[170]=[.1313,7.7669,.10998]
M[171]=[.1308,7.7805,.10994]
M[172]=[.1304,7.7941,.10991]
M[173]=[.1299,7.8076,.10987]
M[174]=[.1295,7.821,.10984]
M[175]=[.129,7.8344,.1098]
M[176]=[.1286,7.8477,.10977]
M[177]=[.1282,7.8609,.10974]
M[178]=[.1277,7.8741,.10971]
M[179]=[.1273,7.8871,.10968]
M[180]=[.1269,7.9002,.10965]
M[181]=[.1264,7.9131,.10962]
M[182]=[.126,7.926,.10959]
M[183]=[.1256,7.9389,.10957]
M[184]=[.1251,7.9516,.10954]
M[185]=[.1247,7.9643,.10951]
M[186]=[.1243,7.977,.10949]
M[187]=[.1239,7.9895,.10946]
M[188]=[.1235,8.0021,.10944]
M[189]=[.123,8.0145,.10942]
M[190]=[.1226,8.0269,.1094]
M[191]=[.1222,8.0392,.10937]
M[192]=[.1218,8.0515,.10935]
M[193]=[.1214,8.0637,.10933]
M[194]=[.121,8.0759,.10931]
M[195]=[.1206,8.0879,.10929]
M[196]=[.1201,8.1,.10927]
M[197]=[.1197,8.112,.10925]
M[198]=[.1193,8.1239,.10924]
M[199]=[.1189,8.1357,.10922]
M[200]=[.1185,8.1475,.1092]
M[201]=[.1181,8.1593,.10919]
M[202]=[.1177,8.171,.10917]
M[203]=[.1173,8.1826,.10915]
M[204]=[.1169,8.1942,.10914]
M[205]=[.1165,8.2058,.10913]
M[206]=[.1161,8.2173,.10911]
M[207]=[.1157,8.2287,.1091]
M[208]=[.1153,8.2401,.10908]
M[209]=[.1149,8.2514,.10907]
M[210]=[.1145,8.2627,.10906]
M[211]=[.1142,8.2739,.10905]
M[212]=[.1138,8.2851,.10903]
M[213]=[.1134,8.2963,.10902]
M[214]=[.113,8.3074,.10901]
M[215]=[.1126,8.3184,.109]
M[216]=[.1122,8.3294,.10899]
M[217]=[.1118,8.3404,.10898]
M[218]=[.1115,8.3513,.10897]
M[219]=[.1111,8.3621,.10896]
M[220]=[.1107,8.3729,.10895]
M[221]=[.1103,8.3837,.10894]
M[222]=[.1099,8.3944,.10894]
M[223]=[.1096,8.4051,.10893]
M[224]=[.1092,8.4157,.10892]
M[225]=[.1088,8.4263,.10891]
M[226]=[.1084,8.4369,.10891]
M[227]=[.1081,8.4474,.1089]
M[228]=[.1077,8.4578,.10889]
M[229]=[.1073,8.4683,.10889]
M[230]=[.107,8.4787,.10888]
M[231]=[.1066,8.489,.10887]
M[232]=[.1062,8.4993,.10887]
M[233]=[.1059,8.5096,.10886]
M[234]=[.1055,8.5198,.10886]
M[235]=[.1051,8.53,.10885]
M[236]=[.1048,8.5401,.10885]
M[237]=[.1044,8.5502,.10884]
M[238]=[.104,8.5603,.10884]
M[239]=[.1037,8.5704,.10884]
M[240]=[.1033,8.5804,.10883]
M[241]=[.103,8.5903,.10883]
M[242]=[.1026,8.6003,.10882]
M[243]=[.1023,8.6102,.10882]
M[244]=[.1019,8.62,.10882]
M[245]=[.1015,8.6299,.10882]
M[246]=[.1012,8.6397,.10881]
M[247]=[.1008,8.6494,.10881]
M[248]=[.1005,8.6592,.10881]
M[249]=[.1001,8.6689,.10881]
M[250]=[.0998,8.6785,.10881]
M[251]=[.0994,8.6882,.1088]
M[252]=[.0991,8.6978,.1088]
M[253]=[.0987,8.7073,.1088]
M[254]=[.0984,8.7169,.1088]
M[255]=[.0981,8.7264,.1088]
M[256]=[.0977,8.7359,.1088]
M[257]=[.0974,8.7453,.1088]
M[258]=[.097,8.7548,.1088]
M[259]=[.0967,8.7642,.1088]
M[260]=[.0963,8.7735,.1088]
M[261]=[.096,8.7829,.1088]
M[262]=[.0957,8.7922,.1088]
M[263]=[.0953,8.8015,.1088]
M[264]=[.095,8.8107,.1088]
M[265]=[.0947,8.82,.1088]
M[266]=[.0943,8.8292,.1088]
M[267]=[.094,8.8384,.1088]
M[268]=[.0937,8.8475,.1088]
M[269]=[.0933,8.8567,.1088]
M[270]=[.093,8.8658,.1088]
M[271]=[.0927,8.8748,.1088]
M[272]=[.0923,8.8839,.10881]
M[273]=[.092,8.8929,.10881]
M[274]=[.0917,8.9019,.10881]
M[275]=[.0913,8.9109,.10881]
M[276]=[.091,8.9199,.10881]
M[277]=[.0907,8.9288,.10882]
M[278]=[.0904,8.9377,.10882]
M[279]=[.09,8.9466,.10882]
M[280]=[.0897,8.9555,.10882]
M[281]=[.0894,8.9643,.10882]
M[282]=[.0891,8.9731,.10883]
M[283]=[.0887,8.9819,.10883]
M[284]=[.0884,8.9907,.10883]
M[285]=[.0881,8.9995,.10884]
M[286]=[.0878,9.0082,.10884]
M[287]=[.0875,9.0169,.10884]
M[288]=[.0871,9.0256,.10884]
M[289]=[.0868,9.0342,.10885]
M[290]=[.0865,9.0429,.10885]
M[291]=[.0862,9.0515,.10885]
M[292]=[.0859,9.0601,.10886]
M[293]=[.0856,9.0687,.10886]
M[294]=[.0852,9.0772,.10887]
M[295]=[.0849,9.0858,.10887]
M[296]=[.0846,9.0943,.10887]
M[297]=[.0843,9.1028,.10888]
M[298]=[.084,9.1113,.10888]
M[299]=[.0837,9.1198,.10888]
M[300]=[.0834,9.1282,.10889]
M[301]=[.0831,9.1366,.10889]
M[302]=[.0827,9.145,.1089]
M[303]=[.0824,9.1534,.1089]
M[304]=[.0821,9.1618,.1089]
M[305]=[.0818,9.1701,.10891]
M[306]=[.0815,9.1785,.10891]
M[307]=[.0812,9.1868,.10892]
M[308]=[.0809,9.1951,.10892]
M[309]=[.0806,9.2034,.10893]
M[310]=[.0803,9.2117,.10893]
M[311]=[.08,9.2199,.10894]
M[312]=[.0797,9.2282,.10894]
M[313]=[.0794,9.2364,.10894]
M[314]=[.0791,9.2446,.10895]
M[315]=[.0788,9.2528,.10895]
M[316]=[.0785,9.261,.10896]
M[317]=[.0782,9.2691,.10896]
M[318]=[.0779,9.2773,.10897]
M[319]=[.0776,9.2854,.10897]
M[320]=[.0773,9.2935,.10898]
M[321]=[.077,9.3016,.10898]
M[322]=[.0767,9.3097,.10899]
M[323]=[.0764,9.3178,.10899]
M[324]=[.0761,9.3258,.109]
M[325]=[.0758,9.3339,.10901]
M[326]=[.0755,9.3419,.10901]
M[327]=[.0752,9.3499,.10902]
M[328]=[.0749,9.3579,.10902]
M[329]=[.0746,9.3659,.10903]
M[330]=[.0744,9.3739,.10903]
M[331]=[.0741,9.3819,.10904]
M[332]=[.0738,9.3898,.10904]
M[333]=[.0735,9.3978,.10905]
M[334]=[.0732,9.4057,.10905]
M[335]=[.0729,9.4136,.10906]
M[336]=[.0726,9.4215,.10907]
M[337]=[.0723,9.4294,.10907]
M[338]=[.072,9.4373,.10908]
M[339]=[.0718,9.4452,.10908]
M[340]=[.0715,9.453,.10909]
M[341]=[.0712,9.4609,.1091]
M[342]=[.0709,9.4687,.1091]
M[343]=[.0706,9.4765,.10911]
M[344]=[.0703,9.4844,.10911]
M[345]=[.0701,9.4922,.10912]
M[346]=[.0698,9.4999,.10913]
M[347]=[.0695,9.5077,.10913]
M[348]=[.0692,9.5155,.10914]
M[349]=[.0689,9.5232,.10915]
M[350]=[.0686,9.531,.10915]
M[351]=[.0684,9.5387,.10916]
M[352]=[.0681,9.5464,.10916]
M[353]=[.0678,9.5542,.10917]
M[354]=[.0675,9.5619,.10918]
M[355]=[.0672,9.5696,.10918]
M[356]=[.067,9.5772,.10919]
M[357]=[.0667,9.5849,.1092]
M[358]=[.0664,9.5926,.1092]
M[359]=[.0661,9.6002,.10921]
M[360]=[.0659,9.6079,.10922]
M[361]=[.0656,9.6155,.10922]
M[362]=[.0653,9.6231,.10923]
M[363]=[.065,9.6308,.10924]
M[364]=[.0648,9.6384,.10925]
M[365]=[.0645,9.646,.10925]
M[366]=[.0642,9.6535,.10926]
M[367]=[.064,9.6611,.10927]
M[368]=[.0637,9.6687,.10927]
M[369]=[.0634,9.6763,.10928]
M[370]=[.0631,9.6838,.10929]
M[371]=[.0629,9.6914,.1093]
M[372]=[.0626,9.6989,.1093]
M[373]=[.0623,9.7064,.10931]
M[374]=[.0621,9.7139,.10932]
M[375]=[.0618,9.7214,.10933]
M[376]=[.0615,9.7289,.10933]
M[377]=[.0613,9.7364,.10934]
M[378]=[.061,9.7439,.10935]
M[379]=[.0607,9.7514,.10936]
M[380]=[.0605,9.7588,.10936]
M[381]=[.0602,9.7663,.10937]
M[382]=[.0599,9.7738,.10938]
M[383]=[.0597,9.7812,.10939]
M[384]=[.0594,9.7886,.10939]
M[385]=[.0591,9.796,.1094]
M[386]=[.0589,9.8035,.10941]
M[387]=[.0586,9.8109,.10942]
M[388]=[.0583,9.8183,.10943]
M[389]=[.0581,9.8257,.10943]
M[390]=[.0578,9.833,.10944]
M[391]=[.0576,9.8404,.10945]
M[392]=[.0573,9.8478,.10946]
M[393]=[.057,9.8551,.10947]
M[394]=[.0568,9.8625,.10948]
M[395]=[.0565,9.8699,.10948]
M[396]=[.0563,9.8772,.10949]
M[397]=[.056,9.8845,.1095]
M[398]=[.0557,9.8918,.10951]
M[399]=[.0555,9.8992,.10952]
M[400]=[.0552,9.9065,.10953]
M[401]=[.055,9.9138,.10954]
M[402]=[.0547,9.9211,.10954]
M[403]=[.0545,9.9284,.10955]
M[404]=[.0542,9.9357,.10956]
M[405]=[.054,9.9429,.10957]
M[406]=[.0537,9.9502,.10958]
M[407]=[.0534,9.9575,.10959]
M[408]=[.0532,9.9647,.1096]
M[409]=[.0529,9.972,.10961]
M[410]=[.0527,9.9792,.10961]
M[411]=[.0524,9.9865,.10962]
M[412]=[.0522,9.9937,.10963]
M[413]=[.0519,10.0009,.10964]
M[414]=[.0517,10.0082,.10965]
M[415]=[.0514,10.0154,.10966]
M[416]=[.0512,10.0226,.10967]
M[417]=[.0509,10.0298,.10968]
M[418]=[.0507,10.037,.10969]
M[419]=[.0504,10.0442,.1097]
M[420]=[.0502,10.0514,.10971]
M[421]=[.0499,10.0586,.10971]
M[422]=[.0497,10.0657,.10972]
M[423]=[.0494,10.0729,.10973]
M[424]=[.0492,10.0801,.10974]
M[425]=[.0489,10.0872,.10975]
M[426]=[.0487,10.0944,.10976]
M[427]=[.0484,10.1015,.10977]
M[428]=[.0482,10.1087,.10978]
M[429]=[.0479,10.1158,.10979]
M[430]=[.0477,10.123,.1098]
M[431]=[.0475,10.1301,.10981]
M[432]=[.0472,10.1372,.10982]
M[433]=[.047,10.1443,.10983]
M[434]=[.0467,10.1515,.10984]
M[435]=[.0465,10.1586,.10985]
M[436]=[.0462,10.1657,.10986]
M[437]=[.046,10.1728,.10987]
M[438]=[.0458,10.1799,.10988]
M[439]=[.0455,10.187,.10989]
M[440]=[.0453,10.1941,.1099]
M[441]=[.045,10.2011,.10991]
M[442]=[.0448,10.2082,.10992]
M[443]=[.0445,10.2153,.10993]
M[444]=[.0443,10.2224,.10994]
M[445]=[.0441,10.2294,.10995]
M[446]=[.0438,10.2365,.10996]
M[447]=[.0436,10.2435,.10997]
M[448]=[.0433,10.2506,.10998]
M[449]=[.0431,10.2576,.10999]
M[450]=[.0429,10.2647,.11]
M[451]=[.0426,10.2717,.11001]
M[452]=[.0424,10.2788,.11002]
M[453]=[.0422,10.2858,.11003]
M[454]=[.0419,10.2928,.11005]
M[455]=[.0417,10.2998,.11006]
M[456]=[.0414,10.3069,.11007]
M[457]=[.0412,10.3139,.11008]
M[458]=[.041,10.3209,.11009]
M[459]=[.0407,10.3279,.1101]
M[460]=[.0405,10.3349,.11011]
M[461]=[.0403,10.3419,.11012]
M[462]=[.04,10.3489,.11013]
M[463]=[.0398,10.3559,.11014]
M[464]=[.0396,10.3629,.11015]
M[465]=[.0393,10.3699,.11016]
M[466]=[.0391,10.3769,.11017]
M[467]=[.0389,10.3839,.11019]
M[468]=[.0386,10.3908,.1102]
M[469]=[.0384,10.3978,.11021]
M[470]=[.0382,10.4048,.11022]
M[471]=[.0379,10.4118,.11023]
M[472]=[.0377,10.4187,.11024]
M[473]=[.0375,10.4257,.11025]
M[474]=[.0373,10.4326,.11026]
M[475]=[.037,10.4396,.11027]
M[476]=[.0368,10.4465,.11029]
M[477]=[.0366,10.4535,.1103]
M[478]=[.0363,10.4604,.11031]
M[479]=[.0361,10.4674,.11032]
M[480]=[.0359,10.4743,.11033]
M[481]=[.0357,10.4813,.11034]
M[482]=[.0354,10.4882,.11035]
M[483]=[.0352,10.4951,.11037]
M[484]=[.035,10.502,.11038]
M[485]=[.0347,10.509,.11039]
M[486]=[.0345,10.5159,.1104]
M[487]=[.0343,10.5228,.11041]
M[488]=[.0341,10.5297,.11042]
M[489]=[.0338,10.5366,.11044]
M[490]=[.0336,10.5435,.11045]
M[491]=[.0334,10.5505,.11046]
M[492]=[.0332,10.5574,.11047]
M[493]=[.0329,10.5643,.11048]
M[494]=[.0327,10.5712,.1105]
M[495]=[.0325,10.578,.11051]
M[496]=[.0323,10.5849,.11052]
M[497]=[.032,10.5918,.11053]
M[498]=[.0318,10.5987,.11054]
M[499]=[.0316,10.6056,.11056]
M[500]=[.0314,10.6125,.11057]
M[501]=[.0312,10.6193,.11058]
M[502]=[.0309,10.6262,.11059]
M[503]=[.0307,10.6331,.1106]
M[504]=[.0305,10.6399,.11062]
M[505]=[.0303,10.6468,.11063]
M[506]=[.03,10.6537,.11064]
M[507]=[.0298,10.6605,.11065]
M[508]=[.0296,10.6674,.11067]
M[509]=[.0294,10.6742,.11068]
M[510]=[.0292,10.6811,.11069]
M[511]=[.0289,10.6879,.1107]
M[512]=[.0287,10.6948,.11072]
M[513]=[.0285,10.7016,.11073]
M[514]=[.0283,10.7084,.11074]
M[515]=[.0281,10.7153,.11075]
M[516]=[.0279,10.7221,.11077]
M[517]=[.0276,10.7289,.11078]
M[518]=[.0274,10.7357,.11079]
M[519]=[.0272,10.7426,.11081]
M[520]=[.027,10.7494,.11082]
M[521]=[.0268,10.7562,.11083]
M[522]=[.0266,10.763,.11084]
M[523]=[.0263,10.7698,.11086]
M[524]=[.0261,10.7766,.11087]
M[525]=[.0259,10.7835,.11088]
M[526]=[.0257,10.7903,.1109]
M[527]=[.0255,10.7971,.11091]
M[528]=[.0253,10.8039,.11092]
M[529]=[.025,10.8107,.11094]
M[530]=[.0248,10.8174,.11095]
M[531]=[.0246,10.8242,.11096]
M[532]=[.0244,10.831,.11098]
M[533]=[.0242,10.8378,.11099]
M[534]=[.024,10.8446,.111]
M[535]=[.0238,10.8514,.11102]
M[536]=[.0236,10.8582,.11103]
M[537]=[.0233,10.8649,.11104]
M[538]=[.0231,10.8717,.11106]
M[539]=[.0229,10.8785,.11107]
M[540]=[.0227,10.8852,.11108]
M[541]=[.0225,10.892,.1111]
M[542]=[.0223,10.8988,.11111]
M[543]=[.0221,10.9055,.11113]
M[544]=[.0219,10.9123,.11114]
M[545]=[.0217,10.9191,.11115]
M[546]=[.0214,10.9258,.11117]
M[547]=[.0212,10.9326,.11118]
M[548]=[.021,10.9393,.1112]
M[549]=[.0208,10.9461,.11121]
M[550]=[.0206,10.9528,.11122]
M[551]=[.0204,10.9596,.11124]
M[552]=[.0202,10.9663,.11125]
M[553]=[.02,10.973,.11127]
M[554]=[.0198,10.9798,.11128]
M[555]=[.0196,10.9865,.11129]
M[556]=[.0194,10.9932,.11131]
M[557]=[.0192,11,.11132]
M[558]=[.0189,11.0067,.11134]
M[559]=[.0187,11.0134,.11135]
M[560]=[.0185,11.0202,.11137]
M[561]=[.0183,11.0269,.11138]
M[562]=[.0181,11.0336,.11139]
M[563]=[.0179,11.0403,.11141]
M[564]=[.0177,11.047,.11142]
M[565]=[.0175,11.0537,.11144]
M[566]=[.0173,11.0605,.11145]
M[567]=[.0171,11.0672,.11147]
M[568]=[.0169,11.0739,.11148]
M[569]=[.0167,11.0806,.1115]
M[570]=[.0165,11.0873,.11151]
M[571]=[.0163,11.094,.11153]
M[572]=[.0161,11.1007,.11154]
M[573]=[.0159,11.1074,.11156]
M[574]=[.0157,11.1141,.11157]
M[575]=[.0155,11.1208,.11159]
M[576]=[.0153,11.1275,.1116]
M[577]=[.0151,11.1342,.11162]
M[578]=[.0149,11.1409,.11163]
M[579]=[.0147,11.1476,.11165]
M[580]=[.0144,11.1543,.11166]
M[581]=[.0142,11.161,.11168]
M[582]=[.014,11.1676,.11169]
M[583]=[.0138,11.1743,.11171]
M[584]=[.0136,11.181,.11172]
M[585]=[.0134,11.1877,.11174]
M[586]=[.0132,11.1944,.11175]
M[587]=[.013,11.2011,.11177]
M[588]=[.0128,11.2077,.11178]
M[589]=[.0126,11.2144,.1118]
M[590]=[.0124,11.2211,.11182]
M[591]=[.0122,11.2278,.11183]
M[592]=[.012,11.2345,.11185]
M[593]=[.0118,11.2411,.11186]
M[594]=[.0116,11.2478,.11188]
M[595]=[.0114,11.2545,.11189]
M[596]=[.0112,11.2612,.11191]
M[597]=[.0111,11.2678,.11192]
M[598]=[.0109,11.2745,.11194]
M[599]=[.0107,11.2812,.11196]
M[600]=[.0105,11.2878,.11197]
M[601]=[.0103,11.2945,.11199]
M[602]=[.0101,11.3012,.112]
M[603]=[.0099,11.3078,.11202]
M[604]=[.0097,11.3145,.11204]
M[605]=[.0095,11.3212,.11205]
M[606]=[.0093,11.3278,.11207]
M[607]=[.0091,11.3345,.11208]
M[608]=[.0089,11.3412,.1121]
M[609]=[.0087,11.3478,.11212]
M[610]=[.0085,11.3545,.11213]
M[611]=[.0083,11.3612,.11215]
M[612]=[.0081,11.3678,.11216]
M[613]=[.0079,11.3745,.11218]
M[614]=[.0077,11.3811,.1122]
M[615]=[.0075,11.3878,.11221]
M[616]=[.0073,11.3945,.11223]
M[617]=[.0071,11.4011,.11224]
M[618]=[.0069,11.4078,.11226]
M[619]=[.0067,11.4144,.11228]
M[620]=[.0066,11.4211,.11229]
M[621]=[.0064,11.4277,.11231]
M[622]=[.0062,11.4344,.11233]
M[623]=[.006,11.441,.11234]
M[624]=[.0058,11.4477,.11236]
M[625]=[.0056,11.4543,.11238]
M[626]=[.0054,11.461,.11239]
M[627]=[.0052,11.4676,.11241]
M[628]=[.005,11.4743,.11243]
M[629]=[.0048,11.4809,.11244]
M[630]=[.0046,11.4876,.11246]
M[631]=[.0044,11.4942,.11248]
M[632]=[.0043,11.5009,.11249]
M[633]=[.0041,11.5075,.11251]
M[634]=[.0039,11.5142,.11253]
M[635]=[.0037,11.5208,.11254]
M[636]=[.0035,11.5274,.11256]
M[637]=[.0033,11.5341,.11258]
M[638]=[.0031,11.5407,.11259]
M[639]=[.0029,11.5474,.11261]
M[640]=[.0027,11.554,.11263]
M[641]=[.0025,11.5606,.11265]
M[642]=[.0024,11.5673,.11266]
M[643]=[.0022,11.5739,.11268]
M[644]=[.002,11.5806,.1127]
M[645]=[.0018,11.5872,.11271]
M[646]=[.0016,11.5938,.11273]
M[647]=[.0014,11.6005,.11275]
M[648]=[.0012,11.6071,.11276]
M[649]=[.001,11.6137,.11278]
M[650]=[.0008,11.6204,.1128]
M[651]=[.0007,11.627,.11282]
M[652]=[.0005,11.6336,.11283]
M[653]=[.0003,11.6403,.11285]
M[654]=[.0001,11.6469,.11287]
M[655]=[-.0001,11.6535,.11289]
M[656]=[-.0003,11.6601,.1129]
M[657]=[-.0005,11.6668,.11292]
M[658]=[-.0006,11.6734,.11294]
M[659]=[-.0008,11.68,.11296]
M[660]=[-.001,11.6866,.11297]
M[661]=[-.0012,11.6933,.11299]
M[662]=[-.0014,11.6999,.11301]
M[663]=[-.0016,11.7065,.11303]
M[664]=[-.0018,11.7131,.11304]
M[665]=[-.0019,11.7198,.11306]
M[666]=[-.0021,11.7264,.11308]
M[667]=[-.0023,11.733,.1131]
M[668]=[-.0025,11.7396,.11311]
M[669]=[-.0027,11.7462,.11313]
M[670]=[-.0029,11.7528,.11315]
M[671]=[-.003,11.7595,.11317]
M[672]=[-.0032,11.7661,.11318]
M[673]=[-.0034,11.7727,.1132]
M[674]=[-.0036,11.7793,.11322]
M[675]=[-.0038,11.7859,.11324]
M[676]=[-.004,11.7925,.11326]
M[677]=[-.0041,11.7991,.11327]
M[678]=[-.0043,11.8057,.11329]
M[679]=[-.0045,11.8124,.11331]
M[680]=[-.0047,11.819,.11333]
M[681]=[-.0049,11.8256,.11335]
M[682]=[-.0051,11.8322,.11336]
M[683]=[-.0052,11.8388,.11338]
M[684]=[-.0054,11.8454,.1134]
M[685]=[-.0056,11.852,.11342]
M[686]=[-.0058,11.8586,.11344]
M[687]=[-.006,11.8652,.11345]
M[688]=[-.0061,11.8718,.11347]
M[689]=[-.0063,11.8784,.11349]
M[690]=[-.0065,11.885,.11351]
M[691]=[-.0067,11.8916,.11353]
M[692]=[-.0069,11.8982,.11354]
M[693]=[-.007,11.9048,.11356]
M[694]=[-.0072,11.9114,.11358]
M[695]=[-.0074,11.918,.1136]
M[696]=[-.0076,11.9246,.11362]
M[697]=[-.0078,11.9312,.11364]
M[698]=[-.0079,11.9378,.11365]
M[699]=[-.0081,11.9444,.11367]
M[700]=[-.0083,11.951,.11369]
M[701]=[-.0085,11.9576,.11371]
M[702]=[-.0087,11.9642,.11373]
M[703]=[-.0088,11.9707,.11375]
M[704]=[-.009,11.9773,.11376]
M[705]=[-.0092,11.9839,.11378]
M[706]=[-.0094,11.9905,.1138]
M[707]=[-.0095,11.9971,.11382]
M[708]=[-.0097,12.0037,.11384]
M[709]=[-.0099,12.0103,.11386]
M[710]=[-.0101,12.0168,.11388]
M[711]=[-.0102,12.0234,.11389]
M[712]=[-.0104,12.03,.11391]
M[713]=[-.0106,12.0366,.11393]
M[714]=[-.0108,12.0431,.11395]
M[715]=[-.011,12.0497,.11397]
M[716]=[-.0111,12.0563,.11399]
M[717]=[-.0113,12.0629,.11401]
M[718]=[-.0115,12.0694,.11403]
M[719]=[-.0117,12.076,.11404]
M[720]=[-.0118,12.0826,.11406]
M[721]=[-.012,12.0891,.11408]
M[722]=[-.0122,12.0957,.1141]
M[723]=[-.0124,12.1023,.11412]
M[724]=[-.0125,12.1088,.11414]
M[725]=[-.0127,12.1154,.11416]
M[726]=[-.0129,12.122,.11418]
M[727]=[-.0131,12.1285,.1142]
M[728]=[-.0132,12.1351,.11421]
M[729]=[-.0134,12.1416,.11423]
M[730]=[-.0136,12.1482,.11425]
M[731]=[-.0137,12.1548,.11427]
M[732]=[-.0139,12.1613,.11429]
M[733]=[-.0141,12.1679,.11431]
M[734]=[-.0143,12.1744,.11433]
M[735]=[-.0144,12.181,.11435]
M[736]=[-.0146,12.1875,.11437]
M[737]=[-.0148,12.1941,.11439]
M[738]=[-.015,12.2006,.1144]
M[739]=[-.0151,12.2072,.11442]
M[740]=[-.0153,12.2137,.11444]
M[741]=[-.0155,12.2202,.11446]
M[742]=[-.0156,12.2268,.11448]
M[743]=[-.0158,12.2333,.1145]
M[744]=[-.016,12.2398,.11452]
M[745]=[-.0162,12.2464,.11454]
M[746]=[-.0163,12.2529,.11456]
M[747]=[-.0165,12.2594,.11458]
M[748]=[-.0167,12.266,.1146]
M[749]=[-.0168,12.2725,.11462]
M[750]=[-.017,12.279,.11464]
M[751]=[-.0172,12.2855,.11465]
M[752]=[-.0174,12.292,.11467]
M[753]=[-.0175,12.2986,.11469]
M[754]=[-.0177,12.3051,.11471]
M[755]=[-.0179,12.3116,.11473]
M[756]=[-.018,12.3181,.11475]
M[757]=[-.0182,12.3246,.11477]
M[758]=[-.0184,12.3311,.11479]
M[759]=[-.0185,12.3376,.11481]
M[760]=[-.0187,12.3441,.11483]
M[761]=[-.0189,12.3506,.11485]
M[762]=[-.0191,12.3571,.11487]
M[763]=[-.0192,12.3636,.11489]
M[764]=[-.0194,12.3701,.11491]
M[765]=[-.0196,12.3766,.11493]
M[766]=[-.0197,12.383,.11495]
M[767]=[-.0199,12.3895,.11497]
M[768]=[-.0201,12.396,.11498]
M[769]=[-.0202,12.4025,.115]
M[770]=[-.0204,12.409,.11502]
M[771]=[-.0206,12.4154,.11504]
M[772]=[-.0207,12.4219,.11506]
M[773]=[-.0209,12.4284,.11508]
M[774]=[-.0211,12.4348,.1151]
M[775]=[-.0212,12.4413,.11512]
M[776]=[-.0214,12.4477,.11514]
M[777]=[-.0216,12.4542,.11516]
M[778]=[-.0217,12.4606,.11518]
M[779]=[-.0219,12.4671,.1152]
M[780]=[-.0221,12.4735,.11522]
M[781]=[-.0222,12.48,.11524]
M[782]=[-.0224,12.4864,.11526]
M[783]=[-.0226,12.4929,.11528]
M[784]=[-.0227,12.4993,.1153]
M[785]=[-.0229,12.5057,.11532]
M[786]=[-.0231,12.5121,.11534]
M[787]=[-.0232,12.5186,.11536]
M[788]=[-.0234,12.525,.11538]
M[789]=[-.0236,12.5314,.1154]
M[790]=[-.0237,12.5378,.11542]
M[791]=[-.0239,12.5442,.11544]
M[792]=[-.0241,12.5506,.11545]
M[793]=[-.0242,12.557,.11547]
M[794]=[-.0244,12.5634,.11549]
M[795]=[-.0246,12.5698,.11551]
M[796]=[-.0247,12.5762,.11553]
M[797]=[-.0249,12.5826,.11555]
M[798]=[-.025,12.589,.11557]
M[799]=[-.0252,12.5954,.11559]
M[800]=[-.0254,12.6018,.11561]
M[801]=[-.0255,12.6082,.11563]
M[802]=[-.0257,12.6145,.11565]
M[803]=[-.0259,12.6209,.11567]
M[804]=[-.026,12.6273,.11569]
M[805]=[-.0262,12.6336,.11571]
M[806]=[-.0264,12.64,.11573]
M[807]=[-.0265,12.6464,.11575]
M[808]=[-.0267,12.6527,.11577]
M[809]=[-.0268,12.6591,.11579]
M[810]=[-.027,12.6654,.11581]
M[811]=[-.0272,12.6718,.11583]
M[812]=[-.0273,12.6781,.11585]
M[813]=[-.0275,12.6844,.11587]
M[814]=[-.0277,12.6908,.11589]
M[815]=[-.0278,12.6971,.11591]
M[816]=[-.028,12.7034,.11593]
M[817]=[-.0281,12.7098,.11595]
M[818]=[-.0283,12.7161,.11597]
M[819]=[-.0285,12.7224,.11599]
M[820]=[-.0286,12.7287,.11601]
M[821]=[-.0288,12.735,.11602]
M[822]=[-.0289,12.7413,.11604]
M[823]=[-.0291,12.7476,.11606]
M[824]=[-.0293,12.7539,.11608]
M[825]=[-.0294,12.7602,.1161]
M[826]=[-.0296,12.7665,.11612]
M[827]=[-.0297,12.7728,.11614]
M[828]=[-.0299,12.7791,.11616]
M[829]=[-.0301,12.7854,.11618]
M[830]=[-.0302,12.7916,.1162]
M[831]=[-.0304,12.7979,.11622]
M[832]=[-.0305,12.8042,.11624]
M[833]=[-.0307,12.8104,.11626]
M[834]=[-.0309,12.8167,.11628]
M[835]=[-.031,12.823,.1163]
M[836]=[-.0312,12.8292,.11632]
M[837]=[-.0313,12.8355,.11634]
M[838]=[-.0315,12.8417,.11636]
M[839]=[-.0317,12.848,.11638]
M[840]=[-.0318,12.8542,.1164]
M[841]=[-.032,12.8604,.11642]
M[842]=[-.0321,12.8667,.11644]
M[843]=[-.0323,12.8729,.11646]
M[844]=[-.0324,12.8791,.11647]
M[845]=[-.0326,12.8853,.11649]
M[846]=[-.0328,12.8915,.11651]
M[847]=[-.0329,12.8978,.11653]
M[848]=[-.0331,12.904,.11655]
M[849]=[-.0332,12.9102,.11657]
M[850]=[-.0334,12.9164,.11659]
M[851]=[-.0336,12.9226,.11661]
M[852]=[-.0337,12.9288,.11663]
M[853]=[-.0339,12.935,.11665]
M[854]=[-.034,12.9411,.11667]
M[855]=[-.0342,12.9473,.11669]
M[856]=[-.0343,12.9535,.11671]
M[857]=[-.0345,12.9597,.11673]
M[858]=[-.0346,12.9658,.11675]
M[859]=[-.0348,12.972,.11677]
M[860]=[-.035,12.9782,.11679]
M[861]=[-.0351,12.9843,.11681]
M[862]=[-.0353,12.9905,.11683]
M[863]=[-.0354,12.9966,.11684]
M[864]=[-.0356,13.0028,.11686]
M[865]=[-.0357,13.0089,.11688]
M[866]=[-.0359,13.0151,.1169]
M[867]=[-.0361,13.0212,.11692]
M[868]=[-.0362,13.0273,.11694]
M[869]=[-.0364,13.0334,.11696]
M[870]=[-.0365,13.0396,.11698]
M[871]=[-.0367,13.0457,.117]
M[872]=[-.0368,13.0518,.11702]
M[873]=[-.037,13.0579,.11704]
M[874]=[-.0371,13.064,.11706]
M[875]=[-.0373,13.0701,.11708]
M[876]=[-.0374,13.0762,.1171]
M[877]=[-.0376,13.0823,.11712]
M[878]=[-.0378,13.0884,.11713]
M[879]=[-.0379,13.0945,.11715]
M[880]=[-.0381,13.1006,.11717]
M[881]=[-.0382,13.1067,.11719]
M[882]=[-.0384,13.1127,.11721]
M[883]=[-.0385,13.1188,.11723]
M[884]=[-.0387,13.1249,.11725]
M[885]=[-.0388,13.131,.11727]
M[886]=[-.039,13.137,.11729]
M[887]=[-.0391,13.1431,.11731]
M[888]=[-.0393,13.1491,.11733]
M[889]=[-.0394,13.1552,.11735]
M[890]=[-.0396,13.1612,.11737]
M[891]=[-.0397,13.1673,.11739]
M[892]=[-.0399,13.1733,.1174]
M[893]=[-.0401,13.1793,.11742]
M[894]=[-.0402,13.1854,.11744]
M[895]=[-.0404,13.1914,.11746]
M[896]=[-.0405,13.1974,.11748]
M[897]=[-.0407,13.2034,.1175]
M[898]=[-.0408,13.2095,.11752]
M[899]=[-.041,13.2155,.11754]
M[900]=[-.0411,13.2215,.11756]
M[901]=[-.0413,13.2275,.11758]
M[902]=[-.0414,13.2335,.1176]
M[903]=[-.0416,13.2395,.11762]
M[904]=[-.0417,13.2455,.11763]
M[905]=[-.0419,13.2515,.11765]
M[906]=[-.042,13.2575,.11767]
M[907]=[-.0422,13.2634,.11769]
M[908]=[-.0423,13.2694,.11771]
M[909]=[-.0425,13.2754,.11773]
M[910]=[-.0426,13.2814,.11775]
M[911]=[-.0428,13.2873,.11777]
M[912]=[-.0429,13.2933,.11779]
M[913]=[-.0431,13.2993,.11781]
M[914]=[-.0432,13.3052,.11783]
M[915]=[-.0434,13.3112,.11785]
M[916]=[-.0435,13.3171,.11786]
M[917]=[-.0437,13.3231,.11788]
M[918]=[-.0438,13.329,.1179]
M[919]=[-.044,13.335,.11792]
M[920]=[-.0441,13.3409,.11794]
M[921]=[-.0443,13.3468,.11796]
M[922]=[-.0444,13.3528,.11798]
M[923]=[-.0446,13.3587,.118]
M[924]=[-.0447,13.3646,.11802]
M[925]=[-.0449,13.3705,.11804]
M[926]=[-.045,13.3765,.11805]
M[927]=[-.0452,13.3824,.11807]
M[928]=[-.0453,13.3883,.11809]
M[929]=[-.0455,13.3942,.11811]
M[930]=[-.0456,13.4001,.11813]
M[931]=[-.0458,13.406,.11815]
M[932]=[-.0459,13.4119,.11817]
M[933]=[-.0461,13.4178,.11819]
M[934]=[-.0462,13.4237,.11821]
M[935]=[-.0464,13.4296,.11823]
M[936]=[-.0465,13.4354,.11825]
M[937]=[-.0466,13.4413,.11826]
M[938]=[-.0468,13.4472,.11828]
M[939]=[-.0469,13.4531,.1183]
M[940]=[-.0471,13.4589,.11832]
M[941]=[-.0472,13.4648,.11834]
M[942]=[-.0474,13.4707,.11836]
M[943]=[-.0475,13.4765,.11838]
M[944]=[-.0477,13.4824,.1184]
M[945]=[-.0478,13.4883,.11842]
M[946]=[-.048,13.4941,.11843]
M[947]=[-.0481,13.5,.11845]
M[948]=[-.0483,13.5058,.11847]
M[949]=[-.0484,13.5116,.11849]
M[950]=[-.0486,13.5175,.11851]
M[951]=[-.0487,13.5233,.11853]
M[952]=[-.0489,13.5291,.11855]
M[953]=[-.049,13.535,.11857]
M[954]=[-.0491,13.5408,.11859]
M[955]=[-.0493,13.5466,.1186]
M[956]=[-.0494,13.5524,.11862]
M[957]=[-.0496,13.5583,.11864]
M[958]=[-.0497,13.5641,.11866]
M[959]=[-.0499,13.5699,.11868]
M[960]=[-.05,13.5757,.1187]
M[961]=[-.0502,13.5815,.11872]
M[962]=[-.0503,13.5873,.11874]
M[963]=[-.0505,13.5931,.11876]
M[964]=[-.0506,13.5989,.11877]
M[965]=[-.0507,13.6047,.11879]
M[966]=[-.0509,13.6105,.11881]
M[967]=[-.051,13.6163,.11883]
M[968]=[-.0512,13.622,.11885]
M[969]=[-.0513,13.6278,.11887]
M[970]=[-.0515,13.6336,.11889]
M[971]=[-.0516,13.6394,.11891]
M[972]=[-.0518,13.6452,.11892]
M[973]=[-.0519,13.6509,.11894]
M[974]=[-.052,13.6567,.11896]
M[975]=[-.0522,13.6625,.11898]
M[976]=[-.0523,13.6682,.119]
M[977]=[-.0525,13.674,.11902]
M[978]=[-.0526,13.6797,.11904]
M[979]=[-.0528,13.6855,.11906]
M[980]=[-.0529,13.6912,.11907]
M[981]=[-.053,13.697,.11909]
M[982]=[-.0532,13.7027,.11911]
M[983]=[-.0533,13.7085,.11913]
M[984]=[-.0535,13.7142,.11915]
M[985]=[-.0536,13.7199,.11917]
M[986]=[-.0538,13.7257,.11919]
M[987]=[-.0539,13.7314,.1192]
M[988]=[-.054,13.7371,.11922]
M[989]=[-.0542,13.7429,.11924]
M[990]=[-.0543,13.7486,.11926]
M[991]=[-.0545,13.7543,.11928]
M[992]=[-.0546,13.76,.1193]
M[993]=[-.0548,13.7657,.11932]
M[994]=[-.0549,13.7715,.11933]
M[995]=[-.055,13.7772,.11935]
M[996]=[-.0552,13.7829,.11937]
M[997]=[-.0553,13.7886,.11939]
M[998]=[-.0555,13.7943,.11941]
M[999]=[-.0556,13.8,.11943]
M[1000]=[-.0558,13.8057,.11945]
M[1001]=[-.0559,13.8114,.11946]
M[1002]=[-.056,13.8171,.11948]
M[1003]=[-.0562,13.8228,.1195]
M[1004]=[-.0563,13.8285,.11952]
M[1005]=[-.0565,13.8341,.11954]
M[1006]=[-.0566,13.8398,.11956]
M[1007]=[-.0567,13.8455,.11957]
M[1008]=[-.0569,13.8512,.11959]
M[1009]=[-.057,13.8569,.11961]
M[1010]=[-.0572,13.8625,.11963]
M[1011]=[-.0573,13.8682,.11965]
M[1012]=[-.0574,13.8739,.11967]
M[1013]=[-.0576,13.8796,.11968]
M[1014]=[-.0577,13.8852,.1197]
M[1015]=[-.0579,13.8909,.11972]
M[1016]=[-.058,13.8966,.11974]
M[1017]=[-.0581,13.9022,.11976]
M[1018]=[-.0583,13.9079,.11978]
M[1019]=[-.0584,13.9135,.11979]
M[1020]=[-.0586,13.9192,.11981]
M[1021]=[-.0587,13.9248,.11983]
M[1022]=[-.0588,13.9305,.11985]
M[1023]=[-.059,13.9361,.11987]
M[1024]=[-.0591,13.9418,.11988]
M[1025]=[-.0593,13.9474,.1199]
M[1026]=[-.0594,13.9531,.11992]
M[1027]=[-.0595,13.9587,.11994]
M[1028]=[-.0597,13.9644,.11996]
M[1029]=[-.0598,13.97,.11998]
M[1030]=[-.06,13.9756,.11999]
M[1031]=[-.0601,13.9813,.12001]
M[1032]=[-.0602,13.9869,.12003]
M[1033]=[-.0604,13.9925,.12005]
M[1034]=[-.0605,13.9982,.12007]
M[1035]=[-.0607,14.0038,.12008]
M[1036]=[-.0608,14.0094,.1201]
M[1037]=[-.0609,14.015,.12012]
M[1038]=[-.0611,14.0207,.12014]
M[1039]=[-.0612,14.0263,.12016]
M[1040]=[-.0613,14.0319,.12017]
M[1041]=[-.0615,14.0375,.12019]
M[1042]=[-.0616,14.0431,.12021]
M[1043]=[-.0618,14.0488,.12023]
M[1044]=[-.0619,14.0544,.12025]
M[1045]=[-.062,14.06,.12026]
M[1046]=[-.0622,14.0656,.12028]
M[1047]=[-.0623,14.0712,.1203]
M[1048]=[-.0624,14.0768,.12032]
M[1049]=[-.0626,14.0824,.12033]
M[1050]=[-.0627,14.088,.12035]
M[1051]=[-.0629,14.0936,.12037]
M[1052]=[-.063,14.0992,.12039]
M[1053]=[-.0631,14.1048,.12041]
M[1054]=[-.0633,14.1104,.12042]
M[1055]=[-.0634,14.116,.12044]
M[1056]=[-.0635,14.1216,.12046]
M[1057]=[-.0637,14.1272,.12048]
M[1058]=[-.0638,14.1328,.1205]
M[1059]=[-.0639,14.1384,.12051]
M[1060]=[-.0641,14.144,.12053]
M[1061]=[-.0642,14.1495,.12055]
M[1062]=[-.0644,14.1551,.12057]
M[1063]=[-.0645,14.1607,.12058]
M[1064]=[-.0646,14.1663,.1206]
M[1065]=[-.0648,14.1719,.12062]
M[1066]=[-.0649,14.1775,.12064]
M[1067]=[-.065,14.183,.12065]
M[1068]=[-.0652,14.1886,.12067]
M[1069]=[-.0653,14.1942,.12069]
M[1070]=[-.0654,14.1998,.12071]
M[1071]=[-.0656,14.2053,.12073]
M[1072]=[-.0657,14.2109,.12074]
M[1073]=[-.0658,14.2165,.12076]
M[1074]=[-.066,14.2221,.12078]
M[1075]=[-.0661,14.2276,.1208]
M[1076]=[-.0663,14.2332,.12081]
M[1077]=[-.0664,14.2388,.12083]
M[1078]=[-.0665,14.2443,.12085]
M[1079]=[-.0667,14.2499,.12087]
M[1080]=[-.0668,14.2554,.12088]
M[1081]=[-.0669,14.261,.1209]
M[1082]=[-.0671,14.2666,.12092]
M[1083]=[-.0672,14.2721,.12094]
M[1084]=[-.0673,14.2777,.12095]
M[1085]=[-.0675,14.2832,.12097]
M[1086]=[-.0676,14.2888,.12099]
M[1087]=[-.0677,14.2944,.12101]
M[1088]=[-.0679,14.2999,.12102]
M[1089]=[-.068,14.3055,.12104]
M[1090]=[-.0681,14.311,.12106]
M[1091]=[-.0683,14.3166,.12108]
M[1092]=[-.0684,14.3221,.12109]
M[1093]=[-.0685,14.3277,.12111]
M[1094]=[-.0687,14.3332,.12113]
M[1095]=[-.0688,14.3387,.12115]
M[1096]=[-.0689,14.3443,.12116]
M[1097]=[-.0691,14.3498,.12118]
M[1098]=[-.0692,14.3554,.1212]
M[1099]=[-.0693,14.3609,.12121]
M[1100]=[-.0695,14.3665,.12123]
M[1101]=[-.0696,14.372,.12125]
M[1102]=[-.0697,14.3775,.12127]
M[1103]=[-.0699,14.3831,.12128]
M[1104]=[-.07,14.3886,.1213]
M[1105]=[-.0701,14.3942,.12132]
M[1106]=[-.0703,14.3997,.12134]
M[1107]=[-.0704,14.4052,.12135]
M[1108]=[-.0705,14.4108,.12137]
M[1109]=[-.0707,14.4163,.12139]
M[1110]=[-.0708,14.4218,.12141]
M[1111]=[-.0709,14.4274,.12142]
M[1112]=[-.0711,14.4329,.12144]
M[1113]=[-.0712,14.4384,.12146]
M[1114]=[-.0713,14.4439,.12147]
M[1115]=[-.0715,14.4495,.12149]
M[1116]=[-.0716,14.455,.12151]
M[1117]=[-.0717,14.4605,.12153]
M[1118]=[-.0718,14.4661,.12154]
M[1119]=[-.072,14.4716,.12156]
M[1120]=[-.0721,14.4771,.12158]
M[1121]=[-.0722,14.4826,.12159]
M[1122]=[-.0724,14.4881,.12161]
M[1123]=[-.0725,14.4937,.12163]
M[1124]=[-.0726,14.4992,.12165]
M[1125]=[-.0728,14.5047,.12166]
M[1126]=[-.0729,14.5102,.12168]
M[1127]=[-.073,14.5158,.1217]
M[1128]=[-.0732,14.5213,.12171]
M[1129]=[-.0733,14.5268,.12173]
M[1130]=[-.0734,14.5323,.12175]
M[1131]=[-.0736,14.5378,.12177]
M[1132]=[-.0737,14.5433,.12178]
M[1133]=[-.0738,14.5489,.1218]
M[1134]=[-.0739,14.5544,.12182]
M[1135]=[-.0741,14.5599,.12183]
M[1136]=[-.0742,14.5654,.12185]
M[1137]=[-.0743,14.5709,.12187]
M[1138]=[-.0745,14.5764,.12189]
M[1139]=[-.0746,14.5819,.1219]
M[1140]=[-.0747,14.5875,.12192]
M[1141]=[-.0749,14.593,.12194]
M[1142]=[-.075,14.5985,.12195]
M[1143]=[-.0751,14.604,.12197]
M[1144]=[-.0752,14.6095,.12199]
M[1145]=[-.0754,14.615,.122]
M[1146]=[-.0755,14.6205,.12202]
M[1147]=[-.0756,14.626,.12204]
M[1148]=[-.0758,14.6315,.12206]
M[1149]=[-.0759,14.6371,.12207]
M[1150]=[-.076,14.6426,.12209]
M[1151]=[-.0762,14.6481,.12211]
M[1152]=[-.0763,14.6536,.12212]
M[1153]=[-.0764,14.6591,.12214]
M[1154]=[-.0765,14.6646,.12216]
M[1155]=[-.0767,14.6701,.12217]
M[1156]=[-.0768,14.6756,.12219]
M[1157]=[-.0769,14.6811,.12221]
M[1158]=[-.0771,14.6866,.12222]
M[1159]=[-.0772,14.6921,.12224]
M[1160]=[-.0773,14.6976,.12226]
M[1161]=[-.0774,14.7032,.12228]
M[1162]=[-.0776,14.7087,.12229]
M[1163]=[-.0777,14.7142,.12231]
M[1164]=[-.0778,14.7197,.12233]
M[1165]=[-.078,14.7252,.12234]
M[1166]=[-.0781,14.7307,.12236]
M[1167]=[-.0782,14.7362,.12238]
M[1168]=[-.0783,14.7417,.12239]
M[1169]=[-.0785,14.7472,.12241]
M[1170]=[-.0786,14.7527,.12243]
M[1171]=[-.0787,14.7582,.12244]
M[1172]=[-.0788,14.7637,.12246]
M[1173]=[-.079,14.7692,.12248]
M[1174]=[-.0791,14.7747,.12249]
M[1175]=[-.0792,14.7802,.12251]
M[1176]=[-.0794,14.7857,.12253]
M[1177]=[-.0795,14.7912,.12254]
M[1178]=[-.0796,14.7967,.12256]
M[1179]=[-.0797,14.8022,.12258]
M[1180]=[-.0799,14.8077,.12259]
M[1181]=[-.08,14.8132,.12261]
M[1182]=[-.0801,14.8187,.12263]
M[1183]=[-.0802,14.8242,.12265]
M[1184]=[-.0804,14.8297,.12266]
M[1185]=[-.0805,14.8352,.12268]
M[1186]=[-.0806,14.8407,.1227]
M[1187]=[-.0808,14.8462,.12271]
M[1188]=[-.0809,14.8517,.12273]
M[1189]=[-.081,14.8572,.12275]
M[1190]=[-.0811,14.8627,.12276]
M[1191]=[-.0813,14.8682,.12278]
M[1192]=[-.0814,14.8737,.1228]
M[1193]=[-.0815,14.8792,.12281]
M[1194]=[-.0816,14.8847,.12283]
M[1195]=[-.0818,14.8902,.12285]
M[1196]=[-.0819,14.8957,.12286]
M[1197]=[-.082,14.9012,.12288]
M[1198]=[-.0821,14.9067,.1229]
M[1199]=[-.0823,14.9122,.12291]
M[1200]=[-.0824,14.9177,.12293]
M[1201]=[-.0825,14.9232,.12295]
M[1202]=[-.0826,14.9287,.12296]
M[1203]=[-.0828,14.9342,.12298]
M[1204]=[-.0829,14.9397,.123]
M[1205]=[-.083,14.9452,.12301]
M[1206]=[-.0831,14.9507,.12303]
M[1207]=[-.0833,14.9562,.12305]
M[1208]=[-.0834,14.9617,.12306]
M[1209]=[-.0835,14.9672,.12308]
M[1210]=[-.0836,14.9727,.1231]
M[1211]=[-.0838,14.9782,.12311]
M[1212]=[-.0839,14.9837,.12313]
M[1213]=[-.084,14.9892,.12315]
M[1214]=[-.0841,14.9947,.12316]
M[1215]=[-.0843,15.0002,.12318]
M[1216]=[-.0844,15.0057,.1232]
M[1217]=[-.0845,15.0112,.12321]
M[1218]=[-.0846,15.0167,.12323]
M[1219]=[-.0848,15.0222,.12325]
M[1220]=[-.0849,15.0277,.12326]
M[1221]=[-.085,15.0332,.12328]
M[1222]=[-.0851,15.0387,.1233]
M[1223]=[-.0853,15.0442,.12331]
M[1224]=[-.0854,15.0497,.12333]
M[1225]=[-.0855,15.0552,.12335]
M[1226]=[-.0856,15.0607,.12336]
M[1227]=[-.0858,15.0662,.12338]
M[1228]=[-.0859,15.0717,.1234]
M[1229]=[-.086,15.0772,.12342]
M[1230]=[-.0861,15.0827,.12343]
M[1231]=[-.0863,15.0882,.12345]
M[1232]=[-.0864,15.0937,.12347]
M[1233]=[-.0865,15.0992,.12348]
M[1234]=[-.0866,15.1047,.1235]
M[1235]=[-.0868,15.1102,.12352]
M[1236]=[-.0869,15.1157,.12353]
M[1237]=[-.087,15.1212,.12355]
M[1238]=[-.0871,15.1267,.12357]
M[1239]=[-.0872,15.1322,.12358]
M[1240]=[-.0874,15.1377,.1236]
M[1241]=[-.0875,15.1432,.12362]
M[1242]=[-.0876,15.1487,.12363]
M[1243]=[-.0877,15.1542,.12365]
M[1244]=[-.0879,15.1596,.12367]
M[1245]=[-.088,15.1651,.12368]
M[1246]=[-.0881,15.1706,.1237]
M[1247]=[-.0882,15.1761,.12372]
M[1248]=[-.0883,15.1816,.12373]
M[1249]=[-.0885,15.1871,.12375]
M[1250]=[-.0886,15.1926,.12377]
M[1251]=[-.0887,15.1981,.12379]
M[1252]=[-.0888,15.2036,.1238]
M[1253]=[-.089,15.2091,.12382]
M[1254]=[-.0891,15.2146,.12384]
M[1255]=[-.0892,15.2201,.12385]
M[1256]=[-.0893,15.2256,.12387]
M[1257]=[-.0894,15.2311,.12389]
M[1258]=[-.0896,15.2366,.1239]
M[1259]=[-.0897,15.2421,.12392]
M[1260]=[-.0898,15.2476,.12394]
M[1261]=[-.0899,15.2531,.12395]
M[1262]=[-.0901,15.2586,.12397]
M[1263]=[-.0902,15.2641,.12399]
M[1264]=[-.0903,15.2696,.12401]
M[1265]=[-.0904,15.2751,.12402]
M[1266]=[-.0905,15.2806,.12404]
M[1267]=[-.0907,15.2861,.12406]
M[1268]=[-.0908,15.2916,.12407]
M[1269]=[-.0909,15.2971,.12409]
M[1270]=[-.091,15.3026,.12411]
M[1271]=[-.0912,15.3081,.12412]
M[1272]=[-.0913,15.3135,.12414]
M[1273]=[-.0914,15.319,.12416]
M[1274]=[-.0915,15.3245,.12418]
M[1275]=[-.0916,15.33,.12419]
M[1276]=[-.0918,15.3355,.12421]
M[1277]=[-.0919,15.341,.12423]
M[1278]=[-.092,15.3465,.12424]
M[1279]=[-.0921,15.352,.12426]
M[1280]=[-.0922,15.3575,.12428]
M[1281]=[-.0924,15.363,.1243]
M[1282]=[-.0925,15.3685,.12431]
M[1283]=[-.0926,15.374,.12433]
M[1284]=[-.0927,15.3795,.12435]
M[1285]=[-.0928,15.385,.12436]
M[1286]=[-.093,15.3905,.12438]
M[1287]=[-.0931,15.396,.1244]
M[1288]=[-.0932,15.4015,.12442]
M[1289]=[-.0933,15.407,.12443]
M[1290]=[-.0934,15.4125,.12445]
M[1291]=[-.0936,15.4179,.12447]
M[1292]=[-.0937,15.4234,.12448]
M[1293]=[-.0938,15.4289,.1245]
M[1294]=[-.0939,15.4344,.12452]
M[1295]=[-.094,15.4399,.12454]
M[1296]=[-.0942,15.4454,.12455]
M[1297]=[-.0943,15.4509,.12457]
M[1298]=[-.0944,15.4564,.12459]
M[1299]=[-.0945,15.4619,.12461]
M[1300]=[-.0946,15.4674,.12462]
M[1301]=[-.0948,15.4729,.12464]
M[1302]=[-.0949,15.4784,.12466]
M[1303]=[-.095,15.4839,.12467]
M[1304]=[-.0951,15.4894,.12469]
M[1305]=[-.0952,15.4948,.12471]
M[1306]=[-.0954,15.5003,.12473]
M[1307]=[-.0955,15.5058,.12474]
M[1308]=[-.0956,15.5113,.12476]
M[1309]=[-.0957,15.5168,.12478]
M[1310]=[-.0958,15.5223,.1248]
M[1311]=[-.0959,15.5278,.12481]
M[1312]=[-.0961,15.5333,.12483]
M[1313]=[-.0962,15.5388,.12485]
M[1314]=[-.0963,15.5443,.12487]
M[1315]=[-.0964,15.5498,.12488]
M[1316]=[-.0965,15.5552,.1249]
M[1317]=[-.0967,15.5607,.12492]
M[1318]=[-.0968,15.5662,.12494]
M[1319]=[-.0969,15.5717,.12495]
M[1320]=[-.097,15.5772,.12497]
M[1321]=[-.0971,15.5827,.12499]
M[1322]=[-.0972,15.5882,.12501]
M[1323]=[-.0974,15.5937,.12502]
M[1324]=[-.0975,15.5992,.12504]
M[1325]=[-.0976,15.6047,.12506]
M[1326]=[-.0977,15.6101,.12508]
M[1327]=[-.0978,15.6156,.1251]
M[1328]=[-.098,15.6211,.12511]
M[1329]=[-.0981,15.6266,.12513]
M[1330]=[-.0982,15.6321,.12515]
M[1331]=[-.0983,15.6376,.12517]
M[1332]=[-.0984,15.6431,.12518]
M[1333]=[-.0985,15.6486,.1252]
M[1334]=[-.0987,15.654,.12522]
M[1335]=[-.0988,15.6595,.12524]
M[1336]=[-.0989,15.665,.12526]
M[1337]=[-.099,15.6705,.12527]
M[1338]=[-.0991,15.676,.12529]
M[1339]=[-.0992,15.6815,.12531]
M[1340]=[-.0994,15.687,.12533]
M[1341]=[-.0995,15.6924,.12534]
M[1342]=[-.0996,15.6979,.12536]
M[1343]=[-.0997,15.7034,.12538]
M[1344]=[-.0998,15.7089,.1254]
M[1345]=[-.0999,15.7144,.12542]
M[1346]=[-.1001,15.7199,.12543]
M[1347]=[-.1002,15.7253,.12545]
M[1348]=[-.1003,15.7308,.12547]
M[1349]=[-.1004,15.7363,.12549]
M[1350]=[-.1005,15.7418,.12551]
M[1351]=[-.1006,15.7473,.12552]
M[1352]=[-.1008,15.7528,.12554]
M[1353]=[-.1009,15.7582,.12556]
M[1354]=[-.101,15.7637,.12558]
M[1355]=[-.1011,15.7692,.1256]
M[1356]=[-.1012,15.7747,.12561]
M[1357]=[-.1013,15.7802,.12563]
M[1358]=[-.1015,15.7856,.12565]
M[1359]=[-.1016,15.7911,.12567]
M[1360]=[-.1017,15.7966,.12569]
M[1361]=[-.1018,15.8021,.1257]
M[1362]=[-.1019,15.8076,.12572]
M[1363]=[-.102,15.813,.12574]
M[1364]=[-.1022,15.8185,.12576]
M[1365]=[-.1023,15.824,.12578]
M[1366]=[-.1024,15.8295,.1258]
M[1367]=[-.1025,15.835,.12581]
M[1368]=[-.1026,15.8404,.12583]
M[1369]=[-.1027,15.8459,.12585]
M[1370]=[-.1028,15.8514,.12587]
M[1371]=[-.103,15.8569,.12589]
M[1372]=[-.1031,15.8623,.12591]
M[1373]=[-.1032,15.8678,.12592]
M[1374]=[-.1033,15.8733,.12594]
M[1375]=[-.1034,15.8788,.12596]
M[1376]=[-.1035,15.8842,.12598]
M[1377]=[-.1037,15.8897,.126]
M[1378]=[-.1038,15.8952,.12602]
M[1379]=[-.1039,15.9007,.12603]
M[1380]=[-.104,15.9061,.12605]
M[1381]=[-.1041,15.9116,.12607]
M[1382]=[-.1042,15.9171,.12609]
M[1383]=[-.1043,15.9226,.12611]
M[1384]=[-.1045,15.928,.12613]
M[1385]=[-.1046,15.9335,.12615]
M[1386]=[-.1047,15.939,.12616]
M[1387]=[-.1048,15.9445,.12618]
M[1388]=[-.1049,15.9499,.1262]
M[1389]=[-.105,15.9554,.12622]
M[1390]=[-.1051,15.9609,.12624]
M[1391]=[-.1053,15.9664,.12626]
M[1392]=[-.1054,15.9718,.12627]
M[1393]=[-.1055,15.9773,.12629]
M[1394]=[-.1056,15.9828,.12631]
M[1395]=[-.1057,15.9882,.12633]
M[1396]=[-.1058,15.9937,.12635]
M[1397]=[-.1059,15.9992,.12637]
M[1398]=[-.1061,16.0047,.12639]
M[1399]=[-.1062,16.0101,.12641]
M[1400]=[-.1063,16.0156,.12642]
M[1401]=[-.1064,16.0211,.12644]
M[1402]=[-.1065,16.0265,.12646]
M[1403]=[-.1066,16.032,.12648]
M[1404]=[-.1067,16.0375,.1265]
M[1405]=[-.1068,16.043,.12652]
M[1406]=[-.107,16.0484,.12654]
M[1407]=[-.1071,16.0539,.12656]
M[1408]=[-.1072,16.0594,.12657]
M[1409]=[-.1073,16.0648,.12659]
M[1410]=[-.1074,16.0703,.12661]
M[1411]=[-.1075,16.0758,.12663]
M[1412]=[-.1076,16.0812,.12665]
M[1413]=[-.1078,16.0867,.12667]
M[1414]=[-.1079,16.0922,.12669]
M[1415]=[-.108,16.0976,.12671]
M[1416]=[-.1081,16.1031,.12673]
M[1417]=[-.1082,16.1086,.12674]
M[1418]=[-.1083,16.114,.12676]
M[1419]=[-.1084,16.1195,.12678]
M[1420]=[-.1085,16.125,.1268]
M[1421]=[-.1087,16.1304,.12682]
M[1422]=[-.1088,16.1359,.12684]
M[1423]=[-.1089,16.1414,.12686]
M[1424]=[-.109,16.1468,.12688]
M[1425]=[-.1091,16.1523,.1269]
M[1426]=[-.1092,16.1578,.12692]
M[1427]=[-.1093,16.1632,.12693]
M[1428]=[-.1094,16.1687,.12695]
M[1429]=[-.1096,16.1742,.12697]
M[1430]=[-.1097,16.1796,.12699]
M[1431]=[-.1098,16.1851,.12701]
M[1432]=[-.1099,16.1906,.12703]
M[1433]=[-.11,16.196,.12705]
M[1434]=[-.1101,16.2015,.12707]
M[1435]=[-.1102,16.2069,.12709]
M[1436]=[-.1103,16.2124,.12711]
M[1437]=[-.1105,16.2179,.12713]
M[1438]=[-.1106,16.2233,.12715]
M[1439]=[-.1107,16.2288,.12717]
M[1440]=[-.1108,16.2343,.12718]
M[1441]=[-.1109,16.2397,.1272]
M[1442]=[-.111,16.2452,.12722]
M[1443]=[-.1111,16.2506,.12724]
M[1444]=[-.1112,16.2561,.12726]
M[1445]=[-.1113,16.2616,.12728]
M[1446]=[-.1115,16.267,.1273]
M[1447]=[-.1116,16.2725,.12732]
M[1448]=[-.1117,16.2779,.12734]
M[1449]=[-.1118,16.2834,.12736]
M[1450]=[-.1119,16.2889,.12738]
M[1451]=[-.112,16.2943,.1274]
M[1452]=[-.1121,16.2998,.12742]
M[1453]=[-.1122,16.3053,.12744]
M[1454]=[-.1123,16.3107,.12746]
M[1455]=[-.1125,16.3162,.12747]
M[1456]=[-.1126,16.3216,.12749]
M[1457]=[-.1127,16.3271,.12751]
M[1458]=[-.1128,16.3325,.12753]
M[1459]=[-.1129,16.338,.12755]
M[1460]=[-.113,16.3435,.12757]
M[1461]=[-.1131,16.3489,.12759]
M[1462]=[-.1132,16.3544,.12761]
M[1463]=[-.1133,16.3598,.12763]
M[1464]=[-.1134,16.3653,.12765]
M[1465]=[-.1136,16.3708,.12767]
M[1466]=[-.1137,16.3762,.12769]
M[1467]=[-.1138,16.3817,.12771]
M[1468]=[-.1139,16.3871,.12773]
M[1469]=[-.114,16.3926,.12775]
M[1470]=[-.1141,16.3981,.12777]
M[1471]=[-.1142,16.4035,.12779]
M[1472]=[-.1143,16.409,.12781]
M[1473]=[-.1144,16.4144,.12783]
M[1474]=[-.1146,16.4199,.12785]
M[1475]=[-.1147,16.4253,.12787]
M[1476]=[-.1148,16.4308,.12789]
M[1477]=[-.1149,16.4363,.12791]
M[1478]=[-.115,16.4417,.12793]
M[1479]=[-.1151,16.4472,.12795]
M[1480]=[-.1152,16.4526,.12797]
M[1481]=[-.1153,16.4581,.12799]
M[1482]=[-.1154,16.4635,.12801]
M[1483]=[-.1155,16.469,.12803]
M[1484]=[-.1156,16.4745,.12804]
M[1485]=[-.1158,16.4799,.12806]
M[1486]=[-.1159,16.4854,.12808]
M[1487]=[-.116,16.4908,.1281]
M[1488]=[-.1161,16.4963,.12812]
M[1489]=[-.1162,16.5017,.12814]
M[1490]=[-.1163,16.5072,.12816]
M[1491]=[-.1164,16.5126,.12818]
M[1492]=[-.1165,16.5181,.1282]
M[1493]=[-.1166,16.5236,.12822]
M[1494]=[-.1167,16.529,.12824]
M[1495]=[-.1168,16.5345,.12826]
M[1496]=[-.117,16.5399,.12828]
M[1497]=[-.1171,16.5454,.1283]
M[1498]=[-.1172,16.5508,.12832]
M[1499]=[-.1173,16.5563,.12834]
M[1500]=[-.1174,16.5618,.12836]
M[1501]=[-.1175,16.5672,.12838]
M[1502]=[-.1176,16.5727,.1284]
M[1503]=[-.1177,16.5781,.12842]
M[1504]=[-.1178,16.5836,.12844]
M[1505]=[-.1179,16.589,.12846]
M[1506]=[-.118,16.5945,.12848]
M[1507]=[-.1182,16.5999,.1285]
M[1508]=[-.1183,16.6054,.12852]
M[1509]=[-.1184,16.6109,.12854]
M[1510]=[-.1185,16.6163,.12856]
M[1511]=[-.1186,16.6218,.12858]
M[1512]=[-.1187,16.6272,.1286]
M[1513]=[-.1188,16.6327,.12863]
M[1514]=[-.1189,16.6381,.12865]
M[1515]=[-.119,16.6436,.12867]
M[1516]=[-.1191,16.649,.12869]
M[1517]=[-.1192,16.6545,.12871]
M[1518]=[-.1193,16.6599,.12873]
M[1519]=[-.1195,16.6654,.12875]
M[1520]=[-.1196,16.6709,.12877]
M[1521]=[-.1197,16.6763,.12879]
M[1522]=[-.1198,16.6818,.12881]
M[1523]=[-.1199,16.6872,.12883]
M[1524]=[-.12,16.6927,.12885]
M[1525]=[-.1201,16.6981,.12887]
M[1526]=[-.1202,16.7036,.12889]
M[1527]=[-.1203,16.709,.12891]
M[1528]=[-.1204,16.7145,.12893]
M[1529]=[-.1205,16.72,.12895]
M[1530]=[-.1206,16.7254,.12897]
M[1531]=[-.1207,16.7309,.12899]
M[1532]=[-.1208,16.7363,.12901]
M[1533]=[-.121,16.7418,.12903]
M[1534]=[-.1211,16.7472,.12905]
M[1535]=[-.1212,16.7527,.12907]
M[1536]=[-.1213,16.7581,.12909]
M[1537]=[-.1214,16.7636,.12911]
M[1538]=[-.1215,16.769,.12913]
M[1539]=[-.1216,16.7745,.12915]
M[1540]=[-.1217,16.78,.12917]
M[1541]=[-.1218,16.7854,.12919]
M[1542]=[-.1219,16.7909,.12921]
M[1543]=[-.122,16.7963,.12923]
M[1544]=[-.1221,16.8018,.12925]
M[1545]=[-.1222,16.8072,.12928]
M[1546]=[-.1223,16.8127,.1293]
M[1547]=[-.1225,16.8181,.12932]
M[1548]=[-.1226,16.8236,.12934]
M[1549]=[-.1227,16.829,.12936]
M[1550]=[-.1228,16.8345,.12938]
M[1551]=[-.1229,16.84,.1294]
M[1552]=[-.123,16.8454,.12942]
M[1553]=[-.1231,16.8509,.12944]
M[1554]=[-.1232,16.8563,.12946]
M[1555]=[-.1233,16.8618,.12948]
M[1556]=[-.1234,16.8672,.1295]
M[1557]=[-.1235,16.8727,.12952]
M[1558]=[-.1236,16.8781,.12954]
M[1559]=[-.1237,16.8836,.12956]
M[1560]=[-.1238,16.8891,.12958]
M[1561]=[-.1239,16.8945,.1296]
M[1562]=[-.124,16.9,.12962]
M[1563]=[-.1242,16.9054,.12965]
M[1564]=[-.1243,16.9109,.12967]
M[1565]=[-.1244,16.9163,.12969]
M[1566]=[-.1245,16.9218,.12971]
M[1567]=[-.1246,16.9272,.12973]
M[1568]=[-.1247,16.9327,.12975]
M[1569]=[-.1248,16.9382,.12977]
M[1570]=[-.1249,16.9436,.12979]
M[1571]=[-.125,16.9491,.12981]
M[1572]=[-.1251,16.9545,.12983]
M[1573]=[-.1252,16.96,.12985]
M[1574]=[-.1253,16.9654,.12987]
M[1575]=[-.1254,16.9709,.12989]
M[1576]=[-.1255,16.9763,.12991]
M[1577]=[-.1256,16.9818,.12993]
M[1578]=[-.1257,16.9873,.12996]
M[1579]=[-.1258,16.9927,.12998]
M[1580]=[-.1259,16.9982,.13]
M[1581]=[-.126,17.0036,.13002]
M[1582]=[-.1262,17.0091,.13004]
M[1583]=[-.1263,17.0145,.13006]
M[1584]=[-.1264,17.02,.13008]
M[1585]=[-.1265,17.0255,.1301]
M[1586]=[-.1266,17.0309,.13012]
M[1587]=[-.1267,17.0364,.13014]
M[1588]=[-.1268,17.0418,.13016]
M[1589]=[-.1269,17.0473,.13018]
M[1590]=[-.127,17.0527,.1302]
M[1591]=[-.1271,17.0582,.13023]
M[1592]=[-.1272,17.0636,.13025]
M[1593]=[-.1273,17.0691,.13027]
M[1594]=[-.1274,17.0746,.13029]
M[1595]=[-.1275,17.08,.13031]
M[1596]=[-.1276,17.0855,.13033]
M[1597]=[-.1277,17.0909,.13035]
M[1598]=[-.1278,17.0964,.13037]
M[1599]=[-.1279,17.1018,.13039]
M[1600]=[-.128,17.1073,.13041]
M[1601]=[-.1281,17.1127,.13043]
M[1602]=[-.1282,17.1182,.13045]
M[1603]=[-.1283,17.1237,.13047]
M[1604]=[-.1285,17.1291,.1305]
M[1605]=[-.1286,17.1346,.13052]
M[1606]=[-.1287,17.14,.13054]
M[1607]=[-.1288,17.1455,.13056]
M[1608]=[-.1289,17.1509,.13058]
M[1609]=[-.129,17.1564,.1306]
M[1610]=[-.1291,17.1618,.13062]
M[1611]=[-.1292,17.1673,.13064]
M[1612]=[-.1293,17.1728,.13066]
M[1613]=[-.1294,17.1782,.13068]
M[1614]=[-.1295,17.1837,.1307]
M[1615]=[-.1296,17.1891,.13073]
M[1616]=[-.1297,17.1946,.13075]
M[1617]=[-.1298,17.2,.13077]
M[1618]=[-.1299,17.2055,.13079]
M[1619]=[-.13,17.2109,.13081]
M[1620]=[-.1301,17.2164,.13083]
M[1621]=[-.1302,17.2218,.13085]
M[1622]=[-.1303,17.2273,.13087]
M[1623]=[-.1304,17.2328,.13089]
M[1624]=[-.1305,17.2382,.13091]
M[1625]=[-.1306,17.2437,.13093]
M[1626]=[-.1307,17.2491,.13096]
M[1627]=[-.1308,17.2546,.13098]
M[1628]=[-.1309,17.26,.131]
M[1629]=[-.131,17.2655,.13102]
M[1630]=[-.1311,17.2709,.13104]
M[1631]=[-.1312,17.2764,.13106]
M[1632]=[-.1314,17.2818,.13108]
M[1633]=[-.1315,17.2873,.1311]
M[1634]=[-.1316,17.2927,.13112]
M[1635]=[-.1317,17.2982,.13114]
M[1636]=[-.1318,17.3037,.13117]
M[1637]=[-.1319,17.3091,.13119]
M[1638]=[-.132,17.3146,.13121]
M[1639]=[-.1321,17.32,.13123]
M[1640]=[-.1322,17.3255,.13125]
M[1641]=[-.1323,17.3309,.13127]
M[1642]=[-.1324,17.3364,.13129]
M[1643]=[-.1325,17.3418,.13131]
M[1644]=[-.1326,17.3473,.13133]
M[1645]=[-.1327,17.3527,.13135]
M[1646]=[-.1328,17.3582,.13137]
M[1647]=[-.1329,17.3636,.1314]
M[1648]=[-.133,17.3691,.13142]
M[1649]=[-.1331,17.3745,.13144]
M[1650]=[-.1332,17.38,.13146]
M[1651]=[-.1333,17.3854,.13148]
M[1652]=[-.1334,17.3909,.1315]
M[1653]=[-.1335,17.3963,.13152]
M[1654]=[-.1336,17.4018,.13154]
M[1655]=[-.1337,17.4072,.13156]
M[1656]=[-.1338,17.4127,.13159]
M[1657]=[-.1339,17.4181,.13161]
M[1658]=[-.134,17.4236,.13163]
M[1659]=[-.1341,17.429,.13165]
M[1660]=[-.1342,17.4345,.13167]
M[1661]=[-.1343,17.4399,.13169]
M[1662]=[-.1344,17.4454,.13171]
M[1663]=[-.1345,17.4508,.13173]
M[1664]=[-.1346,17.4563,.13175]
M[1665]=[-.1347,17.4617,.13177]
M[1666]=[-.1348,17.4672,.1318]
M[1667]=[-.1349,17.4726,.13182]
M[1668]=[-.135,17.4781,.13184]
M[1669]=[-.1351,17.4835,.13186]
M[1670]=[-.1352,17.489,.13188]
M[1671]=[-.1353,17.4944,.1319]
M[1672]=[-.1354,17.4999,.13192]
M[1673]=[-.1355,17.5053,.13194]
M[1674]=[-.1356,17.5107,.13196]
M[1675]=[-.1357,17.5162,.13199]
M[1676]=[-.1358,17.5216,.13201]
M[1677]=[-.1359,17.5271,.13203]
M[1678]=[-.136,17.5325,.13205]
M[1679]=[-.1361,17.538,.13207]
M[1680]=[-.1362,17.5434,.13209]
M[1681]=[-.1363,17.5489,.13211]
M[1682]=[-.1364,17.5543,.13213]
M[1683]=[-.1365,17.5598,.13215]
M[1684]=[-.1366,17.5652,.13218]
M[1685]=[-.1367,17.5706,.1322]
M[1686]=[-.1368,17.5761,.13222]
M[1687]=[-.1369,17.5815,.13224]
M[1688]=[-.137,17.587,.13226]
M[1689]=[-.1371,17.5924,.13228]
M[1690]=[-.1373,17.5979,.1323]
M[1691]=[-.1374,17.6033,.13232]
M[1692]=[-.1375,17.6087,.13234]
M[1693]=[-.1376,17.6142,.13237]
M[1694]=[-.1377,17.6196,.13239]
M[1695]=[-.1378,17.6251,.13241]
M[1696]=[-.1379,17.6305,.13243]
M[1697]=[-.138,17.636,.13245]
M[1698]=[-.1381,17.6414,.13247]
M[1699]=[-.1382,17.6468,.13249]
M[1700]=[-.1383,17.6523,.13251]
M[1701]=[-.1384,17.6577,.13253]
M[1702]=[-.1385,17.6632,.13256]
M[1703]=[-.1386,17.6686,.13258]
M[1704]=[-.1387,17.674,.1326]
M[1705]=[-.1388,17.6795,.13262]
M[1706]=[-.1389,17.6849,.13264]
M[1707]=[-.139,17.6904,.13266]
M[1708]=[-.1391,17.6958,.13268]
M[1709]=[-.1392,17.7012,.1327]
M[1710]=[-.1393,17.7067,.13272]
M[1711]=[-.1394,17.7121,.13275]
M[1712]=[-.1395,17.7175,.13277]
M[1713]=[-.1396,17.723,.13279]
M[1714]=[-.1397,17.7284,.13281]
M[1715]=[-.1398,17.7339,.13283]
M[1716]=[-.1399,17.7393,.13285]
M[1717]=[-.14,17.7447,.13287]
M[1718]=[-.1401,17.7502,.13289]
M[1719]=[-.1402,17.7556,.13291]
M[1720]=[-.1403,17.761,.13294]
M[1721]=[-.1404,17.7665,.13296]
M[1722]=[-.1404,17.7719,.13298]
M[1723]=[-.1405,17.7773,.133]
M[1724]=[-.1406,17.7828,.13302]
M[1725]=[-.1407,17.7882,.13304]
M[1726]=[-.1408,17.7936,.13306]
M[1727]=[-.1409,17.7991,.13308]
M[1728]=[-.141,17.8045,.1331]
M[1729]=[-.1411,17.8099,.13313]
M[1730]=[-.1412,17.8154,.13315]
M[1731]=[-.1413,17.8208,.13317]
M[1732]=[-.1414,17.8262,.13319]
M[1733]=[-.1415,17.8317,.13321]
M[1734]=[-.1416,17.8371,.13323]
M[1735]=[-.1417,17.8425,.13325]
M[1736]=[-.1418,17.848,.13327]
M[1737]=[-.1419,17.8534,.13329]
M[1738]=[-.142,17.8588,.13332]
M[1739]=[-.1421,17.8642,.13334]
M[1740]=[-.1422,17.8697,.13336]
M[1741]=[-.1423,17.8751,.13338]
M[1742]=[-.1424,17.8805,.1334]
M[1743]=[-.1425,17.886,.13342]
M[1744]=[-.1426,17.8914,.13344]
M[1745]=[-.1427,17.8968,.13346]
M[1746]=[-.1428,17.9022,.13348]
M[1747]=[-.1429,17.9077,.13351]
M[1748]=[-.143,17.9131,.13353]
M[1749]=[-.1431,17.9185,.13355]
M[1750]=[-.1432,17.924,.13357]
M[1751]=[-.1433,17.9294,.13359]
M[1752]=[-.1434,17.9348,.13361]
M[1753]=[-.1435,17.9402,.13363]
M[1754]=[-.1436,17.9457,.13365]
M[1755]=[-.1437,17.9511,.13367]
M[1756]=[-.1438,17.9565,.1337]
M[1757]=[-.1439,17.9619,.13372]
M[1758]=[-.144,17.9674,.13374]
M[1759]=[-.1441,17.9728,.13376]
M[1760]=[-.1442,17.9782,.13378]
M[1761]=[-.1443,17.9836,.1338]
M[1762]=[-.1444,17.989,.13382]
M[1763]=[-.1445,17.9945,.13384]
M[1764]=[-.1446,17.9999,.13386]
M[1765]=[-.1447,18.0053,.13389]
M[1766]=[-.1448,18.0107,.13391]
M[1767]=[-.1449,18.0162,.13393]
M[1768]=[-.145,18.0216,.13395]
M[1769]=[-.1451,18.027,.13397]
M[1770]=[-.1452,18.0324,.13399]
M[1771]=[-.1453,18.0378,.13401]
M[1772]=[-.1454,18.0432,.13403]
M[1773]=[-.1455,18.0487,.13405]
M[1774]=[-.1456,18.0541,.13408]
M[1775]=[-.1457,18.0595,.1341]
M[1776]=[-.1458,18.0649,.13412]
M[1777]=[-.1459,18.0703,.13414]
M[1778]=[-.146,18.0758,.13416]
M[1779]=[-.1461,18.0812,.13418]
M[1780]=[-.1462,18.0866,.1342]
M[1781]=[-.1462,18.092,.13422]
M[1782]=[-.1463,18.0974,.13424]
M[1783]=[-.1464,18.1028,.13426]
M[1784]=[-.1465,18.1082,.13429]
M[1785]=[-.1466,18.1137,.13431]
M[1786]=[-.1467,18.1191,.13433]
M[1787]=[-.1468,18.1245,.13435]
M[1788]=[-.1469,18.1299,.13437]
M[1789]=[-.147,18.1353,.13439]
M[1790]=[-.1471,18.1407,.13441]
M[1791]=[-.1472,18.1461,.13443]
M[1792]=[-.1473,18.1515,.13445]
M[1793]=[-.1474,18.157,.13448]
M[1794]=[-.1475,18.1624,.1345]
M[1795]=[-.1476,18.1678,.13452]
M[1796]=[-.1477,18.1732,.13454]
M[1797]=[-.1478,18.1786,.13456]
M[1798]=[-.1479,18.184,.13458]
M[1799]=[-.148,18.1894,.1346]
M[1800]=[-.1481,18.1948,.13462]
M[1801]=[-.1482,18.2002,.13464]
M[1802]=[-.1483,18.2056,.13466]
M[1803]=[-.1484,18.211,.13469]
M[1804]=[-.1485,18.2164,.13471]
M[1805]=[-.1486,18.2218,.13473]
M[1806]=[-.1487,18.2272,.13475]
M[1807]=[-.1488,18.2327,.13477]
M[1808]=[-.1489,18.2381,.13479]
M[1809]=[-.149,18.2435,.13481]
M[1810]=[-.1491,18.2489,.13483]
M[1811]=[-.1491,18.2543,.13485]
M[1812]=[-.1492,18.2597,.13487]
M[1813]=[-.1493,18.2651,.1349]
M[1814]=[-.1494,18.2705,.13492]
M[1815]=[-.1495,18.2759,.13494]
M[1816]=[-.1496,18.2813,.13496]
M[1817]=[-.1497,18.2867,.13498]
M[1818]=[-.1498,18.2921,.135]
M[1819]=[-.1499,18.2975,.13502]
M[1820]=[-.15,18.3029,.13504]
M[1821]=[-.1501,18.3083,.13506]
M[1822]=[-.1502,18.3137,.13508]
M[1823]=[-.1503,18.319,.13511]
M[1824]=[-.1504,18.3244,.13513]
M[1825]=[-.1505,18.3298,.13515]
M[1826]=[-.1506,18.3352,.13517]
M[1827]=[-.1507,18.3406,.13519]
M[1828]=[-.1508,18.346,.13521]
M[1829]=[-.1509,18.3514,.13523]
M[1830]=[-.151,18.3568,.13525]
M[1831]=[-.1511,18.3622,.13527]
M[1832]=[-.1512,18.3676,.13529]
M[1833]=[-.1513,18.373,.13531]
M[1834]=[-.1514,18.3784,.13534]
M[1835]=[-.1514,18.3838,.13536]
M[1836]=[-.1515,18.3891,.13538]
M[1837]=[-.1516,18.3945,.1354]
M[1838]=[-.1517,18.3999,.13542]
M[1839]=[-.1518,18.4053,.13544]
M[1840]=[-.1519,18.4107,.13546]
M[1841]=[-.152,18.4161,.13548]
M[1842]=[-.1521,18.4215,.1355]
M[1843]=[-.1522,18.4268,.13552]
M[1844]=[-.1523,18.4322,.13554]
M[1845]=[-.1524,18.4376,.13557]
M[1846]=[-.1525,18.443,.13559]
M[1847]=[-.1526,18.4484,.13561]
M[1848]=[-.1527,18.4538,.13563]
M[1849]=[-.1528,18.4591,.13565]
M[1850]=[-.1529,18.4645,.13567]
M[1851]=[-.153,18.4699,.13569]
M[1852]=[-.1531,18.4753,.13571]
M[1853]=[-.1532,18.4807,.13573]
M[1854]=[-.1533,18.486,.13575]
M[1855]=[-.1533,18.4914,.13577]
M[1856]=[-.1534,18.4968,.1358]
F[0]=[.3809,3.2322,.14171]
F[1]=[.3259,3.1957,.14578]
F[2]=[.3101,3.2104,.14637]
F[3]=[.2986,3.2315,.14657]
F[4]=[.2891,3.2558,.14658]
F[5]=[.281,3.2821,.14646]
F[6]=[.2737,3.3099,.14626]
F[7]=[.2671,3.3388,.146]
F[8]=[.2609,3.3687,.14569]
F[9]=[.2551,3.3995,.14534]
F[10]=[.2497,3.4314,.14498]
F[11]=[.2446,3.4643,.14459]
F[12]=[.2397,3.4983,.1442]
F[13]=[.2349,3.5333,.1438]
F[14]=[.2304,3.5693,.14339]
F[15]=[.226,3.6063,.14299]
F[16]=[.2218,3.6438,.14258]
F[17]=[.2177,3.6818,.14218]
F[18]=[.2137,3.7201,.14177]
F[19]=[.2099,3.7584,.14138]
F[20]=[.2061,3.7968,.14098]
F[21]=[.2024,3.8352,.1406]
F[22]=[.1989,3.8735,.14021]
F[23]=[.1954,3.9116,.13984]
F[24]=[.1919,3.9495,.13947]
F[25]=[.1886,3.9872,.1391]
F[26]=[.1853,4.0247,.13875]
F[27]=[.1821,4.0618,.1384]
F[28]=[.1789,4.0987,.13805]
F[29]=[.1758,4.1353,.13771]
F[30]=[.1727,4.1716,.13738]
F[31]=[.1697,4.2075,.13706]
F[32]=[.1668,4.2431,.13674]
F[33]=[.1638,4.2783,.13643]
F[34]=[.161,4.3131,.13613]
F[35]=[.1582,4.3476,.13583]
F[36]=[.1554,4.3818,.13554]
F[37]=[.1526,4.4155,.13526]
F[38]=[.1499,4.449,.13498]
F[39]=[.1473,4.482,.1347]
F[40]=[.1446,4.5148,.13444]
F[41]=[.142,4.5472,.13418]
F[42]=[.1395,4.5793,.13392]
F[43]=[.1369,4.611,.13367]
F[44]=[.1344,4.6425,.13342]
F[45]=[.132,4.6736,.13318]
F[46]=[.1295,4.7044,.13295]
F[47]=[.1271,4.7349,.13272]
F[48]=[.1247,4.7651,.1325]
F[49]=[.1224,4.795,.13228]
F[50]=[.12,4.8245,.13206]
F[51]=[.1177,4.8538,.13185]
F[52]=[.1154,4.8828,.13165]
F[53]=[.1132,4.9115,.13145]
F[54]=[.1109,4.9399,.13125]
F[55]=[.1087,4.968,.13106]
F[56]=[.1065,4.9959,.13087]
F[57]=[.1044,5.0235,.13068]
F[58]=[.1022,5.0509,.1305]
F[59]=[.1001,5.078,.13033]
F[60]=[.098,5.1049,.13015]
F[61]=[.0959,5.1315,.12998]
F[62]=[.0938,5.158,.12982]
F[63]=[.0918,5.1842,.12966]
F[64]=[.0897,5.2102,.1295]
F[65]=[.0877,5.236,.12934]
F[66]=[.0857,5.2616,.12919]
F[67]=[.0838,5.287,.12904]
F[68]=[.0818,5.3121,.12889]
F[69]=[.0798,5.337,.12875]
F[70]=[.0779,5.3618,.12861]
F[71]=[.076,5.3863,.12847]
F[72]=[.0741,5.4107,.12834]
F[73]=[.0722,5.4348,.12821]
F[74]=[.0704,5.4587,.12808]
F[75]=[.0685,5.4825,.12795]
F[76]=[.0667,5.5061,.12783]
F[77]=[.0648,5.5295,.1277]
F[78]=[.063,5.5527,.12758]
F[79]=[.0612,5.5757,.12747]
F[80]=[.0595,5.5986,.12735]
F[81]=[.0577,5.6213,.12724]
F[82]=[.0559,5.6438,.12713]
F[83]=[.0542,5.6662,.12702]
F[84]=[.0525,5.6883,.12691]
F[85]=[.0508,5.7104,.12681]
F[86]=[.049,5.7322,.12671]
F[87]=[.0474,5.7539,.1266]
F[88]=[.0457,5.7755,.12651]
F[89]=[.044,5.7969,.12641]
F[90]=[.0424,5.8181,.12631]
F[91]=[.0407,5.8393,.12622]
F[92]=[.0391,5.8602,.12613]
F[93]=[.0375,5.881,.12604]
F[94]=[.0358,5.9017,.12595]
F[95]=[.0342,5.9223,.12586]
F[96]=[.0327,5.9427,.12577]
F[97]=[.0311,5.9629,.12569]
F[98]=[.0295,5.9831,.12561]
F[99]=[.0279,6.0031,.12553]
F[100]=[.0264,6.0229,.12545]
F[101]=[.0249,6.0426,.12537]
F[102]=[.0233,6.0622,.12529]
F[103]=[.0218,6.0817,.12522]
F[104]=[.0203,6.101,.12514]
F[105]=[.0188,6.1202,.12507]
F[106]=[.0173,6.1393,.125]
F[107]=[.0158,6.1582,.12493]
F[108]=[.0144,6.1771,.12486]
F[109]=[.0129,6.1958,.12479]
F[110]=[.0114,6.2143,.12472]
F[111]=[.01,6.2328,.12466]
F[112]=[.0086,6.2511,.12459]
F[113]=[.0071,6.2693,.12453]
F[114]=[.0057,6.2874,.12447]
F[115]=[.0043,6.3054,.12441]
F[116]=[.0029,6.3232,.12435]
F[117]=[.0015,6.341,.12429]
F[118]=[.0001,6.3586,.12423]
F[119]=[-.0013,6.3761,.12417]
F[120]=[-.0026,6.3935,.12412]
F[121]=[-.004,6.4108,.12406]
F[122]=[-.0053,6.428,.12401]
F[123]=[-.0067,6.445,.12395]
F[124]=[-.008,6.462,.1239]
F[125]=[-.0094,6.4788,.12385]
F[126]=[-.0107,6.4956,.1238]
F[127]=[-.012,6.5122,.12375]
F[128]=[-.0133,6.5288,.1237]
F[129]=[-.0146,6.5452,.12365]
F[130]=[-.0159,6.5615,.1236]
F[131]=[-.0172,6.5777,.12355]
F[132]=[-.0185,6.5939,.12351]
F[133]=[-.0198,6.6099,.12346]
F[134]=[-.021,6.6258,.12342]
F[135]=[-.0223,6.6416,.12337]
F[136]=[-.0235,6.6573,.12333]
F[137]=[-.0248,6.6729,.12329]
F[138]=[-.026,6.6884,.12325]
F[139]=[-.0273,6.7039,.12321]
F[140]=[-.0285,6.7192,.12317]
F[141]=[-.0297,6.7344,.12313]
F[142]=[-.0309,6.7495,.12309]
F[143]=[-.0321,6.7646,.12305]
F[144]=[-.0333,6.7795,.12301]
F[145]=[-.0345,6.7944,.12298]
F[146]=[-.0357,6.8091,.12294]
F[147]=[-.0369,6.8238,.12291]
F[148]=[-.0381,6.8384,.12287]
F[149]=[-.0393,6.8529,.12284]
F[150]=[-.0404,6.8673,.12281]
F[151]=[-.0416,6.8816,.12277]
F[152]=[-.0428,6.8959,.12274]
F[153]=[-.0439,6.91,.12271]
F[154]=[-.045,6.9241,.12268]
F[155]=[-.0462,6.9381,.12265]
F[156]=[-.0473,6.952,.12262]
F[157]=[-.0484,6.9659,.12259]
F[158]=[-.0496,6.9797,.12256]
F[159]=[-.0507,6.9934,.12254]
F[160]=[-.0518,7.007,.12251]
F[161]=[-.0529,7.0205,.12248]
F[162]=[-.054,7.034,.12246]
F[163]=[-.0551,7.0474,.12243]
F[164]=[-.0562,7.0607,.12241]
F[165]=[-.0573,7.074,.12238]
F[166]=[-.0583,7.0872,.12236]
F[167]=[-.0594,7.1003,.12234]
F[168]=[-.0605,7.1133,.12231]
F[169]=[-.0615,7.1263,.12229]
F[170]=[-.0626,7.1393,.12227]
F[171]=[-.0637,7.1521,.12225]
F[172]=[-.0647,7.1649,.12223]
F[173]=[-.0658,7.1776,.12221]
F[174]=[-.0668,7.1903,.12219]
F[175]=[-.0678,7.2029,.12217]
F[176]=[-.0689,7.2154,.12215]
F[177]=[-.0699,7.2279,.12214]
F[178]=[-.0709,7.2403,.12212]
F[179]=[-.0719,7.2527,.1221]
F[180]=[-.0729,7.265,.12208]
F[181]=[-.0739,7.2772,.12207]
F[182]=[-.0749,7.2894,.12205]
F[183]=[-.0759,7.3016,.12204]
F[184]=[-.0769,7.3136,.12202]
F[185]=[-.0779,7.3256,.12201]
F[186]=[-.0789,7.3376,.122]
F[187]=[-.0799,7.3495,.12198]
F[188]=[-.0808,7.3614,.12197]
F[189]=[-.0818,7.3732,.12196]
F[190]=[-.0828,7.3849,.12195]
F[191]=[-.0837,7.3966,.12194]
F[192]=[-.0847,7.4082,.12192]
F[193]=[-.0857,7.4198,.12191]
F[194]=[-.0866,7.4314,.1219]
F[195]=[-.0875,7.4429,.12189]
F[196]=[-.0885,7.4543,.12188]
F[197]=[-.0894,7.4657,.12188]
F[198]=[-.0904,7.477,.12187]
F[199]=[-.0913,7.4883,.12186]
F[200]=[-.0922,7.4995,.12185]
F[201]=[-.0931,7.5107,.12184]
F[202]=[-.094,7.5219,.12184]
F[203]=[-.095,7.533,.12183]
F[204]=[-.0959,7.544,.12182]
F[205]=[-.0968,7.5551,.12182]
F[206]=[-.0977,7.566,.12181]
F[207]=[-.0986,7.5769,.12181]
F[208]=[-.0995,7.5878,.1218]
F[209]=[-.1003,7.5986,.1218]
F[210]=[-.1012,7.6094,.12179]
F[211]=[-.1021,7.6202,.12179]
F[212]=[-.103,7.6309,.12179]
F[213]=[-.1039,7.6416,.12178]
F[214]=[-.1047,7.6522,.12178]
F[215]=[-.1056,7.6628,.12178]
F[216]=[-.1065,7.6733,.12177]
F[217]=[-.1073,7.6838,.12177]
F[218]=[-.1082,7.6943,.12177]
F[219]=[-.109,7.7047,.12177]
F[220]=[-.1099,7.7151,.12177]
F[221]=[-.1107,7.7254,.12177]
F[222]=[-.1116,7.7357,.12177]
F[223]=[-.1124,7.746,.12176]
F[224]=[-.1132,7.7562,.12176]
F[225]=[-.1141,7.7664,.12176]
F[226]=[-.1149,7.7766,.12176]
F[227]=[-.1157,7.7867,.12177]
F[228]=[-.1165,7.7968,.12177]
F[229]=[-.1173,7.8068,.12177]
F[230]=[-.1181,7.8169,.12177]
F[231]=[-.119,7.8268,.12177]
F[232]=[-.1198,7.8368,.12177]
F[233]=[-.1206,7.8467,.12177]
F[234]=[-.1214,7.8566,.12178]
F[235]=[-.1222,7.8664,.12178]
F[236]=[-.1229,7.8762,.12178]
F[237]=[-.1237,7.886,.12178]
F[238]=[-.1245,7.8957,.12179]
F[239]=[-.1253,7.9054,.12179]
F[240]=[-.1261,7.9151,.12179]
F[241]=[-.1269,7.9247,.1218]
F[242]=[-.1276,7.9343,.1218]
F[243]=[-.1284,7.9439,.1218]
F[244]=[-.1292,7.9534,.12181]
F[245]=[-.1299,7.9629,.12181]
F[246]=[-.1307,7.9724,.12182]
F[247]=[-.1314,7.9819,.12182]
F[248]=[-.1322,7.9913,.12182]
F[249]=[-.1329,8.0007,.12183]
F[250]=[-.1337,8.01,.12183]
F[251]=[-.1344,8.0193,.12184]
F[252]=[-.1352,8.0286,.12185]
F[253]=[-.1359,8.0379,.12185]
F[254]=[-.1367,8.0471,.12186]
F[255]=[-.1374,8.0563,.12186]
F[256]=[-.1381,8.0655,.12187]
F[257]=[-.1388,8.0746,.12187]
F[258]=[-.1396,8.0837,.12188]
F[259]=[-.1403,8.0928,.12189]
F[260]=[-.141,8.1019,.12189]
F[261]=[-.1417,8.1109,.1219]
F[262]=[-.1424,8.1199,.1219]
F[263]=[-.1431,8.1289,.12191]
F[264]=[-.1438,8.1378,.12192]
F[265]=[-.1445,8.1468,.12192]
F[266]=[-.1452,8.1557,.12193]
F[267]=[-.1459,8.1645,.12194]
F[268]=[-.1466,8.1734,.12194]
F[269]=[-.1473,8.1822,.12195]
F[270]=[-.148,8.191,.12196]
F[271]=[-.1487,8.1998,.12197]
F[272]=[-.1494,8.2085,.12197]
F[273]=[-.1501,8.2172,.12198]
F[274]=[-.1507,8.2259,.12199]
F[275]=[-.1514,8.2346,.12199]
F[276]=[-.1521,8.2432,.122]
F[277]=[-.1528,8.2519,.12201]
F[278]=[-.1534,8.2605,.12202]
F[279]=[-.1541,8.269,.12202]
F[280]=[-.1547,8.2776,.12203]
F[281]=[-.1554,8.2861,.12204]
F[282]=[-.1561,8.2946,.12205]
F[283]=[-.1567,8.3031,.12206]
F[284]=[-.1574,8.3116,.12206]
F[285]=[-.158,8.3201,.12207]
F[286]=[-.1587,8.3285,.12208]
F[287]=[-.1593,8.3369,.12209]
F[288]=[-.1599,8.3453,.12209]
F[289]=[-.1606,8.3536,.1221]
F[290]=[-.1612,8.362,.12211]
F[291]=[-.1618,8.3703,.12212]
F[292]=[-.1625,8.3786,.12213]
F[293]=[-.1631,8.3869,.12213]
F[294]=[-.1637,8.3952,.12214]
F[295]=[-.1643,8.4035,.12215]
F[296]=[-.165,8.4117,.12216]
F[297]=[-.1656,8.4199,.12217]
F[298]=[-.1662,8.4281,.12218]
F[299]=[-.1668,8.4363,.12218]
F[300]=[-.1674,8.4445,.12219]
F[301]=[-.168,8.4526,.1222]
F[302]=[-.1686,8.4607,.12221]
F[303]=[-.1692,8.4688,.12222]
F[304]=[-.1698,8.4769,.12222]
F[305]=[-.1704,8.485,.12223]
F[306]=[-.171,8.4931,.12224]
F[307]=[-.1716,8.5011,.12225]
F[308]=[-.1722,8.5092,.12226]
F[309]=[-.1728,8.5172,.12227]
F[310]=[-.1734,8.5252,.12227]
F[311]=[-.174,8.5332,.12228]
F[312]=[-.1745,8.5411,.12229]
F[313]=[-.1751,8.5491,.1223]
F[314]=[-.1757,8.557,.12231]
F[315]=[-.1763,8.565,.12231]
F[316]=[-.1768,8.5729,.12232]
F[317]=[-.1774,8.5808,.12233]
F[318]=[-.178,8.5887,.12234]
F[319]=[-.1785,8.5965,.12235]
F[320]=[-.1791,8.6044,.12235]
F[321]=[-.1797,8.6122,.12236]
F[322]=[-.1802,8.6201,.12237]
F[323]=[-.1808,8.6279,.12238]
F[324]=[-.1813,8.6357,.12239]
F[325]=[-.1819,8.6435,.12239]
F[326]=[-.1824,8.6512,.1224]
F[327]=[-.183,8.659,.12241]
F[328]=[-.1835,8.6667,.12242]
F[329]=[-.1841,8.6745,.12243]
F[330]=[-.1846,8.6822,.12243]
F[331]=[-.1851,8.6899,.12244]
F[332]=[-.1857,8.6976,.12245]
F[333]=[-.1862,8.7053,.12246]
F[334]=[-.1867,8.713,.12246]
F[335]=[-.1873,8.7207,.12247]
F[336]=[-.1878,8.7283,.12248]
F[337]=[-.1883,8.736,.12249]
F[338]=[-.1889,8.7436,.12249]
F[339]=[-.1894,8.7512,.1225]
F[340]=[-.1899,8.7588,.12251]
F[341]=[-.1904,8.7664,.12252]
F[342]=[-.1909,8.774,.12252]
F[343]=[-.1914,8.7816,.12253]
F[344]=[-.192,8.7892,.12254]
F[345]=[-.1925,8.7968,.12254]
F[346]=[-.193,8.8043,.12255]
F[347]=[-.1935,8.8119,.12256]
F[348]=[-.194,8.8194,.12256]
F[349]=[-.1945,8.8269,.12257]
F[350]=[-.195,8.8344,.12258]
F[351]=[-.1955,8.842,.12259]
F[352]=[-.196,8.8495,.12259]
F[353]=[-.1965,8.8569,.1226]
F[354]=[-.197,8.8644,.12261]
F[355]=[-.1974,8.8719,.12261]
F[356]=[-.1979,8.8794,.12262]
F[357]=[-.1984,8.8868,.12262]
F[358]=[-.1989,8.8943,.12263]
F[359]=[-.1994,8.9017,.12264]
F[360]=[-.1999,8.9092,.12264]
F[361]=[-.2003,8.9166,.12265]
F[362]=[-.2008,8.924,.12266]
F[363]=[-.2013,8.9314,.12266]
F[364]=[-.2018,8.9388,.12267]
F[365]=[-.2022,8.9462,.12267]
F[366]=[-.2027,8.9536,.12268]
F[367]=[-.2032,8.961,.12269]
F[368]=[-.2036,8.9684,.12269]
F[369]=[-.2041,8.9757,.1227]
F[370]=[-.2046,8.9831,.1227]
F[371]=[-.205,8.9904,.12271]
F[372]=[-.2055,8.9978,.12272]
F[373]=[-.2059,9.0051,.12272]
F[374]=[-.2064,9.0125,.12273]
F[375]=[-.2068,9.0198,.12273]
F[376]=[-.2073,9.0271,.12274]
F[377]=[-.2077,9.0344,.12274]
F[378]=[-.2082,9.0417,.12275]
F[379]=[-.2086,9.049,.12275]
F[380]=[-.2091,9.0563,.12276]
F[381]=[-.2095,9.0636,.12276]
F[382]=[-.21,9.0709,.12277]
F[383]=[-.2104,9.0782,.12277]
F[384]=[-.2108,9.0854,.12278]
F[385]=[-.2113,9.0927,.12278]
F[386]=[-.2117,9.0999,.12279]
F[387]=[-.2121,9.1072,.12279]
F[388]=[-.2126,9.1144,.1228]
F[389]=[-.213,9.1217,.1228]
F[390]=[-.2134,9.1289,.12281]
F[391]=[-.2139,9.1361,.12281]
F[392]=[-.2143,9.1434,.12282]
F[393]=[-.2147,9.1506,.12282]
F[394]=[-.2151,9.1578,.12282]
F[395]=[-.2155,9.165,.12283]
F[396]=[-.216,9.1722,.12283]
F[397]=[-.2164,9.1794,.12284]
F[398]=[-.2168,9.1866,.12284]
F[399]=[-.2172,9.1938,.12285]
F[400]=[-.2176,9.2009,.12285]
F[401]=[-.218,9.2081,.12285]
F[402]=[-.2184,9.2153,.12286]
F[403]=[-.2188,9.2225,.12286]
F[404]=[-.2192,9.2296,.12287]
F[405]=[-.2196,9.2368,.12287]
F[406]=[-.22,9.2439,.12287]
F[407]=[-.2204,9.2511,.12288]
F[408]=[-.2208,9.2582,.12288]
F[409]=[-.2212,9.2654,.12288]
F[410]=[-.2216,9.2725,.12289]
F[411]=[-.222,9.2796,.12289]
F[412]=[-.2224,9.2867,.12289]
F[413]=[-.2228,9.2939,.1229]
F[414]=[-.2232,9.301,.1229]
F[415]=[-.2236,9.3081,.1229]
F[416]=[-.224,9.3152,.12291]
F[417]=[-.2243,9.3223,.12291]
F[418]=[-.2247,9.3294,.12291]
F[419]=[-.2251,9.3365,.12292]
F[420]=[-.2255,9.3436,.12292]
F[421]=[-.2259,9.3507,.12292]
F[422]=[-.2262,9.3578,.12292]
F[423]=[-.2266,9.3649,.12293]
F[424]=[-.227,9.372,.12293]
F[425]=[-.2274,9.379,.12293]
F[426]=[-.2277,9.3861,.12294]
F[427]=[-.2281,9.3932,.12294]
F[428]=[-.2285,9.4002,.12294]
F[429]=[-.2288,9.4073,.12294]
F[430]=[-.2292,9.4144,.12295]
F[431]=[-.2296,9.4214,.12295]
F[432]=[-.2299,9.4285,.12295]
F[433]=[-.2303,9.4355,.12295]
F[434]=[-.2307,9.4426,.12295]
F[435]=[-.231,9.4496,.12296]
F[436]=[-.2314,9.4567,.12296]
F[437]=[-.2317,9.4637,.12296]
F[438]=[-.2321,9.4707,.12296]
F[439]=[-.2324,9.4778,.12296]
F[440]=[-.2328,9.4848,.12297]
F[441]=[-.2331,9.4918,.12297]
F[442]=[-.2335,9.4988,.12297]
F[443]=[-.2338,9.5058,.12297]
F[444]=[-.2342,9.5129,.12297]
F[445]=[-.2345,9.5199,.12298]
F[446]=[-.2349,9.5269,.12298]
F[447]=[-.2352,9.5339,.12298]
F[448]=[-.2355,9.5409,.12298]
F[449]=[-.2359,9.5479,.12298]
F[450]=[-.2362,9.5549,.12298]
F[451]=[-.2366,9.5619,.12299]
F[452]=[-.2369,9.5689,.12299]
F[453]=[-.2372,9.5759,.12299]
F[454]=[-.2376,9.5829,.12299]
F[455]=[-.2379,9.5898,.12299]
F[456]=[-.2382,9.5968,.12299]
F[457]=[-.2385,9.6038,.12299]
F[458]=[-.2389,9.6108,.123]
F[459]=[-.2392,9.6178,.123]
F[460]=[-.2395,9.6247,.123]
F[461]=[-.2398,9.6317,.123]
F[462]=[-.2402,9.6387,.123]
F[463]=[-.2405,9.6457,.123]
F[464]=[-.2408,9.6526,.123]
F[465]=[-.2411,9.6596,.123]
F[466]=[-.2414,9.6665,.12301]
F[467]=[-.2418,9.6735,.12301]
F[468]=[-.2421,9.6805,.12301]
F[469]=[-.2424,9.6874,.12301]
F[470]=[-.2427,9.6944,.12301]
F[471]=[-.243,9.7013,.12301]
F[472]=[-.2433,9.7083,.12301]
F[473]=[-.2436,9.7152,.12301]
F[474]=[-.2439,9.7222,.12301]
F[475]=[-.2442,9.7291,.12302]
F[476]=[-.2446,9.7361,.12302]
F[477]=[-.2449,9.743,.12302]
F[478]=[-.2452,9.75,.12302]
F[479]=[-.2455,9.7569,.12302]
F[480]=[-.2458,9.7638,.12302]
F[481]=[-.2461,9.7708,.12302]
F[482]=[-.2464,9.7777,.12302]
F[483]=[-.2467,9.7846,.12302]
F[484]=[-.247,9.7916,.12302]
F[485]=[-.2472,9.7985,.12303]
F[486]=[-.2475,9.8054,.12303]
F[487]=[-.2478,9.8124,.12303]
F[488]=[-.2481,9.8193,.12303]
F[489]=[-.2484,9.8262,.12303]
F[490]=[-.2487,9.8331,.12303]
F[491]=[-.249,9.8401,.12303]
F[492]=[-.2493,9.847,.12303]
F[493]=[-.2496,9.8539,.12303]
F[494]=[-.2499,9.8608,.12303]
F[495]=[-.2501,9.8677,.12303]
F[496]=[-.2504,9.8746,.12304]
F[497]=[-.2507,9.8816,.12304]
F[498]=[-.251,9.8885,.12304]
F[499]=[-.2513,9.8954,.12304]
F[500]=[-.2515,9.9023,.12304]
F[501]=[-.2518,9.9092,.12304]
F[502]=[-.2521,9.9161,.12304]
F[503]=[-.2524,9.923,.12304]
F[504]=[-.2526,9.9299,.12304]
F[505]=[-.2529,9.9368,.12304]
F[506]=[-.2532,9.9437,.12304]
F[507]=[-.2535,9.9506,.12305]
F[508]=[-.2537,9.9575,.12305]
F[509]=[-.254,9.9644,.12305]
F[510]=[-.2543,9.9713,.12305]
F[511]=[-.2545,9.9782,.12305]
F[512]=[-.2548,9.9851,.12305]
F[513]=[-.2551,9.992,.12305]
F[514]=[-.2553,9.9989,.12305]
F[515]=[-.2556,10.0058,.12305]
F[516]=[-.2558,10.0127,.12305]
F[517]=[-.2561,10.0196,.12305]
F[518]=[-.2564,10.0265,.12306]
F[519]=[-.2566,10.0334,.12306]
F[520]=[-.2569,10.0402,.12306]
F[521]=[-.2571,10.0471,.12306]
F[522]=[-.2574,10.054,.12306]
F[523]=[-.2577,10.0609,.12306]
F[524]=[-.2579,10.0678,.12306]
F[525]=[-.2582,10.0746,.12306]
F[526]=[-.2584,10.0815,.12306]
F[527]=[-.2587,10.0884,.12307]
F[528]=[-.2589,10.0953,.12307]
F[529]=[-.2592,10.1021,.12307]
F[530]=[-.2594,10.109,.12307]
F[531]=[-.2597,10.1159,.12307]
F[532]=[-.2599,10.1227,.12307]
F[533]=[-.2601,10.1296,.12307]
F[534]=[-.2604,10.1365,.12307]
F[535]=[-.2606,10.1433,.12308]
F[536]=[-.2609,10.1502,.12308]
F[537]=[-.2611,10.157,.12308]
F[538]=[-.2614,10.1639,.12308]
F[539]=[-.2616,10.1707,.12308]
F[540]=[-.2618,10.1776,.12308]
F[541]=[-.2621,10.1845,.12308]
F[542]=[-.2623,10.1913,.12309]
F[543]=[-.2625,10.1982,.12309]
F[544]=[-.2628,10.205,.12309]
F[545]=[-.263,10.2119,.12309]
F[546]=[-.2632,10.2187,.12309]
F[547]=[-.2635,10.2255,.12309]
F[548]=[-.2637,10.2324,.12309]
F[549]=[-.2639,10.2392,.1231]
F[550]=[-.2642,10.2461,.1231]
F[551]=[-.2644,10.2529,.1231]
F[552]=[-.2646,10.2597,.1231]
F[553]=[-.2649,10.2666,.1231]
F[554]=[-.2651,10.2734,.1231]
F[555]=[-.2653,10.2803,.12311]
F[556]=[-.2655,10.2871,.12311]
F[557]=[-.2658,10.2939,.12311]
F[558]=[-.266,10.3008,.12311]
F[559]=[-.2662,10.3076,.12311]
F[560]=[-.2664,10.3144,.12311]
F[561]=[-.2666,10.3213,.12312]
F[562]=[-.2669,10.3281,.12312]
F[563]=[-.2671,10.3349,.12312]
F[564]=[-.2673,10.3417,.12312]
F[565]=[-.2675,10.3486,.12312]
F[566]=[-.2677,10.3554,.12313]
F[567]=[-.2679,10.3622,.12313]
F[568]=[-.2682,10.369,.12313]
F[569]=[-.2684,10.3759,.12313]
F[570]=[-.2686,10.3827,.12313]
F[571]=[-.2688,10.3895,.12314]
F[572]=[-.269,10.3963,.12314]
F[573]=[-.2692,10.4031,.12314]
F[574]=[-.2694,10.41,.12314]
F[575]=[-.2696,10.4168,.12314]
F[576]=[-.2698,10.4236,.12315]
F[577]=[-.27,10.4304,.12315]
F[578]=[-.2702,10.4372,.12315]
F[579]=[-.2705,10.444,.12315]
F[580]=[-.2707,10.4508,.12316]
F[581]=[-.2709,10.4577,.12316]
F[582]=[-.2711,10.4645,.12316]
F[583]=[-.2713,10.4713,.12316]
F[584]=[-.2715,10.4781,.12316]
F[585]=[-.2717,10.4849,.12317]
F[586]=[-.2719,10.4917,.12317]
F[587]=[-.2721,10.4985,.12317]
F[588]=[-.2723,10.5053,.12317]
F[589]=[-.2725,10.5121,.12318]
F[590]=[-.2727,10.5189,.12318]
F[591]=[-.2729,10.5257,.12318]
F[592]=[-.273,10.5325,.12319]
F[593]=[-.2732,10.5393,.12319]
F[594]=[-.2734,10.5461,.12319]
F[595]=[-.2736,10.5529,.12319]
F[596]=[-.2738,10.5597,.1232]
F[597]=[-.274,10.5665,.1232]
F[598]=[-.2742,10.5733,.1232]
F[599]=[-.2744,10.5801,.1232]
F[600]=[-.2746,10.5869,.12321]
F[601]=[-.2748,10.5937,.12321]
F[602]=[-.275,10.6005,.12321]
F[603]=[-.2751,10.6073,.12322]
F[604]=[-.2753,10.6141,.12322]
F[605]=[-.2755,10.6209,.12322]
F[606]=[-.2757,10.6277,.12323]
F[607]=[-.2759,10.6345,.12323]
F[608]=[-.2761,10.6413,.12323]
F[609]=[-.2763,10.6481,.12324]
F[610]=[-.2764,10.6549,.12324]
F[611]=[-.2766,10.6617,.12324]
F[612]=[-.2768,10.6685,.12325]
F[613]=[-.277,10.6753,.12325]
F[614]=[-.2772,10.6821,.12325]
F[615]=[-.2773,10.6889,.12326]
F[616]=[-.2775,10.6957,.12326]
F[617]=[-.2777,10.7025,.12326]
F[618]=[-.2779,10.7093,.12327]
F[619]=[-.278,10.7161,.12327]
F[620]=[-.2782,10.7229,.12327]
F[621]=[-.2784,10.7297,.12328]
F[622]=[-.2786,10.7365,.12328]
F[623]=[-.2787,10.7433,.12328]
F[624]=[-.2789,10.7501,.12329]
F[625]=[-.2791,10.7569,.12329]
F[626]=[-.2793,10.7637,.1233]
F[627]=[-.2794,10.7705,.1233]
F[628]=[-.2796,10.7773,.1233]
F[629]=[-.2798,10.7841,.12331]
F[630]=[-.2799,10.7909,.12331]
F[631]=[-.2801,10.7977,.12332]
F[632]=[-.2803,10.8045,.12332]
F[633]=[-.2804,10.8113,.12332]
F[634]=[-.2806,10.8181,.12333]
F[635]=[-.2808,10.8249,.12333]
F[636]=[-.2809,10.8317,.12334]
F[637]=[-.2811,10.8385,.12334]
F[638]=[-.2813,10.8453,.12335]
F[639]=[-.2814,10.8521,.12335]
F[640]=[-.2816,10.8589,.12336]
F[641]=[-.2818,10.8657,.12336]
F[642]=[-.2819,10.8725,.12336]
F[643]=[-.2821,10.8793,.12337]
F[644]=[-.2822,10.8861,.12337]
F[645]=[-.2824,10.8929,.12338]
F[646]=[-.2826,10.8997,.12338]
F[647]=[-.2827,10.9065,.12339]
F[648]=[-.2829,10.9133,.12339]
F[649]=[-.283,10.9202,.1234]
F[650]=[-.2832,10.927,.1234]
F[651]=[-.2834,10.9338,.12341]
F[652]=[-.2835,10.9406,.12341]
F[653]=[-.2837,10.9474,.12342]
F[654]=[-.2838,10.9542,.12342]
F[655]=[-.284,10.961,.12343]
F[656]=[-.2841,10.9679,.12343]
F[657]=[-.2843,10.9747,.12344]
F[658]=[-.2844,10.9815,.12344]
F[659]=[-.2846,10.9883,.12345]
F[660]=[-.2847,10.9951,.12345]
F[661]=[-.2849,11.0019,.12346]
F[662]=[-.285,11.0088,.12346]
F[663]=[-.2852,11.0156,.12347]
F[664]=[-.2853,11.0224,.12347]
F[665]=[-.2855,11.0292,.12348]
F[666]=[-.2856,11.036,.12348]
F[667]=[-.2858,11.0429,.12349]
F[668]=[-.2859,11.0497,.1235]
F[669]=[-.2861,11.0565,.1235]
F[670]=[-.2862,11.0633,.12351]
F[671]=[-.2864,11.0702,.12351]
F[672]=[-.2865,11.077,.12352]
F[673]=[-.2866,11.0838,.12352]
F[674]=[-.2868,11.0906,.12353]
F[675]=[-.2869,11.0975,.12353]
F[676]=[-.2871,11.1043,.12354]
F[677]=[-.2872,11.1111,.12355]
F[678]=[-.2874,11.118,.12355]
F[679]=[-.2875,11.1248,.12356]
F[680]=[-.2876,11.1316,.12356]
F[681]=[-.2878,11.1384,.12357]
F[682]=[-.2879,11.1453,.12358]
F[683]=[-.2881,11.1521,.12358]
F[684]=[-.2882,11.1589,.12359]
F[685]=[-.2883,11.1658,.12359]
F[686]=[-.2885,11.1726,.1236]
F[687]=[-.2886,11.1795,.12361]
F[688]=[-.2887,11.1863,.12361]
F[689]=[-.2889,11.1931,.12362]
F[690]=[-.289,11.2,.12362]
F[691]=[-.2891,11.2068,.12363]
F[692]=[-.2893,11.2137,.12364]
F[693]=[-.2894,11.2205,.12364]
F[694]=[-.2895,11.2273,.12365]
F[695]=[-.2897,11.2342,.12366]
F[696]=[-.2898,11.241,.12366]
F[697]=[-.2899,11.2479,.12367]
F[698]=[-.2901,11.2547,.12367]
F[699]=[-.2902,11.2616,.12368]
F[700]=[-.2903,11.2684,.12369]
F[701]=[-.2905,11.2753,.12369]
F[702]=[-.2906,11.2821,.1237]
F[703]=[-.2907,11.2889,.12371]
F[704]=[-.2909,11.2958,.12371]
F[705]=[-.291,11.3026,.12372]
F[706]=[-.2911,11.3095,.12373]
F[707]=[-.2912,11.3163,.12373]
F[708]=[-.2914,11.3232,.12374]
F[709]=[-.2915,11.33,.12375]
F[710]=[-.2916,11.3369,.12375]
F[711]=[-.2917,11.3438,.12376]
F[712]=[-.2919,11.3506,.12377]
F[713]=[-.292,11.3575,.12377]
F[714]=[-.2921,11.3643,.12378]
F[715]=[-.2922,11.3712,.12379]
F[716]=[-.2924,11.378,.12379]
F[717]=[-.2925,11.3849,.1238]
F[718]=[-.2926,11.3917,.12381]
F[719]=[-.2927,11.3986,.12382]
F[720]=[-.2928,11.4055,.12382]
F[721]=[-.293,11.4123,.12383]
F[722]=[-.2931,11.4192,.12384]
F[723]=[-.2932,11.426,.12384]
F[724]=[-.2933,11.4329,.12385]
F[725]=[-.2934,11.4397,.12386]
F[726]=[-.2936,11.4466,.12387]
F[727]=[-.2937,11.4535,.12387]
F[728]=[-.2938,11.4603,.12388]
F[729]=[-.2939,11.4672,.12389]
F[730]=[-.294,11.4741,.12389]
F[731]=[-.2942,11.4809,.1239]
F[732]=[-.2943,11.4878,.12391]
F[733]=[-.2944,11.4946,.12392]
F[734]=[-.2945,11.5015,.12392]
F[735]=[-.2946,11.5084,.12393]
F[736]=[-.2947,11.5152,.12394]
F[737]=[-.2948,11.5221,.12395]
F[738]=[-.295,11.529,.12395]
F[739]=[-.2951,11.5358,.12396]
F[740]=[-.2952,11.5427,.12397]
F[741]=[-.2953,11.5496,.12398]
F[742]=[-.2954,11.5564,.12399]
F[743]=[-.2955,11.5633,.12399]
F[744]=[-.2956,11.5702,.124]
F[745]=[-.2957,11.577,.12401]
F[746]=[-.2959,11.5839,.12402]
F[747]=[-.296,11.5907,.12402]
F[748]=[-.2961,11.5976,.12403]
F[749]=[-.2962,11.6045,.12404]
F[750]=[-.2963,11.6113,.12405]
F[751]=[-.2964,11.6182,.12406]
F[752]=[-.2965,11.6251,.12406]
F[753]=[-.2966,11.6319,.12407]
F[754]=[-.2967,11.6388,.12408]
F[755]=[-.2968,11.6456,.12409]
F[756]=[-.2969,11.6525,.1241]
F[757]=[-.297,11.6594,.1241]
F[758]=[-.2972,11.6662,.12411]
F[759]=[-.2973,11.6731,.12412]
F[760]=[-.2974,11.6799,.12413]
F[761]=[-.2975,11.6868,.12414]
F[762]=[-.2976,11.6937,.12415]
F[763]=[-.2977,11.7005,.12415]
F[764]=[-.2978,11.7074,.12416]
F[765]=[-.2979,11.7142,.12417]
F[766]=[-.298,11.7211,.12418]
F[767]=[-.2981,11.7279,.12419]
F[768]=[-.2982,11.7348,.1242]
F[769]=[-.2983,11.7416,.12421]
F[770]=[-.2984,11.7485,.12421]
F[771]=[-.2985,11.7553,.12422]
F[772]=[-.2986,11.7622,.12423]
F[773]=[-.2987,11.769,.12424]
F[774]=[-.2988,11.7759,.12425]
F[775]=[-.2989,11.7827,.12426]
F[776]=[-.299,11.7896,.12427]
F[777]=[-.2991,11.7964,.12428]
F[778]=[-.2992,11.8033,.12429]
F[779]=[-.2993,11.8101,.12429]
F[780]=[-.2994,11.817,.1243]
F[781]=[-.2995,11.8238,.12431]
F[782]=[-.2996,11.8307,.12432]
F[783]=[-.2997,11.8375,.12433]
F[784]=[-.2998,11.8443,.12434]
F[785]=[-.2999,11.8512,.12435]
F[786]=[-.3,11.858,.12436]
F[787]=[-.3001,11.8648,.12437]
F[788]=[-.3002,11.8717,.12438]
F[789]=[-.3003,11.8785,.12439]
F[790]=[-.3004,11.8853,.1244]
F[791]=[-.3005,11.8922,.12441]
F[792]=[-.3006,11.899,.12441]
F[793]=[-.3007,11.9058,.12442]
F[794]=[-.3007,11.9126,.12443]
F[795]=[-.3008,11.9194,.12444]
F[796]=[-.3009,11.9263,.12445]
F[797]=[-.301,11.9331,.12446]
F[798]=[-.3011,11.9399,.12447]
F[799]=[-.3012,11.9467,.12448]
F[800]=[-.3013,11.9535,.12449]
F[801]=[-.3014,11.9603,.1245]
F[802]=[-.3015,11.9671,.12451]
F[803]=[-.3016,11.9739,.12452]
F[804]=[-.3017,11.9808,.12453]
F[805]=[-.3018,11.9876,.12454]
F[806]=[-.3019,11.9944,.12455]
F[807]=[-.3019,12.0011,.12456]
F[808]=[-.302,12.0079,.12457]
F[809]=[-.3021,12.0147,.12458]
F[810]=[-.3022,12.0215,.12459]
F[811]=[-.3023,12.0283,.1246]
F[812]=[-.3024,12.0351,.12461]
F[813]=[-.3025,12.0419,.12462]
F[814]=[-.3026,12.0487,.12463]
F[815]=[-.3027,12.0554,.12465]
F[816]=[-.3027,12.0622,.12466]
F[817]=[-.3028,12.069,.12467]
F[818]=[-.3029,12.0758,.12468]
F[819]=[-.303,12.0825,.12469]
F[820]=[-.3031,12.0893,.1247]
F[821]=[-.3032,12.0961,.12471]
F[822]=[-.3033,12.1028,.12472]
F[823]=[-.3033,12.1096,.12473]
F[824]=[-.3034,12.1163,.12474]
F[825]=[-.3035,12.1231,.12475]
F[826]=[-.3036,12.1298,.12476]
F[827]=[-.3037,12.1366,.12477]
F[828]=[-.3038,12.1433,.12479]
F[829]=[-.3039,12.15,.1248]
F[830]=[-.3039,12.1568,.12481]
F[831]=[-.304,12.1635,.12482]
F[832]=[-.3041,12.1702,.12483]
F[833]=[-.3042,12.177,.12484]
F[834]=[-.3043,12.1837,.12485]
F[835]=[-.3044,12.1904,.12486]
F[836]=[-.3044,12.1971,.12487]
F[837]=[-.3045,12.2039,.12489]
F[838]=[-.3046,12.2106,.1249]
F[839]=[-.3047,12.2173,.12491]
F[840]=[-.3048,12.224,.12492]
F[841]=[-.3048,12.2307,.12493]
F[842]=[-.3049,12.2374,.12494]
F[843]=[-.305,12.2441,.12495]
F[844]=[-.3051,12.2508,.12497]
F[845]=[-.3052,12.2575,.12498]
F[846]=[-.3052,12.2642,.12499]
F[847]=[-.3053,12.2709,.125]
F[848]=[-.3054,12.2775,.12501]
F[849]=[-.3055,12.2842,.12503]
F[850]=[-.3056,12.2909,.12504]
F[851]=[-.3056,12.2976,.12505]
F[852]=[-.3057,12.3042,.12506]
F[853]=[-.3058,12.3109,.12507]
F[854]=[-.3059,12.3176,.12509]
F[855]=[-.3059,12.3242,.1251]
F[856]=[-.306,12.3309,.12511]
F[857]=[-.3061,12.3375,.12512]
F[858]=[-.3062,12.3442,.12513]
F[859]=[-.3063,12.3508,.12515]
F[860]=[-.3063,12.3575,.12516]
F[861]=[-.3064,12.3641,.12517]
F[862]=[-.3065,12.3707,.12518]
F[863]=[-.3066,12.3774,.1252]
F[864]=[-.3066,12.384,.12521]
F[865]=[-.3067,12.3906,.12522]
F[866]=[-.3068,12.3973,.12523]
F[867]=[-.3069,12.4039,.12525]
F[868]=[-.3069,12.4105,.12526]
F[869]=[-.307,12.4171,.12527]
F[870]=[-.3071,12.4237,.12528]
F[871]=[-.3072,12.4303,.1253]
F[872]=[-.3072,12.4369,.12531]
F[873]=[-.3073,12.4435,.12532]
F[874]=[-.3074,12.4501,.12533]
F[875]=[-.3074,12.4567,.12535]
F[876]=[-.3075,12.4633,.12536]
F[877]=[-.3076,12.4699,.12537]
F[878]=[-.3077,12.4765,.12539]
F[879]=[-.3077,12.4831,.1254]
F[880]=[-.3078,12.4896,.12541]
F[881]=[-.3079,12.4962,.12543]
F[882]=[-.308,12.5028,.12544]
F[883]=[-.308,12.5093,.12545]
F[884]=[-.3081,12.5159,.12547]
F[885]=[-.3082,12.5225,.12548]
F[886]=[-.3082,12.529,.12549]
F[887]=[-.3083,12.5356,.12551]
F[888]=[-.3084,12.5421,.12552]
F[889]=[-.3085,12.5487,.12553]
F[890]=[-.3085,12.5552,.12555]
F[891]=[-.3086,12.5617,.12556]
F[892]=[-.3087,12.5683,.12557]
F[893]=[-.3087,12.5748,.12559]
F[894]=[-.3088,12.5813,.1256]
F[895]=[-.3089,12.5879,.12561]
F[896]=[-.3089,12.5944,.12563]
F[897]=[-.309,12.6009,.12564]
F[898]=[-.3091,12.6074,.12566]
F[899]=[-.3091,12.6139,.12567]
F[900]=[-.3092,12.6204,.12568]
F[901]=[-.3093,12.6269,.1257]
F[902]=[-.3093,12.6334,.12571]
F[903]=[-.3094,12.6399,.12573]
F[904]=[-.3095,12.6464,.12574]
F[905]=[-.3095,12.6529,.12575]
F[906]=[-.3096,12.6594,.12577]
F[907]=[-.3097,12.6659,.12578]
F[908]=[-.3097,12.6723,.1258]
F[909]=[-.3098,12.6788,.12581]
F[910]=[-.3099,12.6853,.12583]
F[911]=[-.3099,12.6918,.12584]
F[912]=[-.31,12.6982,.12585]
F[913]=[-.3101,12.7047,.12587]
F[914]=[-.3101,12.7111,.12588]
F[915]=[-.3102,12.7176,.1259]
F[916]=[-.3103,12.724,.12591]
F[917]=[-.3103,12.7305,.12593]
F[918]=[-.3104,12.7369,.12594]
F[919]=[-.3105,12.7434,.12596]
F[920]=[-.3105,12.7498,.12597]
F[921]=[-.3106,12.7563,.12599]
F[922]=[-.3107,12.7627,.126]
F[923]=[-.3107,12.7691,.12602]
F[924]=[-.3108,12.7755,.12603]
F[925]=[-.3109,12.782,.12605]
F[926]=[-.3109,12.7884,.12606]
F[927]=[-.311,12.7948,.12608]
F[928]=[-.311,12.8012,.12609]
F[929]=[-.3111,12.8076,.12611]
F[930]=[-.3112,12.814,.12612]
F[931]=[-.3112,12.8204,.12614]
F[932]=[-.3113,12.8268,.12615]
F[933]=[-.3114,12.8332,.12617]
F[934]=[-.3114,12.8396,.12618]
F[935]=[-.3115,12.846,.1262]
F[936]=[-.3116,12.8524,.12621]
F[937]=[-.3116,12.8588,.12623]
F[938]=[-.3117,12.8651,.12625]
F[939]=[-.3117,12.8715,.12626]
F[940]=[-.3118,12.8779,.12628]
F[941]=[-.3119,12.8843,.12629]
F[942]=[-.3119,12.8906,.12631]
F[943]=[-.312,12.897,.12632]
F[944]=[-.312,12.9033,.12634]
F[945]=[-.3121,12.9097,.12636]
F[946]=[-.3122,12.9161,.12637]
F[947]=[-.3122,12.9224,.12639]
F[948]=[-.3123,12.9288,.1264]
F[949]=[-.3123,12.9351,.12642]
F[950]=[-.3124,12.9415,.12644]
F[951]=[-.3125,12.9478,.12645]
F[952]=[-.3125,12.9541,.12647]
F[953]=[-.3126,12.9605,.12648]
F[954]=[-.3126,12.9668,.1265]
F[955]=[-.3127,12.9732,.12652]
F[956]=[-.3128,12.9795,.12653]
F[957]=[-.3128,12.9858,.12655]
F[958]=[-.3129,12.9921,.12656]
F[959]=[-.3129,12.9985,.12658]
F[960]=[-.313,13.0048,.1266]
F[961]=[-.3131,13.0111,.12661]
F[962]=[-.3131,13.0174,.12663]
F[963]=[-.3132,13.0237,.12665]
F[964]=[-.3132,13.03,.12666]
F[965]=[-.3133,13.0363,.12668]
F[966]=[-.3134,13.0427,.1267]
F[967]=[-.3134,13.049,.12671]
F[968]=[-.3135,13.0553,.12673]
F[969]=[-.3135,13.0616,.12675]
F[970]=[-.3136,13.0679,.12676]
F[971]=[-.3136,13.0742,.12678]
F[972]=[-.3137,13.0804,.1268]
F[973]=[-.3138,13.0867,.12681]
F[974]=[-.3138,13.093,.12683]
F[975]=[-.3139,13.0993,.12685]
F[976]=[-.3139,13.1056,.12687]
F[977]=[-.314,13.1119,.12688]
F[978]=[-.314,13.1182,.1269]
F[979]=[-.3141,13.1245,.12692]
F[980]=[-.3142,13.1307,.12693]
F[981]=[-.3142,13.137,.12695]
F[982]=[-.3143,13.1433,.12697]
F[983]=[-.3143,13.1496,.12699]
F[984]=[-.3144,13.1558,.127]
F[985]=[-.3144,13.1621,.12702]
F[986]=[-.3145,13.1684,.12704]
F[987]=[-.3145,13.1746,.12706]
F[988]=[-.3146,13.1809,.12707]
F[989]=[-.3147,13.1872,.12709]
F[990]=[-.3147,13.1934,.12711]
F[991]=[-.3148,13.1997,.12713]
F[992]=[-.3148,13.2059,.12714]
F[993]=[-.3149,13.2122,.12716]
F[994]=[-.3149,13.2185,.12718]
F[995]=[-.315,13.2247,.1272]
F[996]=[-.315,13.231,.12721]
F[997]=[-.3151,13.2372,.12723]
F[998]=[-.3152,13.2435,.12725]
F[999]=[-.3152,13.2497,.12727]
F[1000]=[-.3153,13.256,.12729]
F[1001]=[-.3153,13.2622,.1273]
F[1002]=[-.3154,13.2684,.12732]
F[1003]=[-.3154,13.2747,.12734]
F[1004]=[-.3155,13.2809,.12736]
F[1005]=[-.3155,13.2872,.12738]
F[1006]=[-.3156,13.2934,.12739]
F[1007]=[-.3156,13.2996,.12741]
F[1008]=[-.3157,13.3059,.12743]
F[1009]=[-.3158,13.3121,.12745]
F[1010]=[-.3158,13.3183,.12747]
F[1011]=[-.3159,13.3246,.12749]
F[1012]=[-.3159,13.3308,.1275]
F[1013]=[-.316,13.337,.12752]
F[1014]=[-.316,13.3433,.12754]
F[1015]=[-.3161,13.3495,.12756]
F[1016]=[-.3161,13.3557,.12758]
F[1017]=[-.3162,13.3619,.1276]
F[1018]=[-.3162,13.3682,.12762]
F[1019]=[-.3163,13.3744,.12763]
F[1020]=[-.3163,13.3806,.12765]
F[1021]=[-.3164,13.3868,.12767]
F[1022]=[-.3164,13.3931,.12769]
F[1023]=[-.3165,13.3993,.12771]
F[1024]=[-.3165,13.4055,.12773]
F[1025]=[-.3166,13.4117,.12775]
F[1026]=[-.3167,13.4179,.12777]
F[1027]=[-.3167,13.4242,.12779]
F[1028]=[-.3168,13.4304,.12781]
F[1029]=[-.3168,13.4366,.12782]
F[1030]=[-.3169,13.4428,.12784]
F[1031]=[-.3169,13.449,.12786]
F[1032]=[-.317,13.4552,.12788]
F[1033]=[-.317,13.4614,.1279]
F[1034]=[-.3171,13.4677,.12792]
F[1035]=[-.3171,13.4739,.12794]
F[1036]=[-.3172,13.4801,.12796]
F[1037]=[-.3172,13.4863,.12798]
F[1038]=[-.3173,13.4925,.128]
F[1039]=[-.3173,13.4987,.12802]
F[1040]=[-.3174,13.5049,.12804]
F[1041]=[-.3174,13.5111,.12806]
F[1042]=[-.3175,13.5173,.12808]
F[1043]=[-.3175,13.5235,.1281]
F[1044]=[-.3176,13.5297,.12812]
F[1045]=[-.3176,13.5359,.12814]
F[1046]=[-.3177,13.5421,.12816]
F[1047]=[-.3177,13.5483,.12818]
F[1048]=[-.3178,13.5545,.12819]
F[1049]=[-.3178,13.5607,.12821]
F[1050]=[-.3179,13.5669,.12823]
F[1051]=[-.3179,13.5731,.12825]
F[1052]=[-.318,13.5793,.12827]
F[1053]=[-.318,13.5855,.12829]
F[1054]=[-.3181,13.5917,.12832]
F[1055]=[-.3181,13.5979,.12834]
F[1056]=[-.3182,13.6041,.12836]
F[1057]=[-.3182,13.6103,.12838]
F[1058]=[-.3183,13.6165,.1284]
F[1059]=[-.3183,13.6227,.12842]
F[1060]=[-.3184,13.6289,.12844]
F[1061]=[-.3184,13.6351,.12846]
F[1062]=[-.3185,13.6413,.12848]
F[1063]=[-.3185,13.6475,.1285]
F[1064]=[-.3186,13.6537,.12852]
F[1065]=[-.3186,13.6599,.12854]
F[1066]=[-.3187,13.6661,.12856]
F[1067]=[-.3187,13.6723,.12858]
F[1068]=[-.3188,13.6785,.1286]
F[1069]=[-.3188,13.6847,.12862]
F[1070]=[-.3189,13.6909,.12864]
F[1071]=[-.3189,13.6971,.12866]
F[1072]=[-.319,13.7033,.12868]
F[1073]=[-.319,13.7095,.12871]
F[1074]=[-.3191,13.7157,.12873]
F[1075]=[-.3191,13.7218,.12875]
F[1076]=[-.3192,13.728,.12877]
F[1077]=[-.3192,13.7342,.12879]
F[1078]=[-.3193,13.7404,.12881]
F[1079]=[-.3193,13.7466,.12883]
F[1080]=[-.3194,13.7528,.12885]
F[1081]=[-.3194,13.759,.12887]
F[1082]=[-.3195,13.7652,.1289]
F[1083]=[-.3195,13.7714,.12892]
F[1084]=[-.3196,13.7776,.12894]
F[1085]=[-.3196,13.7838,.12896]
F[1086]=[-.3197,13.7899,.12898]
F[1087]=[-.3197,13.7961,.129]
F[1088]=[-.3198,13.8023,.12902]
F[1089]=[-.3198,13.8085,.12905]
F[1090]=[-.3198,13.8147,.12907]
F[1091]=[-.3199,13.8209,.12909]
F[1092]=[-.3199,13.8271,.12911]
F[1093]=[-.32,13.8333,.12913]
F[1094]=[-.32,13.8395,.12915]
F[1095]=[-.3201,13.8456,.12918]
F[1096]=[-.3201,13.8518,.1292]
F[1097]=[-.3202,13.858,.12922]
F[1098]=[-.3202,13.8642,.12924]
F[1099]=[-.3203,13.8704,.12926]
F[1100]=[-.3203,13.8766,.12929]
F[1101]=[-.3204,13.8828,.12931]
F[1102]=[-.3204,13.8889,.12933]
F[1103]=[-.3205,13.8951,.12935]
F[1104]=[-.3205,13.9013,.12937]
F[1105]=[-.3206,13.9075,.1294]
F[1106]=[-.3206,13.9137,.12942]
F[1107]=[-.3207,13.9199,.12944]
F[1108]=[-.3207,13.9261,.12946]
F[1109]=[-.3208,13.9322,.12948]
F[1110]=[-.3208,13.9384,.12951]
F[1111]=[-.3208,13.9446,.12953]
F[1112]=[-.3209,13.9508,.12955]
F[1113]=[-.3209,13.957,.12957]
F[1114]=[-.321,13.9632,.1296]
F[1115]=[-.321,13.9693,.12962]
F[1116]=[-.3211,13.9755,.12964]
F[1117]=[-.3211,13.9817,.12967]
F[1118]=[-.3212,13.9879,.12969]
F[1119]=[-.3212,13.9941,.12971]
F[1120]=[-.3213,14.0003,.12973]
F[1121]=[-.3213,14.0064,.12976]
F[1122]=[-.3214,14.0126,.12978]
F[1123]=[-.3214,14.0188,.1298]
F[1124]=[-.3215,14.025,.12982]
F[1125]=[-.3215,14.0312,.12985]
F[1126]=[-.3216,14.0373,.12987]
F[1127]=[-.3216,14.0435,.12989]
F[1128]=[-.3216,14.0497,.12992]
F[1129]=[-.3217,14.0559,.12994]
F[1130]=[-.3217,14.0621,.12996]
F[1131]=[-.3218,14.0682,.12999]
F[1132]=[-.3218,14.0744,.13001]
F[1133]=[-.3219,14.0806,.13003]
F[1134]=[-.3219,14.0868,.13006]
F[1135]=[-.322,14.093,.13008]
F[1136]=[-.322,14.0991,.1301]
F[1137]=[-.3221,14.1053,.13013]
F[1138]=[-.3221,14.1115,.13015]
F[1139]=[-.3222,14.1177,.13017]
F[1140]=[-.3222,14.1238,.1302]
F[1141]=[-.3222,14.13,.13022]
F[1142]=[-.3223,14.1362,.13024]
F[1143]=[-.3223,14.1424,.13027]
F[1144]=[-.3224,14.1485,.13029]
F[1145]=[-.3224,14.1547,.13032]
F[1146]=[-.3225,14.1609,.13034]
F[1147]=[-.3225,14.1671,.13036]
F[1148]=[-.3226,14.1732,.13039]
F[1149]=[-.3226,14.1794,.13041]
F[1150]=[-.3227,14.1856,.13043]
F[1151]=[-.3227,14.1917,.13046]
F[1152]=[-.3227,14.1979,.13048]
F[1153]=[-.3228,14.2041,.13051]
F[1154]=[-.3228,14.2103,.13053]
F[1155]=[-.3229,14.2164,.13055]
F[1156]=[-.3229,14.2226,.13058]
F[1157]=[-.323,14.2288,.1306]
F[1158]=[-.323,14.2349,.13063]
F[1159]=[-.3231,14.2411,.13065]
F[1160]=[-.3231,14.2473,.13068]
F[1161]=[-.3232,14.2534,.1307]
F[1162]=[-.3232,14.2596,.13072]
F[1163]=[-.3232,14.2658,.13075]
F[1164]=[-.3233,14.2719,.13077]
F[1165]=[-.3233,14.2781,.1308]
F[1166]=[-.3234,14.2843,.13082]
F[1167]=[-.3234,14.2904,.13085]
F[1168]=[-.3235,14.2966,.13087]
F[1169]=[-.3235,14.3028,.1309]
F[1170]=[-.3236,14.3089,.13092]
F[1171]=[-.3236,14.3151,.13095]
F[1172]=[-.3237,14.3213,.13097]
F[1173]=[-.3237,14.3274,.13099]
F[1174]=[-.3237,14.3336,.13102]
F[1175]=[-.3238,14.3397,.13104]
F[1176]=[-.3238,14.3459,.13107]
F[1177]=[-.3239,14.3521,.13109]
F[1178]=[-.3239,14.3582,.13112]
F[1179]=[-.324,14.3644,.13114]
F[1180]=[-.324,14.3705,.13117]
F[1181]=[-.3241,14.3767,.13119]
F[1182]=[-.3241,14.3829,.13122]
F[1183]=[-.3241,14.389,.13124]
F[1184]=[-.3242,14.3952,.13127]
F[1185]=[-.3242,14.4013,.13129]
F[1186]=[-.3243,14.4075,.13132]
F[1187]=[-.3243,14.4136,.13134]
F[1188]=[-.3244,14.4198,.13137]
F[1189]=[-.3244,14.4259,.1314]
F[1190]=[-.3245,14.4321,.13142]
F[1191]=[-.3245,14.4382,.13145]
F[1192]=[-.3245,14.4444,.13147]
F[1193]=[-.3246,14.4505,.1315]
F[1194]=[-.3246,14.4567,.13152]
F[1195]=[-.3247,14.4628,.13155]
F[1196]=[-.3247,14.469,.13157]
F[1197]=[-.3248,14.4751,.1316]
F[1198]=[-.3248,14.4813,.13162]
F[1199]=[-.3249,14.4874,.13165]
F[1200]=[-.3249,14.4936,.13167]
F[1201]=[-.3249,14.4997,.1317]
F[1202]=[-.325,14.5059,.13173]
F[1203]=[-.325,14.512,.13175]
F[1204]=[-.3251,14.5181,.13178]
F[1205]=[-.3251,14.5243,.1318]
F[1206]=[-.3252,14.5304,.13183]
F[1207]=[-.3252,14.5366,.13185]
F[1208]=[-.3253,14.5427,.13188]
F[1209]=[-.3253,14.5488,.13191]
F[1210]=[-.3253,14.555,.13193]
F[1211]=[-.3254,14.5611,.13196]
F[1212]=[-.3254,14.5673,.13198]
F[1213]=[-.3255,14.5734,.13201]
F[1214]=[-.3255,14.5795,.13204]
F[1215]=[-.3256,14.5857,.13206]
F[1216]=[-.3256,14.5918,.13209]
F[1217]=[-.3257,14.5979,.13211]
F[1218]=[-.3257,14.6041,.13214]
F[1219]=[-.3257,14.6102,.13217]
F[1220]=[-.3258,14.6163,.13219]
F[1221]=[-.3258,14.6225,.13222]
F[1222]=[-.3259,14.6286,.13225]
F[1223]=[-.3259,14.6347,.13227]
F[1224]=[-.326,14.6408,.1323]
F[1225]=[-.326,14.647,.13232]
F[1226]=[-.3261,14.6531,.13235]
F[1227]=[-.3261,14.6592,.13238]
F[1228]=[-.3261,14.6653,.1324]
F[1229]=[-.3262,14.6715,.13243]
F[1230]=[-.3262,14.6776,.13246]
F[1231]=[-.3263,14.6837,.13248]
F[1232]=[-.3263,14.6898,.13251]
F[1233]=[-.3264,14.696,.13254]
F[1234]=[-.3264,14.7021,.13256]
F[1235]=[-.3264,14.7082,.13259]
F[1236]=[-.3265,14.7143,.13262]
F[1237]=[-.3265,14.7204,.13264]
F[1238]=[-.3266,14.7265,.13267]
F[1239]=[-.3266,14.7327,.13269]
F[1240]=[-.3267,14.7388,.13272]
F[1241]=[-.3267,14.7449,.13275]
F[1242]=[-.3268,14.751,.13278]
F[1243]=[-.3268,14.7571,.1328]
F[1244]=[-.3268,14.7632,.13283]
F[1245]=[-.3269,14.7693,.13286]
F[1246]=[-.3269,14.7754,.13288]
F[1247]=[-.327,14.7816,.13291]
F[1248]=[-.327,14.7877,.13294]
F[1249]=[-.3271,14.7938,.13296]
F[1250]=[-.3271,14.7999,.13299]
F[1251]=[-.3271,14.806,.13302]
F[1252]=[-.3272,14.8121,.13304]
F[1253]=[-.3272,14.8182,.13307]
F[1254]=[-.3273,14.8243,.1331]
F[1255]=[-.3273,14.8304,.13312]
F[1256]=[-.3274,14.8365,.13315]
F[1257]=[-.3274,14.8426,.13318]
F[1258]=[-.3274,14.8487,.13321]
F[1259]=[-.3275,14.8548,.13323]
F[1260]=[-.3275,14.8609,.13326]
F[1261]=[-.3276,14.867,.13329]
F[1262]=[-.3276,14.8731,.13331]
F[1263]=[-.3277,14.8792,.13334]
F[1264]=[-.3277,14.8853,.13337]
F[1265]=[-.3278,14.8913,.13339]
F[1266]=[-.3278,14.8974,.13342]
F[1267]=[-.3278,14.9035,.13345]
F[1268]=[-.3279,14.9096,.13348]
F[1269]=[-.3279,14.9157,.1335]
F[1270]=[-.328,14.9218,.13353]
F[1271]=[-.328,14.9279,.13356]
F[1272]=[-.3281,14.934,.13359]
F[1273]=[-.3281,14.94,.13361]
F[1274]=[-.3281,14.9461,.13364]
F[1275]=[-.3282,14.9522,.13367]
F[1276]=[-.3282,14.9583,.13369]
F[1277]=[-.3283,14.9644,.13372]
F[1278]=[-.3283,14.9704,.13375]
F[1279]=[-.3284,14.9765,.13378]
F[1280]=[-.3284,14.9826,.1338]
F[1281]=[-.3284,14.9887,.13383]
F[1282]=[-.3285,14.9948,.13386]
F[1283]=[-.3285,15.0008,.13389]
F[1284]=[-.3286,15.0069,.13391]
F[1285]=[-.3286,15.013,.13394]
F[1286]=[-.3287,15.019,.13397]
F[1287]=[-.3287,15.0251,.134]
F[1288]=[-.3287,15.0312,.13402]
F[1289]=[-.3288,15.0373,.13405]
F[1290]=[-.3288,15.0433,.13408]
F[1291]=[-.3289,15.0494,.13411]
F[1292]=[-.3289,15.0555,.13413]
F[1293]=[-.329,15.0615,.13416]
F[1294]=[-.329,15.0676,.13419]
F[1295]=[-.329,15.0736,.13422]
F[1296]=[-.3291,15.0797,.13425]
F[1297]=[-.3291,15.0858,.13427]
F[1298]=[-.3292,15.0918,.1343]
F[1299]=[-.3292,15.0979,.13433]
F[1300]=[-.3293,15.1039,.13436]
F[1301]=[-.3293,15.11,.13438]
F[1302]=[-.3293,15.1161,.13441]
F[1303]=[-.3294,15.1221,.13444]
F[1304]=[-.3294,15.1282,.13447]
F[1305]=[-.3295,15.1342,.13449]
F[1306]=[-.3295,15.1403,.13452]
F[1307]=[-.3296,15.1463,.13455]
F[1308]=[-.3296,15.1524,.13458]
F[1309]=[-.3296,15.1584,.13461]
F[1310]=[-.3297,15.1645,.13463]
F[1311]=[-.3297,15.1705,.13466]
F[1312]=[-.3298,15.1766,.13469]
F[1313]=[-.3298,15.1826,.13472]
F[1314]=[-.3299,15.1887,.13474]
F[1315]=[-.3299,15.1947,.13477]
F[1316]=[-.3299,15.2008,.1348]
F[1317]=[-.33,15.2068,.13483]
F[1318]=[-.33,15.2128,.13486]
F[1319]=[-.3301,15.2189,.13488]
F[1320]=[-.3301,15.2249,.13491]
F[1321]=[-.3302,15.231,.13494]
F[1322]=[-.3302,15.237,.13497]
F[1323]=[-.3302,15.243,.135]
F[1324]=[-.3303,15.2491,.13502]
F[1325]=[-.3303,15.2551,.13505]
F[1326]=[-.3304,15.2611,.13508]
F[1327]=[-.3304,15.2672,.13511]
F[1328]=[-.3305,15.2732,.13514]
F[1329]=[-.3305,15.2792,.13516]
F[1330]=[-.3305,15.2853,.13519]
F[1331]=[-.3306,15.2913,.13522]
F[1332]=[-.3306,15.2973,.13525]
F[1333]=[-.3307,15.3034,.13527]
F[1334]=[-.3307,15.3094,.1353]
F[1335]=[-.3308,15.3154,.13533]
F[1336]=[-.3308,15.3214,.13536]
F[1337]=[-.3308,15.3275,.13539]
F[1338]=[-.3309,15.3335,.13541]
F[1339]=[-.3309,15.3395,.13544]
F[1340]=[-.331,15.3455,.13547]
F[1341]=[-.331,15.3516,.1355]
F[1342]=[-.3311,15.3576,.13553]
F[1343]=[-.3311,15.3636,.13555]
F[1344]=[-.3311,15.3696,.13558]
F[1345]=[-.3312,15.3756,.13561]
F[1346]=[-.3312,15.3817,.13564]
F[1347]=[-.3313,15.3877,.13567]
F[1348]=[-.3313,15.3937,.13569]
F[1349]=[-.3314,15.3997,.13572]
F[1350]=[-.3314,15.4057,.13575]
F[1351]=[-.3314,15.4117,.13578]
F[1352]=[-.3315,15.4178,.13581]
F[1353]=[-.3315,15.4238,.13584]
F[1354]=[-.3316,15.4298,.13586]
F[1355]=[-.3316,15.4358,.13589]
F[1356]=[-.3317,15.4418,.13592]
F[1357]=[-.3317,15.4478,.13595]
F[1358]=[-.3317,15.4538,.13598]
F[1359]=[-.3318,15.4598,.136]
F[1360]=[-.3318,15.4658,.13603]
F[1361]=[-.3319,15.4719,.13606]
F[1362]=[-.3319,15.4779,.13609]
F[1363]=[-.332,15.4839,.13612]
F[1364]=[-.332,15.4899,.13614]
F[1365]=[-.332,15.4959,.13617]
F[1366]=[-.3321,15.5019,.1362]
F[1367]=[-.3321,15.5079,.13623]
F[1368]=[-.3322,15.5139,.13626]
F[1369]=[-.3322,15.5199,.13628]
F[1370]=[-.3322,15.5259,.13631]
F[1371]=[-.3323,15.5319,.13634]
F[1372]=[-.3323,15.5379,.13637]
F[1373]=[-.3324,15.5439,.1364]
F[1374]=[-.3324,15.5499,.13642]
F[1375]=[-.3325,15.5559,.13645]
F[1376]=[-.3325,15.5619,.13648]
F[1377]=[-.3325,15.5679,.13651]
F[1378]=[-.3326,15.5739,.13654]
F[1379]=[-.3326,15.5799,.13656]
F[1380]=[-.3327,15.5859,.13659]
F[1381]=[-.3327,15.5918,.13662]
F[1382]=[-.3328,15.5978,.13665]
F[1383]=[-.3328,15.6038,.13668]
F[1384]=[-.3328,15.6098,.1367]
F[1385]=[-.3329,15.6158,.13673]
F[1386]=[-.3329,15.6218,.13676]
F[1387]=[-.333,15.6278,.13679]
F[1388]=[-.333,15.6338,.13682]
F[1389]=[-.3331,15.6398,.13684]
F[1390]=[-.3331,15.6458,.13687]
F[1391]=[-.3331,15.6517,.1369]
F[1392]=[-.3332,15.6577,.13693]
F[1393]=[-.3332,15.6637,.13696]
F[1394]=[-.3333,15.6697,.13698]
F[1395]=[-.3333,15.6757,.13701]
F[1396]=[-.3334,15.6817,.13704]
F[1397]=[-.3334,15.6877,.13707]
F[1398]=[-.3334,15.6936,.1371]
F[1399]=[-.3335,15.6996,.13712]
F[1400]=[-.3335,15.7056,.13715]
F[1401]=[-.3336,15.7116,.13718]
F[1402]=[-.3336,15.7176,.13721]
F[1403]=[-.3337,15.7236,.13724]
F[1404]=[-.3337,15.7295,.13726]
F[1405]=[-.3337,15.7355,.13729]
F[1406]=[-.3338,15.7415,.13732]
F[1407]=[-.3338,15.7475,.13735]
F[1408]=[-.3339,15.7534,.13737]
F[1409]=[-.3339,15.7594,.1374]
F[1410]=[-.3339,15.7654,.13743]
F[1411]=[-.334,15.7714,.13746]
F[1412]=[-.334,15.7774,.13749]
F[1413]=[-.3341,15.7833,.13751]
F[1414]=[-.3341,15.7893,.13754]
F[1415]=[-.3342,15.7953,.13757]
F[1416]=[-.3342,15.8013,.1376]
F[1417]=[-.3342,15.8072,.13763]
F[1418]=[-.3343,15.8132,.13765]
F[1419]=[-.3343,15.8192,.13768]
F[1420]=[-.3344,15.8252,.13771]
F[1421]=[-.3344,15.8311,.13774]
F[1422]=[-.3345,15.8371,.13776]
F[1423]=[-.3345,15.8431,.13779]
F[1424]=[-.3345,15.849,.13782]
F[1425]=[-.3346,15.855,.13785]
F[1426]=[-.3346,15.861,.13788]
F[1427]=[-.3347,15.8669,.1379]
F[1428]=[-.3347,15.8729,.13793]
F[1429]=[-.3348,15.8789,.13796]
F[1430]=[-.3348,15.8849,.13799]
F[1431]=[-.3348,15.8908,.13801]
F[1432]=[-.3349,15.8968,.13804]
F[1433]=[-.3349,15.9028,.13807]
F[1434]=[-.335,15.9087,.1381]
F[1435]=[-.335,15.9147,.13813]
F[1436]=[-.3351,15.9207,.13815]
F[1437]=[-.3351,15.9266,.13818]
F[1438]=[-.3351,15.9326,.13821]
F[1439]=[-.3352,15.9386,.13824]
F[1440]=[-.3352,15.9445,.13826]
F[1441]=[-.3353,15.9505,.13829]
F[1442]=[-.3353,15.9565,.13832]
F[1443]=[-.3354,15.9624,.13835]
F[1444]=[-.3354,15.9684,.13838]
F[1445]=[-.3354,15.9744,.1384]
F[1446]=[-.3355,15.9803,.13843]
F[1447]=[-.3355,15.9863,.13846]
F[1448]=[-.3356,15.9922,.13849]
F[1449]=[-.3356,15.9982,.13851]
F[1450]=[-.3357,16.0042,.13854]
F[1451]=[-.3357,16.0101,.13857]
F[1452]=[-.3357,16.0161,.1386]
F[1453]=[-.3358,16.0221,.13862]
F[1454]=[-.3358,16.028,.13865]
F[1455]=[-.3359,16.034,.13868]
F[1456]=[-.3359,16.0399,.13871]
F[1457]=[-.3359,16.0459,.13873]
F[1458]=[-.336,16.0519,.13876]
F[1459]=[-.336,16.0578,.13879]
F[1460]=[-.3361,16.0638,.13882]
F[1461]=[-.3361,16.0697,.13884]
F[1462]=[-.3362,16.0757,.13887]
F[1463]=[-.3362,16.0817,.1389]
F[1464]=[-.3362,16.0876,.13893]
F[1465]=[-.3363,16.0936,.13895]
F[1466]=[-.3363,16.0995,.13898]
F[1467]=[-.3364,16.1055,.13901]
F[1468]=[-.3364,16.1115,.13904]
F[1469]=[-.3365,16.1174,.13907]
F[1470]=[-.3365,16.1234,.13909]
F[1471]=[-.3365,16.1293,.13912]
F[1472]=[-.3366,16.1353,.13915]
F[1473]=[-.3366,16.1413,.13918]
F[1474]=[-.3367,16.1472,.1392]
F[1475]=[-.3367,16.1532,.13923]
F[1476]=[-.3368,16.1591,.13926]
F[1477]=[-.3368,16.1651,.13928]
F[1478]=[-.3368,16.171,.13931]
F[1479]=[-.3369,16.177,.13934]
F[1480]=[-.3369,16.1829,.13937]
F[1481]=[-.337,16.1889,.13939]
F[1482]=[-.337,16.1949,.13942]
F[1483]=[-.3371,16.2008,.13945]
F[1484]=[-.3371,16.2068,.13948]
F[1485]=[-.3371,16.2127,.1395]
F[1486]=[-.3372,16.2187,.13953]
F[1487]=[-.3372,16.2246,.13956]
F[1488]=[-.3373,16.2306,.13959]
F[1489]=[-.3373,16.2365,.13961]
F[1490]=[-.3374,16.2425,.13964]
F[1491]=[-.3374,16.2485,.13967]
F[1492]=[-.3374,16.2544,.1397]
F[1493]=[-.3375,16.2604,.13972]
F[1494]=[-.3375,16.2663,.13975]
F[1495]=[-.3376,16.2723,.13978]
F[1496]=[-.3376,16.2782,.1398]
F[1497]=[-.3377,16.2842,.13983]
F[1498]=[-.3377,16.2901,.13986]
F[1499]=[-.3377,16.2961,.13989]
F[1500]=[-.3378,16.302,.13991]
F[1501]=[-.3378,16.308,.13994]
F[1502]=[-.3379,16.314,.13997]
F[1503]=[-.3379,16.3199,.14]
F[1504]=[-.338,16.3259,.14002]
F[1505]=[-.338,16.3318,.14005]
F[1506]=[-.338,16.3378,.14008]
F[1507]=[-.3381,16.3437,.1401]
F[1508]=[-.3381,16.3497,.14013]
F[1509]=[-.3382,16.3556,.14016]
F[1510]=[-.3382,16.3616,.14019]
F[1511]=[-.3383,16.3675,.14021]
F[1512]=[-.3383,16.3735,.14024]
F[1513]=[-.3383,16.3794,.14027]
F[1514]=[-.3384,16.3854,.14029]
F[1515]=[-.3384,16.3913,.14032]
F[1516]=[-.3385,16.3973,.14035]
F[1517]=[-.3385,16.4032,.14038]
F[1518]=[-.3386,16.4092,.1404]
F[1519]=[-.3386,16.4151,.14043]
F[1520]=[-.3386,16.4211,.14046]
F[1521]=[-.3387,16.427,.14048]
F[1522]=[-.3387,16.433,.14051]
F[1523]=[-.3388,16.4389,.14054]
F[1524]=[-.3388,16.4449,.14056]
F[1525]=[-.3389,16.4508,.14059]
F[1526]=[-.3389,16.4568,.14062]
F[1527]=[-.3389,16.4627,.14065]
F[1528]=[-.339,16.4687,.14067]
F[1529]=[-.339,16.4746,.1407]
F[1530]=[-.3391,16.4806,.14073]
F[1531]=[-.3391,16.4865,.14075]
F[1532]=[-.3392,16.4925,.14078]
F[1533]=[-.3392,16.4984,.14081]
F[1534]=[-.3392,16.5044,.14083]
F[1535]=[-.3393,16.5103,.14086]
F[1536]=[-.3393,16.5163,.14089]
F[1537]=[-.3394,16.5222,.14091]
F[1538]=[-.3394,16.5282,.14094]
F[1539]=[-.3395,16.5341,.14097]
F[1540]=[-.3395,16.5401,.141]
F[1541]=[-.3396,16.546,.14102]
F[1542]=[-.3396,16.552,.14105]
F[1543]=[-.3396,16.5579,.14108]
F[1544]=[-.3397,16.5639,.1411]
F[1545]=[-.3397,16.5698,.14113]
F[1546]=[-.3398,16.5758,.14116]
F[1547]=[-.3398,16.5817,.14118]
F[1548]=[-.3399,16.5876,.14121]
F[1549]=[-.3399,16.5936,.14124]
F[1550]=[-.3399,16.5995,.14126]
F[1551]=[-.34,16.6055,.14129]
F[1552]=[-.34,16.6114,.14132]
F[1553]=[-.3401,16.6174,.14134]
F[1554]=[-.3401,16.6233,.14137]
F[1555]=[-.3402,16.6293,.1414]
F[1556]=[-.3402,16.6352,.14142]
F[1557]=[-.3402,16.6412,.14145]
F[1558]=[-.3403,16.6471,.14148]
F[1559]=[-.3403,16.653,.1415]
F[1560]=[-.3404,16.659,.14153]
F[1561]=[-.3404,16.6649,.14156]
F[1562]=[-.3405,16.6709,.14158]
F[1563]=[-.3405,16.6768,.14161]
F[1564]=[-.3405,16.6828,.14164]
F[1565]=[-.3406,16.6887,.14166]
F[1566]=[-.3406,16.6947,.14169]
F[1567]=[-.3407,16.7006,.14172]
F[1568]=[-.3407,16.7065,.14174]
F[1569]=[-.3408,16.7125,.14177]
F[1570]=[-.3408,16.7184,.14179]
F[1571]=[-.3408,16.7244,.14182]
F[1572]=[-.3409,16.7303,.14185]
F[1573]=[-.3409,16.7363,.14187]
F[1574]=[-.341,16.7422,.1419]
F[1575]=[-.341,16.7481,.14193]
F[1576]=[-.3411,16.7541,.14195]
F[1577]=[-.3411,16.76,.14198]
F[1578]=[-.3412,16.766,.14201]
F[1579]=[-.3412,16.7719,.14203]
F[1580]=[-.3412,16.7778,.14206]
F[1581]=[-.3413,16.7838,.14209]
F[1582]=[-.3413,16.7897,.14211]
F[1583]=[-.3414,16.7957,.14214]
F[1584]=[-.3414,16.8016,.14216]
F[1585]=[-.3415,16.8075,.14219]
F[1586]=[-.3415,16.8135,.14222]
F[1587]=[-.3415,16.8194,.14224]
F[1588]=[-.3416,16.8254,.14227]
F[1589]=[-.3416,16.8313,.1423]
F[1590]=[-.3417,16.8372,.14232]
F[1591]=[-.3417,16.8432,.14235]
F[1592]=[-.3418,16.8491,.14237]
F[1593]=[-.3418,16.855,.1424]
F[1594]=[-.3418,16.861,.14243]
F[1595]=[-.3419,16.8669,.14245]
F[1596]=[-.3419,16.8729,.14248]
F[1597]=[-.342,16.8788,.14251]
F[1598]=[-.342,16.8847,.14253]
F[1599]=[-.3421,16.8907,.14256]
F[1600]=[-.3421,16.8966,.14258]
F[1601]=[-.3421,16.9025,.14261]
F[1602]=[-.3422,16.9085,.14264]
F[1603]=[-.3422,16.9144,.14266]
F[1604]=[-.3423,16.9203,.14269]
F[1605]=[-.3423,16.9263,.14271]
F[1606]=[-.3424,16.9322,.14274]
F[1607]=[-.3424,16.9381,.14277]
F[1608]=[-.3425,16.9441,.14279]
F[1609]=[-.3425,16.95,.14282]
F[1610]=[-.3425,16.9559,.14284]
F[1611]=[-.3426,16.9619,.14287]
F[1612]=[-.3426,16.9678,.1429]
F[1613]=[-.3427,16.9737,.14292]
F[1614]=[-.3427,16.9796,.14295]
F[1615]=[-.3428,16.9856,.14297]
F[1616]=[-.3428,16.9915,.143]
F[1617]=[-.3428,16.9974,.14303]
F[1618]=[-.3429,17.0034,.14305]
F[1619]=[-.3429,17.0093,.14308]
F[1620]=[-.343,17.0152,.1431]
F[1621]=[-.343,17.0211,.14313]
F[1622]=[-.3431,17.0271,.14315]
F[1623]=[-.3431,17.033,.14318]
F[1624]=[-.3431,17.0389,.14321]
F[1625]=[-.3432,17.0448,.14323]
F[1626]=[-.3432,17.0508,.14326]
F[1627]=[-.3433,17.0567,.14328]
F[1628]=[-.3433,17.0626,.14331]
F[1629]=[-.3434,17.0685,.14334]
F[1630]=[-.3434,17.0744,.14336]
F[1631]=[-.3434,17.0804,.14339]
F[1632]=[-.3435,17.0863,.14341]
F[1633]=[-.3435,17.0922,.14344]
F[1634]=[-.3436,17.0981,.14346]
F[1635]=[-.3436,17.104,.14349]
F[1636]=[-.3437,17.11,.14352]
F[1637]=[-.3437,17.1159,.14354]
F[1638]=[-.3438,17.1218,.14357]
F[1639]=[-.3438,17.1277,.14359]
F[1640]=[-.3438,17.1336,.14362]
F[1641]=[-.3439,17.1395,.14364]
F[1642]=[-.3439,17.1455,.14367]
F[1643]=[-.344,17.1514,.14369]
F[1644]=[-.344,17.1573,.14372]
F[1645]=[-.3441,17.1632,.14375]
F[1646]=[-.3441,17.1691,.14377]
F[1647]=[-.3441,17.175,.1438]
F[1648]=[-.3442,17.1809,.14382]
F[1649]=[-.3442,17.1868,.14385]
F[1650]=[-.3443,17.1927,.14387]
F[1651]=[-.3443,17.1987,.1439]
F[1652]=[-.3444,17.2046,.14392]
F[1653]=[-.3444,17.2105,.14395]
F[1654]=[-.3444,17.2164,.14398]
F[1655]=[-.3445,17.2223,.144]
F[1656]=[-.3445,17.2282,.14403]
F[1657]=[-.3446,17.2341,.14405]
F[1658]=[-.3446,17.24,.14408]
F[1659]=[-.3447,17.2459,.1441]
F[1660]=[-.3447,17.2518,.14413]
F[1661]=[-.3448,17.2577,.14415]
F[1662]=[-.3448,17.2636,.14418]
F[1663]=[-.3448,17.2695,.1442]
F[1664]=[-.3449,17.2754,.14423]
F[1665]=[-.3449,17.2813,.14426]
F[1666]=[-.345,17.2872,.14428]
F[1667]=[-.345,17.2931,.14431]
F[1668]=[-.3451,17.299,.14433]
F[1669]=[-.3451,17.3049,.14436]
F[1670]=[-.3451,17.3108,.14438]
F[1671]=[-.3452,17.3167,.14441]
F[1672]=[-.3452,17.3226,.14443]
F[1673]=[-.3453,17.3285,.14446]
F[1674]=[-.3453,17.3344,.14448]
F[1675]=[-.3454,17.3402,.14451]
F[1676]=[-.3454,17.3461,.14453]
F[1677]=[-.3454,17.352,.14456]
F[1678]=[-.3455,17.3579,.14458]
F[1679]=[-.3455,17.3638,.14461]
F[1680]=[-.3456,17.3697,.14463]
F[1681]=[-.3456,17.3756,.14466]
F[1682]=[-.3457,17.3815,.14468]
F[1683]=[-.3457,17.3873,.14471]
F[1684]=[-.3457,17.3932,.14473]
F[1685]=[-.3458,17.3991,.14476]
F[1686]=[-.3458,17.405,.14479]
F[1687]=[-.3459,17.4109,.14481]
F[1688]=[-.3459,17.4167,.14484]
F[1689]=[-.346,17.4226,.14486]
F[1690]=[-.346,17.4285,.14489]
F[1691]=[-.346,17.4344,.14491]
F[1692]=[-.3461,17.4403,.14494]
F[1693]=[-.3461,17.4461,.14496]
F[1694]=[-.3462,17.452,.14499]
F[1695]=[-.3462,17.4579,.14501]
F[1696]=[-.3463,17.4637,.14504]
F[1697]=[-.3463,17.4696,.14506]
F[1698]=[-.3463,17.4755,.14509]
F[1699]=[-.3464,17.4814,.14511]
F[1700]=[-.3464,17.4872,.14514]
F[1701]=[-.3465,17.4931,.14516]
F[1702]=[-.3465,17.499,.14519]
F[1703]=[-.3466,17.5048,.14521]
F[1704]=[-.3466,17.5107,.14524]
F[1705]=[-.3467,17.5166,.14526]
F[1706]=[-.3467,17.5224,.14529]
F[1707]=[-.3467,17.5283,.14531]
F[1708]=[-.3468,17.5341,.14534]
F[1709]=[-.3468,17.54,.14536]
F[1710]=[-.3469,17.5459,.14539]
F[1711]=[-.3469,17.5517,.14541]
F[1712]=[-.347,17.5576,.14544]
F[1713]=[-.347,17.5634,.14546]
F[1714]=[-.347,17.5693,.14549]
F[1715]=[-.3471,17.5751,.14551]
F[1716]=[-.3471,17.581,.14553]
F[1717]=[-.3472,17.5868,.14556]
F[1718]=[-.3472,17.5927,.14558]
F[1719]=[-.3473,17.5985,.14561]
F[1720]=[-.3473,17.6044,.14563]
F[1721]=[-.3473,17.6102,.14566]
F[1722]=[-.3474,17.6161,.14568]
F[1723]=[-.3474,17.6219,.14571]
F[1724]=[-.3475,17.6278,.14573]
F[1725]=[-.3475,17.6336,.14576]
F[1726]=[-.3476,17.6394,.14578]
F[1727]=[-.3476,17.6453,.14581]
F[1728]=[-.3476,17.6511,.14583]
F[1729]=[-.3477,17.657,.14586]
F[1730]=[-.3477,17.6628,.14588]
F[1731]=[-.3478,17.6686,.14591]
F[1732]=[-.3478,17.6745,.14593]
F[1733]=[-.3479,17.6803,.14596]
F[1734]=[-.3479,17.6861,.14598]
F[1735]=[-.3479,17.692,.146]
F[1736]=[-.348,17.6978,.14603]
F[1737]=[-.348,17.7036,.14605]
F[1738]=[-.3481,17.7095,.14608]
F[1739]=[-.3481,17.7153,.1461]
F[1740]=[-.3482,17.7211,.14613]
F[1741]=[-.3482,17.7269,.14615]
F[1742]=[-.3482,17.7328,.14618]
F[1743]=[-.3483,17.7386,.1462]
F[1744]=[-.3483,17.7444,.14623]
F[1745]=[-.3484,17.7502,.14625]
F[1746]=[-.3484,17.7561,.14628]
F[1747]=[-.3485,17.7619,.1463]
F[1748]=[-.3485,17.7677,.14632]
F[1749]=[-.3485,17.7735,.14635]
F[1750]=[-.3486,17.7793,.14637]
F[1751]=[-.3486,17.7851,.1464]
F[1752]=[-.3487,17.791,.14642]
F[1753]=[-.3487,17.7968,.14645]
F[1754]=[-.3488,17.8026,.14647]
F[1755]=[-.3488,17.8084,.1465]
F[1756]=[-.3488,17.8142,.14652]
F[1757]=[-.3489,17.82,.14654]
F[1758]=[-.3489,17.8258,.14657]
F[1759]=[-.349,17.8316,.14659]
F[1760]=[-.349,17.8374,.14662]
F[1761]=[-.3491,17.8432,.14664]
F[1762]=[-.3491,17.849,.14667]
F[1763]=[-.3491,17.8548,.14669]
F[1764]=[-.3492,17.8606,.14672]
F[1765]=[-.3492,17.8664,.14674]
F[1766]=[-.3493,17.8722,.14676]
F[1767]=[-.3493,17.878,.14679]
F[1768]=[-.3493,17.8838,.14681]
F[1769]=[-.3494,17.8896,.14684]
F[1770]=[-.3494,17.8954,.14686]
F[1771]=[-.3495,17.9012,.14689]
F[1772]=[-.3495,17.907,.14691]
F[1773]=[-.3496,17.9128,.14693]
F[1774]=[-.3496,17.9186,.14696]
F[1775]=[-.3496,17.9243,.14698]
F[1776]=[-.3497,17.9301,.14701]
F[1777]=[-.3497,17.9359,.14703]
F[1778]=[-.3498,17.9417,.14706]
F[1779]=[-.3498,17.9475,.14708]
F[1780]=[-.3499,17.9533,.1471]
F[1781]=[-.3499,17.959,.14713]
F[1782]=[-.3499,17.9648,.14715]
F[1783]=[-.35,17.9706,.14718]
F[1784]=[-.35,17.9764,.1472]
F[1785]=[-.3501,17.9821,.14722]
F[1786]=[-.3501,17.9879,.14725]
F[1787]=[-.3502,17.9937,.14727]
F[1788]=[-.3502,17.9995,.1473]
F[1789]=[-.3502,18.0052,.14732]
F[1790]=[-.3503,18.011,.14735]
F[1791]=[-.3503,18.0168,.14737]
F[1792]=[-.3504,18.0225,.14739]
F[1793]=[-.3504,18.0283,.14742]
F[1794]=[-.3505,18.0341,.14744]
F[1795]=[-.3505,18.0398,.14747]
F[1796]=[-.3505,18.0456,.14749]
F[1797]=[-.3506,18.0513,.14751]
F[1798]=[-.3506,18.0571,.14754]
F[1799]=[-.3507,18.0629,.14756]
F[1800]=[-.3507,18.0686,.14759]
F[1801]=[-.3507,18.0744,.14761]
F[1802]=[-.3508,18.0801,.14763]
F[1803]=[-.3508,18.0859,.14766]
F[1804]=[-.3509,18.0916,.14768]
F[1805]=[-.3509,18.0974,.14771]
F[1806]=[-.351,18.1031,.14773]
F[1807]=[-.351,18.1089,.14775]
F[1808]=[-.351,18.1146,.14778]
F[1809]=[-.3511,18.1204,.1478]
F[1810]=[-.3511,18.1261,.14783]
F[1811]=[-.3512,18.1319,.14785]
F[1812]=[-.3512,18.1376,.14787]
F[1813]=[-.3513,18.1434,.1479]
F[1814]=[-.3513,18.1491,.14792]
F[1815]=[-.3513,18.1548,.14794]
F[1816]=[-.3514,18.1606,.14797]
F[1817]=[-.3514,18.1663,.14799]
F[1818]=[-.3515,18.172,.14802]
F[1819]=[-.3515,18.1778,.14804]
F[1820]=[-.3515,18.1835,.14806]
F[1821]=[-.3516,18.1892,.14809]
F[1822]=[-.3516,18.195,.14811]
F[1823]=[-.3517,18.2007,.14814]
F[1824]=[-.3517,18.2064,.14816]
F[1825]=[-.3518,18.2122,.14818]
F[1826]=[-.3518,18.2179,.14821]
F[1827]=[-.3518,18.2236,.14823]
F[1828]=[-.3519,18.2293,.14825]
F[1829]=[-.3519,18.235,.14828]
F[1830]=[-.352,18.2408,.1483]
F[1831]=[-.352,18.2465,.14833]
F[1832]=[-.352,18.2522,.14835]
F[1833]=[-.3521,18.2579,.14837]
F[1834]=[-.3521,18.2636,.1484]
F[1835]=[-.3522,18.2693,.14842]
F[1836]=[-.3522,18.2751,.14844]
F[1837]=[-.3523,18.2808,.14847]
F[1838]=[-.3523,18.2865,.14849]
F[1839]=[-.3523,18.2922,.14852]
F[1840]=[-.3524,18.2979,.14854]
F[1841]=[-.3524,18.3036,.14856]
F[1842]=[-.3525,18.3093,.14859]
F[1843]=[-.3525,18.315,.14861]
F[1844]=[-.3526,18.3207,.14863]
F[1845]=[-.3526,18.3264,.14866]
F[1846]=[-.3526,18.3321,.14868]
F[1847]=[-.3527,18.3378,.14871]
F[1848]=[-.3527,18.3435,.14873]
F[1849]=[-.3528,18.3492,.14875]
F[1850]=[-.3528,18.3549,.14878]
F[1851]=[-.3528,18.3606,.1488]
F[1852]=[-.3529,18.3663,.14882]
F[1853]=[-.3529,18.372,.14885]
F[1854]=[-.353,18.3777,.14887]
F[1855]=[-.353,18.3834,.14889]
F[1856]=[-.3531,18.389,.14892]



if ((MF=="F"))
   {
   result=resultStr(F[AGEDAYS],KILOS);
   }
else
   {
    result=resultStr(M[AGEDAYS],KILOS);
    //defaults to male values
   }
   
return result;
}

 function WHZ_W06(MF, AGEDAYS, KILOS, MM)
{
var M = new Array();
var F = new Array();
//wfhlms.js  WHO]
//sex,height2,l,m,s]
M[650]=[-.3521,7.4327,.08217]
M[651]=[-.3521,7.4563,.08216]
M[652]=[-.3521,7.4799,.08216]
M[653]=[-.3521,7.5034,.08215]
M[654]=[-.3521,7.5269,.08214]
M[655]=[-.3521,7.5504,.08214]
M[656]=[-.3521,7.5738,.08214]
M[657]=[-.3521,7.5973,.08213]
M[658]=[-.3521,7.6206,.08213]
M[659]=[-.3521,7.644,.08213]
M[660]=[-.3521,7.6673,.08212]
M[661]=[-.3521,7.6906,.08212]
M[662]=[-.3521,7.7138,.08212]
M[663]=[-.3521,7.737,.08212]
M[664]=[-.3521,7.7602,.08212]
M[665]=[-.3521,7.7834,.08212]
M[666]=[-.3521,7.8065,.08212]
M[667]=[-.3521,7.8296,.08212]
M[668]=[-.3521,7.8526,.08212]
M[669]=[-.3521,7.8757,.08212]
M[670]=[-.3521,7.8986,.08213]
M[671]=[-.3521,7.9216,.08213]
M[672]=[-.3521,7.9445,.08213]
M[673]=[-.3521,7.9674,.08214]
M[674]=[-.3521,7.9903,.08214]
M[675]=[-.3521,8.0132,.08214]
M[676]=[-.3521,8.036,.08215]
M[677]=[-.3521,8.0588,.08215]
M[678]=[-.3521,8.0816,.08216]
M[679]=[-.3521,8.1044,.08217]
M[680]=[-.3521,8.1272,.08217]
M[681]=[-.3521,8.15,.08218]
M[682]=[-.3521,8.1727,.08219]
M[683]=[-.3521,8.1955,.08219]
M[684]=[-.3521,8.2183,.0822]
M[685]=[-.3521,8.241,.08221]
M[686]=[-.3521,8.2638,.08222]
M[687]=[-.3521,8.2865,.08223]
M[688]=[-.3521,8.3092,.08224]
M[689]=[-.3521,8.332,.08225]
M[690]=[-.3521,8.3547,.08226]
M[691]=[-.3521,8.3774,.08227]
M[692]=[-.3521,8.4001,.08228]
M[693]=[-.3521,8.4227,.08229]
M[694]=[-.3521,8.4454,.0823]
M[695]=[-.3521,8.468,.08231]
M[696]=[-.3521,8.4906,.08232]
M[697]=[-.3521,8.5132,.08233]
M[698]=[-.3521,8.5358,.08235]
M[699]=[-.3521,8.5583,.08236]
M[700]=[-.3521,8.5808,.08237]
M[701]=[-.3521,8.6032,.08238]
M[702]=[-.3521,8.6257,.0824]
M[703]=[-.3521,8.648,.08241]
M[704]=[-.3521,8.6704,.08242]
M[705]=[-.3521,8.6927,.08243]
M[706]=[-.3521,8.715,.08245]
M[707]=[-.3521,8.7372,.08246]
M[708]=[-.3521,8.7594,.08248]
M[709]=[-.3521,8.7815,.08249]
M[710]=[-.3521,8.8036,.0825]
M[711]=[-.3521,8.8257,.08252]
M[712]=[-.3521,8.8477,.08253]
M[713]=[-.3521,8.8697,.08254]
M[714]=[-.3521,8.8916,.08256]
M[715]=[-.3521,8.9135,.08257]
M[716]=[-.3521,8.9353,.08259]
M[717]=[-.3521,8.9571,.0826]
M[718]=[-.3521,8.9788,.08262]
M[719]=[-.3521,9.0005,.08263]
M[720]=[-.3521,9.0221,.08264]
M[721]=[-.3521,9.0436,.08266]
M[722]=[-.3521,9.0651,.08267]
M[723]=[-.3521,9.0865,.08269]
M[724]=[-.3521,9.1079,.0827]
M[725]=[-.3521,9.1292,.08272]
M[726]=[-.3521,9.1504,.08273]
M[727]=[-.3521,9.1716,.08274]
M[728]=[-.3521,9.1927,.08276]
M[729]=[-.3521,9.2137,.08277]
M[730]=[-.3521,9.2347,.08278]
M[731]=[-.3521,9.2557,.0828]
M[732]=[-.3521,9.2766,.08281]
M[733]=[-.3521,9.2974,.08283]
M[734]=[-.3521,9.3182,.08284]
M[735]=[-.3521,9.339,.08285]
M[736]=[-.3521,9.3597,.08287]
M[737]=[-.3521,9.3803,.08288]
M[738]=[-.3521,9.401,.08289]
M[739]=[-.3521,9.4215,.0829]
M[740]=[-.3521,9.442,.08292]
M[741]=[-.3521,9.4625,.08293]
M[742]=[-.3521,9.4829,.08294]
M[743]=[-.3521,9.5032,.08295]
M[744]=[-.3521,9.5235,.08297]
M[745]=[-.3521,9.5438,.08298]
M[746]=[-.3521,9.5639,.08299]
M[747]=[-.3521,9.5841,.083]
M[748]=[-.3521,9.6041,.08301]
M[749]=[-.3521,9.6241,.08302]
M[750]=[-.3521,9.644,.08303]
M[751]=[-.3521,9.6639,.08305]
M[752]=[-.3521,9.6836,.08306]
M[753]=[-.3521,9.7033,.08307]
M[754]=[-.3521,9.723,.08307]
M[755]=[-.3521,9.7425,.08308]
M[756]=[-.3521,9.762,.08309]
M[757]=[-.3521,9.7814,.0831]
M[758]=[-.3521,9.8007,.08311]
M[759]=[-.3521,9.82,.08312]
M[760]=[-.3521,9.8392,.08312]
M[761]=[-.3521,9.8583,.08313]
M[762]=[-.3521,9.8773,.08314]
M[763]=[-.3521,9.8963,.08314]
M[764]=[-.3521,9.9152,.08315]
M[765]=[-.3521,9.9341,.08315]
M[766]=[-.3521,9.9528,.08316]
M[767]=[-.3521,9.9716,.08316]
M[768]=[-.3521,9.9902,.08317]
M[769]=[-.3521,10.0088,.08317]
M[770]=[-.3521,10.0274,.08317]
M[771]=[-.3521,10.0459,.08318]
M[772]=[-.3521,10.0643,.08318]
M[773]=[-.3521,10.0827,.08318]
M[774]=[-.3521,10.1011,.08318]
M[775]=[-.3521,10.1194,.08318]
M[776]=[-.3521,10.1377,.08318]
M[777]=[-.3521,10.1559,.08318]
M[778]=[-.3521,10.1741,.08318]
M[779]=[-.3521,10.1923,.08317]
M[780]=[-.3521,10.2105,.08317]
M[781]=[-.3521,10.2286,.08317]
M[782]=[-.3521,10.2468,.08316]
M[783]=[-.3521,10.2649,.08316]
M[784]=[-.3521,10.2831,.08315]
M[785]=[-.3521,10.3012,.08315]
M[786]=[-.3521,10.3194,.08314]
M[787]=[-.3521,10.3376,.08313]
M[788]=[-.3521,10.3558,.08313]
M[789]=[-.3521,10.3741,.08312]
M[790]=[-.3521,10.3923,.08311]
M[791]=[-.3521,10.4107,.0831]
M[792]=[-.3521,10.4291,.08309]
M[793]=[-.3521,10.4475,.08308]
M[794]=[-.3521,10.466,.08307]
M[795]=[-.3521,10.4845,.08305]
M[796]=[-.3521,10.5031,.08304]
M[797]=[-.3521,10.5217,.08303]
M[798]=[-.3521,10.5405,.08301]
M[799]=[-.3521,10.5592,.083]
M[800]=[-.3521,10.5781,.08298]
M[801]=[-.3521,10.597,.08297]
M[802]=[-.3521,10.6161,.08295]
M[803]=[-.3521,10.6352,.08293]
M[804]=[-.3521,10.6544,.08291]
M[805]=[-.3521,10.6737,.0829]
M[806]=[-.3521,10.6931,.08288]
M[807]=[-.3521,10.7126,.08286]
M[808]=[-.3521,10.7322,.08284]
M[809]=[-.3521,10.752,.08282]
M[810]=[-.3521,10.7718,.08279]
M[811]=[-.3521,10.7918,.08277]
M[812]=[-.3521,10.8119,.08275]
M[813]=[-.3521,10.8321,.08273]
M[814]=[-.3521,10.8524,.0827]
M[815]=[-.3521,10.8728,.08268]
M[816]=[-.3521,10.8934,.08265]
M[817]=[-.3521,10.9142,.08263]
M[818]=[-.3521,10.935,.0826]
M[819]=[-.3521,10.956,.08258]
M[820]=[-.3521,10.9772,.08255]
M[821]=[-.3521,10.9985,.08252]
M[822]=[-.3521,11.0199,.08249]
M[823]=[-.3521,11.0415,.08246]
M[824]=[-.3521,11.0632,.08244]
M[825]=[-.3521,11.0851,.08241]
M[826]=[-.3521,11.1071,.08238]
M[827]=[-.3521,11.1293,.08235]
M[828]=[-.3521,11.1516,.08231]
M[829]=[-.3521,11.174,.08228]
M[830]=[-.3521,11.1966,.08225]
M[831]=[-.3521,11.2193,.08222]
M[832]=[-.3521,11.2422,.08219]
M[833]=[-.3521,11.2651,.08215]
M[834]=[-.3521,11.2882,.08212]
M[835]=[-.3521,11.3114,.08209]
M[836]=[-.3521,11.3347,.08205]
M[837]=[-.3521,11.3581,.08202]
M[838]=[-.3521,11.3817,.08198]
M[839]=[-.3521,11.4053,.08195]
M[840]=[-.3521,11.429,.08191]
M[841]=[-.3521,11.4529,.08188]
M[842]=[-.3521,11.4768,.08184]
M[843]=[-.3521,11.5007,.08181]
M[844]=[-.3521,11.5248,.08177]
M[845]=[-.3521,11.549,.08174]
M[846]=[-.3521,11.5732,.0817]
M[847]=[-.3521,11.5975,.08166]
M[848]=[-.3521,11.6218,.08163]
M[849]=[-.3521,11.6462,.08159]
M[850]=[-.3521,11.6707,.08156]
M[851]=[-.3521,11.6952,.08152]
M[852]=[-.3521,11.7198,.08148]
M[853]=[-.3521,11.7444,.08145]
M[854]=[-.3521,11.769,.08141]
M[855]=[-.3521,11.7937,.08138]
M[856]=[-.3521,11.8184,.08134]
M[857]=[-.3521,11.8431,.08131]
M[858]=[-.3521,11.8678,.08128]
M[859]=[-.3521,11.8926,.08124]
M[860]=[-.3521,11.9173,.08121]
M[861]=[-.3521,11.9421,.08118]
M[862]=[-.3521,11.9668,.08114]
M[863]=[-.3521,11.9916,.08111]
M[864]=[-.3521,12.0163,.08108]
M[865]=[-.3521,12.0411,.08105]
M[866]=[-.3521,12.0658,.08102]
M[867]=[-.3521,12.0905,.08099]
M[868]=[-.3521,12.1152,.08096]
M[869]=[-.3521,12.1398,.08093]
M[870]=[-.3521,12.1645,.0809]
M[871]=[-.3521,12.1891,.08087]
M[872]=[-.3521,12.2136,.08084]
M[873]=[-.3521,12.2382,.08082]
M[874]=[-.3521,12.2627,.08079]
M[875]=[-.3521,12.2871,.08076]
M[876]=[-.3521,12.3116,.08074]
M[877]=[-.3521,12.336,.08071]
M[878]=[-.3521,12.3603,.08069]
M[879]=[-.3521,12.3846,.08067]
M[880]=[-.3521,12.4089,.08064]
M[881]=[-.3521,12.4332,.08062]
M[882]=[-.3521,12.4574,.0806]
M[883]=[-.3521,12.4815,.08058]
M[884]=[-.3521,12.5057,.08056]
M[885]=[-.3521,12.5298,.08054]
M[886]=[-.3521,12.5538,.08052]
M[887]=[-.3521,12.5778,.0805]
M[888]=[-.3521,12.6017,.08048]
M[889]=[-.3521,12.6257,.08047]
M[890]=[-.3521,12.6495,.08045]
M[891]=[-.3521,12.6734,.08044]
M[892]=[-.3521,12.6972,.08042]
M[893]=[-.3521,12.7209,.08041]
M[894]=[-.3521,12.7446,.08039]
M[895]=[-.3521,12.7683,.08038]
M[896]=[-.3521,12.792,.08037]
M[897]=[-.3521,12.8156,.08035]
M[898]=[-.3521,12.8392,.08034]
M[899]=[-.3521,12.8628,.08033]
M[900]=[-.3521,12.8864,.08032]
M[901]=[-.3521,12.9099,.08031]
M[902]=[-.3521,12.9334,.0803]
M[903]=[-.3521,12.9569,.0803]
M[904]=[-.3521,12.9804,.08029]
M[905]=[-.3521,13.0038,.08028]
M[906]=[-.3521,13.0273,.08027]
M[907]=[-.3521,13.0507,.08027]
M[908]=[-.3521,13.0742,.08026]
M[909]=[-.3521,13.0976,.08026]
M[910]=[-.3521,13.1209,.08025]
M[911]=[-.3521,13.1443,.08025]
M[912]=[-.3521,13.1677,.08025]
M[913]=[-.3521,13.191,.08025]
M[914]=[-.3521,13.2143,.08025]
M[915]=[-.3521,13.2376,.08024]
M[916]=[-.3521,13.2609,.08024]
M[917]=[-.3521,13.2842,.08024]
M[918]=[-.3521,13.3075,.08025]
M[919]=[-.3521,13.3308,.08025]
M[920]=[-.3521,13.3541,.08025]
M[921]=[-.3521,13.3773,.08025]
M[922]=[-.3521,13.4006,.08026]
M[923]=[-.3521,13.4239,.08026]
M[924]=[-.3521,13.4472,.08027]
M[925]=[-.3521,13.4705,.08027]
M[926]=[-.3521,13.4937,.08028]
M[927]=[-.3521,13.5171,.08028]
M[928]=[-.3521,13.5404,.08029]
M[929]=[-.3521,13.5637,.0803]
M[930]=[-.3521,13.587,.08031]
M[931]=[-.3521,13.6104,.08032]
M[932]=[-.3521,13.6338,.08033]
M[933]=[-.3521,13.6572,.08034]
M[934]=[-.3521,13.6806,.08035]
M[935]=[-.3521,13.7041,.08036]
M[936]=[-.3521,13.7275,.08037]
M[937]=[-.3521,13.751,.08038]
M[938]=[-.3521,13.7746,.0804]
M[939]=[-.3521,13.7981,.08041]
M[940]=[-.3521,13.8217,.08043]
M[941]=[-.3521,13.8454,.08044]
M[942]=[-.3521,13.8691,.08046]
M[943]=[-.3521,13.8928,.08047]
M[944]=[-.3521,13.9165,.08049]
M[945]=[-.3521,13.9403,.08051]
M[946]=[-.3521,13.9642,.08052]
M[947]=[-.3521,13.9881,.08054]
M[948]=[-.3521,14.012,.08056]
M[949]=[-.3521,14.036,.08058]
M[950]=[-.3521,14.06,.0806]
M[951]=[-.3521,14.0841,.08062]
M[952]=[-.3521,14.1083,.08064]
M[953]=[-.3521,14.1325,.08067]
M[954]=[-.3521,14.1567,.08069]
M[955]=[-.3521,14.1811,.08071]
M[956]=[-.3521,14.2055,.08073]
M[957]=[-.3521,14.2299,.08076]
M[958]=[-.3521,14.2544,.08078]
M[959]=[-.3521,14.279,.08081]
M[960]=[-.3521,14.3037,.08083]
M[961]=[-.3521,14.3284,.08086]
M[962]=[-.3521,14.3533,.08089]
M[963]=[-.3521,14.3782,.08092]
M[964]=[-.3521,14.4031,.08094]
M[965]=[-.3521,14.4282,.08097]
M[966]=[-.3521,14.4533,.081]
M[967]=[-.3521,14.4785,.08103]
M[968]=[-.3521,14.5038,.08106]
M[969]=[-.3521,14.5292,.08109]
M[970]=[-.3521,14.5547,.08112]
M[971]=[-.3521,14.5802,.08116]
M[972]=[-.3521,14.6058,.08119]
M[973]=[-.3521,14.6316,.08122]
M[974]=[-.3521,14.6574,.08125]
M[975]=[-.3521,14.6832,.08129]
M[976]=[-.3521,14.7092,.08132]
M[977]=[-.3521,14.7353,.08136]
M[978]=[-.3521,14.7614,.08139]
M[979]=[-.3521,14.7877,.08143]
M[980]=[-.3521,14.814,.08146]
M[981]=[-.3521,14.8404,.0815]
M[982]=[-.3521,14.8669,.08154]
M[983]=[-.3521,14.8934,.08157]
M[984]=[-.3521,14.9201,.08161]
M[985]=[-.3521,14.9468,.08165]
M[986]=[-.3521,14.9736,.08169]
M[987]=[-.3521,15.0005,.08173]
M[988]=[-.3521,15.0275,.08177]
M[989]=[-.3521,15.0546,.08181]
M[990]=[-.3521,15.0818,.08185]
M[991]=[-.3521,15.109,.08189]
M[992]=[-.3521,15.1363,.08194]
M[993]=[-.3521,15.1637,.08198]
M[994]=[-.3521,15.1912,.08202]
M[995]=[-.3521,15.2187,.08206]
M[996]=[-.3521,15.2463,.08211]
M[997]=[-.3521,15.274,.08215]
M[998]=[-.3521,15.3018,.0822]
M[999]=[-.3521,15.3297,.08224]
M[1000]=[-.3521,15.3576,.08229]
M[1001]=[-.3521,15.3856,.08233]
M[1002]=[-.3521,15.4137,.08238]
M[1003]=[-.3521,15.4419,.08243]
M[1004]=[-.3521,15.4701,.08247]
M[1005]=[-.3521,15.4985,.08252]
M[1006]=[-.3521,15.5268,.08257]
M[1007]=[-.3521,15.5553,.08262]
M[1008]=[-.3521,15.5838,.08267]
M[1009]=[-.3521,15.6125,.08272]
M[1010]=[-.3521,15.6412,.08277]
M[1011]=[-.3521,15.6699,.08281]
M[1012]=[-.3521,15.6987,.08287]
M[1013]=[-.3521,15.7276,.08292]
M[1014]=[-.3521,15.7566,.08297]
M[1015]=[-.3521,15.7857,.08302]
M[1016]=[-.3521,15.8148,.08307]
M[1017]=[-.3521,15.844,.08312]
M[1018]=[-.3521,15.8732,.08317]
M[1019]=[-.3521,15.9026,.08322]
M[1020]=[-.3521,15.932,.08328]
M[1021]=[-.3521,15.9615,.08333]
M[1022]=[-.3521,15.991,.08338]
M[1023]=[-.3521,16.0206,.08343]
M[1024]=[-.3521,16.0503,.08349]
M[1025]=[-.3521,16.0801,.08354]
M[1026]=[-.3521,16.1099,.08359]
M[1027]=[-.3521,16.1398,.08365]
M[1028]=[-.3521,16.1697,.0837]
M[1029]=[-.3521,16.1997,.08376]
M[1030]=[-.3521,16.2298,.08381]
M[1031]=[-.3521,16.26,.08386]
M[1032]=[-.3521,16.2902,.08392]
M[1033]=[-.3521,16.3204,.08397]
M[1034]=[-.3521,16.3508,.08403]
M[1035]=[-.3521,16.3812,.08408]
M[1036]=[-.3521,16.4117,.08414]
M[1037]=[-.3521,16.4422,.08419]
M[1038]=[-.3521,16.4728,.08425]
M[1039]=[-.3521,16.5035,.08431]
M[1040]=[-.3521,16.5342,.08436]
M[1041]=[-.3521,16.565,.08442]
M[1042]=[-.3521,16.5959,.08447]
M[1043]=[-.3521,16.6268,.08453]
M[1044]=[-.3521,16.6579,.08458]
M[1045]=[-.3521,16.6889,.08464]
M[1046]=[-.3521,16.7201,.0847]
M[1047]=[-.3521,16.7513,.08475]
M[1048]=[-.3521,16.7826,.08481]
M[1049]=[-.3521,16.8139,.08487]
M[1050]=[-.3521,16.8454,.08493]
M[1051]=[-.3521,16.8769,.08498]
M[1052]=[-.3521,16.9084,.08504]
M[1053]=[-.3521,16.9401,.0851]
M[1054]=[-.3521,16.9718,.08516]
M[1055]=[-.3521,17.0036,.08521]
M[1056]=[-.3521,17.0355,.08527]
M[1057]=[-.3521,17.0674,.08533]
M[1058]=[-.3521,17.0995,.08539]
M[1059]=[-.3521,17.1316,.08545]
M[1060]=[-.3521,17.1637,.08551]
M[1061]=[-.3521,17.196,.08557]
M[1062]=[-.3521,17.2283,.08562]
M[1063]=[-.3521,17.2607,.08568]
M[1064]=[-.3521,17.2931,.08574]
M[1065]=[-.3521,17.3256,.0858]
M[1066]=[-.3521,17.3582,.08586]
M[1067]=[-.3521,17.3909,.08592]
M[1068]=[-.3521,17.4237,.08599]
M[1069]=[-.3521,17.4565,.08605]
M[1070]=[-.3521,17.4894,.08611]
M[1071]=[-.3521,17.5224,.08617]
M[1072]=[-.3521,17.5554,.08623]
M[1073]=[-.3521,17.5885,.08629]
M[1074]=[-.3521,17.6217,.08635]
M[1075]=[-.3521,17.655,.08641]
M[1076]=[-.3521,17.6884,.08648]
M[1077]=[-.3521,17.7218,.08654]
M[1078]=[-.3521,17.7553,.0866]
M[1079]=[-.3521,17.7889,.08666]
M[1080]=[-.3521,17.8226,.08673]
M[1081]=[-.3521,17.8564,.08679]
M[1082]=[-.3521,17.8903,.08685]
M[1083]=[-.3521,17.9242,.08691]
M[1084]=[-.3521,17.9583,.08698]
M[1085]=[-.3521,17.9924,.08704]
M[1086]=[-.3521,18.0267,.0871]
M[1087]=[-.3521,18.061,.08717]
M[1088]=[-.3521,18.0954,.08723]
M[1089]=[-.3521,18.1299,.0873]
M[1090]=[-.3521,18.1645,.08736]
M[1091]=[-.3521,18.1992,.08742]
M[1092]=[-.3521,18.234,.08749]
M[1093]=[-.3521,18.2689,.08755]
M[1094]=[-.3521,18.3039,.08762]
M[1095]=[-.3521,18.339,.08768]
M[1096]=[-.3521,18.3742,.08774]
M[1097]=[-.3521,18.4094,.08781]
M[1098]=[-.3521,18.4448,.08787]
M[1099]=[-.3521,18.4802,.08794]
M[1100]=[-.3521,18.5158,.088]
M[1101]=[-.3521,18.5514,.08806]
M[1102]=[-.3521,18.5871,.08813]
M[1103]=[-.3521,18.6229,.08819]
M[1104]=[-.3521,18.6588,.08826]
M[1105]=[-.3521,18.6948,.08832]
M[1106]=[-.3521,18.7308,.08838]
M[1107]=[-.3521,18.767,.08845]
M[1108]=[-.3521,18.8032,.08851]
M[1109]=[-.3521,18.8395,.08858]
M[1110]=[-.3521,18.8759,.08864]
M[1111]=[-.3521,18.9123,.08871]
M[1112]=[-.3521,18.9489,.08877]
M[1113]=[-.3521,18.9855,.08883]
M[1114]=[-.3521,19.0222,.0889]
M[1115]=[-.3521,19.059,.08896]
M[1116]=[-.3521,19.0958,.08903]
M[1117]=[-.3521,19.1327,.08909]
M[1118]=[-.3521,19.1697,.08915]
M[1119]=[-.3521,19.2067,.08922]
M[1120]=[-.3521,19.2439,.08928]
M[1121]=[-.3521,19.281,.08934]
M[1122]=[-.3521,19.3183,.08941]
M[1123]=[-.3521,19.3556,.08947]
M[1124]=[-.3521,19.393,.08953]
M[1125]=[-.3521,19.4304,.0896]
M[1126]=[-.3521,19.4679,.08966]
M[1127]=[-.3521,19.5055,.08972]
M[1128]=[-.3521,19.5431,.08979]
M[1129]=[-.3521,19.5807,.08985]
M[1130]=[-.3521,19.6185,.08991]
M[1131]=[-.3521,19.6563,.08997]
M[1132]=[-.3521,19.6941,.09004]
M[1133]=[-.3521,19.7321,.0901]
M[1134]=[-.3521,19.77,.09016]
M[1135]=[-.3521,19.8081,.09022]
M[1136]=[-.3521,19.8461,.09029]
M[1137]=[-.3521,19.8843,.09035]
M[1138]=[-.3521,19.9225,.09041]
M[1139]=[-.3521,19.9607,.09047]
M[1140]=[-.3521,19.999,.09054]
M[1141]=[-.3521,20.0373,.0906]
M[1142]=[-.3521,20.0757,.09066]
M[1143]=[-.3521,20.1142,.09072]
M[1144]=[-.3521,20.1527,.09079]
M[1145]=[-.3521,20.1912,.09085]
M[1146]=[-.3521,20.2298,.09091]
M[1147]=[-.3521,20.2684,.09097]
M[1148]=[-.3521,20.3071,.09103]
M[1149]=[-.3521,20.3458,.0911]
M[1150]=[-.3521,20.3846,.09116]
M[1151]=[-.3521,20.4233,.09122]
M[1152]=[-.3521,20.4622,.09128]
M[1153]=[-.3521,20.501,.09134]
M[1154]=[-.3521,20.54,.0914]
M[1155]=[-.3521,20.5789,.09147]
M[1156]=[-.3521,20.6179,.09153]
M[1157]=[-.3521,20.6569,.09159]
M[1158]=[-.3521,20.6959,.09165]
M[1159]=[-.3521,20.735,.09171]
M[1160]=[-.3521,20.7741,.09177]
M[1161]=[-.3521,20.8132,.09183]
M[1162]=[-.3521,20.8524,.0919]
M[1163]=[-.3521,20.8916,.09196]
M[1164]=[-.3521,20.9308,.09202]
M[1165]=[-.3521,20.97,.09208]
M[1166]=[-.3521,21.0093,.09214]
M[1167]=[-.3521,21.0486,.0922]
M[1168]=[-.3521,21.0879,.09227]
M[1169]=[-.3521,21.1272,.09233]
M[1170]=[-.3521,21.1666,.09239]
M[1171]=[-.3521,21.2059,.09245]
M[1172]=[-.3521,21.2453,.09251]
M[1173]=[-.3521,21.2847,.09257]
M[1174]=[-.3521,21.3242,.09263]
M[1175]=[-.3521,21.3636,.0927]
M[1176]=[-.3521,21.4031,.09276]
M[1177]=[-.3521,21.4426,.09282]
M[1178]=[-.3521,21.482,.09288]
M[1179]=[-.3521,21.5215,.09294]
M[1180]=[-.3521,21.5611,.093]
M[1181]=[-.3521,21.6006,.09307]
M[1182]=[-.3521,21.6401,.09313]
M[1183]=[-.3521,21.6797,.09319]
M[1184]=[-.3521,21.7193,.09325]
M[1185]=[-.3521,21.7588,.09331]
M[1186]=[-.3521,21.7984,.09338]
M[1187]=[-.3521,21.838,.09344]
M[1188]=[-.3521,21.8776,.0935]
M[1189]=[-.3521,21.9172,.09356]
M[1190]=[-.3521,21.9568,.09362]
M[1191]=[-.3521,21.9964,.09368]
M[1192]=[-.3521,22.036,.09375]
M[1193]=[-.3521,22.0757,.09381]
M[1194]=[-.3521,22.1153,.09387]
M[1195]=[-.3521,22.1549,.09393]
M[1196]=[-.3521,22.1945,.09399]
M[1197]=[-.3521,22.2341,.09406]
M[1198]=[-.3521,22.2738,.09412]
M[1199]=[-.3521,22.3134,.09418]
M[1200]=[-.3521,22.353,.09424]
F[650]=[-.3833,7.2402,.09113]
F[651]=[-.3833,7.2627,.09112]
F[652]=[-.3833,7.2852,.09111]
F[653]=[-.3833,7.3076,.0911]
F[654]=[-.3833,7.33,.09109]
F[655]=[-.3833,7.3523,.09109]
F[656]=[-.3833,7.3745,.09108]
F[657]=[-.3833,7.3967,.09107]
F[658]=[-.3833,7.4189,.09106]
F[659]=[-.3833,7.441,.09105]
F[660]=[-.3833,7.463,.09104]
F[661]=[-.3833,7.485,.09103]
F[662]=[-.3833,7.5069,.09102]
F[663]=[-.3833,7.5288,.09101]
F[664]=[-.3833,7.5507,.091]
F[665]=[-.3833,7.5724,.09099]
F[666]=[-.3833,7.5942,.09098]
F[667]=[-.3833,7.6158,.09097]
F[668]=[-.3833,7.6375,.09096]
F[669]=[-.3833,7.659,.09095]
F[670]=[-.3833,7.6806,.09094]
F[671]=[-.3833,7.702,.09093]
F[672]=[-.3833,7.7234,.09091]
F[673]=[-.3833,7.7448,.0909]
F[674]=[-.3833,7.7661,.09089]
F[675]=[-.3833,7.7874,.09088]
F[676]=[-.3833,7.8086,.09087]
F[677]=[-.3833,7.8298,.09086]
F[678]=[-.3833,7.8509,.09085]
F[679]=[-.3833,7.872,.09084]
F[680]=[-.3833,7.893,.09083]
F[681]=[-.3833,7.914,.09082]
F[682]=[-.3833,7.935,.0908]
F[683]=[-.3833,7.9559,.09079]
F[684]=[-.3833,7.9768,.09078]
F[685]=[-.3833,7.9976,.09077]
F[686]=[-.3833,8.0184,.09076]
F[687]=[-.3833,8.0392,.09075]
F[688]=[-.3833,8.0599,.09074]
F[689]=[-.3833,8.0806,.09072]
F[690]=[-.3833,8.1012,.09071]
F[691]=[-.3833,8.1218,.0907]
F[692]=[-.3833,8.1424,.09069]
F[693]=[-.3833,8.163,.09068]
F[694]=[-.3833,8.1835,.09067]
F[695]=[-.3833,8.2039,.09065]
F[696]=[-.3833,8.2244,.09064]
F[697]=[-.3833,8.2448,.09063]
F[698]=[-.3833,8.2651,.09062]
F[699]=[-.3833,8.2855,.09061]
F[700]=[-.3833,8.3058,.09059]
F[701]=[-.3833,8.3261,.09058]
F[702]=[-.3833,8.3464,.09057]
F[703]=[-.3833,8.3666,.09056]
F[704]=[-.3833,8.3869,.09055]
F[705]=[-.3833,8.4071,.09053]
F[706]=[-.3833,8.4273,.09052]
F[707]=[-.3833,8.4474,.09051]
F[708]=[-.3833,8.4676,.0905]
F[709]=[-.3833,8.4877,.09048]
F[710]=[-.3833,8.5078,.09047]
F[711]=[-.3833,8.5278,.09046]
F[712]=[-.3833,8.5479,.09045]
F[713]=[-.3833,8.5679,.09043]
F[714]=[-.3833,8.5879,.09042]
F[715]=[-.3833,8.6078,.09041]
F[716]=[-.3833,8.6277,.0904]
F[717]=[-.3833,8.6476,.09039]
F[718]=[-.3833,8.6674,.09037]
F[719]=[-.3833,8.6872,.09036]
F[720]=[-.3833,8.707,.09035]
F[721]=[-.3833,8.7267,.09034]
F[722]=[-.3833,8.7464,.09032]
F[723]=[-.3833,8.7661,.09031]
F[724]=[-.3833,8.7857,.0903]
F[725]=[-.3833,8.8053,.09028]
F[726]=[-.3833,8.8248,.09027]
F[727]=[-.3833,8.8443,.09026]
F[728]=[-.3833,8.8638,.09025]
F[729]=[-.3833,8.8831,.09023]
F[730]=[-.3833,8.9025,.09022]
F[731]=[-.3833,8.9217,.09021]
F[732]=[-.3833,8.941,.0902]
F[733]=[-.3833,8.9601,.09018]
F[734]=[-.3833,8.9792,.09017]
F[735]=[-.3833,8.9983,.09016]
F[736]=[-.3833,9.0173,.09014]
F[737]=[-.3833,9.0363,.09013]
F[738]=[-.3833,9.0552,.09012]
F[739]=[-.3833,9.074,.09011]
F[740]=[-.3833,9.0928,.09009]
F[741]=[-.3833,9.1116,.09008]
F[742]=[-.3833,9.1303,.09007]
F[743]=[-.3833,9.149,.09005]
F[744]=[-.3833,9.1676,.09004]
F[745]=[-.3833,9.1862,.09003]
F[746]=[-.3833,9.2048,.09001]
F[747]=[-.3833,9.2233,.09]
F[748]=[-.3833,9.2418,.08999]
F[749]=[-.3833,9.2602,.08997]
F[750]=[-.3833,9.2786,.08996]
F[751]=[-.3833,9.297,.08995]
F[752]=[-.3833,9.3154,.08993]
F[753]=[-.3833,9.3337,.08992]
F[754]=[-.3833,9.352,.08991]
F[755]=[-.3833,9.3703,.08989]
F[756]=[-.3833,9.3886,.08988]
F[757]=[-.3833,9.4069,.08987]
F[758]=[-.3833,9.4252,.08985]
F[759]=[-.3833,9.4435,.08984]
F[760]=[-.3833,9.4617,.08983]
F[761]=[-.3833,9.48,.08981]
F[762]=[-.3833,9.4983,.0898]
F[763]=[-.3833,9.5166,.08979]
F[764]=[-.3833,9.535,.08977]
F[765]=[-.3833,9.5533,.08976]
F[766]=[-.3833,9.5717,.08975]
F[767]=[-.3833,9.5901,.08973]
F[768]=[-.3833,9.6086,.08972]
F[769]=[-.3833,9.6271,.08971]
F[770]=[-.3833,9.6456,.08969]
F[771]=[-.3833,9.6642,.08968]
F[772]=[-.3833,9.6828,.08966]
F[773]=[-.3833,9.7015,.08965]
F[774]=[-.3833,9.7202,.08964]
F[775]=[-.3833,9.739,.08963]
F[776]=[-.3833,9.7578,.08961]
F[777]=[-.3833,9.7767,.0896]
F[778]=[-.3833,9.7957,.08959]
F[779]=[-.3833,9.8147,.08957]
F[780]=[-.3833,9.8338,.08956]
F[781]=[-.3833,9.853,.08955]
F[782]=[-.3833,9.8722,.08953]
F[783]=[-.3833,9.8915,.08952]
F[784]=[-.3833,9.9109,.08951]
F[785]=[-.3833,9.9303,.0895]
F[786]=[-.3833,9.9499,.08948]
F[787]=[-.3833,9.9695,.08947]
F[788]=[-.3833,9.9892,.08946]
F[789]=[-.3833,10.009,.08945]
F[790]=[-.3833,10.0289,.08943]
F[791]=[-.3833,10.0489,.08942]
F[792]=[-.3833,10.069,.08941]
F[793]=[-.3833,10.0891,.0894]
F[794]=[-.3833,10.1094,.08939]
F[795]=[-.3833,10.1298,.08937]
F[796]=[-.3833,10.1503,.08936]
F[797]=[-.3833,10.1709,.08935]
F[798]=[-.3833,10.1916,.08934]
F[799]=[-.3833,10.2123,.08933]
F[800]=[-.3833,10.2332,.08932]
F[801]=[-.3833,10.2542,.0893]
F[802]=[-.3833,10.2753,.08929]
F[803]=[-.3833,10.2965,.08928]
F[804]=[-.3833,10.3178,.08927]
F[805]=[-.3833,10.3393,.08926]
F[806]=[-.3833,10.3608,.08925]
F[807]=[-.3833,10.3824,.08924]
F[808]=[-.3833,10.4041,.08923]
F[809]=[-.3833,10.4258,.08922]
F[810]=[-.3833,10.4477,.08921]
F[811]=[-.3833,10.4697,.0892]
F[812]=[-.3833,10.4918,.08919]
F[813]=[-.3833,10.514,.08918]
F[814]=[-.3833,10.5363,.08917]
F[815]=[-.3833,10.5586,.08916]
F[816]=[-.3833,10.5811,.08915]
F[817]=[-.3833,10.6037,.08915]
F[818]=[-.3833,10.6263,.08914]
F[819]=[-.3833,10.6491,.08913]
F[820]=[-.3833,10.6719,.08912]
F[821]=[-.3833,10.6948,.08911]
F[822]=[-.3833,10.7178,.0891]
F[823]=[-.3833,10.741,.0891]
F[824]=[-.3833,10.7641,.08909]
F[825]=[-.3833,10.7874,.08908]
F[826]=[-.3833,10.8108,.08907]
F[827]=[-.3833,10.8343,.08907]
F[828]=[-.3833,10.8578,.08906]
F[829]=[-.3833,10.8814,.08905]
F[830]=[-.3833,10.9051,.08905]
F[831]=[-.3833,10.9289,.08904]
F[832]=[-.3833,10.9527,.08903]
F[833]=[-.3833,10.9767,.08903]
F[834]=[-.3833,11.0007,.08902]
F[835]=[-.3833,11.0248,.08902]
F[836]=[-.3833,11.0489,.08901]
F[837]=[-.3833,11.0731,.08901]
F[838]=[-.3833,11.0974,.089]
F[839]=[-.3833,11.1218,.089]
F[840]=[-.3833,11.1462,.08899]
F[841]=[-.3833,11.1707,.08899]
F[842]=[-.3833,11.1952,.08899]
F[843]=[-.3833,11.2198,.08898]
F[844]=[-.3833,11.2444,.08898]
F[845]=[-.3833,11.2691,.08897]
F[846]=[-.3833,11.2939,.08897]
F[847]=[-.3833,11.3187,.08897]
F[848]=[-.3833,11.3435,.08897]
F[849]=[-.3833,11.3684,.08896]
F[850]=[-.3833,11.3934,.08896]
F[851]=[-.3833,11.4183,.08896]
F[852]=[-.3833,11.4434,.08896]
F[853]=[-.3833,11.4684,.08895]
F[854]=[-.3833,11.4935,.08895]
F[855]=[-.3833,11.5186,.08895]
F[856]=[-.3833,11.5437,.08895]
F[857]=[-.3833,11.5689,.08895]
F[858]=[-.3833,11.594,.08895]
F[859]=[-.3833,11.6192,.08895]
F[860]=[-.3833,11.6444,.08895]
F[861]=[-.3833,11.6696,.08895]
F[862]=[-.3833,11.6948,.08895]
F[863]=[-.3833,11.7201,.08895]
F[864]=[-.3833,11.7453,.08895]
F[865]=[-.3833,11.7705,.08895]
F[866]=[-.3833,11.7957,.08895]
F[867]=[-.3833,11.8209,.08895]
F[868]=[-.3833,11.8461,.08895]
F[869]=[-.3833,11.8713,.08896]
F[870]=[-.3833,11.8965,.08896]
F[871]=[-.3833,11.9217,.08896]
F[872]=[-.3833,11.9468,.08896]
F[873]=[-.3833,11.972,.08896]
F[874]=[-.3833,11.9971,.08897]
F[875]=[-.3833,12.0223,.08897]
F[876]=[-.3833,12.0474,.08897]
F[877]=[-.3833,12.0725,.08898]
F[878]=[-.3833,12.0976,.08898]
F[879]=[-.3833,12.1227,.08898]
F[880]=[-.3833,12.1478,.08899]
F[881]=[-.3833,12.1728,.08899]
F[882]=[-.3833,12.1978,.089]
F[883]=[-.3833,12.2229,.089]
F[884]=[-.3833,12.2479,.08901]
F[885]=[-.3833,12.2729,.08901]
F[886]=[-.3833,12.2978,.08902]
F[887]=[-.3833,12.3228,.08902]
F[888]=[-.3833,12.3477,.08903]
F[889]=[-.3833,12.3727,.08903]
F[890]=[-.3833,12.3976,.08904]
F[891]=[-.3833,12.4225,.08904]
F[892]=[-.3833,12.4474,.08905]
F[893]=[-.3833,12.4723,.08906]
F[894]=[-.3833,12.4971,.08906]
F[895]=[-.3833,12.522,.08907]
F[896]=[-.3833,12.5468,.08908]
F[897]=[-.3833,12.5717,.08909]
F[898]=[-.3833,12.5965,.08909]
F[899]=[-.3833,12.6213,.0891]
F[900]=[-.3833,12.6461,.08911]
F[901]=[-.3833,12.6709,.08912]
F[902]=[-.3833,12.6957,.08912]
F[903]=[-.3833,12.7205,.08913]
F[904]=[-.3833,12.7453,.08914]
F[905]=[-.3833,12.77,.08915]
F[906]=[-.3833,12.7948,.08916]
F[907]=[-.3833,12.8196,.08917]
F[908]=[-.3833,12.8443,.08918]
F[909]=[-.3833,12.8691,.08919]
F[910]=[-.3833,12.8939,.0892]
F[911]=[-.3833,12.9186,.08921]
F[912]=[-.3833,12.9434,.08922]
F[913]=[-.3833,12.9681,.08923]
F[914]=[-.3833,12.9929,.08924]
F[915]=[-.3833,13.0177,.08925]
F[916]=[-.3833,13.0424,.08926]
F[917]=[-.3833,13.0672,.08927]
F[918]=[-.3833,13.092,.08928]
F[919]=[-.3833,13.1167,.0893]
F[920]=[-.3833,13.1415,.08931]
F[921]=[-.3833,13.1663,.08932]
F[922]=[-.3833,13.1911,.08933]
F[923]=[-.3833,13.2158,.08934]
F[924]=[-.3833,13.2406,.08936]
F[925]=[-.3833,13.2654,.08937]
F[926]=[-.3833,13.2902,.08938]
F[927]=[-.3833,13.3151,.0894]
F[928]=[-.3833,13.3399,.08941]
F[929]=[-.3833,13.3647,.08942]
F[930]=[-.3833,13.3896,.08944]
F[931]=[-.3833,13.4145,.08945]
F[932]=[-.3833,13.4394,.08947]
F[933]=[-.3833,13.4643,.08948]
F[934]=[-.3833,13.4892,.08949]
F[935]=[-.3833,13.5142,.08951]
F[936]=[-.3833,13.5391,.08952]
F[937]=[-.3833,13.5641,.08954]
F[938]=[-.3833,13.5892,.08955]
F[939]=[-.3833,13.6142,.08957]
F[940]=[-.3833,13.6393,.08959]
F[941]=[-.3833,13.6644,.0896]
F[942]=[-.3833,13.6895,.08962]
F[943]=[-.3833,13.7146,.08963]
F[944]=[-.3833,13.7398,.08965]
F[945]=[-.3833,13.765,.08967]
F[946]=[-.3833,13.7902,.08968]
F[947]=[-.3833,13.8155,.0897]
F[948]=[-.3833,13.8408,.08972]
F[949]=[-.3833,13.8661,.08974]
F[950]=[-.3833,13.8914,.08975]
F[951]=[-.3833,13.9168,.08977]
F[952]=[-.3833,13.9422,.08979]
F[953]=[-.3833,13.9676,.08981]
F[954]=[-.3833,13.9931,.08983]
F[955]=[-.3833,14.0186,.08984]
F[956]=[-.3833,14.0441,.08986]
F[957]=[-.3833,14.0697,.08988]
F[958]=[-.3833,14.0953,.0899]
F[959]=[-.3833,14.1209,.08992]
F[960]=[-.3833,14.1466,.08994]
F[961]=[-.3833,14.1724,.08996]
F[962]=[-.3833,14.1981,.08998]
F[963]=[-.3833,14.2239,.09]
F[964]=[-.3833,14.2498,.09002]
F[965]=[-.3833,14.2757,.09004]
F[966]=[-.3833,14.3016,.09006]
F[967]=[-.3833,14.3276,.09008]
F[968]=[-.3833,14.3537,.0901]
F[969]=[-.3833,14.3798,.09012]
F[970]=[-.3833,14.4059,.09015]
F[971]=[-.3833,14.4321,.09017]
F[972]=[-.3833,14.4584,.09019]
F[973]=[-.3833,14.4848,.09021]
F[974]=[-.3833,14.5112,.09023]
F[975]=[-.3833,14.5376,.09026]
F[976]=[-.3833,14.5642,.09028]
F[977]=[-.3833,14.5908,.0903]
F[978]=[-.3833,14.6174,.09033]
F[979]=[-.3833,14.6442,.09035]
F[980]=[-.3833,14.671,.09037]
F[981]=[-.3833,14.6979,.0904]
F[982]=[-.3833,14.7248,.09042]
F[983]=[-.3833,14.7519,.09044]
F[984]=[-.3833,14.779,.09047]
F[985]=[-.3833,14.8062,.09049]
F[986]=[-.3833,14.8334,.09052]
F[987]=[-.3833,14.8608,.09054]
F[988]=[-.3833,14.8882,.09057]
F[989]=[-.3833,14.9157,.09059]
F[990]=[-.3833,14.9434,.09062]
F[991]=[-.3833,14.9711,.09064]
F[992]=[-.3833,14.9989,.09067]
F[993]=[-.3833,15.0267,.09069]
F[994]=[-.3833,15.0547,.09072]
F[995]=[-.3833,15.0828,.09075]
F[996]=[-.3833,15.1109,.09077]
F[997]=[-.3833,15.1392,.0908]
F[998]=[-.3833,15.1676,.09083]
F[999]=[-.3833,15.196,.09085]
F[1000]=[-.3833,15.2246,.09088]
F[1001]=[-.3833,15.2532,.09091]
F[1002]=[-.3833,15.2819,.09093]
F[1003]=[-.3833,15.3108,.09096]
F[1004]=[-.3833,15.3397,.09099]
F[1005]=[-.3833,15.3687,.09102]
F[1006]=[-.3833,15.3979,.09105]
F[1007]=[-.3833,15.4271,.09107]
F[1008]=[-.3833,15.4564,.0911]
F[1009]=[-.3833,15.4858,.09113]
F[1010]=[-.3833,15.5154,.09116]
F[1011]=[-.3833,15.545,.09119]
F[1012]=[-.3833,15.5747,.09122]
F[1013]=[-.3833,15.6046,.09125]
F[1014]=[-.3833,15.6345,.09128]
F[1015]=[-.3833,15.6646,.09131]
F[1016]=[-.3833,15.6947,.09133]
F[1017]=[-.3833,15.725,.09136]
F[1018]=[-.3833,15.7553,.09139]
F[1019]=[-.3833,15.7858,.09142]
F[1020]=[-.3833,15.8164,.09146]
F[1021]=[-.3833,15.847,.09149]
F[1022]=[-.3833,15.8778,.09152]
F[1023]=[-.3833,15.9087,.09155]
F[1024]=[-.3833,15.9396,.09158]
F[1025]=[-.3833,15.9707,.09161]
F[1026]=[-.3833,16.0019,.09164]
F[1027]=[-.3833,16.0332,.09167]
F[1028]=[-.3833,16.0645,.0917]
F[1029]=[-.3833,16.096,.09173]
F[1030]=[-.3833,16.1276,.09177]
F[1031]=[-.3833,16.1593,.0918]
F[1032]=[-.3833,16.191,.09183]
F[1033]=[-.3833,16.2229,.09186]
F[1034]=[-.3833,16.2549,.0919]
F[1035]=[-.3833,16.287,.09193]
F[1036]=[-.3833,16.3191,.09196]
F[1037]=[-.3833,16.3514,.09199]
F[1038]=[-.3833,16.3837,.09203]
F[1039]=[-.3833,16.4162,.09206]
F[1040]=[-.3833,16.4488,.09209]
F[1041]=[-.3833,16.4814,.09213]
F[1042]=[-.3833,16.5142,.09216]
F[1043]=[-.3833,16.547,.09219]
F[1044]=[-.3833,16.58,.09223]
F[1045]=[-.3833,16.6131,.09226]
F[1046]=[-.3833,16.6462,.09229]
F[1047]=[-.3833,16.6795,.09233]
F[1048]=[-.3833,16.7129,.09236]
F[1049]=[-.3833,16.7464,.0924]
F[1050]=[-.3833,16.78,.09243]
F[1051]=[-.3833,16.8137,.09247]
F[1052]=[-.3833,16.8475,.0925]
F[1053]=[-.3833,16.8814,.09254]
F[1054]=[-.3833,16.9154,.09257]
F[1055]=[-.3833,16.9496,.09261]
F[1056]=[-.3833,16.9838,.09264]
F[1057]=[-.3833,17.0182,.09268]
F[1058]=[-.3833,17.0527,.09271]
F[1059]=[-.3833,17.0873,.09275]
F[1060]=[-.3833,17.122,.09278]
F[1061]=[-.3833,17.1569,.09282]
F[1062]=[-.3833,17.1918,.09286]
F[1063]=[-.3833,17.2269,.09289]
F[1064]=[-.3833,17.262,.09293]
F[1065]=[-.3833,17.2973,.09296]
F[1066]=[-.3833,17.3327,.093]
F[1067]=[-.3833,17.3683,.09304]
F[1068]=[-.3833,17.4039,.09307]
F[1069]=[-.3833,17.4397,.09311]
F[1070]=[-.3833,17.4755,.09315]
F[1071]=[-.3833,17.5115,.09318]
F[1072]=[-.3833,17.5476,.09322]
F[1073]=[-.3833,17.5839,.09326]
F[1074]=[-.3833,17.6202,.09329]
F[1075]=[-.3833,17.6567,.09333]
F[1076]=[-.3833,17.6932,.09337]
F[1077]=[-.3833,17.7299,.09341]
F[1078]=[-.3833,17.7668,.09344]
F[1079]=[-.3833,17.8037,.09348]
F[1080]=[-.3833,17.8407,.09352]
F[1081]=[-.3833,17.8779,.09356]
F[1082]=[-.3833,17.9152,.09359]
F[1083]=[-.3833,17.9526,.09363]
F[1084]=[-.3833,17.9901,.09367]
F[1085]=[-.3833,18.0277,.09371]
F[1086]=[-.3833,18.0654,.09375]
F[1087]=[-.3833,18.1033,.09378]
F[1088]=[-.3833,18.1412,.09382]
F[1089]=[-.3833,18.1792,.09386]
F[1090]=[-.3833,18.2174,.0939]
F[1091]=[-.3833,18.2556,.09394]
F[1092]=[-.3833,18.294,.09397]
F[1093]=[-.3833,18.3324,.09401]
F[1094]=[-.3833,18.371,.09405]
F[1095]=[-.3833,18.4096,.09409]
F[1096]=[-.3833,18.4484,.09413]
F[1097]=[-.3833,18.4872,.09417]
F[1098]=[-.3833,18.5262,.09421]
F[1099]=[-.3833,18.5652,.09424]
F[1100]=[-.3833,18.6043,.09428]
F[1101]=[-.3833,18.6436,.09432]
F[1102]=[-.3833,18.6829,.09436]
F[1103]=[-.3833,18.7223,.0944]
F[1104]=[-.3833,18.7618,.09444]
F[1105]=[-.3833,18.8015,.09448]
F[1106]=[-.3833,18.8412,.09452]
F[1107]=[-.3833,18.8809,.09456]
F[1108]=[-.3833,18.9208,.0946]
F[1109]=[-.3833,18.9608,.09464]
F[1110]=[-.3833,19.0009,.09467]
F[1111]=[-.3833,19.041,.09471]
F[1112]=[-.3833,19.0812,.09475]
F[1113]=[-.3833,19.1215,.09479]
F[1114]=[-.3833,19.1619,.09483]
F[1115]=[-.3833,19.2024,.09487]
F[1116]=[-.3833,19.243,.09491]
F[1117]=[-.3833,19.2836,.09495]
F[1118]=[-.3833,19.3243,.09499]
F[1119]=[-.3833,19.3651,.09503]
F[1120]=[-.3833,19.406,.09507]
F[1121]=[-.3833,19.447,.09511]
F[1122]=[-.3833,19.488,.09515]
F[1123]=[-.3833,19.5291,.09519]
F[1124]=[-.3833,19.5703,.09523]
F[1125]=[-.3833,19.6116,.09527]
F[1126]=[-.3833,19.6529,.09531]
F[1127]=[-.3833,19.6943,.09534]
F[1128]=[-.3833,19.7358,.09538]
F[1129]=[-.3833,19.7774,.09542]
F[1130]=[-.3833,19.819,.09546]
F[1131]=[-.3833,19.8607,.0955]
F[1132]=[-.3833,19.9024,.09554]
F[1133]=[-.3833,19.9442,.09558]
F[1134]=[-.3833,19.9861,.09562]
F[1135]=[-.3833,20.028,.09566]
F[1136]=[-.3833,20.07,.0957]
F[1137]=[-.3833,20.112,.09574]
F[1138]=[-.3833,20.1541,.09578]
F[1139]=[-.3833,20.1963,.09582]
F[1140]=[-.3833,20.2385,.09586]
F[1141]=[-.3833,20.2807,.0959]
F[1142]=[-.3833,20.323,.09594]
F[1143]=[-.3833,20.3653,.09598]
F[1144]=[-.3833,20.4077,.09602]
F[1145]=[-.3833,20.4502,.09606]
F[1146]=[-.3833,20.4926,.0961]
F[1147]=[-.3833,20.5351,.09614]
F[1148]=[-.3833,20.5777,.09618]
F[1149]=[-.3833,20.6203,.09622]
F[1150]=[-.3833,20.6629,.09626]
F[1151]=[-.3833,20.7056,.0963]
F[1152]=[-.3833,20.7483,.09634]
F[1153]=[-.3833,20.791,.09638]
F[1154]=[-.3833,20.8338,.09642]
F[1155]=[-.3833,20.8766,.09646]
F[1156]=[-.3833,20.9194,.0965]
F[1157]=[-.3833,20.9622,.09654]
F[1158]=[-.3833,21.0051,.09658]
F[1159]=[-.3833,21.048,.09662]
F[1160]=[-.3833,21.0909,.09666]
F[1161]=[-.3833,21.1339,.0967]
F[1162]=[-.3833,21.1769,.09674]
F[1163]=[-.3833,21.2199,.09678]
F[1164]=[-.3833,21.2629,.09682]
F[1165]=[-.3833,21.3059,.09686]
F[1166]=[-.3833,21.3489,.09691]
F[1167]=[-.3833,21.392,.09695]
F[1168]=[-.3833,21.4351,.09699]
F[1169]=[-.3833,21.4782,.09703]
F[1170]=[-.3833,21.5213,.09707]
F[1171]=[-.3833,21.5644,.09711]
F[1172]=[-.3833,21.6075,.09715]
F[1173]=[-.3833,21.6507,.09719]
F[1174]=[-.3833,21.6938,.09723]
F[1175]=[-.3833,21.737,.09727]
F[1176]=[-.3833,21.7802,.09731]
F[1177]=[-.3833,21.8233,.09735]
F[1178]=[-.3833,21.8665,.09739]
F[1179]=[-.3833,21.9097,.09743]
F[1180]=[-.3833,21.9529,.09747]
F[1181]=[-.3833,21.9961,.09751]
F[1182]=[-.3833,22.0393,.09755]
F[1183]=[-.3833,22.0825,.09759]
F[1184]=[-.3833,22.1258,.09763]
F[1185]=[-.3833,22.169,.09767]
F[1186]=[-.3833,22.2122,.09771]
F[1187]=[-.3833,22.2554,.09775]
F[1188]=[-.3833,22.2986,.0978]
F[1189]=[-.3833,22.3419,.09784]
F[1190]=[-.3833,22.3851,.09788]
F[1191]=[-.3833,22.4283,.09792]
F[1192]=[-.3833,22.4715,.09796]
F[1193]=[-.3833,22.5148,.098]
F[1194]=[-.3833,22.558,.09804]
F[1195]=[-.3833,22.6012,.09808]
F[1196]=[-.3833,22.6444,.09812]
F[1197]=[-.3833,22.6877,.09816]
F[1198]=[-.3833,22.7309,.0982]
F[1199]=[-.3833,22.7741,.09824]
F[1200]=[-.3833,22.8173,.09828]


if ((MF=="F"))
   {
    result=resultStr(F[MM],KILOS);
   }
else
   {
   result=resultStr(M[MM],KILOS);
    //defaults to male values
   }

return result;
}

function WLZ_W06(MF, AGEDAYS, KILOS, MM)
{

var M = new Array();
var F = new Array();
//         WHO2006WtLgth
//wfllms.js  WHO  ]
//Weight for length 45 cm to 110 cm by 0.1 cm]
//sex,length2,l,m,s]
M[450]=[-.3521,2.441,.09182]
M[451]=[-.3521,2.4577,.09176]
M[452]=[-.3521,2.4744,.0917]
M[453]=[-.3521,2.4911,.09164]
M[454]=[-.3521,2.5078,.09159]
M[455]=[-.3521,2.5244,.09153]
M[456]=[-.3521,2.5411,.09147]
M[457]=[-.3521,2.5578,.09141]
M[458]=[-.3521,2.5744,.09135]
M[459]=[-.3521,2.5911,.09129]
M[460]=[-.3521,2.6077,.09124]
M[461]=[-.3521,2.6244,.09118]
M[462]=[-.3521,2.6411,.09112]
M[463]=[-.3521,2.6578,.09106]
M[464]=[-.3521,2.6745,.091]
M[465]=[-.3521,2.6913,.09094]
M[466]=[-.3521,2.7081,.09088]
M[467]=[-.3521,2.7249,.09083]
M[468]=[-.3521,2.7417,.09077]
M[469]=[-.3521,2.7586,.09071]
M[470]=[-.3521,2.7755,.09065]
M[471]=[-.3521,2.7925,.09059]
M[472]=[-.3521,2.8095,.09053]
M[473]=[-.3521,2.8266,.09047]
M[474]=[-.3521,2.8437,.09042]
M[475]=[-.3521,2.8609,.09036]
M[476]=[-.3521,2.8782,.0903]
M[477]=[-.3521,2.8955,.09024]
M[478]=[-.3521,2.9129,.09018]
M[479]=[-.3521,2.9304,.09012]
M[480]=[-.3521,2.948,.09007]
M[481]=[-.3521,2.9657,.09001]
M[482]=[-.3521,2.9835,.08995]
M[483]=[-.3521,3.0014,.08989]
M[484]=[-.3521,3.0195,.08983]
M[485]=[-.3521,3.0377,.08977]
M[486]=[-.3521,3.056,.08972]
M[487]=[-.3521,3.0745,.08966]
M[488]=[-.3521,3.0931,.0896]
M[489]=[-.3521,3.1119,.08954]
M[490]=[-.3521,3.1308,.08948]
M[491]=[-.3521,3.1499,.08943]
M[492]=[-.3521,3.1691,.08937]
M[493]=[-.3521,3.1884,.08931]
M[494]=[-.3521,3.2079,.08925]
M[495]=[-.3521,3.2276,.08919]
M[496]=[-.3521,3.2473,.08913]
M[497]=[-.3521,3.2672,.08908]
M[498]=[-.3521,3.2873,.08902]
M[499]=[-.3521,3.3075,.08896]
M[500]=[-.3521,3.3278,.0889]
M[501]=[-.3521,3.3482,.08884]
M[502]=[-.3521,3.3688,.08878]
M[503]=[-.3521,3.3894,.08872]
M[504]=[-.3521,3.4102,.08867]
M[505]=[-.3521,3.4311,.08861]
M[506]=[-.3521,3.4522,.08855]
M[507]=[-.3521,3.4733,.08849]
M[508]=[-.3521,3.4946,.08843]
M[509]=[-.3521,3.5161,.08837]
M[510]=[-.3521,3.5376,.08831]
M[511]=[-.3521,3.5593,.08825]
M[512]=[-.3521,3.5812,.08819]
M[513]=[-.3521,3.6032,.08813]
M[514]=[-.3521,3.6254,.08807]
M[515]=[-.3521,3.6477,.08801]
M[516]=[-.3521,3.6702,.08795]
M[517]=[-.3521,3.6929,.08789]
M[518]=[-.3521,3.7157,.08783]
M[519]=[-.3521,3.7388,.08777]
M[520]=[-.3521,3.762,.08771]
M[521]=[-.3521,3.7855,.08765]
M[522]=[-.3521,3.8092,.08759]
M[523]=[-.3521,3.833,.08753]
M[524]=[-.3521,3.8571,.08747]
M[525]=[-.3521,3.8814,.08741]
M[526]=[-.3521,3.9059,.08735]
M[527]=[-.3521,3.9306,.08729]
M[528]=[-.3521,3.9555,.08723]
M[529]=[-.3521,3.9806,.08717]
M[530]=[-.3521,4.006,.08711]
M[531]=[-.3521,4.0315,.08705]
M[532]=[-.3521,4.0572,.08699]
M[533]=[-.3521,4.0831,.08693]
M[534]=[-.3521,4.1092,.08687]
M[535]=[-.3521,4.1354,.08681]
M[536]=[-.3521,4.1619,.08675]
M[537]=[-.3521,4.1885,.08669]
M[538]=[-.3521,4.2153,.08663]
M[539]=[-.3521,4.2422,.08657]
M[540]=[-.3521,4.2693,.08651]
M[541]=[-.3521,4.2965,.08645]
M[542]=[-.3521,4.3239,.08639]
M[543]=[-.3521,4.3513,.08633]
M[544]=[-.3521,4.3789,.08627]
M[545]=[-.3521,4.4066,.08621]
M[546]=[-.3521,4.4344,.08615]
M[547]=[-.3521,4.4623,.0861]
M[548]=[-.3521,4.4903,.08604]
M[549]=[-.3521,4.5185,.08598]
M[550]=[-.3521,4.5467,.08592]
M[551]=[-.3521,4.575,.08586]
M[552]=[-.3521,4.6034,.0858]
M[553]=[-.3521,4.6319,.08575]
M[554]=[-.3521,4.6605,.08569]
M[555]=[-.3521,4.6892,.08563]
M[556]=[-.3521,4.718,.08558]
M[557]=[-.3521,4.7469,.08552]
M[558]=[-.3521,4.7758,.08546]
M[559]=[-.3521,4.8048,.08541]
M[560]=[-.3521,4.8338,.08535]
M[561]=[-.3521,4.8629,.08529]
M[562]=[-.3521,4.892,.08524]
M[563]=[-.3521,4.9212,.08518]
M[564]=[-.3521,4.9504,.08513]
M[565]=[-.3521,4.9796,.08507]
M[566]=[-.3521,5.0088,.08502]
M[567]=[-.3521,5.0381,.08497]
M[568]=[-.3521,5.0673,.08491]
M[569]=[-.3521,5.0966,.08486]
M[570]=[-.3521,5.1259,.08481]
M[571]=[-.3521,5.1551,.08475]
M[572]=[-.3521,5.1844,.0847]
M[573]=[-.3521,5.2137,.08465]
M[574]=[-.3521,5.2429,.0846]
M[575]=[-.3521,5.2721,.08455]
M[576]=[-.3521,5.3014,.08449]
M[577]=[-.3521,5.3306,.08444]
M[578]=[-.3521,5.3598,.08439]
M[579]=[-.3521,5.3889,.08434]
M[580]=[-.3521,5.418,.0843]
M[581]=[-.3521,5.4471,.08425]
M[582]=[-.3521,5.4762,.0842]
M[583]=[-.3521,5.5053,.08415]
M[584]=[-.3521,5.5343,.0841]
M[585]=[-.3521,5.5632,.08406]
M[586]=[-.3521,5.5922,.08401]
M[587]=[-.3521,5.621,.08397]
M[588]=[-.3521,5.6499,.08392]
M[589]=[-.3521,5.6787,.08388]
M[590]=[-.3521,5.7074,.08383]
M[591]=[-.3521,5.7361,.08379]
M[592]=[-.3521,5.7647,.08375]
M[593]=[-.3521,5.7933,.0837]
M[594]=[-.3521,5.8217,.08366]
M[595]=[-.3521,5.8501,.08362]
M[596]=[-.3521,5.8784,.08358]
M[597]=[-.3521,5.9067,.08354]
M[598]=[-.3521,5.9348,.0835]
M[599]=[-.3521,5.9628,.08346]
M[600]=[-.3521,5.9907,.08342]
M[601]=[-.3521,6.0185,.08339]
M[602]=[-.3521,6.0461,.08335]
M[603]=[-.3521,6.0737,.08331]
M[604]=[-.3521,6.1011,.08328]
M[605]=[-.3521,6.1284,.08324]
M[606]=[-.3521,6.1556,.08321]
M[607]=[-.3521,6.1827,.08317]
M[608]=[-.3521,6.2096,.08314]
M[609]=[-.3521,6.2365,.08311]
M[610]=[-.3521,6.2632,.08308]
M[611]=[-.3521,6.2899,.08304]
M[612]=[-.3521,6.3164,.08301]
M[613]=[-.3521,6.3428,.08298]
M[614]=[-.3521,6.3692,.08295]
M[615]=[-.3521,6.3954,.08292]
M[616]=[-.3521,6.4215,.0829]
M[617]=[-.3521,6.4475,.08287]
M[618]=[-.3521,6.4735,.08284]
M[619]=[-.3521,6.4993,.08281]
M[620]=[-.3521,6.5251,.08279]
M[621]=[-.3521,6.5508,.08276]
M[622]=[-.3521,6.5764,.08273]
M[623]=[-.3521,6.6019,.08271]
M[624]=[-.3521,6.6273,.08268]
M[625]=[-.3521,6.6527,.08266]
M[626]=[-.3521,6.678,.08264]
M[627]=[-.3521,6.7033,.08261]
M[628]=[-.3521,6.7284,.08259]
M[629]=[-.3521,6.7535,.08257]
M[630]=[-.3521,6.7786,.08255]
M[631]=[-.3521,6.8035,.08253]
M[632]=[-.3521,6.8285,.08251]
M[633]=[-.3521,6.8533,.08249]
M[634]=[-.3521,6.8781,.08247]
M[635]=[-.3521,6.9028,.08245]
M[636]=[-.3521,6.9275,.08243]
M[637]=[-.3521,6.9521,.08241]
M[638]=[-.3521,6.9766,.0824]
M[639]=[-.3521,7.0011,.08238]
M[640]=[-.3521,7.0255,.08236]
M[641]=[-.3521,7.0499,.08235]
M[642]=[-.3521,7.0742,.08233]
M[643]=[-.3521,7.0984,.08232]
M[644]=[-.3521,7.1226,.0823]
M[645]=[-.3521,7.1467,.08229]
M[646]=[-.3521,7.1708,.08228]
M[647]=[-.3521,7.1948,.08227]
M[648]=[-.3521,7.2188,.08225]
M[649]=[-.3521,7.2427,.08224]
M[650]=[-.3521,7.2666,.08223]
M[651]=[-.3521,7.2905,.08222]
M[652]=[-.3521,7.3143,.08221]
M[653]=[-.3521,7.338,.0822]
M[654]=[-.3521,7.3617,.08219]
M[655]=[-.3521,7.3854,.08218]
M[656]=[-.3521,7.4091,.08218]
M[657]=[-.3521,7.4327,.08217]
M[658]=[-.3521,7.4563,.08216]
M[659]=[-.3521,7.4799,.08216]
M[660]=[-.3521,7.5034,.08215]
M[661]=[-.3521,7.5269,.08214]
M[662]=[-.3521,7.5504,.08214]
M[663]=[-.3521,7.5738,.08214]
M[664]=[-.3521,7.5973,.08213]
M[665]=[-.3521,7.6206,.08213]
M[666]=[-.3521,7.644,.08213]
M[667]=[-.3521,7.6673,.08212]
M[668]=[-.3521,7.6906,.08212]
M[669]=[-.3521,7.7138,.08212]
M[670]=[-.3521,7.737,.08212]
M[671]=[-.3521,7.7602,.08212]
M[672]=[-.3521,7.7834,.08212]
M[673]=[-.3521,7.8065,.08212]
M[674]=[-.3521,7.8296,.08212]
M[675]=[-.3521,7.8526,.08212]
M[676]=[-.3521,7.8757,.08212]
M[677]=[-.3521,7.8986,.08213]
M[678]=[-.3521,7.9216,.08213]
M[679]=[-.3521,7.9445,.08213]
M[680]=[-.3521,7.9674,.08214]
M[681]=[-.3521,7.9903,.08214]
M[682]=[-.3521,8.0132,.08214]
M[683]=[-.3521,8.036,.08215]
M[684]=[-.3521,8.0588,.08215]
M[685]=[-.3521,8.0816,.08216]
M[686]=[-.3521,8.1044,.08217]
M[687]=[-.3521,8.1272,.08217]
M[688]=[-.3521,8.15,.08218]
M[689]=[-.3521,8.1727,.08219]
M[690]=[-.3521,8.1955,.08219]
M[691]=[-.3521,8.2183,.0822]
M[692]=[-.3521,8.241,.08221]
M[693]=[-.3521,8.2638,.08222]
M[694]=[-.3521,8.2865,.08223]
M[695]=[-.3521,8.3092,.08224]
M[696]=[-.3521,8.332,.08225]
M[697]=[-.3521,8.3547,.08226]
M[698]=[-.3521,8.3774,.08227]
M[699]=[-.3521,8.4001,.08228]
M[700]=[-.3521,8.4227,.08229]
M[701]=[-.3521,8.4454,.0823]
M[702]=[-.3521,8.468,.08231]
M[703]=[-.3521,8.4906,.08232]
M[704]=[-.3521,8.5132,.08233]
M[705]=[-.3521,8.5358,.08235]
M[706]=[-.3521,8.5583,.08236]
M[707]=[-.3521,8.5808,.08237]
M[708]=[-.3521,8.6032,.08238]
M[709]=[-.3521,8.6257,.0824]
M[710]=[-.3521,8.648,.08241]
M[711]=[-.3521,8.6704,.08242]
M[712]=[-.3521,8.6927,.08243]
M[713]=[-.3521,8.715,.08245]
M[714]=[-.3521,8.7372,.08246]
M[715]=[-.3521,8.7594,.08248]
M[716]=[-.3521,8.7815,.08249]
M[717]=[-.3521,8.8036,.0825]
M[718]=[-.3521,8.8257,.08252]
M[719]=[-.3521,8.8477,.08253]
M[720]=[-.3521,8.8697,.08254]
M[721]=[-.3521,8.8916,.08256]
M[722]=[-.3521,8.9135,.08257]
M[723]=[-.3521,8.9353,.08259]
M[724]=[-.3521,8.9571,.0826]
M[725]=[-.3521,8.9788,.08262]
M[726]=[-.3521,9.0005,.08263]
M[727]=[-.3521,9.0221,.08264]
M[728]=[-.3521,9.0436,.08266]
M[729]=[-.3521,9.0651,.08267]
M[730]=[-.3521,9.0865,.08269]
M[731]=[-.3521,9.1079,.0827]
M[732]=[-.3521,9.1292,.08272]
M[733]=[-.3521,9.1504,.08273]
M[734]=[-.3521,9.1716,.08274]
M[735]=[-.3521,9.1927,.08276]
M[736]=[-.3521,9.2137,.08277]
M[737]=[-.3521,9.2347,.08278]
M[738]=[-.3521,9.2557,.0828]
M[739]=[-.3521,9.2766,.08281]
M[740]=[-.3521,9.2974,.08283]
M[741]=[-.3521,9.3182,.08284]
M[742]=[-.3521,9.339,.08285]
M[743]=[-.3521,9.3597,.08287]
M[744]=[-.3521,9.3803,.08288]
M[745]=[-.3521,9.401,.08289]
M[746]=[-.3521,9.4215,.0829]
M[747]=[-.3521,9.442,.08292]
M[748]=[-.3521,9.4625,.08293]
M[749]=[-.3521,9.4829,.08294]
M[750]=[-.3521,9.5032,.08295]
M[751]=[-.3521,9.5235,.08297]
M[752]=[-.3521,9.5438,.08298]
M[753]=[-.3521,9.5639,.08299]
M[754]=[-.3521,9.5841,.083]
M[755]=[-.3521,9.6041,.08301]
M[756]=[-.3521,9.6241,.08302]
M[757]=[-.3521,9.644,.08303]
M[758]=[-.3521,9.6639,.08305]
M[759]=[-.3521,9.6836,.08306]
M[760]=[-.3521,9.7033,.08307]
M[761]=[-.3521,9.723,.08307]
M[762]=[-.3521,9.7425,.08308]
M[763]=[-.3521,9.762,.08309]
M[764]=[-.3521,9.7814,.0831]
M[765]=[-.3521,9.8007,.08311]
M[766]=[-.3521,9.82,.08312]
M[767]=[-.3521,9.8392,.08312]
M[768]=[-.3521,9.8583,.08313]
M[769]=[-.3521,9.8773,.08314]
M[770]=[-.3521,9.8963,.08314]
M[771]=[-.3521,9.9152,.08315]
M[772]=[-.3521,9.9341,.08315]
M[773]=[-.3521,9.9528,.08316]
M[774]=[-.3521,9.9716,.08316]
M[775]=[-.3521,9.9902,.08317]
M[776]=[-.3521,10.0088,.08317]
M[777]=[-.3521,10.0274,.08317]
M[778]=[-.3521,10.0459,.08318]
M[779]=[-.3521,10.0643,.08318]
M[780]=[-.3521,10.0827,.08318]
M[781]=[-.3521,10.1011,.08318]
M[782]=[-.3521,10.1194,.08318]
M[783]=[-.3521,10.1377,.08318]
M[784]=[-.3521,10.1559,.08318]
M[785]=[-.3521,10.1741,.08318]
M[786]=[-.3521,10.1923,.08317]
M[787]=[-.3521,10.2105,.08317]
M[788]=[-.3521,10.2286,.08317]
M[789]=[-.3521,10.2468,.08316]
M[790]=[-.3521,10.2649,.08316]
M[791]=[-.3521,10.2831,.08315]
M[792]=[-.3521,10.3012,.08315]
M[793]=[-.3521,10.3194,.08314]
M[794]=[-.3521,10.3376,.08313]
M[795]=[-.3521,10.3558,.08313]
M[796]=[-.3521,10.3741,.08312]
M[797]=[-.3521,10.3923,.08311]
M[798]=[-.3521,10.4107,.0831]
M[799]=[-.3521,10.4291,.08309]
M[800]=[-.3521,10.4475,.08308]
M[801]=[-.3521,10.466,.08307]
M[802]=[-.3521,10.4845,.08305]
M[803]=[-.3521,10.5031,.08304]
M[804]=[-.3521,10.5217,.08303]
M[805]=[-.3521,10.5405,.08301]
M[806]=[-.3521,10.5592,.083]
M[807]=[-.3521,10.5781,.08298]
M[808]=[-.3521,10.597,.08297]
M[809]=[-.3521,10.6161,.08295]
M[810]=[-.3521,10.6352,.08293]
M[811]=[-.3521,10.6544,.08291]
M[812]=[-.3521,10.6737,.0829]
M[813]=[-.3521,10.6931,.08288]
M[814]=[-.3521,10.7126,.08286]
M[815]=[-.3521,10.7322,.08284]
M[816]=[-.3521,10.752,.08282]
M[817]=[-.3521,10.7718,.08279]
M[818]=[-.3521,10.7918,.08277]
M[819]=[-.3521,10.8119,.08275]
M[820]=[-.3521,10.8321,.08273]
M[821]=[-.3521,10.8524,.0827]
M[822]=[-.3521,10.8728,.08268]
M[823]=[-.3521,10.8934,.08265]
M[824]=[-.3521,10.9142,.08263]
M[825]=[-.3521,10.935,.0826]
M[826]=[-.3521,10.956,.08258]
M[827]=[-.3521,10.9772,.08255]
M[828]=[-.3521,10.9985,.08252]
M[829]=[-.3521,11.0199,.08249]
M[830]=[-.3521,11.0415,.08246]
M[831]=[-.3521,11.0632,.08244]
M[832]=[-.3521,11.0851,.08241]
M[833]=[-.3521,11.1071,.08238]
M[834]=[-.3521,11.1293,.08235]
M[835]=[-.3521,11.1516,.08231]
M[836]=[-.3521,11.174,.08228]
M[837]=[-.3521,11.1966,.08225]
M[838]=[-.3521,11.2193,.08222]
M[839]=[-.3521,11.2422,.08219]
M[840]=[-.3521,11.2651,.08215]
M[841]=[-.3521,11.2882,.08212]
M[842]=[-.3521,11.3114,.08209]
M[843]=[-.3521,11.3347,.08205]
M[844]=[-.3521,11.3581,.08202]
M[845]=[-.3521,11.3817,.08198]
M[846]=[-.3521,11.4053,.08195]
M[847]=[-.3521,11.429,.08191]
M[848]=[-.3521,11.4529,.08188]
M[849]=[-.3521,11.4768,.08184]
M[850]=[-.3521,11.5007,.08181]
M[851]=[-.3521,11.5248,.08177]
M[852]=[-.3521,11.549,.08174]
M[853]=[-.3521,11.5732,.0817]
M[854]=[-.3521,11.5975,.08166]
M[855]=[-.3521,11.6218,.08163]
M[856]=[-.3521,11.6462,.08159]
M[857]=[-.3521,11.6707,.08156]
M[858]=[-.3521,11.6952,.08152]
M[859]=[-.3521,11.7198,.08148]
M[860]=[-.3521,11.7444,.08145]
M[861]=[-.3521,11.769,.08141]
M[862]=[-.3521,11.7937,.08138]
M[863]=[-.3521,11.8184,.08134]
M[864]=[-.3521,11.8431,.08131]
M[865]=[-.3521,11.8678,.08128]
M[866]=[-.3521,11.8926,.08124]
M[867]=[-.3521,11.9173,.08121]
M[868]=[-.3521,11.9421,.08118]
M[869]=[-.3521,11.9668,.08114]
M[870]=[-.3521,11.9916,.08111]
M[871]=[-.3521,12.0163,.08108]
M[872]=[-.3521,12.0411,.08105]
M[873]=[-.3521,12.0658,.08102]
M[874]=[-.3521,12.0905,.08099]
M[875]=[-.3521,12.1152,.08096]
M[876]=[-.3521,12.1398,.08093]
M[877]=[-.3521,12.1645,.0809]
M[878]=[-.3521,12.1891,.08087]
M[879]=[-.3521,12.2136,.08084]
M[880]=[-.3521,12.2382,.08082]
M[881]=[-.3521,12.2627,.08079]
M[882]=[-.3521,12.2871,.08076]
M[883]=[-.3521,12.3116,.08074]
M[884]=[-.3521,12.336,.08071]
M[885]=[-.3521,12.3603,.08069]
M[886]=[-.3521,12.3846,.08067]
M[887]=[-.3521,12.4089,.08064]
M[888]=[-.3521,12.4332,.08062]
M[889]=[-.3521,12.4574,.0806]
M[890]=[-.3521,12.4815,.08058]
M[891]=[-.3521,12.5057,.08056]
M[892]=[-.3521,12.5298,.08054]
M[893]=[-.3521,12.5538,.08052]
M[894]=[-.3521,12.5778,.0805]
M[895]=[-.3521,12.6017,.08048]
M[896]=[-.3521,12.6257,.08047]
M[897]=[-.3521,12.6495,.08045]
M[898]=[-.3521,12.6734,.08044]
M[899]=[-.3521,12.6972,.08042]
M[900]=[-.3521,12.7209,.08041]
M[901]=[-.3521,12.7446,.08039]
M[902]=[-.3521,12.7683,.08038]
M[903]=[-.3521,12.792,.08037]
M[904]=[-.3521,12.8156,.08035]
M[905]=[-.3521,12.8392,.08034]
M[906]=[-.3521,12.8628,.08033]
M[907]=[-.3521,12.8864,.08032]
M[908]=[-.3521,12.9099,.08031]
M[909]=[-.3521,12.9334,.0803]
M[910]=[-.3521,12.9569,.0803]
M[911]=[-.3521,12.9804,.08029]
M[912]=[-.3521,13.0038,.08028]
M[913]=[-.3521,13.0273,.08027]
M[914]=[-.3521,13.0507,.08027]
M[915]=[-.3521,13.0742,.08026]
M[916]=[-.3521,13.0976,.08026]
M[917]=[-.3521,13.1209,.08025]
M[918]=[-.3521,13.1443,.08025]
M[919]=[-.3521,13.1677,.08025]
M[920]=[-.3521,13.191,.08025]
M[921]=[-.3521,13.2143,.08025]
M[922]=[-.3521,13.2376,.08024]
M[923]=[-.3521,13.2609,.08024]
M[924]=[-.3521,13.2842,.08024]
M[925]=[-.3521,13.3075,.08025]
M[926]=[-.3521,13.3308,.08025]
M[927]=[-.3521,13.3541,.08025]
M[928]=[-.3521,13.3773,.08025]
M[929]=[-.3521,13.4006,.08026]
M[930]=[-.3521,13.4239,.08026]
M[931]=[-.3521,13.4472,.08027]
M[932]=[-.3521,13.4705,.08027]
M[933]=[-.3521,13.4937,.08028]
M[934]=[-.3521,13.5171,.08028]
M[935]=[-.3521,13.5404,.08029]
M[936]=[-.3521,13.5637,.0803]
M[937]=[-.3521,13.587,.08031]
M[938]=[-.3521,13.6104,.08032]
M[939]=[-.3521,13.6338,.08033]
M[940]=[-.3521,13.6572,.08034]
M[941]=[-.3521,13.6806,.08035]
M[942]=[-.3521,13.7041,.08036]
M[943]=[-.3521,13.7275,.08037]
M[944]=[-.3521,13.751,.08038]
M[945]=[-.3521,13.7746,.0804]
M[946]=[-.3521,13.7981,.08041]
M[947]=[-.3521,13.8217,.08043]
M[948]=[-.3521,13.8454,.08044]
M[949]=[-.3521,13.8691,.08046]
M[950]=[-.3521,13.8928,.08047]
M[951]=[-.3521,13.9165,.08049]
M[952]=[-.3521,13.9403,.08051]
M[953]=[-.3521,13.9642,.08052]
M[954]=[-.3521,13.9881,.08054]
M[955]=[-.3521,14.012,.08056]
M[956]=[-.3521,14.036,.08058]
M[957]=[-.3521,14.06,.0806]
M[958]=[-.3521,14.0841,.08062]
M[959]=[-.3521,14.1083,.08064]
M[960]=[-.3521,14.1325,.08067]
M[961]=[-.3521,14.1567,.08069]
M[962]=[-.3521,14.1811,.08071]
M[963]=[-.3521,14.2055,.08073]
M[964]=[-.3521,14.2299,.08076]
M[965]=[-.3521,14.2544,.08078]
M[966]=[-.3521,14.279,.08081]
M[967]=[-.3521,14.3037,.08083]
M[968]=[-.3521,14.3284,.08086]
M[969]=[-.3521,14.3533,.08089]
M[970]=[-.3521,14.3782,.08092]
M[971]=[-.3521,14.4031,.08094]
M[972]=[-.3521,14.4282,.08097]
M[973]=[-.3521,14.4533,.081]
M[974]=[-.3521,14.4785,.08103]
M[975]=[-.3521,14.5038,.08106]
M[976]=[-.3521,14.5292,.08109]
M[977]=[-.3521,14.5547,.08112]
M[978]=[-.3521,14.5802,.08116]
M[979]=[-.3521,14.6058,.08119]
M[980]=[-.3521,14.6316,.08122]
M[981]=[-.3521,14.6574,.08125]
M[982]=[-.3521,14.6832,.08129]
M[983]=[-.3521,14.7092,.08132]
M[984]=[-.3521,14.7353,.08136]
M[985]=[-.3521,14.7614,.08139]
M[986]=[-.3521,14.7877,.08143]
M[987]=[-.3521,14.814,.08146]
M[988]=[-.3521,14.8404,.0815]
M[989]=[-.3521,14.8669,.08154]
M[990]=[-.3521,14.8934,.08157]
M[991]=[-.3521,14.9201,.08161]
M[992]=[-.3521,14.9468,.08165]
M[993]=[-.3521,14.9736,.08169]
M[994]=[-.3521,15.0005,.08173]
M[995]=[-.3521,15.0275,.08177]
M[996]=[-.3521,15.0546,.08181]
M[997]=[-.3521,15.0818,.08185]
M[998]=[-.3521,15.109,.08189]
M[999]=[-.3521,15.1363,.08194]
M[1000]=[-.3521,15.1637,.08198]
M[1001]=[-.3521,15.1912,.08202]
M[1002]=[-.3521,15.2187,.08206]
M[1003]=[-.3521,15.2463,.08211]
M[1004]=[-.3521,15.274,.08215]
M[1005]=[-.3521,15.3018,.0822]
M[1006]=[-.3521,15.3297,.08224]
M[1007]=[-.3521,15.3576,.08229]
M[1008]=[-.3521,15.3856,.08233]
M[1009]=[-.3521,15.4137,.08238]
M[1010]=[-.3521,15.4419,.08243]
M[1011]=[-.3521,15.4701,.08247]
M[1012]=[-.3521,15.4985,.08252]
M[1013]=[-.3521,15.5268,.08257]
M[1014]=[-.3521,15.5553,.08262]
M[1015]=[-.3521,15.5838,.08267]
M[1016]=[-.3521,15.6125,.08272]
M[1017]=[-.3521,15.6412,.08277]
M[1018]=[-.3521,15.6699,.08281]
M[1019]=[-.3521,15.6987,.08287]
M[1020]=[-.3521,15.7276,.08292]
M[1021]=[-.3521,15.7566,.08297]
M[1022]=[-.3521,15.7857,.08302]
M[1023]=[-.3521,15.8148,.08307]
M[1024]=[-.3521,15.844,.08312]
M[1025]=[-.3521,15.8732,.08317]
M[1026]=[-.3521,15.9026,.08322]
M[1027]=[-.3521,15.932,.08328]
M[1028]=[-.3521,15.9615,.08333]
M[1029]=[-.3521,15.991,.08338]
M[1030]=[-.3521,16.0206,.08343]
M[1031]=[-.3521,16.0503,.08349]
M[1032]=[-.3521,16.0801,.08354]
M[1033]=[-.3521,16.1099,.08359]
M[1034]=[-.3521,16.1398,.08365]
M[1035]=[-.3521,16.1697,.0837]
M[1036]=[-.3521,16.1997,.08376]
M[1037]=[-.3521,16.2298,.08381]
M[1038]=[-.3521,16.26,.08386]
M[1039]=[-.3521,16.2902,.08392]
M[1040]=[-.3521,16.3204,.08397]
M[1041]=[-.3521,16.3508,.08403]
M[1042]=[-.3521,16.3812,.08408]
M[1043]=[-.3521,16.4117,.08414]
M[1044]=[-.3521,16.4422,.08419]
M[1045]=[-.3521,16.4728,.08425]
M[1046]=[-.3521,16.5035,.08431]
M[1047]=[-.3521,16.5342,.08436]
M[1048]=[-.3521,16.565,.08442]
M[1049]=[-.3521,16.5959,.08447]
M[1050]=[-.3521,16.6268,.08453]
M[1051]=[-.3521,16.6579,.08458]
M[1052]=[-.3521,16.6889,.08464]
M[1053]=[-.3521,16.7201,.0847]
M[1054]=[-.3521,16.7513,.08475]
M[1055]=[-.3521,16.7826,.08481]
M[1056]=[-.3521,16.8139,.08487]
M[1057]=[-.3521,16.8454,.08493]
M[1058]=[-.3521,16.8769,.08498]
M[1059]=[-.3521,16.9084,.08504]
M[1060]=[-.3521,16.9401,.0851]
M[1061]=[-.3521,16.9718,.08516]
M[1062]=[-.3521,17.0036,.08521]
M[1063]=[-.3521,17.0355,.08527]
M[1064]=[-.3521,17.0674,.08533]
M[1065]=[-.3521,17.0995,.08539]
M[1066]=[-.3521,17.1316,.08545]
M[1067]=[-.3521,17.1637,.08551]
M[1068]=[-.3521,17.196,.08557]
M[1069]=[-.3521,17.2283,.08562]
M[1070]=[-.3521,17.2607,.08568]
M[1071]=[-.3521,17.2931,.08574]
M[1072]=[-.3521,17.3256,.0858]
M[1073]=[-.3521,17.3582,.08586]
M[1074]=[-.3521,17.3909,.08592]
M[1075]=[-.3521,17.4237,.08599]
M[1076]=[-.3521,17.4565,.08605]
M[1077]=[-.3521,17.4894,.08611]
M[1078]=[-.3521,17.5224,.08617]
M[1079]=[-.3521,17.5554,.08623]
M[1080]=[-.3521,17.5885,.08629]
M[1081]=[-.3521,17.6217,.08635]
M[1082]=[-.3521,17.655,.08641]
M[1083]=[-.3521,17.6884,.08648]
M[1084]=[-.3521,17.7218,.08654]
M[1085]=[-.3521,17.7553,.0866]
M[1086]=[-.3521,17.7889,.08666]
M[1087]=[-.3521,17.8226,.08673]
M[1088]=[-.3521,17.8564,.08679]
M[1089]=[-.3521,17.8903,.08685]
M[1090]=[-.3521,17.9242,.08691]
M[1091]=[-.3521,17.9583,.08698]
M[1092]=[-.3521,17.9924,.08704]
M[1093]=[-.3521,18.0267,.0871]
M[1094]=[-.3521,18.061,.08717]
M[1095]=[-.3521,18.0954,.08723]
M[1096]=[-.3521,18.1299,.0873]
M[1097]=[-.3521,18.1645,.08736]
M[1098]=[-.3521,18.1992,.08742]
M[1099]=[-.3521,18.234,.08749]
M[1100]=[-.3521,18.2689,.08755]
F[450]=[-.3833,2.4607,.09029]
F[451]=[-.3833,2.4777,.0903]
F[452]=[-.3833,2.4947,.0903]
F[453]=[-.3833,2.5117,.09031]
F[454]=[-.3833,2.5287,.09032]
F[455]=[-.3833,2.5457,.09033]
F[456]=[-.3833,2.5627,.09033]
F[457]=[-.3833,2.5797,.09034]
F[458]=[-.3833,2.5967,.09035]
F[459]=[-.3833,2.6137,.09036]
F[460]=[-.3833,2.6306,.09037]
F[461]=[-.3833,2.6476,.09037]
F[462]=[-.3833,2.6646,.09038]
F[463]=[-.3833,2.6816,.09039]
F[464]=[-.3833,2.6986,.0904]
F[465]=[-.3833,2.7155,.0904]
F[466]=[-.3833,2.7326,.09041]
F[467]=[-.3833,2.7496,.09042]
F[468]=[-.3833,2.7666,.09043]
F[469]=[-.3833,2.7837,.09044]
F[470]=[-.3833,2.8007,.09044]
F[471]=[-.3833,2.8179,.09045]
F[472]=[-.3833,2.835,.09046]
F[473]=[-.3833,2.8522,.09047]
F[474]=[-.3833,2.8694,.09047]
F[475]=[-.3833,2.8867,.09048]
F[476]=[-.3833,2.9041,.09049]
F[477]=[-.3833,2.9215,.0905]
F[478]=[-.3833,2.939,.0905]
F[479]=[-.3833,2.9565,.09051]
F[480]=[-.3833,2.9741,.09052]
F[481]=[-.3833,2.9918,.09053]
F[482]=[-.3833,3.0096,.09054]
F[483]=[-.3833,3.0275,.09054]
F[484]=[-.3833,3.0455,.09055]
F[485]=[-.3833,3.0636,.09056]
F[486]=[-.3833,3.0818,.09057]
F[487]=[-.3833,3.1001,.09057]
F[488]=[-.3833,3.1186,.09058]
F[489]=[-.3833,3.1372,.09059]
F[490]=[-.3833,3.156,.0906]
F[491]=[-.3833,3.1749,.09061]
F[492]=[-.3833,3.1939,.09061]
F[493]=[-.3833,3.2131,.09062]
F[494]=[-.3833,3.2325,.09063]
F[495]=[-.3833,3.252,.09064]
F[496]=[-.3833,3.2717,.09065]
F[497]=[-.3833,3.2915,.09065]
F[498]=[-.3833,3.3114,.09066]
F[499]=[-.3833,3.3316,.09067]
F[500]=[-.3833,3.3518,.09068]
F[501]=[-.3833,3.3723,.09069]
F[502]=[-.3833,3.3929,.09069]
F[503]=[-.3833,3.4136,.0907]
F[504]=[-.3833,3.4346,.09071]
F[505]=[-.3833,3.4557,.09072]
F[506]=[-.3833,3.4769,.09073]
F[507]=[-.3833,3.4983,.09074]
F[508]=[-.3833,3.5199,.09074]
F[509]=[-.3833,3.5417,.09075]
F[510]=[-.3833,3.5636,.09076]
F[511]=[-.3833,3.5856,.09077]
F[512]=[-.3833,3.6078,.09078]
F[513]=[-.3833,3.6302,.09079]
F[514]=[-.3833,3.6527,.0908]
F[515]=[-.3833,3.6754,.0908]
F[516]=[-.3833,3.6982,.09081]
F[517]=[-.3833,3.7212,.09082]
F[518]=[-.3833,3.7444,.09083]
F[519]=[-.3833,3.7677,.09084]
F[520]=[-.3833,3.7911,.09085]
F[521]=[-.3833,3.8147,.09086]
F[522]=[-.3833,3.8385,.09086]
F[523]=[-.3833,3.8623,.09087]
F[524]=[-.3833,3.8863,.09088]
F[525]=[-.3833,3.9105,.09089]
F[526]=[-.3833,3.9348,.0909]
F[527]=[-.3833,3.9592,.09091]
F[528]=[-.3833,3.9837,.09092]
F[529]=[-.3833,4.0084,.09093]
F[530]=[-.3833,4.0332,.09093]
F[531]=[-.3833,4.0581,.09094]
F[532]=[-.3833,4.0832,.09095]
F[533]=[-.3833,4.1084,.09096]
F[534]=[-.3833,4.1337,.09097]
F[535]=[-.3833,4.1591,.09098]
F[536]=[-.3833,4.1846,.09099]
F[537]=[-.3833,4.2102,.09099]
F[538]=[-.3833,4.2359,.091]
F[539]=[-.3833,4.2617,.09101]
F[540]=[-.3833,4.2875,.09102]
F[541]=[-.3833,4.3135,.09103]
F[542]=[-.3833,4.3395,.09104]
F[543]=[-.3833,4.3655,.09105]
F[544]=[-.3833,4.3917,.09105]
F[545]=[-.3833,4.4179,.09106]
F[546]=[-.3833,4.4442,.09107]
F[547]=[-.3833,4.4705,.09108]
F[548]=[-.3833,4.4969,.09109]
F[549]=[-.3833,4.5233,.09109]
F[550]=[-.3833,4.5498,.0911]
F[551]=[-.3833,4.5763,.09111]
F[552]=[-.3833,4.6029,.09112]
F[553]=[-.3833,4.6295,.09113]
F[554]=[-.3833,4.6561,.09113]
F[555]=[-.3833,4.6827,.09114]
F[556]=[-.3833,4.7094,.09115]
F[557]=[-.3833,4.7361,.09116]
F[558]=[-.3833,4.7628,.09116]
F[559]=[-.3833,4.7895,.09117]
F[560]=[-.3833,4.8162,.09118]
F[561]=[-.3833,4.843,.09119]
F[562]=[-.3833,4.8697,.09119]
F[563]=[-.3833,4.8964,.0912]
F[564]=[-.3833,4.9232,.09121]
F[565]=[-.3833,4.95,.09121]
F[566]=[-.3833,4.9767,.09122]
F[567]=[-.3833,5.0034,.09123]
F[568]=[-.3833,5.0302,.09123]
F[569]=[-.3833,5.0569,.09124]
F[570]=[-.3833,5.0837,.09125]
F[571]=[-.3833,5.1104,.09125]
F[572]=[-.3833,5.1371,.09126]
F[573]=[-.3833,5.1639,.09126]
F[574]=[-.3833,5.1906,.09127]
F[575]=[-.3833,5.2173,.09128]
F[576]=[-.3833,5.244,.09128]
F[577]=[-.3833,5.2707,.09129]
F[578]=[-.3833,5.2974,.09129]
F[579]=[-.3833,5.324,.0913]
F[580]=[-.3833,5.3507,.0913]
F[581]=[-.3833,5.3773,.09131]
F[582]=[-.3833,5.4039,.09131]
F[583]=[-.3833,5.4304,.09131]
F[584]=[-.3833,5.4569,.09132]
F[585]=[-.3833,5.4834,.09132]
F[586]=[-.3833,5.5098,.09133]
F[587]=[-.3833,5.5362,.09133]
F[588]=[-.3833,5.5625,.09133]
F[589]=[-.3833,5.5888,.09134]
F[590]=[-.3833,5.6151,.09134]
F[591]=[-.3833,5.6413,.09134]
F[592]=[-.3833,5.6674,.09135]
F[593]=[-.3833,5.6935,.09135]
F[594]=[-.3833,5.7195,.09135]
F[595]=[-.3833,5.7454,.09135]
F[596]=[-.3833,5.7713,.09136]
F[597]=[-.3833,5.7971,.09136]
F[598]=[-.3833,5.8229,.09136]
F[599]=[-.3833,5.8485,.09136]
F[600]=[-.3833,5.8742,.09136]
F[601]=[-.3833,5.8997,.09136]
F[602]=[-.3833,5.9252,.09137]
F[603]=[-.3833,5.9507,.09137]
F[604]=[-.3833,5.9761,.09137]
F[605]=[-.3833,6.0014,.09137]
F[606]=[-.3833,6.0266,.09137]
F[607]=[-.3833,6.0518,.09137]
F[608]=[-.3833,6.0769,.09137]
F[609]=[-.3833,6.102,.09137]
F[610]=[-.3833,6.127,.09137]
F[611]=[-.3833,6.1519,.09137]
F[612]=[-.3833,6.1768,.09136]
F[613]=[-.3833,6.2017,.09136]
F[614]=[-.3833,6.2264,.09136]
F[615]=[-.3833,6.2511,.09136]
F[616]=[-.3833,6.2758,.09136]
F[617]=[-.3833,6.3004,.09136]
F[618]=[-.3833,6.3249,.09135]
F[619]=[-.3833,6.3494,.09135]
F[620]=[-.3833,6.3738,.09135]
F[621]=[-.3833,6.3981,.09135]
F[622]=[-.3833,6.4224,.09134]
F[623]=[-.3833,6.4466,.09134]
F[624]=[-.3833,6.4708,.09134]
F[625]=[-.3833,6.4948,.09133]
F[626]=[-.3833,6.5189,.09133]
F[627]=[-.3833,6.5429,.09133]
F[628]=[-.3833,6.5668,.09132]
F[629]=[-.3833,6.5906,.09132]
F[630]=[-.3833,6.6144,.09131]
F[631]=[-.3833,6.6382,.09131]
F[632]=[-.3833,6.6619,.0913]
F[633]=[-.3833,6.6856,.0913]
F[634]=[-.3833,6.7092,.09129]
F[635]=[-.3833,6.7328,.09129]
F[636]=[-.3833,6.7563,.09128]
F[637]=[-.3833,6.7798,.09128]
F[638]=[-.3833,6.8033,.09127]
F[639]=[-.3833,6.8267,.09127]
F[640]=[-.3833,6.8501,.09126]
F[641]=[-.3833,6.8734,.09125]
F[642]=[-.3833,6.8967,.09125]
F[643]=[-.3833,6.9199,.09124]
F[644]=[-.3833,6.9431,.09123]
F[645]=[-.3833,6.9662,.09123]
F[646]=[-.3833,6.9893,.09122]
F[647]=[-.3833,7.0124,.09121]
F[648]=[-.3833,7.0354,.0912]
F[649]=[-.3833,7.0583,.0912]
F[650]=[-.3833,7.0812,.09119]
F[651]=[-.3833,7.1041,.09118]
F[652]=[-.3833,7.1269,.09117]
F[653]=[-.3833,7.1497,.09116]
F[654]=[-.3833,7.1724,.09116]
F[655]=[-.3833,7.195,.09115]
F[656]=[-.3833,7.2177,.09114]
F[657]=[-.3833,7.2402,.09113]
F[658]=[-.3833,7.2627,.09112]
F[659]=[-.3833,7.2852,.09111]
F[660]=[-.3833,7.3076,.0911]
F[661]=[-.3833,7.33,.09109]
F[662]=[-.3833,7.3523,.09109]
F[663]=[-.3833,7.3745,.09108]
F[664]=[-.3833,7.3967,.09107]
F[665]=[-.3833,7.4189,.09106]
F[666]=[-.3833,7.441,.09105]
F[667]=[-.3833,7.463,.09104]
F[668]=[-.3833,7.485,.09103]
F[669]=[-.3833,7.5069,.09102]
F[670]=[-.3833,7.5288,.09101]
F[671]=[-.3833,7.5507,.091]
F[672]=[-.3833,7.5724,.09099]
F[673]=[-.3833,7.5942,.09098]
F[674]=[-.3833,7.6158,.09097]
F[675]=[-.3833,7.6375,.09096]
F[676]=[-.3833,7.659,.09095]
F[677]=[-.3833,7.6806,.09094]
F[678]=[-.3833,7.702,.09093]
F[679]=[-.3833,7.7234,.09091]
F[680]=[-.3833,7.7448,.0909]
F[681]=[-.3833,7.7661,.09089]
F[682]=[-.3833,7.7874,.09088]
F[683]=[-.3833,7.8086,.09087]
F[684]=[-.3833,7.8298,.09086]
F[685]=[-.3833,7.8509,.09085]
F[686]=[-.3833,7.872,.09084]
F[687]=[-.3833,7.893,.09083]
F[688]=[-.3833,7.914,.09082]
F[689]=[-.3833,7.935,.0908]
F[690]=[-.3833,7.9559,.09079]
F[691]=[-.3833,7.9768,.09078]
F[692]=[-.3833,7.9976,.09077]
F[693]=[-.3833,8.0184,.09076]
F[694]=[-.3833,8.0392,.09075]
F[695]=[-.3833,8.0599,.09074]
F[696]=[-.3833,8.0806,.09072]
F[697]=[-.3833,8.1012,.09071]
F[698]=[-.3833,8.1218,.0907]
F[699]=[-.3833,8.1424,.09069]
F[700]=[-.3833,8.163,.09068]
F[701]=[-.3833,8.1835,.09067]
F[702]=[-.3833,8.2039,.09065]
F[703]=[-.3833,8.2244,.09064]
F[704]=[-.3833,8.2448,.09063]
F[705]=[-.3833,8.2651,.09062]
F[706]=[-.3833,8.2855,.09061]
F[707]=[-.3833,8.3058,.09059]
F[708]=[-.3833,8.3261,.09058]
F[709]=[-.3833,8.3464,.09057]
F[710]=[-.3833,8.3666,.09056]
F[711]=[-.3833,8.3869,.09055]
F[712]=[-.3833,8.4071,.09053]
F[713]=[-.3833,8.4273,.09052]
F[714]=[-.3833,8.4474,.09051]
F[715]=[-.3833,8.4676,.0905]
F[716]=[-.3833,8.4877,.09048]
F[717]=[-.3833,8.5078,.09047]
F[718]=[-.3833,8.5278,.09046]
F[719]=[-.3833,8.5479,.09045]
F[720]=[-.3833,8.5679,.09043]
F[721]=[-.3833,8.5879,.09042]
F[722]=[-.3833,8.6078,.09041]
F[723]=[-.3833,8.6277,.0904]
F[724]=[-.3833,8.6476,.09039]
F[725]=[-.3833,8.6674,.09037]
F[726]=[-.3833,8.6872,.09036]
F[727]=[-.3833,8.707,.09035]
F[728]=[-.3833,8.7267,.09034]
F[729]=[-.3833,8.7464,.09032]
F[730]=[-.3833,8.7661,.09031]
F[731]=[-.3833,8.7857,.0903]
F[732]=[-.3833,8.8053,.09028]
F[733]=[-.3833,8.8248,.09027]
F[734]=[-.3833,8.8443,.09026]
F[735]=[-.3833,8.8638,.09025]
F[736]=[-.3833,8.8831,.09023]
F[737]=[-.3833,8.9025,.09022]
F[738]=[-.3833,8.9217,.09021]
F[739]=[-.3833,8.941,.0902]
F[740]=[-.3833,8.9601,.09018]
F[741]=[-.3833,8.9792,.09017]
F[742]=[-.3833,8.9983,.09016]
F[743]=[-.3833,9.0173,.09014]
F[744]=[-.3833,9.0363,.09013]
F[745]=[-.3833,9.0552,.09012]
F[746]=[-.3833,9.074,.09011]
F[747]=[-.3833,9.0928,.09009]
F[748]=[-.3833,9.1116,.09008]
F[749]=[-.3833,9.1303,.09007]
F[750]=[-.3833,9.149,.09005]
F[751]=[-.3833,9.1676,.09004]
F[752]=[-.3833,9.1862,.09003]
F[753]=[-.3833,9.2048,.09001]
F[754]=[-.3833,9.2233,.09]
F[755]=[-.3833,9.2418,.08999]
F[756]=[-.3833,9.2602,.08997]
F[757]=[-.3833,9.2786,.08996]
F[758]=[-.3833,9.297,.08995]
F[759]=[-.3833,9.3154,.08993]
F[760]=[-.3833,9.3337,.08992]
F[761]=[-.3833,9.352,.08991]
F[762]=[-.3833,9.3703,.08989]
F[763]=[-.3833,9.3886,.08988]
F[764]=[-.3833,9.4069,.08987]
F[765]=[-.3833,9.4252,.08985]
F[766]=[-.3833,9.4435,.08984]
F[767]=[-.3833,9.4617,.08983]
F[768]=[-.3833,9.48,.08981]
F[769]=[-.3833,9.4983,.0898]
F[770]=[-.3833,9.5166,.08979]
F[771]=[-.3833,9.535,.08977]
F[772]=[-.3833,9.5533,.08976]
F[773]=[-.3833,9.5717,.08975]
F[774]=[-.3833,9.5901,.08973]
F[775]=[-.3833,9.6086,.08972]
F[776]=[-.3833,9.6271,.08971]
F[777]=[-.3833,9.6456,.08969]
F[778]=[-.3833,9.6642,.08968]
F[779]=[-.3833,9.6828,.08966]
F[780]=[-.3833,9.7015,.08965]
F[781]=[-.3833,9.7202,.08964]
F[782]=[-.3833,9.739,.08963]
F[783]=[-.3833,9.7578,.08961]
F[784]=[-.3833,9.7767,.0896]
F[785]=[-.3833,9.7957,.08959]
F[786]=[-.3833,9.8147,.08957]
F[787]=[-.3833,9.8338,.08956]
F[788]=[-.3833,9.853,.08955]
F[789]=[-.3833,9.8722,.08953]
F[790]=[-.3833,9.8915,.08952]
F[791]=[-.3833,9.9109,.08951]
F[792]=[-.3833,9.9303,.0895]
F[793]=[-.3833,9.9499,.08948]
F[794]=[-.3833,9.9695,.08947]
F[795]=[-.3833,9.9892,.08946]
F[796]=[-.3833,10.009,.08945]
F[797]=[-.3833,10.0289,.08943]
F[798]=[-.3833,10.0489,.08942]
F[799]=[-.3833,10.069,.08941]
F[800]=[-.3833,10.0891,.0894]
F[801]=[-.3833,10.1094,.08939]
F[802]=[-.3833,10.1298,.08937]
F[803]=[-.3833,10.1503,.08936]
F[804]=[-.3833,10.1709,.08935]
F[805]=[-.3833,10.1916,.08934]
F[806]=[-.3833,10.2123,.08933]
F[807]=[-.3833,10.2332,.08932]
F[808]=[-.3833,10.2542,.0893]
F[809]=[-.3833,10.2753,.08929]
F[810]=[-.3833,10.2965,.08928]
F[811]=[-.3833,10.3178,.08927]
F[812]=[-.3833,10.3393,.08926]
F[813]=[-.3833,10.3608,.08925]
F[814]=[-.3833,10.3824,.08924]
F[815]=[-.3833,10.4041,.08923]
F[816]=[-.3833,10.4258,.08922]
F[817]=[-.3833,10.4477,.08921]
F[818]=[-.3833,10.4697,.0892]
F[819]=[-.3833,10.4918,.08919]
F[820]=[-.3833,10.514,.08918]
F[821]=[-.3833,10.5363,.08917]
F[822]=[-.3833,10.5586,.08916]
F[823]=[-.3833,10.5811,.08915]
F[824]=[-.3833,10.6037,.08915]
F[825]=[-.3833,10.6263,.08914]
F[826]=[-.3833,10.6491,.08913]
F[827]=[-.3833,10.6719,.08912]
F[828]=[-.3833,10.6948,.08911]
F[829]=[-.3833,10.7178,.0891]
F[830]=[-.3833,10.741,.0891]
F[831]=[-.3833,10.7641,.08909]
F[832]=[-.3833,10.7874,.08908]
F[833]=[-.3833,10.8108,.08907]
F[834]=[-.3833,10.8343,.08907]
F[835]=[-.3833,10.8578,.08906]
F[836]=[-.3833,10.8814,.08905]
F[837]=[-.3833,10.9051,.08905]
F[838]=[-.3833,10.9289,.08904]
F[839]=[-.3833,10.9527,.08903]
F[840]=[-.3833,10.9767,.08903]
F[841]=[-.3833,11.0007,.08902]
F[842]=[-.3833,11.0248,.08902]
F[843]=[-.3833,11.0489,.08901]
F[844]=[-.3833,11.0731,.08901]
F[845]=[-.3833,11.0974,.089]
F[846]=[-.3833,11.1218,.089]
F[847]=[-.3833,11.1462,.08899]
F[848]=[-.3833,11.1707,.08899]
F[849]=[-.3833,11.1952,.08899]
F[850]=[-.3833,11.2198,.08898]
F[851]=[-.3833,11.2444,.08898]
F[852]=[-.3833,11.2691,.08897]
F[853]=[-.3833,11.2939,.08897]
F[854]=[-.3833,11.3187,.08897]
F[855]=[-.3833,11.3435,.08897]
F[856]=[-.3833,11.3684,.08896]
F[857]=[-.3833,11.3934,.08896]
F[858]=[-.3833,11.4183,.08896]
F[859]=[-.3833,11.4434,.08896]
F[860]=[-.3833,11.4684,.08895]
F[861]=[-.3833,11.4935,.08895]
F[862]=[-.3833,11.5186,.08895]
F[863]=[-.3833,11.5437,.08895]
F[864]=[-.3833,11.5689,.08895]
F[865]=[-.3833,11.594,.08895]
F[866]=[-.3833,11.6192,.08895]
F[867]=[-.3833,11.6444,.08895]
F[868]=[-.3833,11.6696,.08895]
F[869]=[-.3833,11.6948,.08895]
F[870]=[-.3833,11.7201,.08895]
F[871]=[-.3833,11.7453,.08895]
F[872]=[-.3833,11.7705,.08895]
F[873]=[-.3833,11.7957,.08895]
F[874]=[-.3833,11.8209,.08895]
F[875]=[-.3833,11.8461,.08895]
F[876]=[-.3833,11.8713,.08896]
F[877]=[-.3833,11.8965,.08896]
F[878]=[-.3833,11.9217,.08896]
F[879]=[-.3833,11.9468,.08896]
F[880]=[-.3833,11.972,.08896]
F[881]=[-.3833,11.9971,.08897]
F[882]=[-.3833,12.0223,.08897]
F[883]=[-.3833,12.0474,.08897]
F[884]=[-.3833,12.0725,.08898]
F[885]=[-.3833,12.0976,.08898]
F[886]=[-.3833,12.1227,.08898]
F[887]=[-.3833,12.1478,.08899]
F[888]=[-.3833,12.1728,.08899]
F[889]=[-.3833,12.1978,.089]
F[890]=[-.3833,12.2229,.089]
F[891]=[-.3833,12.2479,.08901]
F[892]=[-.3833,12.2729,.08901]
F[893]=[-.3833,12.2978,.08902]
F[894]=[-.3833,12.3228,.08902]
F[895]=[-.3833,12.3477,.08903]
F[896]=[-.3833,12.3727,.08903]
F[897]=[-.3833,12.3976,.08904]
F[898]=[-.3833,12.4225,.08904]
F[899]=[-.3833,12.4474,.08905]
F[900]=[-.3833,12.4723,.08906]
F[901]=[-.3833,12.4971,.08906]
F[902]=[-.3833,12.522,.08907]
F[903]=[-.3833,12.5468,.08908]
F[904]=[-.3833,12.5717,.08909]
F[905]=[-.3833,12.5965,.08909]
F[906]=[-.3833,12.6213,.0891]
F[907]=[-.3833,12.6461,.08911]
F[908]=[-.3833,12.6709,.08912]
F[909]=[-.3833,12.6957,.08912]
F[910]=[-.3833,12.7205,.08913]
F[911]=[-.3833,12.7453,.08914]
F[912]=[-.3833,12.77,.08915]
F[913]=[-.3833,12.7948,.08916]
F[914]=[-.3833,12.8196,.08917]
F[915]=[-.3833,12.8443,.08918]
F[916]=[-.3833,12.8691,.08919]
F[917]=[-.3833,12.8939,.0892]
F[918]=[-.3833,12.9186,.08921]
F[919]=[-.3833,12.9434,.08922]
F[920]=[-.3833,12.9681,.08923]
F[921]=[-.3833,12.9929,.08924]
F[922]=[-.3833,13.0177,.08925]
F[923]=[-.3833,13.0424,.08926]
F[924]=[-.3833,13.0672,.08927]
F[925]=[-.3833,13.092,.08928]
F[926]=[-.3833,13.1167,.0893]
F[927]=[-.3833,13.1415,.08931]
F[928]=[-.3833,13.1663,.08932]
F[929]=[-.3833,13.1911,.08933]
F[930]=[-.3833,13.2158,.08934]
F[931]=[-.3833,13.2406,.08936]
F[932]=[-.3833,13.2654,.08937]
F[933]=[-.3833,13.2902,.08938]
F[934]=[-.3833,13.3151,.0894]
F[935]=[-.3833,13.3399,.08941]
F[936]=[-.3833,13.3647,.08942]
F[937]=[-.3833,13.3896,.08944]
F[938]=[-.3833,13.4145,.08945]
F[939]=[-.3833,13.4394,.08947]
F[940]=[-.3833,13.4643,.08948]
F[941]=[-.3833,13.4892,.08949]
F[942]=[-.3833,13.5142,.08951]
F[943]=[-.3833,13.5391,.08952]
F[944]=[-.3833,13.5641,.08954]
F[945]=[-.3833,13.5892,.08955]
F[946]=[-.3833,13.6142,.08957]
F[947]=[-.3833,13.6393,.08959]
F[948]=[-.3833,13.6644,.0896]
F[949]=[-.3833,13.6895,.08962]
F[950]=[-.3833,13.7146,.08963]
F[951]=[-.3833,13.7398,.08965]
F[952]=[-.3833,13.765,.08967]
F[953]=[-.3833,13.7902,.08968]
F[954]=[-.3833,13.8155,.0897]
F[955]=[-.3833,13.8408,.08972]
F[956]=[-.3833,13.8661,.08974]
F[957]=[-.3833,13.8914,.08975]
F[958]=[-.3833,13.9168,.08977]
F[959]=[-.3833,13.9422,.08979]
F[960]=[-.3833,13.9676,.08981]
F[961]=[-.3833,13.9931,.08983]
F[962]=[-.3833,14.0186,.08984]
F[963]=[-.3833,14.0441,.08986]
F[964]=[-.3833,14.0697,.08988]
F[965]=[-.3833,14.0953,.0899]
F[966]=[-.3833,14.1209,.08992]
F[967]=[-.3833,14.1466,.08994]
F[968]=[-.3833,14.1724,.08996]
F[969]=[-.3833,14.1981,.08998]
F[970]=[-.3833,14.2239,.09]
F[971]=[-.3833,14.2498,.09002]
F[972]=[-.3833,14.2757,.09004]
F[973]=[-.3833,14.3016,.09006]
F[974]=[-.3833,14.3276,.09008]
F[975]=[-.3833,14.3537,.0901]
F[976]=[-.3833,14.3798,.09012]
F[977]=[-.3833,14.4059,.09015]
F[978]=[-.3833,14.4321,.09017]
F[979]=[-.3833,14.4584,.09019]
F[980]=[-.3833,14.4848,.09021]
F[981]=[-.3833,14.5112,.09023]
F[982]=[-.3833,14.5376,.09026]
F[983]=[-.3833,14.5642,.09028]
F[984]=[-.3833,14.5908,.0903]
F[985]=[-.3833,14.6174,.09033]
F[986]=[-.3833,14.6442,.09035]
F[987]=[-.3833,14.671,.09037]
F[988]=[-.3833,14.6979,.0904]
F[989]=[-.3833,14.7248,.09042]
F[990]=[-.3833,14.7519,.09044]
F[991]=[-.3833,14.779,.09047]
F[992]=[-.3833,14.8062,.09049]
F[993]=[-.3833,14.8334,.09052]
F[994]=[-.3833,14.8608,.09054]
F[995]=[-.3833,14.8882,.09057]
F[996]=[-.3833,14.9157,.09059]
F[997]=[-.3833,14.9434,.09062]
F[998]=[-.3833,14.9711,.09064]
F[999]=[-.3833,14.9989,.09067]
F[1000]=[-.3833,15.0267,.09069]
F[1001]=[-.3833,15.0547,.09072]
F[1002]=[-.3833,15.0828,.09075]
F[1003]=[-.3833,15.1109,.09077]
F[1004]=[-.3833,15.1392,.0908]
F[1005]=[-.3833,15.1676,.09083]
F[1006]=[-.3833,15.196,.09085]
F[1007]=[-.3833,15.2246,.09088]
F[1008]=[-.3833,15.2532,.09091]
F[1009]=[-.3833,15.2819,.09093]
F[1010]=[-.3833,15.3108,.09096]
F[1011]=[-.3833,15.3397,.09099]
F[1012]=[-.3833,15.3687,.09102]
F[1013]=[-.3833,15.3979,.09105]
F[1014]=[-.3833,15.4271,.09107]
F[1015]=[-.3833,15.4564,.0911]
F[1016]=[-.3833,15.4858,.09113]
F[1017]=[-.3833,15.5154,.09116]
F[1018]=[-.3833,15.545,.09119]
F[1019]=[-.3833,15.5747,.09122]
F[1020]=[-.3833,15.6046,.09125]
F[1021]=[-.3833,15.6345,.09128]
F[1022]=[-.3833,15.6646,.09131]
F[1023]=[-.3833,15.6947,.09133]
F[1024]=[-.3833,15.725,.09136]
F[1025]=[-.3833,15.7553,.09139]
F[1026]=[-.3833,15.7858,.09142]
F[1027]=[-.3833,15.8164,.09146]
F[1028]=[-.3833,15.847,.09149]
F[1029]=[-.3833,15.8778,.09152]
F[1030]=[-.3833,15.9087,.09155]
F[1031]=[-.3833,15.9396,.09158]
F[1032]=[-.3833,15.9707,.09161]
F[1033]=[-.3833,16.0019,.09164]
F[1034]=[-.3833,16.0332,.09167]
F[1035]=[-.3833,16.0645,.0917]
F[1036]=[-.3833,16.096,.09173]
F[1037]=[-.3833,16.1276,.09177]
F[1038]=[-.3833,16.1593,.0918]
F[1039]=[-.3833,16.191,.09183]
F[1040]=[-.3833,16.2229,.09186]
F[1041]=[-.3833,16.2549,.0919]
F[1042]=[-.3833,16.287,.09193]
F[1043]=[-.3833,16.3191,.09196]
F[1044]=[-.3833,16.3514,.09199]
F[1045]=[-.3833,16.3837,.09203]
F[1046]=[-.3833,16.4162,.09206]
F[1047]=[-.3833,16.4488,.09209]
F[1048]=[-.3833,16.4814,.09213]
F[1049]=[-.3833,16.5142,.09216]
F[1050]=[-.3833,16.547,.09219]
F[1051]=[-.3833,16.58,.09223]
F[1052]=[-.3833,16.6131,.09226]
F[1053]=[-.3833,16.6462,.09229]
F[1054]=[-.3833,16.6795,.09233]
F[1055]=[-.3833,16.7129,.09236]
F[1056]=[-.3833,16.7464,.0924]
F[1057]=[-.3833,16.78,.09243]
F[1058]=[-.3833,16.8137,.09247]
F[1059]=[-.3833,16.8475,.0925]
F[1060]=[-.3833,16.8814,.09254]
F[1061]=[-.3833,16.9154,.09257]
F[1062]=[-.3833,16.9496,.09261]
F[1063]=[-.3833,16.9838,.09264]
F[1064]=[-.3833,17.0182,.09268]
F[1065]=[-.3833,17.0527,.09271]
F[1066]=[-.3833,17.0873,.09275]
F[1067]=[-.3833,17.122,.09278]
F[1068]=[-.3833,17.1569,.09282]
F[1069]=[-.3833,17.1918,.09286]
F[1070]=[-.3833,17.2269,.09289]
F[1071]=[-.3833,17.262,.09293]
F[1072]=[-.3833,17.2973,.09296]
F[1073]=[-.3833,17.3327,.093]
F[1074]=[-.3833,17.3683,.09304]
F[1075]=[-.3833,17.4039,.09307]
F[1076]=[-.3833,17.4397,.09311]
F[1077]=[-.3833,17.4755,.09315]
F[1078]=[-.3833,17.5115,.09318]
F[1079]=[-.3833,17.5476,.09322]
F[1080]=[-.3833,17.5839,.09326]
F[1081]=[-.3833,17.6202,.09329]
F[1082]=[-.3833,17.6567,.09333]
F[1083]=[-.3833,17.6932,.09337]
F[1084]=[-.3833,17.7299,.09341]
F[1085]=[-.3833,17.7668,.09344]
F[1086]=[-.3833,17.8037,.09348]
F[1087]=[-.3833,17.8407,.09352]
F[1088]=[-.3833,17.8779,.09356]
F[1089]=[-.3833,17.9152,.09359]
F[1090]=[-.3833,17.9526,.09363]
F[1091]=[-.3833,17.9901,.09367]
F[1092]=[-.3833,18.0277,.09371]
F[1093]=[-.3833,18.0654,.09375]
F[1094]=[-.3833,18.1033,.09378]
F[1095]=[-.3833,18.1412,.09382]
F[1096]=[-.3833,18.1792,.09386]
F[1097]=[-.3833,18.2174,.0939]
F[1098]=[-.3833,18.2556,.09394]
F[1099]=[-.3833,18.294,.09397]
F[1100]=[-.3833,18.3324,.09401]

if ((MF=="F"))
   {
    result=resultStr(F[MM],KILOS);
   }
else
   {
   result=resultStr(M[MM],KILOS);
    //defaults to male values
   }

return result;
 }



 function BMIZ_W06(MF, AGEDAYS, KILOS, MM)
{

var M = new Array();
var F = new Array();
//bmilms.js WHO]
//sex,agedays2,l,m,s]
M[0]=[-.3053,13.4069,.0956]
M[1]=[-.1867,13.3976,.09597]
M[2]=[-.0681,13.3883,.09634]
M[3]=[.0505,13.3791,.09672]
M[4]=[.169,13.3698,.09709]
M[5]=[.2876,13.3606,.09746]
M[6]=[.4062,13.3513,.09784]
M[7]=[.5247,13.3421,.09821]
M[8]=[.5094,13.3843,.09769]
M[9]=[.4941,13.4265,.09716]
M[10]=[.4789,13.4687,.09664]
M[11]=[.4636,13.511,.09611]
M[12]=[.4483,13.5532,.09559]
M[13]=[.433,13.5954,.09507]
M[14]=[.4177,13.6377,.09454]
M[15]=[.4059,13.7174,.09416]
M[16]=[.3946,13.8006,.0938]
M[17]=[.3839,13.8854,.09347]
M[18]=[.3735,13.9707,.09315]
M[19]=[.3636,14.0558,.09285]
M[20]=[.3541,14.1404,.09257]
M[21]=[.3449,14.2241,.0923]
M[22]=[.336,14.3065,.09204]
M[23]=[.3274,14.3877,.0918]
M[24]=[.3191,14.4675,.09156]
M[25]=[.311,14.5457,.09134]
M[26]=[.3032,14.6225,.09112]
M[27]=[.2955,14.6977,.09092]
M[28]=[.2881,14.7714,.09072]
M[29]=[.2809,14.8436,.09053]
M[30]=[.2738,14.914,.09035]
M[31]=[.2669,14.9822,.09017]
M[32]=[.2602,15.0485,.09]
M[33]=[.2536,15.1127,.08984]
M[34]=[.2472,15.175,.08968]
M[35]=[.2409,15.2355,.08953]
M[36]=[.2348,15.2942,.08938]
M[37]=[.2287,15.3511,.08924]
M[38]=[.2228,15.4062,.0891]
M[39]=[.217,15.4597,.08897]
M[40]=[.2113,15.5115,.08884]
M[41]=[.2058,15.5618,.08871]
M[42]=[.2003,15.6107,.08859]
M[43]=[.1949,15.6582,.08847]
M[44]=[.1896,15.7043,.08835]
M[45]=[.1844,15.7492,.08824]
M[46]=[.1793,15.7929,.08813]
M[47]=[.1743,15.8353,.08802]
M[48]=[.1693,15.8767,.08792]
M[49]=[.1645,15.9169,.08782]
M[50]=[.1597,15.956,.08772]
M[51]=[.155,15.9941,.08762]
M[52]=[.1503,16.0311,.08753]
M[53]=[.1457,16.0672,.08743]
M[54]=[.1412,16.1023,.08734]
M[55]=[.1368,16.1365,.08725]
M[56]=[.1324,16.1698,.08717]
M[57]=[.128,16.2021,.08708]
M[58]=[.1238,16.2336,.087]
M[59]=[.1196,16.2642,.08692]
M[60]=[.1154,16.2941,.08684]
M[61]=[.1113,16.3231,.08676]
M[62]=[.1072,16.3513,.08669]
M[63]=[.1032,16.3787,.08661]
M[64]=[.0993,16.4053,.08654]
M[65]=[.0954,16.4312,.08646]
M[66]=[.0915,16.4562,.08639]
M[67]=[.0877,16.4806,.08632]
M[68]=[.084,16.5042,.08626]
M[69]=[.0803,16.5271,.08619]
M[70]=[.0766,16.5494,.08612]
M[71]=[.0729,16.571,.08606]
M[72]=[.0693,16.592,.08599]
M[73]=[.0658,16.6124,.08593]
M[74]=[.0623,16.6321,.08587]
M[75]=[.0588,16.6514,.08581]
M[76]=[.0554,16.67,.08575]
M[77]=[.052,16.6882,.08569]
M[78]=[.0486,16.7058,.08564]
M[79]=[.0452,16.7229,.08558]
M[80]=[.0419,16.7396,.08552]
M[81]=[.0387,16.7557,.08547]
M[82]=[.0354,16.7715,.08541]
M[83]=[.0322,16.7867,.08536]
M[84]=[.0291,16.8016,.08531]
M[85]=[.0259,16.8161,.08526]
M[86]=[.0228,16.8301,.08521]
M[87]=[.0197,16.8438,.08516]
M[88]=[.0167,16.8571,.08511]
M[89]=[.0137,16.8701,.08506]
M[90]=[.0107,16.8827,.08501]
M[91]=[.0077,16.895,.08496]
M[92]=[.0048,16.9069,.08492]
M[93]=[.0018,16.9186,.08487]
M[94]=[-.0011,16.9299,.08483]
M[95]=[-.0039,16.941,.08478]
M[96]=[-.0068,16.9518,.08474]
M[97]=[-.0096,16.9623,.0847]
M[98]=[-.0124,16.9725,.08465]
M[99]=[-.0151,16.9825,.08461]
M[100]=[-.0179,16.9923,.08457]
M[101]=[-.0206,17.0018,.08453]
M[102]=[-.0233,17.0111,.08449]
M[103]=[-.026,17.0201,.08445]
M[104]=[-.0287,17.029,.08441]
M[105]=[-.0313,17.0376,.08437]
M[106]=[-.0339,17.0461,.08433]
M[107]=[-.0365,17.0544,.08429]
M[108]=[-.0391,17.0624,.08426]
M[109]=[-.0416,17.0704,.08422]
M[110]=[-.0442,17.0781,.08418]
M[111]=[-.0467,17.0857,.08415]
M[112]=[-.0492,17.0931,.08411]
M[113]=[-.0517,17.1003,.08408]
M[114]=[-.0541,17.1074,.08404]
M[115]=[-.0566,17.1144,.08401]
M[116]=[-.059,17.1212,.08397]
M[117]=[-.0614,17.1279,.08394]
M[118]=[-.0638,17.1344,.08391]
M[119]=[-.0662,17.1409,.08387]
M[120]=[-.0686,17.1472,.08384]
M[121]=[-.0709,17.1533,.08381]
M[122]=[-.0732,17.1594,.08378]
M[123]=[-.0756,17.1653,.08375]
M[124]=[-.0779,17.1712,.08371]
M[125]=[-.0801,17.1769,.08368]
M[126]=[-.0824,17.1825,.08365]
M[127]=[-.0847,17.188,.08362]
M[128]=[-.0869,17.1934,.08359]
M[129]=[-.0891,17.1987,.08356]
M[130]=[-.0913,17.2038,.08354]
M[131]=[-.0935,17.2089,.08351]
M[132]=[-.0957,17.2138,.08348]
M[133]=[-.0979,17.2187,.08345]
M[134]=[-.1,17.2234,.08342]
M[135]=[-.1022,17.2281,.0834]
M[136]=[-.1043,17.2326,.08337]
M[137]=[-.1064,17.237,.08334]
M[138]=[-.1085,17.2414,.08332]
M[139]=[-.1106,17.2456,.08329]
M[140]=[-.1127,17.2497,.08326]
M[141]=[-.1147,17.2537,.08324]
M[142]=[-.1168,17.2576,.08321]
M[143]=[-.1188,17.2615,.08319]
M[144]=[-.1208,17.2652,.08316]
M[145]=[-.1229,17.2688,.08314]
M[146]=[-.1249,17.2723,.08311]
M[147]=[-.1269,17.2757,.08309]
M[148]=[-.1288,17.2791,.08306]
M[149]=[-.1308,17.2823,.08304]
M[150]=[-.1328,17.2854,.08302]
M[151]=[-.1347,17.2885,.08299]
M[152]=[-.1366,17.2914,.08297]
M[153]=[-.1386,17.2943,.08295]
M[154]=[-.1405,17.297,.08292]
M[155]=[-.1424,17.2997,.0829]
M[156]=[-.1443,17.3023,.08288]
M[157]=[-.1462,17.3048,.08285]
M[158]=[-.148,17.3072,.08283]
M[159]=[-.1499,17.3095,.08281]
M[160]=[-.1518,17.3117,.08279]
M[161]=[-.1536,17.3139,.08277]
M[162]=[-.1554,17.316,.08275]
M[163]=[-.1573,17.318,.08272]
M[164]=[-.1591,17.3199,.0827]
M[165]=[-.1609,17.3218,.08268]
M[166]=[-.1627,17.3235,.08266]
M[167]=[-.1645,17.3252,.08264]
M[168]=[-.1663,17.3268,.08262]
M[169]=[-.168,17.3284,.0826]
M[170]=[-.1698,17.3299,.08258]
M[171]=[-.1715,17.3313,.08256]
M[172]=[-.1733,17.3326,.08254]
M[173]=[-.175,17.3338,.08252]
M[174]=[-.1768,17.335,.0825]
M[175]=[-.1785,17.3361,.08248]
M[176]=[-.1802,17.3371,.08246]
M[177]=[-.1819,17.3381,.08244]
M[178]=[-.1836,17.339,.08242]
M[179]=[-.1853,17.3398,.08241]
M[180]=[-.187,17.3406,.08239]
M[181]=[-.1886,17.3412,.08237]
M[182]=[-.1903,17.3419,.08235]
M[183]=[-.1919,17.3424,.08233]
M[184]=[-.1936,17.3429,.08231]
M[185]=[-.1952,17.3433,.0823]
M[186]=[-.1969,17.3437,.08228]
M[187]=[-.1985,17.3439,.08226]
M[188]=[-.2001,17.3441,.08224]
M[189]=[-.2017,17.3443,.08222]
M[190]=[-.2033,17.3444,.08221]
M[191]=[-.2049,17.3444,.08219]
M[192]=[-.2065,17.3443,.08217]
M[193]=[-.2081,17.3442,.08216]
M[194]=[-.2097,17.344,.08214]
M[195]=[-.2112,17.3438,.08212]
M[196]=[-.2128,17.3434,.0821]
M[197]=[-.2144,17.3431,.08209]
M[198]=[-.2159,17.3426,.08207]
M[199]=[-.2174,17.3421,.08205]
M[200]=[-.219,17.3416,.08204]
M[201]=[-.2205,17.3409,.08202]
M[202]=[-.222,17.3402,.08201]
M[203]=[-.2235,17.3395,.08199]
M[204]=[-.2251,17.3387,.08197]
M[205]=[-.2266,17.3378,.08196]
M[206]=[-.2281,17.3369,.08194]
M[207]=[-.2295,17.3359,.08193]
M[208]=[-.231,17.3349,.08191]
M[209]=[-.2325,17.3338,.08189]
M[210]=[-.234,17.3326,.08188]
M[211]=[-.2354,17.3314,.08186]
M[212]=[-.2369,17.3302,.08185]
M[213]=[-.2384,17.3289,.08183]
M[214]=[-.2398,17.3275,.08182]
M[215]=[-.2413,17.3261,.0818]
M[216]=[-.2427,17.3246,.08179]
M[217]=[-.2441,17.323,.08177]
M[218]=[-.2456,17.3215,.08176]
M[219]=[-.247,17.3198,.08174]
M[220]=[-.2484,17.3181,.08173]
M[221]=[-.2498,17.3164,.08171]
M[222]=[-.2512,17.3146,.0817]
M[223]=[-.2526,17.3127,.08168]
M[224]=[-.254,17.3108,.08167]
M[225]=[-.2554,17.3089,.08165]
M[226]=[-.2568,17.3069,.08164]
M[227]=[-.2581,17.3048,.08163]
M[228]=[-.2595,17.3027,.08161]
M[229]=[-.2609,17.3006,.0816]
M[230]=[-.2622,17.2984,.08158]
M[231]=[-.2636,17.2962,.08157]
M[232]=[-.265,17.2939,.08155]
M[233]=[-.2663,17.2916,.08154]
M[234]=[-.2676,17.2892,.08153]
M[235]=[-.269,17.2868,.08151]
M[236]=[-.2703,17.2844,.0815]
M[237]=[-.2716,17.2819,.08149]
M[238]=[-.273,17.2794,.08147]
M[239]=[-.2743,17.2768,.08146]
M[240]=[-.2756,17.2742,.08145]
M[241]=[-.2769,17.2715,.08143]
M[242]=[-.2782,17.2688,.08142]
M[243]=[-.2795,17.2661,.08141]
M[244]=[-.2808,17.2633,.08139]
M[245]=[-.2821,17.2605,.08138]
M[246]=[-.2834,17.2577,.08137]
M[247]=[-.2847,17.2548,.08135]
M[248]=[-.2859,17.2519,.08134]
M[249]=[-.2872,17.249,.08133]
M[250]=[-.2885,17.246,.08131]
M[251]=[-.2898,17.243,.0813]
M[252]=[-.291,17.2399,.08129]
M[253]=[-.2923,17.2368,.08128]
M[254]=[-.2935,17.2337,.08126]
M[255]=[-.2948,17.2306,.08125]
M[256]=[-.296,17.2274,.08124]
M[257]=[-.2972,17.2242,.08122]
M[258]=[-.2985,17.221,.08121]
M[259]=[-.2997,17.2177,.0812]
M[260]=[-.3009,17.2144,.08119]
M[261]=[-.3022,17.2111,.08117]
M[262]=[-.3034,17.2078,.08116]
M[263]=[-.3046,17.2044,.08115]
M[264]=[-.3058,17.2011,.08114]
M[265]=[-.307,17.1976,.08113]
M[266]=[-.3082,17.1942,.08111]
M[267]=[-.3094,17.1908,.0811]
M[268]=[-.3106,17.1873,.08109]
M[269]=[-.3118,17.1838,.08108]
M[270]=[-.313,17.1803,.08107]
M[271]=[-.3142,17.1767,.08105]
M[272]=[-.3153,17.1731,.08104]
M[273]=[-.3165,17.1696,.08103]
M[274]=[-.3177,17.1659,.08102]
M[275]=[-.3189,17.1623,.08101]
M[276]=[-.32,17.1587,.08099]
M[277]=[-.3212,17.155,.08098]
M[278]=[-.3223,17.1513,.08097]
M[279]=[-.3235,17.1476,.08096]
M[280]=[-.3246,17.1439,.08095]
M[281]=[-.3258,17.1402,.08094]
M[282]=[-.3269,17.1364,.08093]
M[283]=[-.3281,17.1326,.08091]
M[284]=[-.3292,17.1288,.0809]
M[285]=[-.3303,17.125,.08089]
M[286]=[-.3315,17.1212,.08088]
M[287]=[-.3326,17.1174,.08087]
M[288]=[-.3337,17.1135,.08086]
M[289]=[-.3348,17.1097,.08085]
M[290]=[-.3359,17.1058,.08084]
M[291]=[-.3371,17.1019,.08082]
M[292]=[-.3382,17.098,.08081]
M[293]=[-.3393,17.0941,.0808]
M[294]=[-.3404,17.0901,.08079]
M[295]=[-.3415,17.0862,.08078]
M[296]=[-.3426,17.0823,.08077]
M[297]=[-.3437,17.0783,.08076]
M[298]=[-.3448,17.0743,.08075]
M[299]=[-.3458,17.0703,.08074]
M[300]=[-.3469,17.0663,.08073]
M[301]=[-.348,17.0623,.08071]
M[302]=[-.3491,17.0583,.0807]
M[303]=[-.3502,17.0543,.08069]
M[304]=[-.3512,17.0503,.08068]
M[305]=[-.3523,17.0463,.08067]
M[306]=[-.3534,17.0422,.08066]
M[307]=[-.3544,17.0382,.08065]
M[308]=[-.3555,17.0341,.08064]
M[309]=[-.3565,17.0301,.08063]
M[310]=[-.3576,17.026,.08062]
M[311]=[-.3586,17.0219,.08061]
M[312]=[-.3597,17.0178,.0806]
M[313]=[-.3607,17.0138,.08059]
M[314]=[-.3618,17.0097,.08058]
M[315]=[-.3628,17.0056,.08057]
M[316]=[-.3638,17.0015,.08056]
M[317]=[-.3649,16.9974,.08055]
M[318]=[-.3659,16.9933,.08054]
M[319]=[-.3669,16.9892,.08053]
M[320]=[-.3679,16.985,.08052]
M[321]=[-.369,16.9809,.08051]
M[322]=[-.37,16.9768,.0805]
M[323]=[-.371,16.9727,.08049]
M[324]=[-.372,16.9686,.08048]
M[325]=[-.373,16.9644,.08047]
M[326]=[-.374,16.9603,.08046]
M[327]=[-.375,16.9562,.08045]
M[328]=[-.376,16.9521,.08044]
M[329]=[-.377,16.9479,.08043]
M[330]=[-.378,16.9438,.08042]
M[331]=[-.379,16.9397,.08041]
M[332]=[-.38,16.9355,.0804]
M[333]=[-.381,16.9314,.08039]
M[334]=[-.382,16.9273,.08038]
M[335]=[-.383,16.9231,.08037]
M[336]=[-.3839,16.919,.08036]
M[337]=[-.3849,16.9148,.08035]
M[338]=[-.3859,16.9107,.08034]
M[339]=[-.3869,16.9066,.08033]
M[340]=[-.3878,16.9024,.08032]
M[341]=[-.3888,16.8983,.08031]
M[342]=[-.3898,16.8942,.0803]
M[343]=[-.3907,16.89,.08029]
M[344]=[-.3917,16.8859,.08028]
M[345]=[-.3926,16.8817,.08027]
M[346]=[-.3936,16.8776,.08026]
M[347]=[-.3945,16.8735,.08025]
M[348]=[-.3955,16.8693,.08024]
M[349]=[-.3964,16.8652,.08023]
M[350]=[-.3974,16.861,.08022]
M[351]=[-.3983,16.8569,.08022]
M[352]=[-.3993,16.8528,.08021]
M[353]=[-.4002,16.8486,.0802]
M[354]=[-.4011,16.8445,.08019]
M[355]=[-.4021,16.8404,.08018]
M[356]=[-.403,16.8363,.08017]
M[357]=[-.4039,16.8321,.08016]
M[358]=[-.4049,16.828,.08015]
M[359]=[-.4058,16.8239,.08014]
M[360]=[-.4067,16.8198,.08013]
M[361]=[-.4076,16.8156,.08012]
M[362]=[-.4085,16.8115,.08011]
M[363]=[-.4095,16.8074,.08011]
M[364]=[-.4104,16.8033,.0801]
M[365]=[-.4113,16.7992,.08009]
M[366]=[-.4122,16.7951,.08008]
M[367]=[-.4131,16.7909,.08007]
M[368]=[-.414,16.7868,.08006]
M[369]=[-.4149,16.7827,.08005]
M[370]=[-.4158,16.7786,.08004]
M[371]=[-.4167,16.7745,.08003]
M[372]=[-.4176,16.7704,.08003]
M[373]=[-.4185,16.7663,.08002]
M[374]=[-.4194,16.7622,.08001]
M[375]=[-.4203,16.7582,.08]
M[376]=[-.4211,16.7541,.07999]
M[377]=[-.422,16.75,.07998]
M[378]=[-.4229,16.7459,.07997]
M[379]=[-.4238,16.7418,.07996]
M[380]=[-.4247,16.7377,.07996]
M[381]=[-.4255,16.7337,.07995]
M[382]=[-.4264,16.7296,.07994]
M[383]=[-.4273,16.7255,.07993]
M[384]=[-.4282,16.7215,.07992]
M[385]=[-.429,16.7174,.07991]
M[386]=[-.4299,16.7134,.0799]
M[387]=[-.4308,16.7093,.0799]
M[388]=[-.4316,16.7053,.07989]
M[389]=[-.4325,16.7012,.07988]
M[390]=[-.4333,16.6972,.07987]
M[391]=[-.4342,16.6932,.07986]
M[392]=[-.435,16.6891,.07985]
M[393]=[-.4359,16.6851,.07984]
M[394]=[-.4367,16.6811,.07984]
M[395]=[-.4376,16.6771,.07983]
M[396]=[-.4384,16.6731,.07982]
M[397]=[-.4393,16.6691,.07981]
M[398]=[-.4401,16.6651,.0798]
M[399]=[-.441,16.6611,.0798]
M[400]=[-.4418,16.6571,.07979]
M[401]=[-.4426,16.6531,.07978]
M[402]=[-.4435,16.6491,.07977]
M[403]=[-.4443,16.6451,.07976]
M[404]=[-.4451,16.6412,.07975]
M[405]=[-.446,16.6372,.07975]
M[406]=[-.4468,16.6332,.07974]
M[407]=[-.4476,16.6293,.07973]
M[408]=[-.4484,16.6253,.07972]
M[409]=[-.4493,16.6214,.07971]
M[410]=[-.4501,16.6175,.07971]
M[411]=[-.4509,16.6135,.0797]
M[412]=[-.4517,16.6096,.07969]
M[413]=[-.4525,16.6057,.07968]
M[414]=[-.4533,16.6018,.07967]
M[415]=[-.4541,16.5979,.07966]
M[416]=[-.455,16.594,.07966]
M[417]=[-.4558,16.5901,.07965]
M[418]=[-.4566,16.5862,.07964]
M[419]=[-.4574,16.5823,.07963]
M[420]=[-.4582,16.5784,.07963]
M[421]=[-.459,16.5745,.07962]
M[422]=[-.4598,16.5707,.07961]
M[423]=[-.4606,16.5668,.0796]
M[424]=[-.4614,16.5629,.07959]
M[425]=[-.4621,16.5591,.07959]
M[426]=[-.4629,16.5553,.07958]
M[427]=[-.4637,16.5514,.07957]
M[428]=[-.4645,16.5476,.07956]
M[429]=[-.4653,16.5438,.07955]
M[430]=[-.4661,16.5399,.07955]
M[431]=[-.4669,16.5361,.07954]
M[432]=[-.4677,16.5323,.07953]
M[433]=[-.4684,16.5285,.07952]
M[434]=[-.4692,16.5247,.07952]
M[435]=[-.47,16.5209,.07951]
M[436]=[-.4708,16.5172,.0795]
M[437]=[-.4715,16.5134,.07949]
M[438]=[-.4723,16.5096,.07949]
M[439]=[-.4731,16.5059,.07948]
M[440]=[-.4738,16.5021,.07947]
M[441]=[-.4746,16.4984,.07946]
M[442]=[-.4754,16.4946,.07946]
M[443]=[-.4761,16.4909,.07945]
M[444]=[-.4769,16.4871,.07944]
M[445]=[-.4777,16.4834,.07943]
M[446]=[-.4784,16.4797,.07943]
M[447]=[-.4792,16.476,.07942]
M[448]=[-.4799,16.4723,.07941]
M[449]=[-.4807,16.4686,.0794]
M[450]=[-.4814,16.4649,.0794]
M[451]=[-.4822,16.4612,.07939]
M[452]=[-.4829,16.4576,.07938]
M[453]=[-.4837,16.4539,.07937]
M[454]=[-.4844,16.4502,.07937]
M[455]=[-.4852,16.4466,.07936]
M[456]=[-.4859,16.4429,.07935]
M[457]=[-.4867,16.4393,.07934]
M[458]=[-.4874,16.4357,.07934]
M[459]=[-.4881,16.432,.07933]
M[460]=[-.4889,16.4284,.07932]
M[461]=[-.4896,16.4248,.07931]
M[462]=[-.4903,16.4212,.07931]
M[463]=[-.4911,16.4176,.0793]
M[464]=[-.4918,16.414,.07929]
M[465]=[-.4925,16.4104,.07929]
M[466]=[-.4933,16.4069,.07928]
M[467]=[-.494,16.4033,.07927]
M[468]=[-.4947,16.3997,.07926]
M[469]=[-.4954,16.3962,.07926]
M[470]=[-.4962,16.3926,.07925]
M[471]=[-.4969,16.3891,.07924]
M[472]=[-.4976,16.3856,.07924]
M[473]=[-.4983,16.3821,.07923]
M[474]=[-.499,16.3785,.07922]
M[475]=[-.4997,16.375,.07921]
M[476]=[-.5005,16.3715,.07921]
M[477]=[-.5012,16.368,.0792]
M[478]=[-.5019,16.3646,.07919]
M[479]=[-.5026,16.3611,.07919]
M[480]=[-.5033,16.3576,.07918]
M[481]=[-.504,16.3541,.07917]
M[482]=[-.5047,16.3507,.07916]
M[483]=[-.5054,16.3472,.07916]
M[484]=[-.5061,16.3438,.07915]
M[485]=[-.5068,16.3404,.07914]
M[486]=[-.5075,16.3369,.07914]
M[487]=[-.5082,16.3335,.07913]
M[488]=[-.5089,16.3301,.07912]
M[489]=[-.5096,16.3267,.07912]
M[490]=[-.5103,16.3233,.07911]
M[491]=[-.511,16.3199,.0791]
M[492]=[-.5117,16.3165,.07909]
M[493]=[-.5124,16.3131,.07909]
M[494]=[-.5131,16.3098,.07908]
M[495]=[-.5138,16.3064,.07907]
M[496]=[-.5144,16.3031,.07907]
M[497]=[-.5151,16.2997,.07906]
M[498]=[-.5158,16.2964,.07905]
M[499]=[-.5165,16.293,.07905]
M[500]=[-.5172,16.2897,.07904]
M[501]=[-.5179,16.2864,.07903]
M[502]=[-.5185,16.2831,.07903]
M[503]=[-.5192,16.2798,.07902]
M[504]=[-.5199,16.2765,.07901]
M[505]=[-.5206,16.2732,.07901]
M[506]=[-.5212,16.2699,.079]
M[507]=[-.5219,16.2666,.07899]
M[508]=[-.5226,16.2634,.07899]
M[509]=[-.5233,16.2601,.07898]
M[510]=[-.5239,16.2568,.07897]
M[511]=[-.5246,16.2536,.07897]
M[512]=[-.5253,16.2504,.07896]
M[513]=[-.5259,16.2471,.07895]
M[514]=[-.5266,16.2439,.07895]
M[515]=[-.5273,16.2407,.07894]
M[516]=[-.5279,16.2375,.07893]
M[517]=[-.5286,16.2343,.07893]
M[518]=[-.5292,16.2311,.07892]
M[519]=[-.5299,16.2279,.07891]
M[520]=[-.5306,16.2247,.07891]
M[521]=[-.5312,16.2215,.0789]
M[522]=[-.5319,16.2184,.07889]
M[523]=[-.5325,16.2152,.07889]
M[524]=[-.5332,16.2121,.07888]
M[525]=[-.5338,16.2089,.07887]
M[526]=[-.5345,16.2058,.07887]
M[527]=[-.5351,16.2027,.07886]
M[528]=[-.5358,16.1996,.07885]
M[529]=[-.5364,16.1964,.07885]
M[530]=[-.5371,16.1933,.07884]
M[531]=[-.5377,16.1902,.07883]
M[532]=[-.5383,16.1872,.07883]
M[533]=[-.539,16.1841,.07882]
M[534]=[-.5396,16.181,.07881]
M[535]=[-.5403,16.1779,.07881]
M[536]=[-.5409,16.1749,.0788]
M[537]=[-.5415,16.1718,.0788]
M[538]=[-.5422,16.1688,.07879]
M[539]=[-.5428,16.1658,.07878]
M[540]=[-.5434,16.1627,.07878]
M[541]=[-.5441,16.1597,.07877]
M[542]=[-.5447,16.1567,.07876]
M[543]=[-.5453,16.1537,.07876]
M[544]=[-.546,16.1507,.07875]
M[545]=[-.5466,16.1477,.07874]
M[546]=[-.5472,16.1447,.07874]
M[547]=[-.5479,16.1418,.07873]
M[548]=[-.5485,16.1388,.07873]
M[549]=[-.5491,16.1359,.07872]
M[550]=[-.5497,16.1329,.07871]
M[551]=[-.5503,16.13,.07871]
M[552]=[-.551,16.127,.0787]
M[553]=[-.5516,16.1241,.07869]
M[554]=[-.5522,16.1212,.07869]
M[555]=[-.5528,16.1183,.07868]
M[556]=[-.5534,16.1154,.07867]
M[557]=[-.5541,16.1125,.07867]
M[558]=[-.5547,16.1096,.07866]
M[559]=[-.5553,16.1067,.07866]
M[560]=[-.5559,16.1039,.07865]
M[561]=[-.5565,16.101,.07864]
M[562]=[-.5571,16.0981,.07864]
M[563]=[-.5577,16.0953,.07863]
M[564]=[-.5583,16.0925,.07863]
M[565]=[-.5589,16.0896,.07862]
M[566]=[-.5595,16.0868,.07861]
M[567]=[-.5602,16.084,.07861]
M[568]=[-.5608,16.0812,.0786]
M[569]=[-.5614,16.0784,.07859]
M[570]=[-.562,16.0756,.07859]
M[571]=[-.5626,16.0728,.07858]
M[572]=[-.5632,16.0701,.07858]
M[573]=[-.5638,16.0673,.07857]
M[574]=[-.5644,16.0646,.07856]
M[575]=[-.565,16.0618,.07856]
M[576]=[-.5656,16.0591,.07855]
M[577]=[-.5662,16.0564,.07855]
M[578]=[-.5667,16.0536,.07854]
M[579]=[-.5673,16.0509,.07853]
M[580]=[-.5679,16.0482,.07853]
M[581]=[-.5685,16.0455,.07852]
M[582]=[-.5691,16.0429,.07852]
M[583]=[-.5697,16.0402,.07851]
M[584]=[-.5703,16.0375,.0785]
M[585]=[-.5709,16.0349,.0785]
M[586]=[-.5715,16.0322,.07849]
M[587]=[-.5721,16.0296,.07849]
M[588]=[-.5726,16.0269,.07848]
M[589]=[-.5732,16.0243,.07847]
M[590]=[-.5738,16.0217,.07847]
M[591]=[-.5744,16.0191,.07846]
M[592]=[-.575,16.0165,.07846]
M[593]=[-.5755,16.0139,.07845]
M[594]=[-.5761,16.0113,.07844]
M[595]=[-.5767,16.0088,.07844]
M[596]=[-.5773,16.0062,.07843]
M[597]=[-.5779,16.0036,.07843]
M[598]=[-.5784,16.0011,.07842]
M[599]=[-.579,15.9986,.07841]
M[600]=[-.5796,15.996,.07841]
M[601]=[-.5802,15.9935,.0784]
M[602]=[-.5807,15.991,.0784]
M[603]=[-.5813,15.9885,.07839]
M[604]=[-.5819,15.986,.07838]
M[605]=[-.5824,15.9835,.07838]
M[606]=[-.583,15.9811,.07837]
M[607]=[-.5836,15.9786,.07837]
M[608]=[-.5841,15.9761,.07836]
M[609]=[-.5847,15.9737,.07836]
M[610]=[-.5853,15.9713,.07835]
M[611]=[-.5858,15.9688,.07834]
M[612]=[-.5864,15.9664,.07834]
M[613]=[-.587,15.964,.07833]
M[614]=[-.5875,15.9616,.07833]
M[615]=[-.5881,15.9592,.07832]
M[616]=[-.5886,15.9568,.07832]
M[617]=[-.5892,15.9544,.07831]
M[618]=[-.5898,15.9521,.0783]
M[619]=[-.5903,15.9497,.0783]
M[620]=[-.5909,15.9473,.07829]
M[621]=[-.5914,15.945,.07829]
M[622]=[-.592,15.9427,.07828]
M[623]=[-.5925,15.9403,.07827]
M[624]=[-.5931,15.938,.07827]
M[625]=[-.5936,15.9357,.07826]
M[626]=[-.5942,15.9334,.07826]
M[627]=[-.5947,15.9311,.07825]
M[628]=[-.5953,15.9288,.07825]
M[629]=[-.5958,15.9266,.07824]
M[630]=[-.5964,15.9243,.07824]
M[631]=[-.5969,15.922,.07823]
M[632]=[-.5975,15.9198,.07822]
M[633]=[-.598,15.9176,.07822]
M[634]=[-.5986,15.9153,.07821]
M[635]=[-.5991,15.9131,.07821]
M[636]=[-.5996,15.9109,.0782]
M[637]=[-.6002,15.9087,.0782]
M[638]=[-.6007,15.9065,.07819]
M[639]=[-.6013,15.9043,.07818]
M[640]=[-.6018,15.9021,.07818]
M[641]=[-.6023,15.9,.07817]
M[642]=[-.6029,15.8978,.07817]
M[643]=[-.6034,15.8956,.07816]
M[644]=[-.604,15.8935,.07816]
M[645]=[-.6045,15.8913,.07815]
M[646]=[-.605,15.8892,.07815]
M[647]=[-.6056,15.8871,.07814]
M[648]=[-.6061,15.885,.07813]
M[649]=[-.6066,15.8829,.07813]
M[650]=[-.6072,15.8808,.07812]
M[651]=[-.6077,15.8787,.07812]
M[652]=[-.6082,15.8766,.07811]
M[653]=[-.6087,15.8745,.07811]
M[654]=[-.6093,15.8725,.0781]
M[655]=[-.6098,15.8704,.0781]
M[656]=[-.6103,15.8684,.07809]
M[657]=[-.6109,15.8663,.07809]
M[658]=[-.6114,15.8643,.07808]
M[659]=[-.6119,15.8623,.07807]
M[660]=[-.6124,15.8602,.07807]
M[661]=[-.613,15.8582,.07806]
M[662]=[-.6135,15.8562,.07806]
M[663]=[-.614,15.8542,.07805]
M[664]=[-.6145,15.8522,.07805]
M[665]=[-.615,15.8503,.07804]
M[666]=[-.6156,15.8483,.07804]
M[667]=[-.6161,15.8463,.07803]
M[668]=[-.6166,15.8444,.07803]
M[669]=[-.6171,15.8424,.07802]
M[670]=[-.6176,15.8405,.07802]
M[671]=[-.6181,15.8385,.07801]
M[672]=[-.6187,15.8366,.078]
M[673]=[-.6192,15.8347,.078]
M[674]=[-.6197,15.8328,.07799]
M[675]=[-.6202,15.8309,.07799]
M[676]=[-.6207,15.829,.07798]
M[677]=[-.6212,15.8271,.07798]
M[678]=[-.6217,15.8252,.07797]
M[679]=[-.6222,15.8233,.07797]
M[680]=[-.6227,15.8214,.07796]
M[681]=[-.6233,15.8196,.07796]
M[682]=[-.6238,15.8177,.07795]
M[683]=[-.6243,15.8158,.07795]
M[684]=[-.6248,15.814,.07794]
M[685]=[-.6253,15.8122,.07794]
M[686]=[-.6258,15.8103,.07793]
M[687]=[-.6263,15.8085,.07792]
M[688]=[-.6268,15.8067,.07792]
M[689]=[-.6273,15.8049,.07791]
M[690]=[-.6278,15.8031,.07791]
M[691]=[-.6283,15.8013,.0779]
M[692]=[-.6288,15.7995,.0779]
M[693]=[-.6293,15.7977,.07789]
M[694]=[-.6298,15.7959,.07789]
M[695]=[-.6303,15.7941,.07788]
M[696]=[-.6308,15.7924,.07788]
M[697]=[-.6313,15.7906,.07787]
M[698]=[-.6318,15.7888,.07787]
M[699]=[-.6323,15.7871,.07786]
M[700]=[-.6328,15.7853,.07786]
M[701]=[-.6333,15.7836,.07785]
M[702]=[-.6338,15.7819,.07785]
M[703]=[-.6343,15.7802,.07784]
M[704]=[-.6348,15.7784,.07784]
M[705]=[-.6352,15.7767,.07783]
M[706]=[-.6357,15.775,.07783]
M[707]=[-.6362,15.7733,.07782]
M[708]=[-.6367,15.7716,.07782]
M[709]=[-.6372,15.7699,.07781]
M[710]=[-.6377,15.7682,.07781]
M[711]=[-.6382,15.7665,.0778]
M[712]=[-.6387,15.7649,.0778]
M[713]=[-.6392,15.7632,.07779]
M[714]=[-.6396,15.7615,.07779]
M[715]=[-.6401,15.7599,.07778]
M[716]=[-.6406,15.7582,.07778]
M[717]=[-.6411,15.7566,.07777]
M[718]=[-.6416,15.7549,.07777]
M[719]=[-.6421,15.7533,.07776]
M[720]=[-.6425,15.7517,.07776]
M[721]=[-.643,15.75,.07775]
M[722]=[-.6435,15.7484,.07775]
M[723]=[-.644,15.7468,.07774]
M[724]=[-.6445,15.7452,.07774]
M[725]=[-.6449,15.7436,.07773]
M[726]=[-.6454,15.742,.07773]
M[727]=[-.6459,15.7404,.07772]
M[728]=[-.6464,15.7388,.07772]
M[729]=[-.6469,15.7372,.07771]
M[730]=[-.6473,15.7356,.07771]
M[731]=[-.6187,16.0189,.07785]
M[732]=[-.6175,16.0176,.07785]
M[733]=[-.6164,16.0163,.07785]
M[734]=[-.6152,16.015,.07785]
M[735]=[-.614,16.0136,.07786]
M[736]=[-.6129,16.0123,.07786]
M[737]=[-.6117,16.011,.07786]
M[738]=[-.6105,16.0097,.07786]
M[739]=[-.6094,16.0084,.07787]
M[740]=[-.6082,16.0071,.07787]
M[741]=[-.607,16.0058,.07787]
M[742]=[-.6059,16.0045,.07787]
M[743]=[-.6047,16.0032,.07787]
M[744]=[-.6036,16.0019,.07788]
M[745]=[-.6024,16.0006,.07788]
M[746]=[-.6012,15.9993,.07788]
M[747]=[-.6001,15.998,.07788]
M[748]=[-.5989,15.9967,.07789]
M[749]=[-.5978,15.9954,.07789]
M[750]=[-.5966,15.9941,.07789]
M[751]=[-.5955,15.9928,.07789]
M[752]=[-.5943,15.9915,.07789]
M[753]=[-.5932,15.9902,.0779]
M[754]=[-.592,15.9889,.0779]
M[755]=[-.5909,15.9876,.0779]
M[756]=[-.5897,15.9863,.0779]
M[757]=[-.5886,15.985,.07791]
M[758]=[-.5874,15.9838,.07791]
M[759]=[-.5863,15.9825,.07791]
M[760]=[-.5851,15.9812,.07791]
M[761]=[-.584,15.9799,.07792]
M[762]=[-.5828,15.9786,.07792]
M[763]=[-.5817,15.9773,.07792]
M[764]=[-.5805,15.976,.07792]
M[765]=[-.5794,15.9748,.07793]
M[766]=[-.5783,15.9735,.07793]
M[767]=[-.5771,15.9722,.07793]
M[768]=[-.576,15.9709,.07793]
M[769]=[-.5748,15.9697,.07794]
M[770]=[-.5737,15.9684,.07794]
M[771]=[-.5726,15.9671,.07794]
M[772]=[-.5714,15.9658,.07794]
M[773]=[-.5703,15.9646,.07795]
M[774]=[-.5692,15.9633,.07795]
M[775]=[-.568,15.962,.07795]
M[776]=[-.5669,15.9607,.07795]
M[777]=[-.5658,15.9595,.07796]
M[778]=[-.5647,15.9582,.07796]
M[779]=[-.5635,15.9569,.07796]
M[780]=[-.5624,15.9557,.07796]
M[781]=[-.5613,15.9544,.07797]
M[782]=[-.5602,15.9532,.07797]
M[783]=[-.559,15.9519,.07797]
M[784]=[-.5579,15.9506,.07798]
M[785]=[-.5568,15.9494,.07798]
M[786]=[-.5557,15.9481,.07798]
M[787]=[-.5546,15.9468,.07798]
M[788]=[-.5535,15.9456,.07799]
M[789]=[-.5523,15.9443,.07799]
M[790]=[-.5512,15.9431,.07799]
M[791]=[-.5501,15.9418,.07799]
M[792]=[-.549,15.9406,.078]
M[793]=[-.5479,15.9393,.078]
M[794]=[-.5468,15.9381,.078]
M[795]=[-.5457,15.9368,.07801]
M[796]=[-.5446,15.9356,.07801]
M[797]=[-.5435,15.9343,.07801]
M[798]=[-.5424,15.9331,.07801]
M[799]=[-.5413,15.9318,.07802]
M[800]=[-.5402,15.9306,.07802]
M[801]=[-.5391,15.9293,.07802]
M[802]=[-.538,15.9281,.07803]
M[803]=[-.5369,15.9268,.07803]
M[804]=[-.5358,15.9256,.07803]
M[805]=[-.5347,15.9244,.07803]
M[806]=[-.5336,15.9231,.07804]
M[807]=[-.5325,15.9219,.07804]
M[808]=[-.5315,15.9206,.07804]
M[809]=[-.5304,15.9194,.07805]
M[810]=[-.5293,15.9182,.07805]
M[811]=[-.5282,15.9169,.07805]
M[812]=[-.5271,15.9157,.07805]
M[813]=[-.526,15.9145,.07806]
M[814]=[-.525,15.9132,.07806]
M[815]=[-.5239,15.912,.07806]
M[816]=[-.5228,15.9108,.07807]
M[817]=[-.5217,15.9095,.07807]
M[818]=[-.5207,15.9083,.07807]
M[819]=[-.5196,15.9071,.07808]
M[820]=[-.5185,15.9058,.07808]
M[821]=[-.5175,15.9046,.07808]
M[822]=[-.5164,15.9034,.07809]
M[823]=[-.5153,15.9022,.07809]
M[824]=[-.5143,15.9009,.07809]
M[825]=[-.5132,15.8997,.07809]
M[826]=[-.5122,15.8985,.0781]
M[827]=[-.5111,15.8973,.0781]
M[828]=[-.5101,15.8961,.0781]
M[829]=[-.509,15.8948,.07811]
M[830]=[-.508,15.8936,.07811]
M[831]=[-.5069,15.8924,.07811]
M[832]=[-.5059,15.8912,.07812]
M[833]=[-.5048,15.89,.07812]
M[834]=[-.5038,15.8888,.07812]
M[835]=[-.5027,15.8875,.07813]
M[836]=[-.5017,15.8863,.07813]
M[837]=[-.5006,15.8851,.07813]
M[838]=[-.4996,15.8839,.07814]
M[839]=[-.4986,15.8827,.07814]
M[840]=[-.4975,15.8815,.07814]
M[841]=[-.4965,15.8803,.07815]
M[842]=[-.4955,15.8791,.07815]
M[843]=[-.4944,15.8779,.07815]
M[844]=[-.4934,15.8767,.07816]
M[845]=[-.4924,15.8755,.07816]
M[846]=[-.4914,15.8742,.07816]
M[847]=[-.4904,15.873,.07817]
M[848]=[-.4893,15.8718,.07817]
M[849]=[-.4883,15.8706,.07817]
M[850]=[-.4873,15.8694,.07818]
M[851]=[-.4863,15.8682,.07818]
M[852]=[-.4853,15.867,.07818]
M[853]=[-.4843,15.8658,.07819]
M[854]=[-.4833,15.8646,.07819]
M[855]=[-.4823,15.8634,.07819]
M[856]=[-.4813,15.8622,.0782]
M[857]=[-.4803,15.8611,.0782]
M[858]=[-.4793,15.8599,.0782]
M[859]=[-.4783,15.8587,.07821]
M[860]=[-.4773,15.8575,.07821]
M[861]=[-.4763,15.8563,.07821]
M[862]=[-.4753,15.8551,.07822]
M[863]=[-.4743,15.8539,.07822]
M[864]=[-.4733,15.8527,.07822]
M[865]=[-.4723,15.8515,.07823]
M[866]=[-.4713,15.8503,.07823]
M[867]=[-.4704,15.8491,.07824]
M[868]=[-.4694,15.848,.07824]
M[869]=[-.4684,15.8468,.07824]
M[870]=[-.4674,15.8456,.07825]
M[871]=[-.4665,15.8444,.07825]
M[872]=[-.4655,15.8432,.07825]
M[873]=[-.4645,15.842,.07826]
M[874]=[-.4636,15.8409,.07826]
M[875]=[-.4626,15.8397,.07826]
M[876]=[-.4616,15.8385,.07827]
M[877]=[-.4607,15.8373,.07827]
M[878]=[-.4597,15.8361,.07828]
M[879]=[-.4587,15.835,.07828]
M[880]=[-.4578,15.8338,.07828]
M[881]=[-.4568,15.8326,.07829]
M[882]=[-.4559,15.8314,.07829]
M[883]=[-.4549,15.8303,.07829]
M[884]=[-.454,15.8291,.0783]
M[885]=[-.4531,15.8279,.0783]
M[886]=[-.4521,15.8267,.07831]
M[887]=[-.4512,15.8256,.07831]
M[888]=[-.4502,15.8244,.07831]
M[889]=[-.4493,15.8232,.07832]
M[890]=[-.4484,15.8221,.07832]
M[891]=[-.4474,15.8209,.07832]
M[892]=[-.4465,15.8197,.07833]
M[893]=[-.4456,15.8186,.07833]
M[894]=[-.4446,15.8174,.07834]
M[895]=[-.4437,15.8162,.07834]
M[896]=[-.4428,15.8151,.07834]
M[897]=[-.4419,15.8139,.07835]
M[898]=[-.441,15.8127,.07835]
M[899]=[-.4401,15.8116,.07835]
M[900]=[-.4391,15.8104,.07836]
M[901]=[-.4382,15.8093,.07836]
M[902]=[-.4373,15.8081,.07837]
M[903]=[-.4364,15.8069,.07837]
M[904]=[-.4355,15.8058,.07837]
M[905]=[-.4346,15.8046,.07838]
M[906]=[-.4337,15.8035,.07838]
M[907]=[-.4328,15.8023,.07839]
M[908]=[-.4319,15.8012,.07839]
M[909]=[-.431,15.8,.07839]
M[910]=[-.4301,15.7989,.0784]
M[911]=[-.4293,15.7977,.0784]
M[912]=[-.4284,15.7966,.07841]
M[913]=[-.4275,15.7954,.07841]
M[914]=[-.4266,15.7943,.07841]
M[915]=[-.4257,15.7931,.07842]
M[916]=[-.4249,15.792,.07842]
M[917]=[-.424,15.7908,.07843]
M[918]=[-.4231,15.7897,.07843]
M[919]=[-.4222,15.7885,.07843]
M[920]=[-.4214,15.7874,.07844]
M[921]=[-.4205,15.7862,.07844]
M[922]=[-.4196,15.7851,.07845]
M[923]=[-.4188,15.7839,.07845]
M[924]=[-.4179,15.7828,.07845]
M[925]=[-.4171,15.7817,.07846]
M[926]=[-.4162,15.7805,.07846]
M[927]=[-.4154,15.7794,.07847]
M[928]=[-.4145,15.7782,.07847]
M[929]=[-.4137,15.7771,.07848]
M[930]=[-.4128,15.776,.07848]
M[931]=[-.412,15.7748,.07848]
M[932]=[-.4111,15.7737,.07849]
M[933]=[-.4103,15.7726,.07849]
M[934]=[-.4095,15.7714,.0785]
M[935]=[-.4086,15.7703,.0785]
M[936]=[-.4078,15.7692,.0785]
M[937]=[-.407,15.768,.07851]
M[938]=[-.4062,15.7669,.07851]
M[939]=[-.4053,15.7658,.07852]
M[940]=[-.4045,15.7646,.07852]
M[941]=[-.4037,15.7635,.07853]
M[942]=[-.4029,15.7624,.07853]
M[943]=[-.4021,15.7612,.07853]
M[944]=[-.4013,15.7601,.07854]
M[945]=[-.4005,15.759,.07854]
M[946]=[-.3997,15.7579,.07855]
M[947]=[-.3988,15.7567,.07855]
M[948]=[-.398,15.7556,.07856]
M[949]=[-.3973,15.7545,.07856]
M[950]=[-.3965,15.7534,.07857]
M[951]=[-.3957,15.7522,.07857]
M[952]=[-.3949,15.7511,.07857]
M[953]=[-.3941,15.75,.07858]
M[954]=[-.3933,15.7489,.07858]
M[955]=[-.3925,15.7478,.07859]
M[956]=[-.3917,15.7466,.07859]
M[957]=[-.391,15.7455,.0786]
M[958]=[-.3902,15.7444,.0786]
M[959]=[-.3894,15.7433,.07861]
M[960]=[-.3886,15.7422,.07861]
M[961]=[-.3879,15.7411,.07861]
M[962]=[-.3871,15.74,.07862]
M[963]=[-.3864,15.7388,.07862]
M[964]=[-.3856,15.7377,.07863]
M[965]=[-.3848,15.7366,.07863]
M[966]=[-.3841,15.7355,.07864]
M[967]=[-.3833,15.7344,.07864]
M[968]=[-.3826,15.7333,.07865]
M[969]=[-.3818,15.7322,.07865]
M[970]=[-.3811,15.7311,.07865]
M[971]=[-.3804,15.73,.07866]
M[972]=[-.3796,15.7289,.07866]
M[973]=[-.3789,15.7278,.07867]
M[974]=[-.3782,15.7267,.07867]
M[975]=[-.3774,15.7256,.07868]
M[976]=[-.3767,15.7245,.07868]
M[977]=[-.376,15.7234,.07869]
M[978]=[-.3753,15.7222,.07869]
M[979]=[-.3745,15.7211,.0787]
M[980]=[-.3738,15.72,.0787]
M[981]=[-.3731,15.719,.07871]
M[982]=[-.3724,15.7179,.07871]
M[983]=[-.3717,15.7168,.07872]
M[984]=[-.371,15.7157,.07872]
M[985]=[-.3703,15.7146,.07872]
M[986]=[-.3696,15.7135,.07873]
M[987]=[-.3689,15.7124,.07873]
M[988]=[-.3682,15.7113,.07874]
M[989]=[-.3675,15.7102,.07874]
M[990]=[-.3668,15.7091,.07875]
M[991]=[-.3661,15.708,.07875]
M[992]=[-.3655,15.7069,.07876]
M[993]=[-.3648,15.7058,.07876]
M[994]=[-.3641,15.7047,.07877]
M[995]=[-.3634,15.7037,.07877]
M[996]=[-.3628,15.7026,.07878]
M[997]=[-.3621,15.7015,.07878]
M[998]=[-.3614,15.7004,.07879]
M[999]=[-.3608,15.6993,.07879]
M[1000]=[-.3601,15.6982,.0788]
M[1001]=[-.3594,15.6971,.0788]
M[1002]=[-.3588,15.6961,.07881]
M[1003]=[-.3581,15.695,.07881]
M[1004]=[-.3575,15.6939,.07882]
M[1005]=[-.3568,15.6928,.07882]
M[1006]=[-.3562,15.6917,.07883]
M[1007]=[-.3556,15.6907,.07883]
M[1008]=[-.3549,15.6896,.07884]
M[1009]=[-.3543,15.6885,.07884]
M[1010]=[-.3536,15.6874,.07885]
M[1011]=[-.353,15.6864,.07885]
M[1012]=[-.3524,15.6853,.07886]
M[1013]=[-.3518,15.6842,.07886]
M[1014]=[-.3511,15.6832,.07887]
M[1015]=[-.3505,15.6821,.07887]
M[1016]=[-.3499,15.681,.07888]
M[1017]=[-.3493,15.6799,.07888]
M[1018]=[-.3487,15.6789,.07889]
M[1019]=[-.3481,15.6778,.07889]
M[1020]=[-.3475,15.6767,.0789]
M[1021]=[-.3469,15.6757,.0789]
M[1022]=[-.3463,15.6746,.07891]
M[1023]=[-.3457,15.6735,.07891]
M[1024]=[-.3451,15.6725,.07892]
M[1025]=[-.3445,15.6714,.07892]
M[1026]=[-.3439,15.6704,.07893]
M[1027]=[-.3433,15.6693,.07893]
M[1028]=[-.3427,15.6682,.07894]
M[1029]=[-.3422,15.6672,.07894]
M[1030]=[-.3416,15.6661,.07895]
M[1031]=[-.341,15.6651,.07895]
M[1032]=[-.3404,15.664,.07896]
M[1033]=[-.3399,15.663,.07896]
M[1034]=[-.3393,15.6619,.07897]
M[1035]=[-.3388,15.6609,.07897]
M[1036]=[-.3382,15.6598,.07898]
M[1037]=[-.3376,15.6588,.07898]
M[1038]=[-.3371,15.6577,.07899]
M[1039]=[-.3365,15.6567,.07899]
M[1040]=[-.336,15.6556,.079]
M[1041]=[-.3354,15.6546,.079]
M[1042]=[-.3349,15.6535,.07901]
M[1043]=[-.3344,15.6525,.07901]
M[1044]=[-.3338,15.6514,.07902]
M[1045]=[-.3333,15.6504,.07903]
M[1046]=[-.3328,15.6493,.07903]
M[1047]=[-.3322,15.6483,.07904]
M[1048]=[-.3317,15.6473,.07904]
M[1049]=[-.3312,15.6462,.07905]
M[1050]=[-.3307,15.6452,.07905]
M[1051]=[-.3302,15.6441,.07906]
M[1052]=[-.3296,15.6431,.07906]
M[1053]=[-.3291,15.6421,.07907]
M[1054]=[-.3286,15.641,.07907]
M[1055]=[-.3281,15.64,.07908]
M[1056]=[-.3276,15.639,.07908]
M[1057]=[-.3271,15.6379,.07909]
M[1058]=[-.3266,15.6369,.0791]
M[1059]=[-.3261,15.6359,.0791]
M[1060]=[-.3257,15.6349,.07911]
M[1061]=[-.3252,15.6338,.07911]
M[1062]=[-.3247,15.6328,.07912]
M[1063]=[-.3242,15.6318,.07912]
M[1064]=[-.3237,15.6308,.07913]
M[1065]=[-.3233,15.6297,.07913]
M[1066]=[-.3228,15.6287,.07914]
M[1067]=[-.3223,15.6277,.07915]
M[1068]=[-.3218,15.6267,.07915]
M[1069]=[-.3214,15.6256,.07916]
M[1070]=[-.3209,15.6246,.07916]
M[1071]=[-.3205,15.6236,.07917]
M[1072]=[-.32,15.6226,.07917]
M[1073]=[-.3196,15.6216,.07918]
M[1074]=[-.3191,15.6206,.07918]
M[1075]=[-.3187,15.6196,.07919]
M[1076]=[-.3182,15.6185,.0792]
M[1077]=[-.3178,15.6175,.0792]
M[1078]=[-.3174,15.6165,.07921]
M[1079]=[-.3169,15.6155,.07921]
M[1080]=[-.3165,15.6145,.07922]
M[1081]=[-.3161,15.6135,.07922]
M[1082]=[-.3156,15.6125,.07923]
M[1083]=[-.3152,15.6115,.07924]
M[1084]=[-.3148,15.6105,.07924]
M[1085]=[-.3144,15.6095,.07925]
M[1086]=[-.314,15.6085,.07925]
M[1087]=[-.3136,15.6075,.07926]
M[1088]=[-.3132,15.6065,.07926]
M[1089]=[-.3128,15.6055,.07927]
M[1090]=[-.3124,15.6045,.07928]
M[1091]=[-.312,15.6035,.07928]
M[1092]=[-.3116,15.6025,.07929]
M[1093]=[-.3112,15.6015,.07929]
M[1094]=[-.3108,15.6005,.0793]
M[1095]=[-.3104,15.5995,.07931]
M[1096]=[-.31,15.5986,.07931]
M[1097]=[-.3097,15.5976,.07932]
M[1098]=[-.3093,15.5966,.07932]
M[1099]=[-.3089,15.5956,.07933]
M[1100]=[-.3085,15.5946,.07934]
M[1101]=[-.3082,15.5936,.07934]
M[1102]=[-.3078,15.5926,.07935]
M[1103]=[-.3074,15.5917,.07935]
M[1104]=[-.3071,15.5907,.07936]
M[1105]=[-.3067,15.5897,.07936]
M[1106]=[-.3064,15.5887,.07937]
M[1107]=[-.306,15.5878,.07938]
M[1108]=[-.3057,15.5868,.07938]
M[1109]=[-.3054,15.5858,.07939]
M[1110]=[-.305,15.5848,.0794]
M[1111]=[-.3047,15.5839,.0794]
M[1112]=[-.3043,15.5829,.07941]
M[1113]=[-.304,15.5819,.07941]
M[1114]=[-.3037,15.581,.07942]
M[1115]=[-.3034,15.58,.07943]
M[1116]=[-.3031,15.579,.07943]
M[1117]=[-.3027,15.5781,.07944]
M[1118]=[-.3024,15.5771,.07944]
M[1119]=[-.3021,15.5761,.07945]
M[1120]=[-.3018,15.5752,.07946]
M[1121]=[-.3015,15.5742,.07946]
M[1122]=[-.3012,15.5733,.07947]
M[1123]=[-.3009,15.5723,.07948]
M[1124]=[-.3006,15.5714,.07948]
M[1125]=[-.3003,15.5704,.07949]
M[1126]=[-.3,15.5695,.07949]
M[1127]=[-.2997,15.5685,.0795]
M[1128]=[-.2995,15.5676,.07951]
M[1129]=[-.2992,15.5666,.07951]
M[1130]=[-.2989,15.5657,.07952]
M[1131]=[-.2986,15.5647,.07953]
M[1132]=[-.2984,15.5638,.07953]
M[1133]=[-.2981,15.5628,.07954]
M[1134]=[-.2978,15.5619,.07954]
M[1135]=[-.2976,15.5609,.07955]
M[1136]=[-.2973,15.56,.07956]
M[1137]=[-.2971,15.5591,.07956]
M[1138]=[-.2968,15.5581,.07957]
M[1139]=[-.2966,15.5572,.07958]
M[1140]=[-.2963,15.5563,.07958]
M[1141]=[-.2961,15.5553,.07959]
M[1142]=[-.2959,15.5544,.0796]
M[1143]=[-.2956,15.5535,.0796]
M[1144]=[-.2954,15.5525,.07961]
M[1145]=[-.2952,15.5516,.07962]
M[1146]=[-.2949,15.5507,.07962]
M[1147]=[-.2947,15.5498,.07963]
M[1148]=[-.2945,15.5489,.07964]
M[1149]=[-.2943,15.5479,.07964]
M[1150]=[-.2941,15.547,.07965]
M[1151]=[-.2939,15.5461,.07966]
M[1152]=[-.2937,15.5452,.07966]
M[1153]=[-.2934,15.5443,.07967]
M[1154]=[-.2932,15.5434,.07967]
M[1155]=[-.2931,15.5424,.07968]
M[1156]=[-.2929,15.5415,.07969]
M[1157]=[-.2927,15.5406,.07969]
M[1158]=[-.2925,15.5397,.0797]
M[1159]=[-.2923,15.5388,.07971]
M[1160]=[-.2921,15.5379,.07972]
M[1161]=[-.2919,15.537,.07972]
M[1162]=[-.2918,15.5361,.07973]
M[1163]=[-.2916,15.5352,.07974]
M[1164]=[-.2914,15.5343,.07974]
M[1165]=[-.2913,15.5334,.07975]
M[1166]=[-.2911,15.5325,.07976]
M[1167]=[-.2909,15.5316,.07976]
M[1168]=[-.2908,15.5307,.07977]
M[1169]=[-.2906,15.5298,.07978]
M[1170]=[-.2905,15.5289,.07978]
M[1171]=[-.2903,15.5281,.07979]
M[1172]=[-.2902,15.5272,.0798]
M[1173]=[-.2901,15.5263,.0798]
M[1174]=[-.2899,15.5254,.07981]
M[1175]=[-.2898,15.5245,.07982]
M[1176]=[-.2897,15.5236,.07982]
M[1177]=[-.2895,15.5228,.07983]
M[1178]=[-.2894,15.5219,.07984]
M[1179]=[-.2893,15.521,.07985]
M[1180]=[-.2892,15.5201,.07985]
M[1181]=[-.289,15.5193,.07986]
M[1182]=[-.2889,15.5184,.07987]
M[1183]=[-.2888,15.5175,.07987]
M[1184]=[-.2887,15.5167,.07988]
M[1185]=[-.2886,15.5158,.07989]
M[1186]=[-.2885,15.5149,.07989]
M[1187]=[-.2884,15.5141,.0799]
M[1188]=[-.2883,15.5132,.07991]
M[1189]=[-.2882,15.5123,.07992]
M[1190]=[-.2881,15.5115,.07992]
M[1191]=[-.2881,15.5106,.07993]
M[1192]=[-.288,15.5098,.07994]
M[1193]=[-.2879,15.5089,.07994]
M[1194]=[-.2878,15.5081,.07995]
M[1195]=[-.2877,15.5072,.07996]
M[1196]=[-.2877,15.5064,.07997]
M[1197]=[-.2876,15.5055,.07997]
M[1198]=[-.2875,15.5047,.07998]
M[1199]=[-.2875,15.5038,.07999]
M[1200]=[-.2874,15.503,.07999]
M[1201]=[-.2874,15.5021,.08]
M[1202]=[-.2873,15.5013,.08001]
M[1203]=[-.2873,15.5005,.08002]
M[1204]=[-.2872,15.4996,.08002]
M[1205]=[-.2872,15.4988,.08003]
M[1206]=[-.2871,15.498,.08004]
M[1207]=[-.2871,15.4971,.08005]
M[1208]=[-.2871,15.4963,.08005]
M[1209]=[-.287,15.4955,.08006]
M[1210]=[-.287,15.4946,.08007]
M[1211]=[-.287,15.4938,.08008]
M[1212]=[-.287,15.493,.08008]
M[1213]=[-.2869,15.4922,.08009]
M[1214]=[-.2869,15.4914,.0801]
M[1215]=[-.2869,15.4905,.08011]
M[1216]=[-.2869,15.4897,.08011]
M[1217]=[-.2869,15.4889,.08012]
M[1218]=[-.2869,15.4881,.08013]
M[1219]=[-.2869,15.4873,.08014]
M[1220]=[-.2869,15.4865,.08014]
M[1221]=[-.2869,15.4857,.08015]
M[1222]=[-.2869,15.4848,.08016]
M[1223]=[-.2869,15.484,.08017]
M[1224]=[-.2869,15.4832,.08017]
M[1225]=[-.2869,15.4824,.08018]
M[1226]=[-.287,15.4816,.08019]
M[1227]=[-.287,15.4808,.0802]
M[1228]=[-.287,15.48,.0802]
M[1229]=[-.287,15.4792,.08021]
M[1230]=[-.2871,15.4785,.08022]
M[1231]=[-.2871,15.4777,.08023]
M[1232]=[-.2871,15.4769,.08023]
M[1233]=[-.2872,15.4761,.08024]
M[1234]=[-.2872,15.4753,.08025]
M[1235]=[-.2873,15.4745,.08026]
M[1236]=[-.2873,15.4737,.08027]
M[1237]=[-.2874,15.4729,.08027]
M[1238]=[-.2874,15.4722,.08028]
M[1239]=[-.2875,15.4714,.08029]
M[1240]=[-.2875,15.4706,.0803]
M[1241]=[-.2876,15.4698,.08031]
M[1242]=[-.2877,15.4691,.08031]
M[1243]=[-.2877,15.4683,.08032]
M[1244]=[-.2878,15.4675,.08033]
M[1245]=[-.2879,15.4667,.08034]
M[1246]=[-.288,15.466,.08034]
M[1247]=[-.288,15.4652,.08035]
M[1248]=[-.2881,15.4645,.08036]
M[1249]=[-.2882,15.4637,.08037]
M[1250]=[-.2883,15.4629,.08038]
M[1251]=[-.2884,15.4622,.08038]
M[1252]=[-.2885,15.4614,.08039]
M[1253]=[-.2886,15.4607,.0804]
M[1254]=[-.2887,15.4599,.08041]
M[1255]=[-.2888,15.4592,.08042]
M[1256]=[-.2889,15.4584,.08042]
M[1257]=[-.289,15.4577,.08043]
M[1258]=[-.2891,15.4569,.08044]
M[1259]=[-.2892,15.4562,.08045]
M[1260]=[-.2893,15.4554,.08046]
M[1261]=[-.2894,15.4547,.08046]
M[1262]=[-.2896,15.4539,.08047]
M[1263]=[-.2897,15.4532,.08048]
M[1264]=[-.2898,15.4525,.08049]
M[1265]=[-.2899,15.4517,.0805]
M[1266]=[-.2901,15.451,.08051]
M[1267]=[-.2902,15.4503,.08051]
M[1268]=[-.2903,15.4495,.08052]
M[1269]=[-.2905,15.4488,.08053]
M[1270]=[-.2906,15.4481,.08054]
M[1271]=[-.2908,15.4473,.08055]
M[1272]=[-.2909,15.4466,.08056]
M[1273]=[-.2911,15.4459,.08056]
M[1274]=[-.2912,15.4452,.08057]
M[1275]=[-.2914,15.4445,.08058]
M[1276]=[-.2915,15.4437,.08059]
M[1277]=[-.2917,15.443,.0806]
M[1278]=[-.2918,15.4423,.08061]
M[1279]=[-.292,15.4416,.08061]
M[1280]=[-.2922,15.4409,.08062]
M[1281]=[-.2924,15.4402,.08063]
M[1282]=[-.2925,15.4395,.08064]
M[1283]=[-.2927,15.4388,.08065]
M[1284]=[-.2929,15.438,.08066]
M[1285]=[-.2931,15.4373,.08066]
M[1286]=[-.2933,15.4366,.08067]
M[1287]=[-.2934,15.4359,.08068]
M[1288]=[-.2936,15.4352,.08069]
M[1289]=[-.2938,15.4345,.0807]
M[1290]=[-.294,15.4338,.08071]
M[1291]=[-.2942,15.4332,.08072]
M[1292]=[-.2944,15.4325,.08072]
M[1293]=[-.2946,15.4318,.08073]
M[1294]=[-.2948,15.4311,.08074]
M[1295]=[-.295,15.4304,.08075]
M[1296]=[-.2952,15.4297,.08076]
M[1297]=[-.2954,15.429,.08077]
M[1298]=[-.2957,15.4283,.08078]
M[1299]=[-.2959,15.4276,.08078]
M[1300]=[-.2961,15.427,.08079]
M[1301]=[-.2963,15.4263,.0808]
M[1302]=[-.2965,15.4256,.08081]
M[1303]=[-.2968,15.4249,.08082]
M[1304]=[-.297,15.4243,.08083]
M[1305]=[-.2972,15.4236,.08084]
M[1306]=[-.2975,15.4229,.08085]
M[1307]=[-.2977,15.4222,.08085]
M[1308]=[-.2979,15.4216,.08086]
M[1309]=[-.2982,15.4209,.08087]
M[1310]=[-.2984,15.4202,.08088]
M[1311]=[-.2987,15.4196,.08089]
M[1312]=[-.2989,15.4189,.0809]
M[1313]=[-.2992,15.4182,.08091]
M[1314]=[-.2994,15.4176,.08092]
M[1315]=[-.2997,15.4169,.08093]
M[1316]=[-.3,15.4162,.08093]
M[1317]=[-.3002,15.4156,.08094]
M[1318]=[-.3005,15.4149,.08095]
M[1319]=[-.3008,15.4143,.08096]
M[1320]=[-.301,15.4136,.08097]
M[1321]=[-.3013,15.413,.08098]
M[1322]=[-.3016,15.4123,.08099]
M[1323]=[-.3018,15.4117,.081]
M[1324]=[-.3021,15.411,.08101]
M[1325]=[-.3024,15.4104,.08102]
M[1326]=[-.3027,15.4097,.08102]
M[1327]=[-.303,15.4091,.08103]
M[1328]=[-.3033,15.4084,.08104]
M[1329]=[-.3036,15.4078,.08105]
M[1330]=[-.3038,15.4072,.08106]
M[1331]=[-.3041,15.4065,.08107]
M[1332]=[-.3044,15.4059,.08108]
M[1333]=[-.3047,15.4052,.08109]
M[1334]=[-.305,15.4046,.0811]
M[1335]=[-.3054,15.404,.08111]
M[1336]=[-.3057,15.4033,.08112]
M[1337]=[-.306,15.4027,.08113]
M[1338]=[-.3063,15.4021,.08113]
M[1339]=[-.3066,15.4015,.08114]
M[1340]=[-.3069,15.4008,.08115]
M[1341]=[-.3072,15.4002,.08116]
M[1342]=[-.3076,15.3996,.08117]
M[1343]=[-.3079,15.399,.08118]
M[1344]=[-.3082,15.3983,.08119]
M[1345]=[-.3085,15.3977,.0812]
M[1346]=[-.3089,15.3971,.08121]
M[1347]=[-.3092,15.3965,.08122]
M[1348]=[-.3095,15.3958,.08123]
M[1349]=[-.3099,15.3952,.08124]
M[1350]=[-.3102,15.3946,.08125]
M[1351]=[-.3106,15.394,.08126]
M[1352]=[-.3109,15.3934,.08127]
M[1353]=[-.3113,15.3928,.08128]
M[1354]=[-.3116,15.3922,.08128]
M[1355]=[-.312,15.3916,.08129]
M[1356]=[-.3123,15.3909,.0813]
M[1357]=[-.3127,15.3903,.08131]
M[1358]=[-.313,15.3897,.08132]
M[1359]=[-.3134,15.3891,.08133]
M[1360]=[-.3138,15.3885,.08134]
M[1361]=[-.3141,15.3879,.08135]
M[1362]=[-.3145,15.3873,.08136]
M[1363]=[-.3149,15.3867,.08137]
M[1364]=[-.3152,15.3861,.08138]
M[1365]=[-.3156,15.3855,.08139]
M[1366]=[-.316,15.3849,.0814]
M[1367]=[-.3164,15.3843,.08141]
M[1368]=[-.3168,15.3837,.08142]
M[1369]=[-.3171,15.3831,.08143]
M[1370]=[-.3175,15.3825,.08144]
M[1371]=[-.3179,15.382,.08145]
M[1372]=[-.3183,15.3814,.08146]
M[1373]=[-.3187,15.3808,.08147]
M[1374]=[-.3191,15.3802,.08148]
M[1375]=[-.3195,15.3796,.08149]
M[1376]=[-.3199,15.379,.0815]
M[1377]=[-.3203,15.3784,.08151]
M[1378]=[-.3207,15.3778,.08152]
M[1379]=[-.3211,15.3773,.08153]
M[1380]=[-.3215,15.3767,.08154]
M[1381]=[-.322,15.3761,.08155]
M[1382]=[-.3224,15.3755,.08156]
M[1383]=[-.3228,15.3749,.08157]
M[1384]=[-.3232,15.3744,.08158]
M[1385]=[-.3236,15.3738,.08159]
M[1386]=[-.3241,15.3732,.0816]
M[1387]=[-.3245,15.3726,.08161]
M[1388]=[-.3249,15.3721,.08162]
M[1389]=[-.3253,15.3715,.08163]
M[1390]=[-.3258,15.3709,.08164]
M[1391]=[-.3262,15.3703,.08165]
M[1392]=[-.3266,15.3698,.08166]
M[1393]=[-.3271,15.3692,.08167]
M[1394]=[-.3275,15.3686,.08168]
M[1395]=[-.328,15.3681,.08169]
M[1396]=[-.3284,15.3675,.0817]
M[1397]=[-.3289,15.3669,.08171]
M[1398]=[-.3293,15.3664,.08172]
M[1399]=[-.3298,15.3658,.08173]
M[1400]=[-.3302,15.3652,.08174]
M[1401]=[-.3307,15.3647,.08175]
M[1402]=[-.3312,15.3641,.08176]
M[1403]=[-.3316,15.3636,.08177]
M[1404]=[-.3321,15.363,.08178]
M[1405]=[-.3325,15.3624,.08179]
M[1406]=[-.333,15.3619,.0818]
M[1407]=[-.3335,15.3613,.08181]
M[1408]=[-.334,15.3608,.08182]
M[1409]=[-.3344,15.3602,.08183]
M[1410]=[-.3349,15.3597,.08184]
M[1411]=[-.3354,15.3591,.08185]
M[1412]=[-.3359,15.3586,.08186]
M[1413]=[-.3364,15.358,.08187]
M[1414]=[-.3369,15.3575,.08188]
M[1415]=[-.3373,15.3569,.08189]
M[1416]=[-.3378,15.3564,.0819]
M[1417]=[-.3383,15.3558,.08191]
M[1418]=[-.3388,15.3553,.08192]
M[1419]=[-.3393,15.3547,.08193]
M[1420]=[-.3398,15.3542,.08194]
M[1421]=[-.3403,15.3537,.08195]
M[1422]=[-.3408,15.3531,.08196]
M[1423]=[-.3413,15.3526,.08197]
M[1424]=[-.3418,15.352,.08198]
M[1425]=[-.3424,15.3515,.082]
M[1426]=[-.3429,15.351,.08201]
M[1427]=[-.3434,15.3504,.08202]
M[1428]=[-.3439,15.3499,.08203]
M[1429]=[-.3444,15.3493,.08204]
M[1430]=[-.3449,15.3488,.08205]
M[1431]=[-.3455,15.3483,.08206]
M[1432]=[-.346,15.3477,.08207]
M[1433]=[-.3465,15.3472,.08208]
M[1434]=[-.3471,15.3467,.08209]
M[1435]=[-.3476,15.3461,.0821]
M[1436]=[-.3481,15.3456,.08211]
M[1437]=[-.3487,15.3451,.08212]
M[1438]=[-.3492,15.3445,.08213]
M[1439]=[-.3497,15.344,.08214]
M[1440]=[-.3503,15.3435,.08215]
M[1441]=[-.3508,15.343,.08216]
M[1442]=[-.3514,15.3424,.08218]
M[1443]=[-.3519,15.3419,.08219]
M[1444]=[-.3525,15.3414,.0822]
M[1445]=[-.353,15.3409,.08221]
M[1446]=[-.3536,15.3403,.08222]
M[1447]=[-.3541,15.3398,.08223]
M[1448]=[-.3547,15.3393,.08224]
M[1449]=[-.3553,15.3388,.08225]
M[1450]=[-.3558,15.3383,.08226]
M[1451]=[-.3564,15.3377,.08227]
M[1452]=[-.357,15.3372,.08228]
M[1453]=[-.3575,15.3367,.08229]
M[1454]=[-.3581,15.3362,.08231]
M[1455]=[-.3587,15.3357,.08232]
M[1456]=[-.3593,15.3352,.08233]
M[1457]=[-.3598,15.3346,.08234]
M[1458]=[-.3604,15.3341,.08235]
M[1459]=[-.361,15.3336,.08236]
M[1460]=[-.3616,15.3331,.08237]
M[1461]=[-.3622,15.3326,.08238]
M[1462]=[-.3628,15.3321,.08239]
M[1463]=[-.3634,15.3316,.0824]
M[1464]=[-.364,15.3311,.08241]
M[1465]=[-.3646,15.3306,.08243]
M[1466]=[-.3652,15.3301,.08244]
M[1467]=[-.3658,15.3295,.08245]
M[1468]=[-.3664,15.329,.08246]
M[1469]=[-.367,15.3285,.08247]
M[1470]=[-.3676,15.328,.08248]
M[1471]=[-.3682,15.3275,.08249]
M[1472]=[-.3688,15.327,.0825]
M[1473]=[-.3694,15.3265,.08251]
M[1474]=[-.37,15.326,.08253]
M[1475]=[-.3706,15.3255,.08254]
M[1476]=[-.3713,15.325,.08255]
M[1477]=[-.3719,15.3245,.08256]
M[1478]=[-.3725,15.324,.08257]
M[1479]=[-.3731,15.3235,.08258]
M[1480]=[-.3738,15.323,.08259]
M[1481]=[-.3744,15.3225,.0826]
M[1482]=[-.375,15.322,.08262]
M[1483]=[-.3756,15.3215,.08263]
M[1484]=[-.3763,15.3211,.08264]
M[1485]=[-.3769,15.3206,.08265]
M[1486]=[-.3776,15.3201,.08266]
M[1487]=[-.3782,15.3196,.08267]
M[1488]=[-.3789,15.3191,.08268]
M[1489]=[-.3795,15.3186,.08269]
M[1490]=[-.3801,15.3181,.08271]
M[1491]=[-.3808,15.3176,.08272]
M[1492]=[-.3815,15.3171,.08273]
M[1493]=[-.3821,15.3166,.08274]
M[1494]=[-.3828,15.3162,.08275]
M[1495]=[-.3834,15.3157,.08276]
M[1496]=[-.3841,15.3152,.08277]
M[1497]=[-.3847,15.3147,.08279]
M[1498]=[-.3854,15.3142,.0828]
M[1499]=[-.3861,15.3137,.08281]
M[1500]=[-.3867,15.3133,.08282]
M[1501]=[-.3874,15.3128,.08283]
M[1502]=[-.3881,15.3123,.08284]
M[1503]=[-.3888,15.3118,.08285]
M[1504]=[-.3894,15.3113,.08287]
M[1505]=[-.3901,15.3109,.08288]
M[1506]=[-.3908,15.3104,.08289]
M[1507]=[-.3915,15.3099,.0829]
M[1508]=[-.3922,15.3094,.08291]
M[1509]=[-.3929,15.309,.08292]
M[1510]=[-.3936,15.3085,.08293]
M[1511]=[-.3942,15.308,.08295]
M[1512]=[-.3949,15.3075,.08296]
M[1513]=[-.3956,15.3071,.08297]
M[1514]=[-.3963,15.3066,.08298]
M[1515]=[-.397,15.3061,.08299]
M[1516]=[-.3977,15.3057,.083]
M[1517]=[-.3984,15.3052,.08302]
M[1518]=[-.3991,15.3047,.08303]
M[1519]=[-.3998,15.3043,.08304]
M[1520]=[-.4006,15.3038,.08305]
M[1521]=[-.4013,15.3033,.08306]
M[1522]=[-.402,15.3029,.08307]
M[1523]=[-.4027,15.3024,.08309]
M[1524]=[-.4034,15.3019,.0831]
M[1525]=[-.4041,15.3015,.08311]
M[1526]=[-.4049,15.301,.08312]
M[1527]=[-.4056,15.3005,.08313]
M[1528]=[-.4063,15.3001,.08314]
M[1529]=[-.407,15.2996,.08316]
M[1530]=[-.4078,15.2992,.08317]
M[1531]=[-.4085,15.2987,.08318]
M[1532]=[-.4092,15.2982,.08319]
M[1533]=[-.41,15.2978,.0832]
M[1534]=[-.4107,15.2973,.08322]
M[1535]=[-.4114,15.2969,.08323]
M[1536]=[-.4122,15.2964,.08324]
M[1537]=[-.4129,15.2959,.08325]
M[1538]=[-.4137,15.2955,.08326]
M[1539]=[-.4144,15.295,.08327]
M[1540]=[-.4151,15.2946,.08329]
M[1541]=[-.4159,15.2941,.0833]
M[1542]=[-.4166,15.2937,.08331]
M[1543]=[-.4174,15.2932,.08332]
M[1544]=[-.4182,15.2928,.08333]
M[1545]=[-.4189,15.2923,.08335]
M[1546]=[-.4197,15.2919,.08336]
M[1547]=[-.4204,15.2914,.08337]
M[1548]=[-.4212,15.291,.08338]
M[1549]=[-.422,15.2905,.08339]
M[1550]=[-.4227,15.2901,.08341]
M[1551]=[-.4235,15.2896,.08342]
M[1552]=[-.4243,15.2892,.08343]
M[1553]=[-.425,15.2888,.08344]
M[1554]=[-.4258,15.2883,.08345]
M[1555]=[-.4266,15.2879,.08347]
M[1556]=[-.4274,15.2874,.08348]
M[1557]=[-.4281,15.287,.08349]
M[1558]=[-.4289,15.2865,.0835]
M[1559]=[-.4297,15.2861,.08351]
M[1560]=[-.4305,15.2857,.08353]
M[1561]=[-.4313,15.2852,.08354]
M[1562]=[-.4321,15.2848,.08355]
M[1563]=[-.4328,15.2844,.08356]
M[1564]=[-.4336,15.2839,.08357]
M[1565]=[-.4344,15.2835,.08359]
M[1566]=[-.4352,15.283,.0836]
M[1567]=[-.436,15.2826,.08361]
M[1568]=[-.4368,15.2822,.08362]
M[1569]=[-.4376,15.2817,.08364]
M[1570]=[-.4384,15.2813,.08365]
M[1571]=[-.4392,15.2809,.08366]
M[1572]=[-.44,15.2805,.08367]
M[1573]=[-.4408,15.28,.08368]
M[1574]=[-.4417,15.2796,.0837]
M[1575]=[-.4425,15.2792,.08371]
M[1576]=[-.4433,15.2787,.08372]
M[1577]=[-.4441,15.2783,.08373]
M[1578]=[-.4449,15.2779,.08375]
M[1579]=[-.4457,15.2775,.08376]
M[1580]=[-.4465,15.277,.08377]
M[1581]=[-.4474,15.2766,.08378]
M[1582]=[-.4482,15.2762,.08379]
M[1583]=[-.449,15.2758,.08381]
M[1584]=[-.4498,15.2753,.08382]
M[1585]=[-.4507,15.2749,.08383]
M[1586]=[-.4515,15.2745,.08384]
M[1587]=[-.4523,15.2741,.08386]
M[1588]=[-.4532,15.2737,.08387]
M[1589]=[-.454,15.2732,.08388]
M[1590]=[-.4548,15.2728,.08389]
M[1591]=[-.4557,15.2724,.08391]
M[1592]=[-.4565,15.272,.08392]
M[1593]=[-.4574,15.2716,.08393]
M[1594]=[-.4582,15.2712,.08394]
M[1595]=[-.459,15.2708,.08395]
M[1596]=[-.4599,15.2703,.08397]
M[1597]=[-.4607,15.2699,.08398]
M[1598]=[-.4616,15.2695,.08399]
M[1599]=[-.4624,15.2691,.084]
M[1600]=[-.4633,15.2687,.08402]
M[1601]=[-.4641,15.2683,.08403]
M[1602]=[-.465,15.2679,.08404]
M[1603]=[-.4659,15.2675,.08405]
M[1604]=[-.4667,15.2671,.08407]
M[1605]=[-.4676,15.2667,.08408]
M[1606]=[-.4684,15.2662,.08409]
M[1607]=[-.4693,15.2658,.0841]
M[1608]=[-.4702,15.2654,.08412]
M[1609]=[-.471,15.265,.08413]
M[1610]=[-.4719,15.2646,.08414]
M[1611]=[-.4728,15.2642,.08415]
M[1612]=[-.4736,15.2638,.08417]
M[1613]=[-.4745,15.2634,.08418]
M[1614]=[-.4754,15.263,.08419]
M[1615]=[-.4762,15.2626,.0842]
M[1616]=[-.4771,15.2622,.08422]
M[1617]=[-.478,15.2618,.08423]
M[1618]=[-.4789,15.2614,.08424]
M[1619]=[-.4798,15.261,.08425]
M[1620]=[-.4806,15.2606,.08427]
M[1621]=[-.4815,15.2602,.08428]
M[1622]=[-.4824,15.2598,.08429]
M[1623]=[-.4833,15.2594,.08431]
M[1624]=[-.4842,15.259,.08432]
M[1625]=[-.4851,15.2586,.08433]
M[1626]=[-.486,15.2582,.08434]
M[1627]=[-.4869,15.2579,.08436]
M[1628]=[-.4877,15.2575,.08437]
M[1629]=[-.4886,15.2571,.08438]
M[1630]=[-.4895,15.2567,.08439]
M[1631]=[-.4904,15.2563,.08441]
M[1632]=[-.4913,15.2559,.08442]
M[1633]=[-.4922,15.2555,.08443]
M[1634]=[-.4931,15.2551,.08444]
M[1635]=[-.494,15.2547,.08446]
M[1636]=[-.4949,15.2543,.08447]
M[1637]=[-.4958,15.254,.08448]
M[1638]=[-.4968,15.2536,.0845]
M[1639]=[-.4977,15.2532,.08451]
M[1640]=[-.4986,15.2528,.08452]
M[1641]=[-.4995,15.2524,.08453]
M[1642]=[-.5004,15.252,.08455]
M[1643]=[-.5013,15.2516,.08456]
M[1644]=[-.5022,15.2513,.08457]
M[1645]=[-.5031,15.2509,.08459]
M[1646]=[-.504,15.2505,.0846]
M[1647]=[-.505,15.2501,.08461]
M[1648]=[-.5059,15.2497,.08462]
M[1649]=[-.5068,15.2494,.08464]
M[1650]=[-.5077,15.249,.08465]
M[1651]=[-.5087,15.2486,.08466]
M[1652]=[-.5096,15.2482,.08468]
M[1653]=[-.5105,15.2478,.08469]
M[1654]=[-.5114,15.2475,.0847]
M[1655]=[-.5124,15.2471,.08471]
M[1656]=[-.5133,15.2467,.08473]
M[1657]=[-.5142,15.2463,.08474]
M[1658]=[-.5151,15.246,.08475]
M[1659]=[-.5161,15.2456,.08477]
M[1660]=[-.517,15.2452,.08478]
M[1661]=[-.518,15.2448,.08479]
M[1662]=[-.5189,15.2445,.0848]
M[1663]=[-.5198,15.2441,.08482]
M[1664]=[-.5208,15.2437,.08483]
M[1665]=[-.5217,15.2433,.08484]
M[1666]=[-.5227,15.243,.08486]
M[1667]=[-.5236,15.2426,.08487]
M[1668]=[-.5245,15.2422,.08488]
M[1669]=[-.5255,15.2419,.0849]
M[1670]=[-.5264,15.2415,.08491]
M[1671]=[-.5274,15.2411,.08492]
M[1672]=[-.5283,15.2408,.08493]
M[1673]=[-.5293,15.2404,.08495]
M[1674]=[-.5302,15.24,.08496]
M[1675]=[-.5312,15.2397,.08497]
M[1676]=[-.5321,15.2393,.08499]
M[1677]=[-.5331,15.2389,.085]
M[1678]=[-.5341,15.2386,.08501]
M[1679]=[-.535,15.2382,.08503]
M[1680]=[-.536,15.2378,.08504]
M[1681]=[-.5369,15.2375,.08505]
M[1682]=[-.5379,15.2371,.08506]
M[1683]=[-.5389,15.2368,.08508]
M[1684]=[-.5398,15.2364,.08509]
M[1685]=[-.5408,15.236,.0851]
M[1686]=[-.5418,15.2357,.08512]
M[1687]=[-.5427,15.2353,.08513]
M[1688]=[-.5437,15.235,.08514]
M[1689]=[-.5447,15.2346,.08516]
M[1690]=[-.5456,15.2342,.08517]
M[1691]=[-.5466,15.2339,.08518]
M[1692]=[-.5476,15.2335,.0852]
M[1693]=[-.5486,15.2332,.08521]
M[1694]=[-.5495,15.2328,.08522]
M[1695]=[-.5505,15.2325,.08524]
M[1696]=[-.5515,15.2321,.08525]
M[1697]=[-.5525,15.2318,.08526]
M[1698]=[-.5535,15.2314,.08527]
M[1699]=[-.5544,15.2311,.08529]
M[1700]=[-.5554,15.2307,.0853]
M[1701]=[-.5564,15.2304,.08531]
M[1702]=[-.5574,15.23,.08533]
M[1703]=[-.5584,15.2297,.08534]
M[1704]=[-.5594,15.2293,.08535]
M[1705]=[-.5604,15.229,.08537]
M[1706]=[-.5614,15.2286,.08538]
M[1707]=[-.5623,15.2283,.08539]
M[1708]=[-.5633,15.2279,.08541]
M[1709]=[-.5643,15.2276,.08542]
M[1710]=[-.5653,15.2272,.08543]
M[1711]=[-.5663,15.2269,.08545]
M[1712]=[-.5673,15.2265,.08546]
M[1713]=[-.5683,15.2262,.08547]
M[1714]=[-.5693,15.2258,.08549]
M[1715]=[-.5703,15.2255,.0855]
M[1716]=[-.5713,15.2252,.08551]
M[1717]=[-.5723,15.2248,.08553]
M[1718]=[-.5733,15.2245,.08554]
M[1719]=[-.5743,15.2241,.08555]
M[1720]=[-.5754,15.2238,.08557]
M[1721]=[-.5764,15.2235,.08558]
M[1722]=[-.5774,15.2231,.08559]
M[1723]=[-.5784,15.2228,.08561]
M[1724]=[-.5794,15.2224,.08562]
M[1725]=[-.5804,15.2221,.08563]
M[1726]=[-.5814,15.2218,.08565]
M[1727]=[-.5824,15.2214,.08566]
M[1728]=[-.5835,15.2211,.08567]
M[1729]=[-.5845,15.2208,.08569]
M[1730]=[-.5855,15.2204,.0857]
M[1731]=[-.5865,15.2201,.08571]
M[1732]=[-.5875,15.2198,.08573]
M[1733]=[-.5886,15.2194,.08574]
M[1734]=[-.5896,15.2191,.08575]
M[1735]=[-.5906,15.2188,.08577]
M[1736]=[-.5916,15.2184,.08578]
M[1737]=[-.5927,15.2181,.08579]
M[1738]=[-.5937,15.2178,.08581]
M[1739]=[-.5947,15.2175,.08582]
M[1740]=[-.5958,15.2171,.08583]
M[1741]=[-.5968,15.2168,.08585]
M[1742]=[-.5978,15.2165,.08586]
M[1743]=[-.5989,15.2162,.08587]
M[1744]=[-.5999,15.2158,.08589]
M[1745]=[-.6009,15.2155,.0859]
M[1746]=[-.602,15.2152,.08591]
M[1747]=[-.603,15.2149,.08593]
M[1748]=[-.604,15.2145,.08594]
M[1749]=[-.6051,15.2142,.08595]
M[1750]=[-.6061,15.2139,.08597]
M[1751]=[-.6072,15.2136,.08598]
M[1752]=[-.6082,15.2133,.08599]
M[1753]=[-.6093,15.213,.08601]
M[1754]=[-.6103,15.2126,.08602]
M[1755]=[-.6114,15.2123,.08603]
M[1756]=[-.6124,15.212,.08605]
M[1757]=[-.6135,15.2117,.08606]
M[1758]=[-.6145,15.2114,.08608]
M[1759]=[-.6156,15.2111,.08609]
M[1760]=[-.6166,15.2108,.0861]
M[1761]=[-.6177,15.2104,.08612]
M[1762]=[-.6187,15.2101,.08613]
M[1763]=[-.6198,15.2098,.08614]
M[1764]=[-.6209,15.2095,.08616]
M[1765]=[-.6219,15.2092,.08617]
M[1766]=[-.623,15.2089,.08618]
M[1767]=[-.6241,15.2086,.0862]
M[1768]=[-.6251,15.2083,.08621]
M[1769]=[-.6262,15.208,.08622]
M[1770]=[-.6273,15.2077,.08624]
M[1771]=[-.6283,15.2074,.08625]
M[1772]=[-.6294,15.2071,.08626]
M[1773]=[-.6305,15.2068,.08628]
M[1774]=[-.6315,15.2065,.08629]
M[1775]=[-.6326,15.2061,.0863]
M[1776]=[-.6337,15.2058,.08632]
M[1777]=[-.6348,15.2055,.08633]
M[1778]=[-.6358,15.2052,.08634]
M[1779]=[-.6369,15.2049,.08636]
M[1780]=[-.638,15.2047,.08637]
M[1781]=[-.6391,15.2044,.08639]
M[1782]=[-.6402,15.2041,.0864]
M[1783]=[-.6412,15.2038,.08641]
M[1784]=[-.6423,15.2035,.08643]
M[1785]=[-.6434,15.2032,.08644]
M[1786]=[-.6445,15.2029,.08645]
M[1787]=[-.6456,15.2026,.08647]
M[1788]=[-.6467,15.2023,.08648]
M[1789]=[-.6478,15.202,.08649]
M[1790]=[-.6488,15.2017,.08651]
M[1791]=[-.6499,15.2014,.08652]
M[1792]=[-.651,15.2011,.08653]
M[1793]=[-.6521,15.2008,.08655]
M[1794]=[-.6532,15.2005,.08656]
M[1795]=[-.6543,15.2003,.08657]
M[1796]=[-.6554,15.2,.08659]
M[1797]=[-.6565,15.1997,.0866]
M[1798]=[-.6576,15.1994,.08662]
M[1799]=[-.6587,15.1991,.08663]
M[1800]=[-.6598,15.1988,.08664]
M[1801]=[-.6609,15.1985,.08666]
M[1802]=[-.662,15.1983,.08667]
M[1803]=[-.6631,15.198,.08668]
M[1804]=[-.6642,15.1977,.0867]
M[1805]=[-.6653,15.1974,.08671]
M[1806]=[-.6665,15.1971,.08672]
M[1807]=[-.6676,15.1969,.08674]
M[1808]=[-.6687,15.1966,.08675]
M[1809]=[-.6698,15.1963,.08676]
M[1810]=[-.6709,15.196,.08678]
M[1811]=[-.672,15.1958,.08679]
M[1812]=[-.6731,15.1955,.0868]
M[1813]=[-.6743,15.1952,.08682]
M[1814]=[-.6754,15.1949,.08683]
M[1815]=[-.6765,15.1947,.08685]
M[1816]=[-.6776,15.1944,.08686]
M[1817]=[-.6787,15.1941,.08687]
M[1818]=[-.6799,15.1938,.08689]
M[1819]=[-.681,15.1936,.0869]
M[1820]=[-.6821,15.1933,.08691]
M[1821]=[-.6833,15.193,.08693]
M[1822]=[-.6844,15.1928,.08694]
M[1823]=[-.6855,15.1925,.08695]
M[1824]=[-.6866,15.1922,.08697]
M[1825]=[-.6878,15.192,.08698]
M[1826]=[-.6889,15.1917,.08699]
M[1827]=[-.69,15.1914,.08701]
M[1828]=[-.6912,15.1912,.08702]
M[1829]=[-.6923,15.1909,.08704]
M[1830]=[-.6935,15.1906,.08705]
M[1831]=[-.6946,15.1904,.08706]
M[1832]=[-.6957,15.1901,.08708]
M[1833]=[-.6969,15.1899,.08709]
M[1834]=[-.698,15.1896,.0871]
M[1835]=[-.6992,15.1893,.08712]
M[1836]=[-.7003,15.1891,.08713]
M[1837]=[-.7015,15.1888,.08714]
M[1838]=[-.7026,15.1886,.08716]
M[1839]=[-.7038,15.1883,.08717]
M[1840]=[-.7049,15.188,.08718]
M[1841]=[-.7061,15.1878,.0872]
M[1842]=[-.7072,15.1875,.08721]
M[1843]=[-.7084,15.1873,.08722]
M[1844]=[-.7095,15.187,.08724]
M[1845]=[-.7107,15.1868,.08725]
M[1846]=[-.7118,15.1865,.08727]
M[1847]=[-.713,15.1863,.08728]
M[1848]=[-.7141,15.186,.08729]
M[1849]=[-.7153,15.1858,.08731]
M[1850]=[-.7165,15.1855,.08732]
M[1851]=[-.7176,15.1853,.08733]
M[1852]=[-.7188,15.185,.08735]
M[1853]=[-.72,15.1848,.08736]
M[1854]=[-.7211,15.1845,.08737]
M[1855]=[-.7223,15.1843,.08739]
M[1856]=[-.7235,15.184,.0874]
F[0]=[-.0631,13.3363,.09272]
F[1]=[.0362,13.3185,.0936]
F[2]=[.1355,13.3006,.09448]
F[3]=[.2347,13.2828,.09535]
F[4]=[.334,13.2649,.09623]
F[5]=[.4333,13.247,.09711]
F[6]=[.5326,13.2292,.09799]
F[7]=[.6319,13.2113,.09887]
F[8]=[.6142,13.2455,.09866]
F[9]=[.5965,13.2796,.09845]
F[10]=[.5789,13.3137,.09824]
F[11]=[.5612,13.3478,.09804]
F[12]=[.5435,13.3819,.09783]
F[13]=[.5258,13.416,.09762]
F[14]=[.5082,13.4501,.09741]
F[15]=[.4947,13.5169,.09726]
F[16]=[.482,13.5873,.09711]
F[17]=[.4699,13.6595,.09697]
F[18]=[.4583,13.7325,.09684]
F[19]=[.4472,13.8056,.09671]
F[20]=[.4365,13.8784,.09659]
F[21]=[.4263,13.9505,.09647]
F[22]=[.4164,14.0216,.09636]
F[23]=[.4069,14.0916,.09625]
F[24]=[.3977,14.1603,.09615]
F[25]=[.3888,14.2276,.09605]
F[26]=[.3802,14.2935,.09595]
F[27]=[.3718,14.3579,.09586]
F[28]=[.3637,14.4208,.09577]
F[29]=[.3558,14.4824,.09568]
F[30]=[.3481,14.5422,.09559]
F[31]=[.3406,14.6003,.09551]
F[32]=[.3333,14.6566,.09543]
F[33]=[.3262,14.7112,.09535]
F[34]=[.3192,14.7642,.09527]
F[35]=[.3124,14.8157,.0952]
F[36]=[.3058,14.8657,.09513]
F[37]=[.2993,14.9142,.09506]
F[38]=[.2929,14.9614,.09499]
F[39]=[.2867,15.0073,.09492]
F[40]=[.2806,15.052,.09485]
F[41]=[.2747,15.0955,.09479]
F[42]=[.2688,15.138,.09472]
F[43]=[.263,15.1794,.09466]
F[44]=[.2574,15.2198,.0946]
F[45]=[.2519,15.2591,.09454]
F[46]=[.2464,15.2974,.09448]
F[47]=[.2411,15.3347,.09442]
F[48]=[.2358,15.3709,.09436]
F[49]=[.2306,15.4063,.09431]
F[50]=[.2255,15.4408,.09425]
F[51]=[.2205,15.4744,.0942]
F[52]=[.2156,15.5072,.09415]
F[53]=[.2107,15.5393,.0941]
F[54]=[.2059,15.5706,.09404]
F[55]=[.2012,15.6012,.09399]
F[56]=[.1966,15.6311,.09394]
F[57]=[.192,15.6604,.09389]
F[58]=[.1875,15.689,.09385]
F[59]=[.183,15.717,.0938]
F[60]=[.1787,15.7444,.09375]
F[61]=[.1743,15.7713,.09371]
F[62]=[.17,15.7975,.09366]
F[63]=[.1658,15.8232,.09361]
F[64]=[.1617,15.8483,.09357]
F[65]=[.1575,15.8729,.09353]
F[66]=[.1535,15.8968,.09348]
F[67]=[.1495,15.9202,.09344]
F[68]=[.1455,15.9431,.0934]
F[69]=[.1416,15.9655,.09336]
F[70]=[.1377,15.9874,.09332]
F[71]=[.1339,16.0087,.09328]
F[72]=[.1301,16.0297,.09324]
F[73]=[.1263,16.0501,.0932]
F[74]=[.1226,16.0702,.09316]
F[75]=[.119,16.0897,.09312]
F[76]=[.1154,16.1089,.09308]
F[77]=[.1118,16.1277,.09304]
F[78]=[.1082,16.1461,.093]
F[79]=[.1047,16.164,.09297]
F[80]=[.1013,16.1817,.09293]
F[81]=[.0978,16.1989,.09289]
F[82]=[.0944,16.2158,.09286]
F[83]=[.0911,16.2323,.09282]
F[84]=[.0877,16.2485,.09279]
F[85]=[.0844,16.2644,.09275]
F[86]=[.0811,16.28,.09272]
F[87]=[.0779,16.2952,.09268]
F[88]=[.0747,16.3101,.09265]
F[89]=[.0715,16.3247,.09262]
F[90]=[.0684,16.339,.09258]
F[91]=[.0652,16.3531,.09255]
F[92]=[.0621,16.3668,.09252]
F[93]=[.0591,16.3803,.09249]
F[94]=[.056,16.3935,.09245]
F[95]=[.053,16.4065,.09242]
F[96]=[.05,16.4192,.09239]
F[97]=[.0471,16.4316,.09236]
F[98]=[.0442,16.4438,.09233]
F[99]=[.0412,16.4557,.0923]
F[100]=[.0384,16.4673,.09227]
F[101]=[.0355,16.4788,.09224]
F[102]=[.0327,16.49,.09221]
F[103]=[.0298,16.5009,.09218]
F[104]=[.027,16.5117,.09215]
F[105]=[.0243,16.5222,.09212]
F[106]=[.0215,16.5325,.09209]
F[107]=[.0188,16.5426,.09206]
F[108]=[.0161,16.5525,.09203]
F[109]=[.0134,16.5622,.09201]
F[110]=[.0107,16.5717,.09198]
F[111]=[.0081,16.581,.09195]
F[112]=[.0055,16.5901,.09192]
F[113]=[.0029,16.5991,.09189]
F[114]=[.0003,16.6078,.09187]
F[115]=[-.0023,16.6164,.09184]
F[116]=[-.0048,16.6249,.09181]
F[117]=[-.0074,16.6331,.09179]
F[118]=[-.0099,16.6412,.09176]
F[119]=[-.0124,16.6492,.09173]
F[120]=[-.0148,16.657,.09171]
F[121]=[-.0173,16.6647,.09168]
F[122]=[-.0197,16.6722,.09166]
F[123]=[-.0222,16.6795,.09163]
F[124]=[-.0246,16.6868,.09161]
F[125]=[-.027,16.6939,.09158]
F[126]=[-.0293,16.7009,.09156]
F[127]=[-.0317,16.7077,.09153]
F[128]=[-.034,16.7144,.09151]
F[129]=[-.0364,16.721,.09148]
F[130]=[-.0387,16.7274,.09146]
F[131]=[-.041,16.7337,.09143]
F[132]=[-.0433,16.7399,.09141]
F[133]=[-.0455,16.746,.09139]
F[134]=[-.0478,16.7519,.09136]
F[135]=[-.05,16.7577,.09134]
F[136]=[-.0522,16.7634,.09131]
F[137]=[-.0545,16.7689,.09129]
F[138]=[-.0566,16.7743,.09127]
F[139]=[-.0588,16.7797,.09125]
F[140]=[-.061,16.7848,.09122]
F[141]=[-.0632,16.7899,.0912]
F[142]=[-.0653,16.7948,.09118]
F[143]=[-.0674,16.7997,.09116]
F[144]=[-.0696,16.8044,.09113]
F[145]=[-.0717,16.809,.09111]
F[146]=[-.0737,16.8134,.09109]
F[147]=[-.0758,16.8178,.09107]
F[148]=[-.0779,16.822,.09104]
F[149]=[-.08,16.8262,.09102]
F[150]=[-.082,16.8302,.091]
F[151]=[-.084,16.8341,.09098]
F[152]=[-.086,16.8379,.09096]
F[153]=[-.0881,16.8416,.09094]
F[154]=[-.0901,16.8452,.09092]
F[155]=[-.092,16.8487,.0909]
F[156]=[-.094,16.8521,.09088]
F[157]=[-.096,16.8554,.09085]
F[158]=[-.0979,16.8586,.09083]
F[159]=[-.0999,16.8617,.09081]
F[160]=[-.1018,16.8648,.09079]
F[161]=[-.1037,16.8677,.09077]
F[162]=[-.1056,16.8705,.09075]
F[163]=[-.1075,16.8732,.09073]
F[164]=[-.1094,16.8759,.09071]
F[165]=[-.1113,16.8784,.09069]
F[166]=[-.1132,16.8808,.09067]
F[167]=[-.115,16.8832,.09065]
F[168]=[-.1169,16.8854,.09063]
F[169]=[-.1187,16.8876,.09061]
F[170]=[-.1206,16.8897,.09059]
F[171]=[-.1224,16.8917,.09058]
F[172]=[-.1242,16.8936,.09056]
F[173]=[-.126,16.8954,.09054]
F[174]=[-.1278,16.8971,.09052]
F[175]=[-.1296,16.8987,.0905]
F[176]=[-.1314,16.9002,.09048]
F[177]=[-.1331,16.9017,.09046]
F[178]=[-.1349,16.9031,.09044]
F[179]=[-.1366,16.9043,.09043]
F[180]=[-.1384,16.9055,.09041]
F[181]=[-.1401,16.9066,.09039]
F[182]=[-.1418,16.9077,.09037]
F[183]=[-.1436,16.9086,.09035]
F[184]=[-.1453,16.9095,.09033]
F[185]=[-.147,16.9102,.09032]
F[186]=[-.1487,16.9109,.0903]
F[187]=[-.1503,16.9116,.09028]
F[188]=[-.152,16.9121,.09026]
F[189]=[-.1537,16.9125,.09024]
F[190]=[-.1554,16.9129,.09023]
F[191]=[-.157,16.9132,.09021]
F[192]=[-.1587,16.9135,.09019]
F[193]=[-.1603,16.9136,.09017]
F[194]=[-.1619,16.9137,.09016]
F[195]=[-.1635,16.9137,.09014]
F[196]=[-.1652,16.9136,.09012]
F[197]=[-.1668,16.9135,.09011]
F[198]=[-.1684,16.9133,.09009]
F[199]=[-.17,16.913,.09007]
F[200]=[-.1715,16.9127,.09006]
F[201]=[-.1731,16.9122,.09004]
F[202]=[-.1747,16.9118,.09002]
F[203]=[-.1763,16.9112,.09001]
F[204]=[-.1778,16.9106,.08999]
F[205]=[-.1794,16.9099,.08997]
F[206]=[-.1809,16.9091,.08996]
F[207]=[-.1824,16.9083,.08994]
F[208]=[-.184,16.9074,.08992]
F[209]=[-.1855,16.9065,.08991]
F[210]=[-.187,16.9055,.08989]
F[211]=[-.1885,16.9044,.08988]
F[212]=[-.19,16.9033,.08986]
F[213]=[-.1915,16.9021,.08984]
F[214]=[-.193,16.9008,.08983]
F[215]=[-.1945,16.8995,.08981]
F[216]=[-.196,16.8981,.0898]
F[217]=[-.1975,16.8967,.08978]
F[218]=[-.1989,16.8952,.08976]
F[219]=[-.2004,16.8937,.08975]
F[220]=[-.2018,16.8921,.08973]
F[221]=[-.2033,16.8905,.08972]
F[222]=[-.2047,16.8888,.0897]
F[223]=[-.2062,16.887,.08969]
F[224]=[-.2076,16.8852,.08967]
F[225]=[-.209,16.8834,.08966]
F[226]=[-.2104,16.8814,.08964]
F[227]=[-.2119,16.8795,.08963]
F[228]=[-.2133,16.8775,.08961]
F[229]=[-.2147,16.8754,.0896]
F[230]=[-.2161,16.8733,.08958]
F[231]=[-.2175,16.8712,.08957]
F[232]=[-.2188,16.869,.08955]
F[233]=[-.2202,16.8667,.08954]
F[234]=[-.2216,16.8644,.08952]
F[235]=[-.223,16.8621,.08951]
F[236]=[-.2243,16.8597,.08949]
F[237]=[-.2257,16.8572,.08948]
F[238]=[-.227,16.8548,.08947]
F[239]=[-.2284,16.8522,.08945]
F[240]=[-.2297,16.8497,.08944]
F[241]=[-.2311,16.8471,.08942]
F[242]=[-.2324,16.8444,.08941]
F[243]=[-.2337,16.8417,.08939]
F[244]=[-.2351,16.839,.08938]
F[245]=[-.2364,16.8362,.08937]
F[246]=[-.2377,16.8334,.08935]
F[247]=[-.239,16.8305,.08934]
F[248]=[-.2403,16.8276,.08932]
F[249]=[-.2416,16.8247,.08931]
F[250]=[-.2429,16.8217,.0893]
F[251]=[-.2442,16.8187,.08928]
F[252]=[-.2455,16.8157,.08927]
F[253]=[-.2467,16.8126,.08926]
F[254]=[-.248,16.8095,.08924]
F[255]=[-.2493,16.8063,.08923]
F[256]=[-.2505,16.8031,.08921]
F[257]=[-.2518,16.7999,.0892]
F[258]=[-.2531,16.7967,.08919]
F[259]=[-.2543,16.7934,.08917]
F[260]=[-.2556,16.79,.08916]
F[261]=[-.2568,16.7867,.08915]
F[262]=[-.258,16.7833,.08913]
F[263]=[-.2593,16.7799,.08912]
F[264]=[-.2605,16.7764,.08911]
F[265]=[-.2617,16.773,.08909]
F[266]=[-.263,16.7695,.08908]
F[267]=[-.2642,16.7659,.08907]
F[268]=[-.2654,16.7624,.08906]
F[269]=[-.2666,16.7588,.08904]
F[270]=[-.2678,16.7551,.08903]
F[271]=[-.269,16.7515,.08902]
F[272]=[-.2702,16.7478,.089]
F[273]=[-.2714,16.7441,.08899]
F[274]=[-.2726,16.7404,.08898]
F[275]=[-.2737,16.7367,.08897]
F[276]=[-.2749,16.7329,.08895]
F[277]=[-.2761,16.7291,.08894]
F[278]=[-.2773,16.7253,.08893]
F[279]=[-.2784,16.7214,.08892]
F[280]=[-.2796,16.7176,.0889]
F[281]=[-.2808,16.7137,.08889]
F[282]=[-.2819,16.7098,.08888]
F[283]=[-.2831,16.7059,.08887]
F[284]=[-.2842,16.7019,.08885]
F[285]=[-.2854,16.698,.08884]
F[286]=[-.2865,16.694,.08883]
F[287]=[-.2876,16.69,.08882]
F[288]=[-.2888,16.686,.08881]
F[289]=[-.2899,16.682,.08879]
F[290]=[-.291,16.6779,.08878]
F[291]=[-.2922,16.6739,.08877]
F[292]=[-.2933,16.6698,.08876]
F[293]=[-.2944,16.6657,.08874]
F[294]=[-.2955,16.6616,.08873]
F[295]=[-.2966,16.6575,.08872]
F[296]=[-.2977,16.6534,.08871]
F[297]=[-.2988,16.6492,.0887]
F[298]=[-.2999,16.6451,.08869]
F[299]=[-.301,16.6409,.08867]
F[300]=[-.3021,16.6367,.08866]
F[301]=[-.3032,16.6326,.08865]
F[302]=[-.3043,16.6284,.08864]
F[303]=[-.3053,16.6242,.08863]
F[304]=[-.3064,16.62,.08862]
F[305]=[-.3075,16.6157,.0886]
F[306]=[-.3086,16.6115,.08859]
F[307]=[-.3096,16.6073,.08858]
F[308]=[-.3107,16.603,.08857]
F[309]=[-.3118,16.5988,.08856]
F[310]=[-.3128,16.5945,.08855]
F[311]=[-.3139,16.5903,.08854]
F[312]=[-.3149,16.586,.08852]
F[313]=[-.316,16.5817,.08851]
F[314]=[-.317,16.5774,.0885]
F[315]=[-.3181,16.5731,.08849]
F[316]=[-.3191,16.5688,.08848]
F[317]=[-.3201,16.5645,.08847]
F[318]=[-.3212,16.5602,.08846]
F[319]=[-.3222,16.5559,.08845]
F[320]=[-.3232,16.5516,.08843]
F[321]=[-.3242,16.5473,.08842]
F[322]=[-.3253,16.543,.08841]
F[323]=[-.3263,16.5387,.0884]
F[324]=[-.3273,16.5343,.08839]
F[325]=[-.3283,16.53,.08838]
F[326]=[-.3293,16.5257,.08837]
F[327]=[-.3303,16.5213,.08836]
F[328]=[-.3313,16.517,.08835]
F[329]=[-.3323,16.5127,.08834]
F[330]=[-.3333,16.5083,.08833]
F[331]=[-.3343,16.504,.08832]
F[332]=[-.3353,16.4997,.0883]
F[333]=[-.3363,16.4953,.08829]
F[334]=[-.3373,16.491,.08828]
F[335]=[-.3382,16.4867,.08827]
F[336]=[-.3392,16.4823,.08826]
F[337]=[-.3402,16.478,.08825]
F[338]=[-.3412,16.4737,.08824]
F[339]=[-.3421,16.4693,.08823]
F[340]=[-.3431,16.465,.08822]
F[341]=[-.3441,16.4607,.08821]
F[342]=[-.345,16.4563,.0882]
F[343]=[-.346,16.452,.08819]
F[344]=[-.347,16.4477,.08818]
F[345]=[-.3479,16.4434,.08817]
F[346]=[-.3489,16.4391,.08816]
F[347]=[-.3498,16.4347,.08815]
F[348]=[-.3508,16.4304,.08814]
F[349]=[-.3517,16.4261,.08813]
F[350]=[-.3526,16.4218,.08812]
F[351]=[-.3536,16.4175,.08811]
F[352]=[-.3545,16.4132,.0881]
F[353]=[-.3555,16.4089,.08809]
F[354]=[-.3564,16.4046,.08808]
F[355]=[-.3573,16.4004,.08807]
F[356]=[-.3582,16.3961,.08806]
F[357]=[-.3592,16.3918,.08805]
F[358]=[-.3601,16.3875,.08804]
F[359]=[-.361,16.3833,.08803]
F[360]=[-.3619,16.379,.08802]
F[361]=[-.3628,16.3748,.08801]
F[362]=[-.3638,16.3705,.088]
F[363]=[-.3647,16.3663,.08799]
F[364]=[-.3656,16.3621,.08798]
F[365]=[-.3665,16.3578,.08797]
F[366]=[-.3674,16.3536,.08796]
F[367]=[-.3683,16.3494,.08795]
F[368]=[-.3692,16.3452,.08794]
F[369]=[-.3701,16.341,.08793]
F[370]=[-.371,16.3368,.08792]
F[371]=[-.3719,16.3326,.08791]
F[372]=[-.3727,16.3284,.0879]
F[373]=[-.3736,16.3242,.08789]
F[374]=[-.3745,16.32,.08788]
F[375]=[-.3754,16.3158,.08787]
F[376]=[-.3763,16.3117,.08786]
F[377]=[-.3772,16.3075,.08785]
F[378]=[-.378,16.3034,.08784]
F[379]=[-.3789,16.2992,.08783]
F[380]=[-.3798,16.2951,.08782]
F[381]=[-.3806,16.291,.08782]
F[382]=[-.3815,16.2868,.08781]
F[383]=[-.3824,16.2827,.0878]
F[384]=[-.3832,16.2786,.08779]
F[385]=[-.3841,16.2745,.08778]
F[386]=[-.385,16.2704,.08777]
F[387]=[-.3858,16.2663,.08776]
F[388]=[-.3867,16.2622,.08775]
F[389]=[-.3875,16.2582,.08774]
F[390]=[-.3884,16.2541,.08773]
F[391]=[-.3892,16.25,.08772]
F[392]=[-.3901,16.246,.08771]
F[393]=[-.3909,16.2419,.0877]
F[394]=[-.3917,16.2379,.08769]
F[395]=[-.3926,16.2339,.08769]
F[396]=[-.3934,16.2298,.08768]
F[397]=[-.3943,16.2258,.08767]
F[398]=[-.3951,16.2218,.08766]
F[399]=[-.3959,16.2178,.08765]
F[400]=[-.3968,16.2138,.08764]
F[401]=[-.3976,16.2099,.08763]
F[402]=[-.3984,16.2059,.08762]
F[403]=[-.3992,16.2019,.08761]
F[404]=[-.4001,16.198,.08761]
F[405]=[-.4009,16.194,.0876]
F[406]=[-.4017,16.1901,.08759]
F[407]=[-.4025,16.1862,.08758]
F[408]=[-.4033,16.1822,.08757]
F[409]=[-.4041,16.1783,.08756]
F[410]=[-.4049,16.1744,.08755]
F[411]=[-.4057,16.1705,.08754]
F[412]=[-.4066,16.1667,.08753]
F[413]=[-.4074,16.1628,.08753]
F[414]=[-.4082,16.1589,.08752]
F[415]=[-.409,16.1551,.08751]
F[416]=[-.4098,16.1512,.0875]
F[417]=[-.4106,16.1474,.08749]
F[418]=[-.4114,16.1435,.08748]
F[419]=[-.4121,16.1397,.08747]
F[420]=[-.4129,16.1359,.08747]
F[421]=[-.4137,16.1321,.08746]
F[422]=[-.4145,16.1283,.08745]
F[423]=[-.4153,16.1245,.08744]
F[424]=[-.4161,16.1207,.08743]
F[425]=[-.4169,16.117,.08742]
F[426]=[-.4176,16.1132,.08741]
F[427]=[-.4184,16.1095,.08741]
F[428]=[-.4192,16.1057,.0874]
F[429]=[-.42,16.102,.08739]
F[430]=[-.4208,16.0983,.08738]
F[431]=[-.4215,16.0946,.08737]
F[432]=[-.4223,16.0909,.08736]
F[433]=[-.4231,16.0872,.08736]
F[434]=[-.4238,16.0835,.08735]
F[435]=[-.4246,16.0798,.08734]
F[436]=[-.4254,16.0762,.08733]
F[437]=[-.4261,16.0725,.08732]
F[438]=[-.4269,16.0689,.08731]
F[439]=[-.4276,16.0652,.08731]
F[440]=[-.4284,16.0616,.0873]
F[441]=[-.4292,16.058,.08729]
F[442]=[-.4299,16.0544,.08728]
F[443]=[-.4307,16.0508,.08727]
F[444]=[-.4314,16.0472,.08727]
F[445]=[-.4322,16.0436,.08726]
F[446]=[-.4329,16.04,.08725]
F[447]=[-.4337,16.0365,.08724]
F[448]=[-.4344,16.0329,.08723]
F[449]=[-.4351,16.0294,.08722]
F[450]=[-.4359,16.0258,.08722]
F[451]=[-.4366,16.0223,.08721]
F[452]=[-.4374,16.0188,.0872]
F[453]=[-.4381,16.0153,.08719]
F[454]=[-.4388,16.0118,.08718]
F[455]=[-.4396,16.0083,.08718]
F[456]=[-.4403,16.0048,.08717]
F[457]=[-.441,16.0013,.08716]
F[458]=[-.4418,15.9979,.08715]
F[459]=[-.4425,15.9944,.08714]
F[460]=[-.4432,15.991,.08714]
F[461]=[-.4439,15.9875,.08713]
F[462]=[-.4447,15.9841,.08712]
F[463]=[-.4454,15.9807,.08711]
F[464]=[-.4461,15.9773,.08711]
F[465]=[-.4468,15.9739,.0871]
F[466]=[-.4475,15.9705,.08709]
F[467]=[-.4482,15.9671,.08708]
F[468]=[-.449,15.9638,.08707]
F[469]=[-.4497,15.9604,.08707]
F[470]=[-.4504,15.9571,.08706]
F[471]=[-.4511,15.9537,.08705]
F[472]=[-.4518,15.9504,.08704]
F[473]=[-.4525,15.9471,.08704]
F[474]=[-.4532,15.9438,.08703]
F[475]=[-.4539,15.9405,.08702]
F[476]=[-.4546,15.9372,.08701]
F[477]=[-.4553,15.9339,.08701]
F[478]=[-.456,15.9307,.087]
F[479]=[-.4567,15.9274,.08699]
F[480]=[-.4574,15.9241,.08698]
F[481]=[-.4581,15.9209,.08698]
F[482]=[-.4588,15.9177,.08697]
F[483]=[-.4595,15.9145,.08696]
F[484]=[-.4602,15.9112,.08695]
F[485]=[-.4609,15.908,.08695]
F[486]=[-.4616,15.9049,.08694]
F[487]=[-.4623,15.9017,.08693]
F[488]=[-.4629,15.8985,.08692]
F[489]=[-.4636,15.8953,.08692]
F[490]=[-.4643,15.8922,.08691]
F[491]=[-.465,15.8891,.0869]
F[492]=[-.4657,15.8859,.08689]
F[493]=[-.4663,15.8828,.08689]
F[494]=[-.467,15.8797,.08688]
F[495]=[-.4677,15.8766,.08687]
F[496]=[-.4684,15.8735,.08686]
F[497]=[-.469,15.8704,.08686]
F[498]=[-.4697,15.8673,.08685]
F[499]=[-.4704,15.8643,.08684]
F[500]=[-.4711,15.8612,.08683]
F[501]=[-.4717,15.8582,.08683]
F[502]=[-.4724,15.8552,.08682]
F[503]=[-.4731,15.8521,.08681]
F[504]=[-.4737,15.8491,.08681]
F[505]=[-.4744,15.8461,.0868]
F[506]=[-.4751,15.8431,.08679]
F[507]=[-.4757,15.8401,.08678]
F[508]=[-.4764,15.8372,.08678]
F[509]=[-.477,15.8342,.08677]
F[510]=[-.4777,15.8313,.08676]
F[511]=[-.4783,15.8283,.08676]
F[512]=[-.479,15.8254,.08675]
F[513]=[-.4797,15.8224,.08674]
F[514]=[-.4803,15.8195,.08673]
F[515]=[-.481,15.8166,.08673]
F[516]=[-.4816,15.8137,.08672]
F[517]=[-.4823,15.8108,.08671]
F[518]=[-.4829,15.808,.08671]
F[519]=[-.4836,15.8051,.0867]
F[520]=[-.4842,15.8022,.08669]
F[521]=[-.4848,15.7994,.08668]
F[522]=[-.4855,15.7965,.08668]
F[523]=[-.4861,15.7937,.08667]
F[524]=[-.4868,15.7909,.08666]
F[525]=[-.4874,15.7881,.08666]
F[526]=[-.488,15.7853,.08665]
F[527]=[-.4887,15.7825,.08664]
F[528]=[-.4893,15.7797,.08664]
F[529]=[-.49,15.7769,.08663]
F[530]=[-.4906,15.7742,.08662]
F[531]=[-.4912,15.7714,.08662]
F[532]=[-.4919,15.7687,.08661]
F[533]=[-.4925,15.7659,.0866]
F[534]=[-.4931,15.7632,.0866]
F[535]=[-.4937,15.7605,.08659]
F[536]=[-.4944,15.7578,.08658]
F[537]=[-.495,15.7551,.08657]
F[538]=[-.4956,15.7524,.08657]
F[539]=[-.4962,15.7497,.08656]
F[540]=[-.4969,15.747,.08655]
F[541]=[-.4975,15.7444,.08655]
F[542]=[-.4981,15.7417,.08654]
F[543]=[-.4987,15.7391,.08653]
F[544]=[-.4993,15.7364,.08653]
F[545]=[-.5,15.7338,.08652]
F[546]=[-.5006,15.7312,.08651]
F[547]=[-.5012,15.7286,.08651]
F[548]=[-.5018,15.726,.0865]
F[549]=[-.5024,15.7234,.08649]
F[550]=[-.503,15.7208,.08649]
F[551]=[-.5036,15.7183,.08648]
F[552]=[-.5043,15.7157,.08647]
F[553]=[-.5049,15.7132,.08647]
F[554]=[-.5055,15.7106,.08646]
F[555]=[-.5061,15.7081,.08645]
F[556]=[-.5067,15.7056,.08645]
F[557]=[-.5073,15.703,.08644]
F[558]=[-.5079,15.7005,.08643]
F[559]=[-.5085,15.698,.08643]
F[560]=[-.5091,15.6956,.08642]
F[561]=[-.5097,15.6931,.08642]
F[562]=[-.5103,15.6906,.08641]
F[563]=[-.5109,15.6882,.0864]
F[564]=[-.5115,15.6857,.0864]
F[565]=[-.5121,15.6833,.08639]
F[566]=[-.5127,15.6808,.08638]
F[567]=[-.5133,15.6784,.08638]
F[568]=[-.5139,15.676,.08637]
F[569]=[-.5145,15.6736,.08636]
F[570]=[-.5151,15.6712,.08636]
F[571]=[-.5156,15.6688,.08635]
F[572]=[-.5162,15.6665,.08634]
F[573]=[-.5168,15.6641,.08634]
F[574]=[-.5174,15.6617,.08633]
F[575]=[-.518,15.6594,.08632]
F[576]=[-.5186,15.6571,.08632]
F[577]=[-.5192,15.6547,.08631]
F[578]=[-.5197,15.6524,.08631]
F[579]=[-.5203,15.6501,.0863]
F[580]=[-.5209,15.6478,.08629]
F[581]=[-.5215,15.6455,.08629]
F[582]=[-.5221,15.6432,.08628]
F[583]=[-.5226,15.6409,.08627]
F[584]=[-.5232,15.6387,.08627]
F[585]=[-.5238,15.6364,.08626]
F[586]=[-.5244,15.6342,.08626]
F[587]=[-.525,15.6319,.08625]
F[588]=[-.5255,15.6297,.08624]
F[589]=[-.5261,15.6275,.08624]
F[590]=[-.5267,15.6253,.08623]
F[591]=[-.5272,15.6231,.08622]
F[592]=[-.5278,15.6209,.08622]
F[593]=[-.5284,15.6187,.08621]
F[594]=[-.529,15.6165,.08621]
F[595]=[-.5295,15.6144,.0862]
F[596]=[-.5301,15.6122,.08619]
F[597]=[-.5307,15.61,.08619]
F[598]=[-.5312,15.6079,.08618]
F[599]=[-.5318,15.6058,.08618]
F[600]=[-.5323,15.6037,.08617]
F[601]=[-.5329,15.6015,.08616]
F[602]=[-.5335,15.5994,.08616]
F[603]=[-.534,15.5973,.08615]
F[604]=[-.5346,15.5953,.08614]
F[605]=[-.5351,15.5932,.08614]
F[606]=[-.5357,15.5911,.08613]
F[607]=[-.5363,15.589,.08613]
F[608]=[-.5368,15.587,.08612]
F[609]=[-.5374,15.585,.08611]
F[610]=[-.5379,15.5829,.08611]
F[611]=[-.5385,15.5809,.0861]
F[612]=[-.539,15.5789,.0861]
F[613]=[-.5396,15.5769,.08609]
F[614]=[-.5401,15.5749,.08608]
F[615]=[-.5407,15.5729,.08608]
F[616]=[-.5412,15.5709,.08607]
F[617]=[-.5418,15.569,.08607]
F[618]=[-.5423,15.567,.08606]
F[619]=[-.5429,15.5651,.08605]
F[620]=[-.5434,15.5631,.08605]
F[621]=[-.544,15.5612,.08604]
F[622]=[-.5445,15.5593,.08604]
F[623]=[-.5451,15.5574,.08603]
F[624]=[-.5456,15.5555,.08603]
F[625]=[-.5461,15.5536,.08602]
F[626]=[-.5467,15.5517,.08601]
F[627]=[-.5472,15.5498,.08601]
F[628]=[-.5478,15.548,.086]
F[629]=[-.5483,15.5461,.086]
F[630]=[-.5488,15.5443,.08599]
F[631]=[-.5494,15.5424,.08598]
F[632]=[-.5499,15.5406,.08598]
F[633]=[-.5504,15.5388,.08597]
F[634]=[-.551,15.537,.08597]
F[635]=[-.5515,15.5352,.08596]
F[636]=[-.552,15.5334,.08596]
F[637]=[-.5526,15.5316,.08595]
F[638]=[-.5531,15.5299,.08594]
F[639]=[-.5536,15.5281,.08594]
F[640]=[-.5542,15.5263,.08593]
F[641]=[-.5547,15.5246,.08593]
F[642]=[-.5552,15.5229,.08592]
F[643]=[-.5557,15.5212,.08591]
F[644]=[-.5563,15.5194,.08591]
F[645]=[-.5568,15.5177,.0859]
F[646]=[-.5573,15.5161,.0859]
F[647]=[-.5578,15.5144,.08589]
F[648]=[-.5584,15.5127,.08589]
F[649]=[-.5589,15.511,.08588]
F[650]=[-.5594,15.5094,.08587]
F[651]=[-.5599,15.5077,.08587]
F[652]=[-.5605,15.5061,.08586]
F[653]=[-.561,15.5045,.08586]
F[654]=[-.5615,15.5028,.08585]
F[655]=[-.562,15.5012,.08585]
F[656]=[-.5625,15.4996,.08584]
F[657]=[-.563,15.498,.08584]
F[658]=[-.5636,15.4965,.08583]
F[659]=[-.5641,15.4949,.08582]
F[660]=[-.5646,15.4933,.08582]
F[661]=[-.5651,15.4918,.08581]
F[662]=[-.5656,15.4902,.08581]
F[663]=[-.5661,15.4887,.0858]
F[664]=[-.5666,15.4872,.0858]
F[665]=[-.5672,15.4856,.08579]
F[666]=[-.5677,15.4841,.08579]
F[667]=[-.5682,15.4826,.08578]
F[668]=[-.5687,15.4811,.08577]
F[669]=[-.5692,15.4797,.08577]
F[670]=[-.5697,15.4782,.08576]
F[671]=[-.5702,15.4767,.08576]
F[672]=[-.5707,15.4753,.08575]
F[673]=[-.5712,15.4738,.08575]
F[674]=[-.5717,15.4724,.08574]
F[675]=[-.5722,15.471,.08574]
F[676]=[-.5727,15.4695,.08573]
F[677]=[-.5732,15.4681,.08573]
F[678]=[-.5737,15.4667,.08572]
F[679]=[-.5742,15.4653,.08571]
F[680]=[-.5747,15.4639,.08571]
F[681]=[-.5752,15.4626,.0857]
F[682]=[-.5757,15.4612,.0857]
F[683]=[-.5762,15.4598,.08569]
F[684]=[-.5767,15.4585,.08569]
F[685]=[-.5772,15.4572,.08568]
F[686]=[-.5777,15.4558,.08568]
F[687]=[-.5782,15.4545,.08567]
F[688]=[-.5787,15.4532,.08567]
F[689]=[-.5792,15.4519,.08566]
F[690]=[-.5797,15.4506,.08565]
F[691]=[-.5802,15.4493,.08565]
F[692]=[-.5807,15.448,.08564]
F[693]=[-.5812,15.4467,.08564]
F[694]=[-.5817,15.4455,.08563]
F[695]=[-.5821,15.4442,.08563]
F[696]=[-.5826,15.443,.08562]
F[697]=[-.5831,15.4417,.08562]
F[698]=[-.5836,15.4405,.08561]
F[699]=[-.5841,15.4393,.08561]
F[700]=[-.5846,15.4381,.0856]
F[701]=[-.5851,15.4368,.0856]
F[702]=[-.5855,15.4356,.08559]
F[703]=[-.586,15.4345,.08559]
F[704]=[-.5865,15.4333,.08558]
F[705]=[-.587,15.4321,.08558]
F[706]=[-.5875,15.4309,.08557]
F[707]=[-.588,15.4298,.08556]
F[708]=[-.5884,15.4286,.08556]
F[709]=[-.5889,15.4275,.08555]
F[710]=[-.5894,15.4263,.08555]
F[711]=[-.5899,15.4252,.08554]
F[712]=[-.5904,15.4241,.08554]
F[713]=[-.5908,15.423,.08553]
F[714]=[-.5913,15.4219,.08553]
F[715]=[-.5918,15.4208,.08552]
F[716]=[-.5923,15.4197,.08552]
F[717]=[-.5927,15.4186,.08551]
F[718]=[-.5932,15.4175,.08551]
F[719]=[-.5937,15.4164,.0855]
F[720]=[-.5942,15.4154,.0855]
F[721]=[-.5946,15.4143,.08549]
F[722]=[-.5951,15.4133,.08549]
F[723]=[-.5956,15.4122,.08548]
F[724]=[-.5961,15.4112,.08548]
F[725]=[-.5965,15.4102,.08547]
F[726]=[-.597,15.4092,.08547]
F[727]=[-.5975,15.4082,.08546]
F[728]=[-.5979,15.4072,.08546]
F[729]=[-.5984,15.4062,.08545]
F[730]=[-.5989,15.4052,.08545]
F[731]=[-.5684,15.6881,.08454]
F[732]=[-.5684,15.6871,.08454]
F[733]=[-.5684,15.6861,.08454]
F[734]=[-.5684,15.6851,.08454]
F[735]=[-.5684,15.6841,.08454]
F[736]=[-.5684,15.6831,.08454]
F[737]=[-.5684,15.6822,.08454]
F[738]=[-.5684,15.6812,.08454]
F[739]=[-.5684,15.6802,.08454]
F[740]=[-.5684,15.6792,.08454]
F[741]=[-.5684,15.6782,.08454]
F[742]=[-.5684,15.6772,.08454]
F[743]=[-.5684,15.6763,.08454]
F[744]=[-.5684,15.6753,.08454]
F[745]=[-.5684,15.6743,.08453]
F[746]=[-.5684,15.6733,.08453]
F[747]=[-.5684,15.6724,.08453]
F[748]=[-.5684,15.6714,.08453]
F[749]=[-.5684,15.6704,.08453]
F[750]=[-.5684,15.6695,.08453]
F[751]=[-.5684,15.6685,.08453]
F[752]=[-.5684,15.6675,.08453]
F[753]=[-.5684,15.6666,.08453]
F[754]=[-.5684,15.6656,.08453]
F[755]=[-.5684,15.6646,.08453]
F[756]=[-.5684,15.6637,.08453]
F[757]=[-.5684,15.6627,.08452]
F[758]=[-.5684,15.6618,.08452]
F[759]=[-.5684,15.6608,.08452]
F[760]=[-.5684,15.6599,.08452]
F[761]=[-.5684,15.6589,.08452]
F[762]=[-.5684,15.658,.08452]
F[763]=[-.5684,15.657,.08452]
F[764]=[-.5684,15.6561,.08452]
F[765]=[-.5684,15.6551,.08452]
F[766]=[-.5684,15.6542,.08452]
F[767]=[-.5684,15.6532,.08451]
F[768]=[-.5684,15.6523,.08451]
F[769]=[-.5684,15.6514,.08451]
F[770]=[-.5684,15.6504,.08451]
F[771]=[-.5684,15.6495,.08451]
F[772]=[-.5684,15.6486,.08451]
F[773]=[-.5684,15.6476,.08451]
F[774]=[-.5684,15.6467,.08451]
F[775]=[-.5684,15.6458,.08451]
F[776]=[-.5684,15.6448,.08451]
F[777]=[-.5684,15.6439,.08451]
F[778]=[-.5684,15.643,.0845]
F[779]=[-.5684,15.6421,.0845]
F[780]=[-.5684,15.6411,.0845]
F[781]=[-.5684,15.6402,.0845]
F[782]=[-.5684,15.6393,.0845]
F[783]=[-.5684,15.6384,.0845]
F[784]=[-.5684,15.6375,.0845]
F[785]=[-.5684,15.6366,.0845]
F[786]=[-.5684,15.6356,.0845]
F[787]=[-.5684,15.6347,.0845]
F[788]=[-.5684,15.6338,.08449]
F[789]=[-.5684,15.6329,.08449]
F[790]=[-.5684,15.632,.08449]
F[791]=[-.5684,15.6311,.08449]
F[792]=[-.5684,15.6302,.08449]
F[793]=[-.5684,15.6293,.08449]
F[794]=[-.5684,15.6284,.08449]
F[795]=[-.5684,15.6275,.08449]
F[796]=[-.5684,15.6266,.08449]
F[797]=[-.5684,15.6257,.08449]
F[798]=[-.5684,15.6248,.08448]
F[799]=[-.5684,15.6239,.08448]
F[800]=[-.5684,15.623,.08448]
F[801]=[-.5684,15.6221,.08448]
F[802]=[-.5684,15.6212,.08448]
F[803]=[-.5684,15.6203,.08448]
F[804]=[-.5684,15.6194,.08448]
F[805]=[-.5684,15.6185,.08448]
F[806]=[-.5684,15.6176,.08448]
F[807]=[-.5684,15.6168,.08448]
F[808]=[-.5684,15.6159,.08447]
F[809]=[-.5684,15.615,.08447]
F[810]=[-.5684,15.6141,.08447]
F[811]=[-.5684,15.6132,.08447]
F[812]=[-.5684,15.6123,.08447]
F[813]=[-.5684,15.6115,.08447]
F[814]=[-.5684,15.6106,.08447]
F[815]=[-.5684,15.6097,.08447]
F[816]=[-.5684,15.6088,.08447]
F[817]=[-.5684,15.6079,.08447]
F[818]=[-.5684,15.6071,.08447]
F[819]=[-.5684,15.6062,.08447]
F[820]=[-.5684,15.6053,.08446]
F[821]=[-.5684,15.6044,.08446]
F[822]=[-.5684,15.6036,.08446]
F[823]=[-.5684,15.6027,.08446]
F[824]=[-.5684,15.6018,.08446]
F[825]=[-.5684,15.601,.08446]
F[826]=[-.5684,15.6001,.08446]
F[827]=[-.5684,15.5992,.08446]
F[828]=[-.5684,15.5984,.08446]
F[829]=[-.5684,15.5975,.08446]
F[830]=[-.5684,15.5966,.08446]
F[831]=[-.5684,15.5958,.08446]
F[832]=[-.5684,15.5949,.08445]
F[833]=[-.5684,15.5941,.08445]
F[834]=[-.5684,15.5932,.08445]
F[835]=[-.5684,15.5923,.08445]
F[836]=[-.5684,15.5915,.08445]
F[837]=[-.5684,15.5906,.08445]
F[838]=[-.5684,15.5898,.08445]
F[839]=[-.5684,15.5889,.08445]
F[840]=[-.5684,15.5881,.08445]
F[841]=[-.5684,15.5872,.08445]
F[842]=[-.5684,15.5863,.08445]
F[843]=[-.5684,15.5855,.08445]
F[844]=[-.5684,15.5846,.08445]
F[845]=[-.5684,15.5838,.08445]
F[846]=[-.5684,15.5829,.08444]
F[847]=[-.5684,15.5821,.08444]
F[848]=[-.5684,15.5812,.08444]
F[849]=[-.5684,15.5804,.08444]
F[850]=[-.5684,15.5796,.08444]
F[851]=[-.5684,15.5787,.08444]
F[852]=[-.5684,15.5779,.08444]
F[853]=[-.5684,15.577,.08444]
F[854]=[-.5684,15.5762,.08444]
F[855]=[-.5684,15.5753,.08444]
F[856]=[-.5684,15.5745,.08444]
F[857]=[-.5684,15.5737,.08444]
F[858]=[-.5684,15.5728,.08444]
F[859]=[-.5684,15.572,.08444]
F[860]=[-.5684,15.5711,.08444]
F[861]=[-.5684,15.5703,.08444]
F[862]=[-.5684,15.5695,.08444]
F[863]=[-.5684,15.5686,.08444]
F[864]=[-.5684,15.5678,.08443]
F[865]=[-.5684,15.567,.08443]
F[866]=[-.5684,15.5661,.08443]
F[867]=[-.5684,15.5653,.08443]
F[868]=[-.5684,15.5645,.08443]
F[869]=[-.5684,15.5636,.08443]
F[870]=[-.5684,15.5628,.08443]
F[871]=[-.5684,15.562,.08443]
F[872]=[-.5684,15.5611,.08443]
F[873]=[-.5684,15.5603,.08443]
F[874]=[-.5684,15.5595,.08443]
F[875]=[-.5684,15.5587,.08443]
F[876]=[-.5684,15.5578,.08443]
F[877]=[-.5684,15.557,.08443]
F[878]=[-.5684,15.5562,.08443]
F[879]=[-.5684,15.5554,.08443]
F[880]=[-.5684,15.5545,.08443]
F[881]=[-.5684,15.5537,.08443]
F[882]=[-.5684,15.5529,.08443]
F[883]=[-.5684,15.5521,.08443]
F[884]=[-.5684,15.5513,.08443]
F[885]=[-.5684,15.5504,.08443]
F[886]=[-.5684,15.5496,.08443]
F[887]=[-.5684,15.5488,.08443]
F[888]=[-.5684,15.548,.08443]
F[889]=[-.5684,15.5472,.08443]
F[890]=[-.5684,15.5463,.08443]
F[891]=[-.5684,15.5455,.08443]
F[892]=[-.5684,15.5447,.08443]
F[893]=[-.5684,15.5439,.08443]
F[894]=[-.5684,15.5431,.08443]
F[895]=[-.5684,15.5423,.08443]
F[896]=[-.5684,15.5414,.08443]
F[897]=[-.5684,15.5406,.08443]
F[898]=[-.5684,15.5398,.08443]
F[899]=[-.5684,15.539,.08443]
F[900]=[-.5684,15.5382,.08443]
F[901]=[-.5684,15.5374,.08443]
F[902]=[-.5684,15.5366,.08443]
F[903]=[-.5684,15.5358,.08443]
F[904]=[-.5684,15.535,.08443]
F[905]=[-.5684,15.5341,.08443]
F[906]=[-.5684,15.5333,.08443]
F[907]=[-.5684,15.5325,.08443]
F[908]=[-.5684,15.5317,.08444]
F[909]=[-.5684,15.5309,.08444]
F[910]=[-.5684,15.5301,.08444]
F[911]=[-.5684,15.5293,.08444]
F[912]=[-.5684,15.5285,.08444]
F[913]=[-.5684,15.5277,.08444]
F[914]=[-.5684,15.5269,.08444]
F[915]=[-.5684,15.5261,.08444]
F[916]=[-.5684,15.5253,.08444]
F[917]=[-.5684,15.5245,.08444]
F[918]=[-.5684,15.5237,.08444]
F[919]=[-.5684,15.5229,.08444]
F[920]=[-.5684,15.5221,.08444]
F[921]=[-.5684,15.5213,.08445]
F[922]=[-.5684,15.5205,.08445]
F[923]=[-.5684,15.5197,.08445]
F[924]=[-.5684,15.5189,.08445]
F[925]=[-.5684,15.5181,.08445]
F[926]=[-.5684,15.5173,.08445]
F[927]=[-.5684,15.5165,.08445]
F[928]=[-.5684,15.5157,.08445]
F[929]=[-.5684,15.5149,.08445]
F[930]=[-.5684,15.5141,.08446]
F[931]=[-.5684,15.5133,.08446]
F[932]=[-.5684,15.5125,.08446]
F[933]=[-.5684,15.5117,.08446]
F[934]=[-.5684,15.5109,.08446]
F[935]=[-.5684,15.5101,.08446]
F[936]=[-.5684,15.5093,.08446]
F[937]=[-.5684,15.5086,.08447]
F[938]=[-.5684,15.5078,.08447]
F[939]=[-.5684,15.507,.08447]
F[940]=[-.5684,15.5062,.08447]
F[941]=[-.5684,15.5054,.08447]
F[942]=[-.5684,15.5046,.08447]
F[943]=[-.5684,15.5038,.08448]
F[944]=[-.5684,15.503,.08448]
F[945]=[-.5684,15.5023,.08448]
F[946]=[-.5684,15.5015,.08448]
F[947]=[-.5684,15.5007,.08448]
F[948]=[-.5684,15.4999,.08448]
F[949]=[-.5684,15.4991,.08449]
F[950]=[-.5684,15.4983,.08449]
F[951]=[-.5684,15.4976,.08449]
F[952]=[-.5684,15.4968,.08449]
F[953]=[-.5684,15.496,.0845]
F[954]=[-.5684,15.4952,.0845]
F[955]=[-.5684,15.4944,.0845]
F[956]=[-.5684,15.4937,.0845]
F[957]=[-.5684,15.4929,.0845]
F[958]=[-.5684,15.4921,.08451]
F[959]=[-.5684,15.4913,.08451]
F[960]=[-.5684,15.4906,.08451]
F[961]=[-.5684,15.4898,.08451]
F[962]=[-.5684,15.489,.08452]
F[963]=[-.5684,15.4883,.08452]
F[964]=[-.5684,15.4875,.08452]
F[965]=[-.5684,15.4867,.08452]
F[966]=[-.5684,15.4859,.08453]
F[967]=[-.5684,15.4852,.08453]
F[968]=[-.5684,15.4844,.08453]
F[969]=[-.5684,15.4836,.08454]
F[970]=[-.5684,15.4829,.08454]
F[971]=[-.5684,15.4821,.08454]
F[972]=[-.5684,15.4814,.08455]
F[973]=[-.5684,15.4806,.08455]
F[974]=[-.5684,15.4798,.08455]
F[975]=[-.5684,15.4791,.08455]
F[976]=[-.5684,15.4783,.08456]
F[977]=[-.5684,15.4776,.08456]
F[978]=[-.5684,15.4768,.08456]
F[979]=[-.5684,15.476,.08457]
F[980]=[-.5684,15.4753,.08457]
F[981]=[-.5684,15.4745,.08457]
F[982]=[-.5684,15.4738,.08458]
F[983]=[-.5684,15.473,.08458]
F[984]=[-.5684,15.4723,.08459]
F[985]=[-.5684,15.4715,.08459]
F[986]=[-.5684,15.4708,.08459]
F[987]=[-.5684,15.47,.0846]
F[988]=[-.5684,15.4693,.0846]
F[989]=[-.5684,15.4685,.0846]
F[990]=[-.5684,15.4678,.08461]
F[991]=[-.5684,15.467,.08461]
F[992]=[-.5684,15.4663,.08462]
F[993]=[-.5684,15.4656,.08462]
F[994]=[-.5684,15.4648,.08462]
F[995]=[-.5684,15.4641,.08463]
F[996]=[-.5684,15.4633,.08463]
F[997]=[-.5684,15.4626,.08464]
F[998]=[-.5684,15.4619,.08464]
F[999]=[-.5684,15.4611,.08465]
F[1000]=[-.5684,15.4604,.08465]
F[1001]=[-.5684,15.4597,.08465]
F[1002]=[-.5684,15.4589,.08466]
F[1003]=[-.5684,15.4582,.08466]
F[1004]=[-.5684,15.4575,.08467]
F[1005]=[-.5684,15.4568,.08467]
F[1006]=[-.5684,15.456,.08468]
F[1007]=[-.5684,15.4553,.08468]
F[1008]=[-.5684,15.4546,.08469]
F[1009]=[-.5684,15.4539,.08469]
F[1010]=[-.5684,15.4531,.0847]
F[1011]=[-.5684,15.4524,.0847]
F[1012]=[-.5684,15.4517,.08471]
F[1013]=[-.5684,15.451,.08471]
F[1014]=[-.5684,15.4503,.08472]
F[1015]=[-.5684,15.4495,.08472]
F[1016]=[-.5684,15.4488,.08473]
F[1017]=[-.5684,15.4481,.08473]
F[1018]=[-.5684,15.4474,.08474]
F[1019]=[-.5684,15.4467,.08474]
F[1020]=[-.5684,15.446,.08475]
F[1021]=[-.5684,15.4453,.08476]
F[1022]=[-.5684,15.4446,.08476]
F[1023]=[-.5684,15.4439,.08477]
F[1024]=[-.5684,15.4432,.08477]
F[1025]=[-.5684,15.4425,.08478]
F[1026]=[-.5684,15.4418,.08478]
F[1027]=[-.5684,15.4411,.08479]
F[1028]=[-.5684,15.4404,.0848]
F[1029]=[-.5684,15.4397,.0848]
F[1030]=[-.5684,15.439,.08481]
F[1031]=[-.5684,15.4383,.08482]
F[1032]=[-.5684,15.4376,.08482]
F[1033]=[-.5684,15.4369,.08483]
F[1034]=[-.5684,15.4362,.08483]
F[1035]=[-.5684,15.4355,.08484]
F[1036]=[-.5684,15.4349,.08485]
F[1037]=[-.5684,15.4342,.08485]
F[1038]=[-.5684,15.4335,.08486]
F[1039]=[-.5684,15.4328,.08487]
F[1040]=[-.5684,15.4321,.08487]
F[1041]=[-.5684,15.4315,.08488]
F[1042]=[-.5684,15.4308,.08489]
F[1043]=[-.5684,15.4301,.08489]
F[1044]=[-.5684,15.4294,.0849]
F[1045]=[-.5684,15.4288,.08491]
F[1046]=[-.5684,15.4281,.08492]
F[1047]=[-.5684,15.4274,.08492]
F[1048]=[-.5684,15.4268,.08493]
F[1049]=[-.5684,15.4261,.08494]
F[1050]=[-.5684,15.4254,.08494]
F[1051]=[-.5684,15.4248,.08495]
F[1052]=[-.5684,15.4241,.08496]
F[1053]=[-.5684,15.4234,.08497]
F[1054]=[-.5684,15.4228,.08497]
F[1055]=[-.5684,15.4221,.08498]
F[1056]=[-.5684,15.4215,.08499]
F[1057]=[-.5684,15.4208,.085]
F[1058]=[-.5684,15.4202,.08501]
F[1059]=[-.5684,15.4195,.08501]
F[1060]=[-.5684,15.4189,.08502]
F[1061]=[-.5684,15.4182,.08503]
F[1062]=[-.5684,15.4176,.08504]
F[1063]=[-.5684,15.4169,.08505]
F[1064]=[-.5684,15.4163,.08505]
F[1065]=[-.5684,15.4157,.08506]
F[1066]=[-.5684,15.415,.08507]
F[1067]=[-.5684,15.4144,.08508]
F[1068]=[-.5684,15.4137,.08509]
F[1069]=[-.5684,15.4131,.0851]
F[1070]=[-.5684,15.4125,.0851]
F[1071]=[-.5684,15.4119,.08511]
F[1072]=[-.5684,15.4112,.08512]
F[1073]=[-.5684,15.4106,.08513]
F[1074]=[-.5684,15.41,.08514]
F[1075]=[-.5684,15.4093,.08515]
F[1076]=[-.5684,15.4087,.08516]
F[1077]=[-.5684,15.4081,.08517]
F[1078]=[-.5684,15.4075,.08517]
F[1079]=[-.5684,15.4069,.08518]
F[1080]=[-.5684,15.4063,.08519]
F[1081]=[-.5684,15.4056,.0852]
F[1082]=[-.5684,15.405,.08521]
F[1083]=[-.5684,15.4044,.08522]
F[1084]=[-.5684,15.4038,.08523]
F[1085]=[-.5684,15.4032,.08524]
F[1086]=[-.5684,15.4026,.08525]
F[1087]=[-.5684,15.402,.08526]
F[1088]=[-.5684,15.4014,.08527]
F[1089]=[-.5684,15.4008,.08528]
F[1090]=[-.5684,15.4002,.08529]
F[1091]=[-.5684,15.3996,.0853]
F[1092]=[-.5684,15.399,.08531]
F[1093]=[-.5684,15.3984,.08532]
F[1094]=[-.5684,15.3978,.08533]
F[1095]=[-.5684,15.3972,.08534]
F[1096]=[-.5684,15.3966,.08535]
F[1097]=[-.5684,15.396,.08536]
F[1098]=[-.5684,15.3954,.08537]
F[1099]=[-.5684,15.3949,.08538]
F[1100]=[-.5684,15.3943,.08539]
F[1101]=[-.5684,15.3937,.0854]
F[1102]=[-.5684,15.3931,.08541]
F[1103]=[-.5684,15.3925,.08542]
F[1104]=[-.5684,15.392,.08543]
F[1105]=[-.5684,15.3914,.08544]
F[1106]=[-.5684,15.3908,.08545]
F[1107]=[-.5684,15.3902,.08547]
F[1108]=[-.5684,15.3897,.08548]
F[1109]=[-.5684,15.3891,.08549]
F[1110]=[-.5684,15.3885,.0855]
F[1111]=[-.5684,15.388,.08551]
F[1112]=[-.5684,15.3874,.08552]
F[1113]=[-.5684,15.3868,.08553]
F[1114]=[-.5684,15.3863,.08554]
F[1115]=[-.5684,15.3857,.08556]
F[1116]=[-.5684,15.3852,.08557]
F[1117]=[-.5684,15.3846,.08558]
F[1118]=[-.5684,15.384,.08559]
F[1119]=[-.5684,15.3835,.0856]
F[1120]=[-.5684,15.3829,.08561]
F[1121]=[-.5684,15.3824,.08563]
F[1122]=[-.5684,15.3818,.08564]
F[1123]=[-.5684,15.3813,.08565]
F[1124]=[-.5684,15.3808,.08566]
F[1125]=[-.5684,15.3802,.08567]
F[1126]=[-.5684,15.3797,.08569]
F[1127]=[-.5684,15.3791,.0857]
F[1128]=[-.5684,15.3786,.08571]
F[1129]=[-.5684,15.378,.08572]
F[1130]=[-.5684,15.3775,.08574]
F[1131]=[-.5684,15.377,.08575]
F[1132]=[-.5684,15.3764,.08576]
F[1133]=[-.5684,15.3759,.08577]
F[1134]=[-.5684,15.3754,.08579]
F[1135]=[-.5684,15.3748,.0858]
F[1136]=[-.5684,15.3743,.08581]
F[1137]=[-.5684,15.3738,.08582]
F[1138]=[-.5684,15.3733,.08584]
F[1139]=[-.5684,15.3727,.08585]
F[1140]=[-.5684,15.3722,.08586]
F[1141]=[-.5684,15.3717,.08588]
F[1142]=[-.5684,15.3712,.08589]
F[1143]=[-.5684,15.3707,.0859]
F[1144]=[-.5684,15.3702,.08592]
F[1145]=[-.5684,15.3696,.08593]
F[1146]=[-.5684,15.3691,.08594]
F[1147]=[-.5684,15.3686,.08596]
F[1148]=[-.5684,15.3681,.08597]
F[1149]=[-.5684,15.3676,.08598]
F[1150]=[-.5684,15.3671,.086]
F[1151]=[-.5684,15.3666,.08601]
F[1152]=[-.5684,15.3661,.08602]
F[1153]=[-.5684,15.3656,.08604]
F[1154]=[-.5684,15.3651,.08605]
F[1155]=[-.5684,15.3646,.08606]
F[1156]=[-.5684,15.3641,.08608]
F[1157]=[-.5684,15.3636,.08609]
F[1158]=[-.5684,15.3631,.08611]
F[1159]=[-.5684,15.3626,.08612]
F[1160]=[-.5684,15.3621,.08614]
F[1161]=[-.5684,15.3616,.08615]
F[1162]=[-.5684,15.3611,.08616]
F[1163]=[-.5684,15.3606,.08618]
F[1164]=[-.5684,15.3601,.08619]
F[1165]=[-.5684,15.3597,.08621]
F[1166]=[-.5684,15.3592,.08622]
F[1167]=[-.5684,15.3587,.08624]
F[1168]=[-.5684,15.3582,.08625]
F[1169]=[-.5684,15.3577,.08627]
F[1170]=[-.5684,15.3572,.08628]
F[1171]=[-.5684,15.3568,.08629]
F[1172]=[-.5684,15.3563,.08631]
F[1173]=[-.5684,15.3558,.08632]
F[1174]=[-.5684,15.3553,.08634]
F[1175]=[-.5684,15.3549,.08635]
F[1176]=[-.5684,15.3544,.08637]
F[1177]=[-.5684,15.3539,.08638]
F[1178]=[-.5684,15.3535,.0864]
F[1179]=[-.5684,15.353,.08641]
F[1180]=[-.5684,15.3525,.08643]
F[1181]=[-.5684,15.3521,.08645]
F[1182]=[-.5684,15.3516,.08646]
F[1183]=[-.5684,15.3511,.08648]
F[1184]=[-.5684,15.3507,.08649]
F[1185]=[-.5684,15.3502,.08651]
F[1186]=[-.5684,15.3497,.08652]
F[1187]=[-.5684,15.3493,.08654]
F[1188]=[-.5684,15.3488,.08655]
F[1189]=[-.5684,15.3484,.08657]
F[1190]=[-.5684,15.3479,.08659]
F[1191]=[-.5684,15.3475,.0866]
F[1192]=[-.5684,15.347,.08662]
F[1193]=[-.5684,15.3465,.08663]
F[1194]=[-.5684,15.3461,.08665]
F[1195]=[-.5684,15.3456,.08666]
F[1196]=[-.5684,15.3452,.08668]
F[1197]=[-.5684,15.3448,.0867]
F[1198]=[-.5684,15.3443,.08671]
F[1199]=[-.5684,15.3439,.08673]
F[1200]=[-.5684,15.3434,.08675]
F[1201]=[-.5684,15.343,.08676]
F[1202]=[-.5684,15.3425,.08678]
F[1203]=[-.5684,15.3421,.08679]
F[1204]=[-.5684,15.3416,.08681]
F[1205]=[-.5684,15.3412,.08683]
F[1206]=[-.5684,15.3408,.08684]
F[1207]=[-.5684,15.3403,.08686]
F[1208]=[-.5684,15.3399,.08688]
F[1209]=[-.5684,15.3395,.08689]
F[1210]=[-.5684,15.339,.08691]
F[1211]=[-.5684,15.3386,.08693]
F[1212]=[-.5684,15.3382,.08694]
F[1213]=[-.5684,15.3377,.08696]
F[1214]=[-.5684,15.3373,.08698]
F[1215]=[-.5684,15.3369,.08699]
F[1216]=[-.5684,15.3364,.08701]
F[1217]=[-.5684,15.336,.08703]
F[1218]=[-.5684,15.3356,.08704]
F[1219]=[-.5684,15.3352,.08706]
F[1220]=[-.5684,15.3347,.08708]
F[1221]=[-.5684,15.3343,.0871]
F[1222]=[-.5684,15.3339,.08711]
F[1223]=[-.5684,15.3335,.08713]
F[1224]=[-.5684,15.3331,.08715]
F[1225]=[-.5684,15.3326,.08716]
F[1226]=[-.5684,15.3322,.08718]
F[1227]=[-.5684,15.3318,.0872]
F[1228]=[-.5684,15.3314,.08722]
F[1229]=[-.5684,15.331,.08723]
F[1230]=[-.5684,15.3306,.08725]
F[1231]=[-.5684,15.3301,.08727]
F[1232]=[-.5684,15.3297,.08729]
F[1233]=[-.5684,15.3293,.0873]
F[1234]=[-.5684,15.3289,.08732]
F[1235]=[-.5684,15.3285,.08734]
F[1236]=[-.5684,15.3281,.08736]
F[1237]=[-.5684,15.3277,.08737]
F[1238]=[-.5684,15.3273,.08739]
F[1239]=[-.5684,15.3269,.08741]
F[1240]=[-.5684,15.3265,.08743]
F[1241]=[-.5684,15.3261,.08745]
F[1242]=[-.5684,15.3257,.08746]
F[1243]=[-.5684,15.3252,.08748]
F[1244]=[-.5684,15.3248,.0875]
F[1245]=[-.5684,15.3244,.08752]
F[1246]=[-.5684,15.324,.08753]
F[1247]=[-.5684,15.3236,.08755]
F[1248]=[-.5684,15.3233,.08757]
F[1249]=[-.5684,15.3229,.08759]
F[1250]=[-.5684,15.3225,.08761]
F[1251]=[-.5684,15.3221,.08763]
F[1252]=[-.5684,15.3217,.08764]
F[1253]=[-.5684,15.3213,.08766]
F[1254]=[-.5684,15.3209,.08768]
F[1255]=[-.5684,15.3205,.0877]
F[1256]=[-.5684,15.3201,.08772]
F[1257]=[-.5684,15.3197,.08773]
F[1258]=[-.5684,15.3193,.08775]
F[1259]=[-.5684,15.3189,.08777]
F[1260]=[-.5684,15.3185,.08779]
F[1261]=[-.5684,15.3182,.08781]
F[1262]=[-.5684,15.3178,.08783]
F[1263]=[-.5684,15.3174,.08785]
F[1264]=[-.5684,15.317,.08786]
F[1265]=[-.5684,15.3166,.08788]
F[1266]=[-.5684,15.3162,.0879]
F[1267]=[-.5684,15.3159,.08792]
F[1268]=[-.5684,15.3155,.08794]
F[1269]=[-.5684,15.3151,.08796]
F[1270]=[-.5684,15.3147,.08798]
F[1271]=[-.5684,15.3143,.08799]
F[1272]=[-.5684,15.314,.08801]
F[1273]=[-.5684,15.3136,.08803]
F[1274]=[-.5684,15.3132,.08805]
F[1275]=[-.5684,15.3128,.08807]
F[1276]=[-.5684,15.3125,.08809]
F[1277]=[-.5684,15.3121,.08811]
F[1278]=[-.5684,15.3117,.08813]
F[1279]=[-.5684,15.3114,.08814]
F[1280]=[-.5684,15.311,.08816]
F[1281]=[-.5684,15.3106,.08818]
F[1282]=[-.5684,15.3102,.0882]
F[1283]=[-.5684,15.3099,.08822]
F[1284]=[-.5684,15.3095,.08824]
F[1285]=[-.5684,15.3091,.08826]
F[1286]=[-.5684,15.3088,.08828]
F[1287]=[-.5684,15.3084,.0883]
F[1288]=[-.5684,15.308,.08832]
F[1289]=[-.5684,15.3077,.08833]
F[1290]=[-.5684,15.3073,.08835]
F[1291]=[-.5684,15.307,.08837]
F[1292]=[-.5684,15.3066,.08839]
F[1293]=[-.5684,15.3062,.08841]
F[1294]=[-.5684,15.3059,.08843]
F[1295]=[-.5684,15.3055,.08845]
F[1296]=[-.5684,15.3052,.08847]
F[1297]=[-.5684,15.3048,.08849]
F[1298]=[-.5684,15.3044,.08851]
F[1299]=[-.5684,15.3041,.08853]
F[1300]=[-.5684,15.3037,.08855]
F[1301]=[-.5684,15.3034,.08857]
F[1302]=[-.5684,15.303,.08859]
F[1303]=[-.5684,15.3027,.0886]
F[1304]=[-.5684,15.3023,.08862]
F[1305]=[-.5684,15.302,.08864]
F[1306]=[-.5684,15.3016,.08866]
F[1307]=[-.5684,15.3013,.08868]
F[1308]=[-.5684,15.3009,.0887]
F[1309]=[-.5684,15.3006,.08872]
F[1310]=[-.5684,15.3002,.08874]
F[1311]=[-.5684,15.2999,.08876]
F[1312]=[-.5684,15.2996,.08878]
F[1313]=[-.5684,15.2992,.0888]
F[1314]=[-.5684,15.2989,.08882]
F[1315]=[-.5684,15.2985,.08884]
F[1316]=[-.5684,15.2982,.08886]
F[1317]=[-.5684,15.2978,.08888]
F[1318]=[-.5684,15.2975,.0889]
F[1319]=[-.5684,15.2972,.08892]
F[1320]=[-.5684,15.2968,.08894]
F[1321]=[-.5684,15.2965,.08896]
F[1322]=[-.5684,15.2962,.08898]
F[1323]=[-.5684,15.2958,.089]
F[1324]=[-.5684,15.2955,.08901]
F[1325]=[-.5684,15.2952,.08903]
F[1326]=[-.5684,15.2948,.08905]
F[1327]=[-.5684,15.2945,.08907]
F[1328]=[-.5684,15.2942,.08909]
F[1329]=[-.5684,15.2938,.08911]
F[1330]=[-.5684,15.2935,.08913]
F[1331]=[-.5684,15.2932,.08915]
F[1332]=[-.5684,15.2929,.08917]
F[1333]=[-.5684,15.2925,.08919]
F[1334]=[-.5684,15.2922,.08921]
F[1335]=[-.5684,15.2919,.08923]
F[1336]=[-.5684,15.2916,.08925]
F[1337]=[-.5684,15.2913,.08927]
F[1338]=[-.5684,15.2909,.08929]
F[1339]=[-.5684,15.2906,.08931]
F[1340]=[-.5684,15.2903,.08933]
F[1341]=[-.5684,15.29,.08935]
F[1342]=[-.5684,15.2897,.08937]
F[1343]=[-.5684,15.2894,.08939]
F[1344]=[-.5684,15.289,.08941]
F[1345]=[-.5684,15.2887,.08943]
F[1346]=[-.5684,15.2884,.08945]
F[1347]=[-.5684,15.2881,.08947]
F[1348]=[-.5684,15.2878,.08949]
F[1349]=[-.5684,15.2875,.08951]
F[1350]=[-.5684,15.2872,.08953]
F[1351]=[-.5684,15.2869,.08955]
F[1352]=[-.5684,15.2866,.08957]
F[1353]=[-.5684,15.2863,.08959]
F[1354]=[-.5684,15.286,.08961]
F[1355]=[-.5684,15.2857,.08963]
F[1356]=[-.5684,15.2854,.08964]
F[1357]=[-.5684,15.2851,.08966]
F[1358]=[-.5684,15.2848,.08968]
F[1359]=[-.5684,15.2845,.0897]
F[1360]=[-.5684,15.2842,.08972]
F[1361]=[-.5684,15.2839,.08974]
F[1362]=[-.5684,15.2836,.08976]
F[1363]=[-.5684,15.2833,.08978]
F[1364]=[-.5684,15.283,.0898]
F[1365]=[-.5684,15.2827,.08982]
F[1366]=[-.5684,15.2824,.08984]
F[1367]=[-.5684,15.2821,.08986]
F[1368]=[-.5684,15.2818,.08988]
F[1369]=[-.5684,15.2816,.0899]
F[1370]=[-.5684,15.2813,.08992]
F[1371]=[-.5684,15.281,.08994]
F[1372]=[-.5684,15.2807,.08996]
F[1373]=[-.5684,15.2804,.08998]
F[1374]=[-.5684,15.2801,.09]
F[1375]=[-.5684,15.2799,.09002]
F[1376]=[-.5684,15.2796,.09004]
F[1377]=[-.5684,15.2793,.09006]
F[1378]=[-.5684,15.279,.09008]
F[1379]=[-.5684,15.2788,.0901]
F[1380]=[-.5684,15.2785,.09012]
F[1381]=[-.5684,15.2782,.09013]
F[1382]=[-.5684,15.2779,.09015]
F[1383]=[-.5684,15.2777,.09017]
F[1384]=[-.5684,15.2774,.09019]
F[1385]=[-.5684,15.2771,.09021]
F[1386]=[-.5684,15.2769,.09023]
F[1387]=[-.5684,15.2766,.09025]
F[1388]=[-.5684,15.2763,.09027]
F[1389]=[-.5684,15.2761,.09029]
F[1390]=[-.5684,15.2758,.09031]
F[1391]=[-.5684,15.2755,.09033]
F[1392]=[-.5684,15.2753,.09035]
F[1393]=[-.5684,15.275,.09037]
F[1394]=[-.5684,15.2748,.09039]
F[1395]=[-.5684,15.2745,.09041]
F[1396]=[-.5684,15.2742,.09043]
F[1397]=[-.5684,15.274,.09045]
F[1398]=[-.5684,15.2737,.09047]
F[1399]=[-.5684,15.2735,.09049]
F[1400]=[-.5684,15.2732,.0905]
F[1401]=[-.5684,15.273,.09052]
F[1402]=[-.5684,15.2727,.09054]
F[1403]=[-.5684,15.2725,.09056]
F[1404]=[-.5684,15.2722,.09058]
F[1405]=[-.5684,15.272,.0906]
F[1406]=[-.5684,15.2717,.09062]
F[1407]=[-.5684,15.2715,.09064]
F[1408]=[-.5684,15.2713,.09066]
F[1409]=[-.5684,15.271,.09068]
F[1410]=[-.5684,15.2708,.0907]
F[1411]=[-.5684,15.2705,.09072]
F[1412]=[-.5684,15.2703,.09074]
F[1413]=[-.5684,15.2701,.09076]
F[1414]=[-.5684,15.2698,.09078]
F[1415]=[-.5684,15.2696,.0908]
F[1416]=[-.5684,15.2694,.09081]
F[1417]=[-.5684,15.2691,.09083]
F[1418]=[-.5684,15.2689,.09085]
F[1419]=[-.5684,15.2687,.09087]
F[1420]=[-.5684,15.2685,.09089]
F[1421]=[-.5684,15.2682,.09091]
F[1422]=[-.5684,15.268,.09093]
F[1423]=[-.5684,15.2678,.09095]
F[1424]=[-.5684,15.2676,.09097]
F[1425]=[-.5684,15.2673,.09099]
F[1426]=[-.5684,15.2671,.09101]
F[1427]=[-.5684,15.2669,.09103]
F[1428]=[-.5684,15.2667,.09105]
F[1429]=[-.5684,15.2665,.09107]
F[1430]=[-.5684,15.2662,.09109]
F[1431]=[-.5684,15.266,.0911]
F[1432]=[-.5684,15.2658,.09112]
F[1433]=[-.5684,15.2656,.09114]
F[1434]=[-.5684,15.2654,.09116]
F[1435]=[-.5684,15.2652,.09118]
F[1436]=[-.5684,15.265,.0912]
F[1437]=[-.5684,15.2648,.09122]
F[1438]=[-.5684,15.2646,.09124]
F[1439]=[-.5684,15.2644,.09126]
F[1440]=[-.5684,15.2642,.09128]
F[1441]=[-.5684,15.264,.0913]
F[1442]=[-.5684,15.2638,.09132]
F[1443]=[-.5684,15.2636,.09134]
F[1444]=[-.5684,15.2634,.09136]
F[1445]=[-.5684,15.2632,.09138]
F[1446]=[-.5684,15.263,.09139]
F[1447]=[-.5684,15.2628,.09141]
F[1448]=[-.5684,15.2626,.09143]
F[1449]=[-.5684,15.2624,.09145]
F[1450]=[-.5684,15.2622,.09147]
F[1451]=[-.5684,15.262,.09149]
F[1452]=[-.5684,15.2619,.09151]
F[1453]=[-.5684,15.2617,.09153]
F[1454]=[-.5684,15.2615,.09155]
F[1455]=[-.5684,15.2613,.09157]
F[1456]=[-.5684,15.2611,.09159]
F[1457]=[-.5684,15.2609,.09161]
F[1458]=[-.5684,15.2608,.09163]
F[1459]=[-.5684,15.2606,.09165]
F[1460]=[-.5684,15.2604,.09167]
F[1461]=[-.5684,15.2602,.09168]
F[1462]=[-.5684,15.2601,.0917]
F[1463]=[-.5684,15.2599,.09172]
F[1464]=[-.5684,15.2597,.09174]
F[1465]=[-.5684,15.2596,.09176]
F[1466]=[-.5684,15.2594,.09178]
F[1467]=[-.5684,15.2592,.0918]
F[1468]=[-.5684,15.2591,.09182]
F[1469]=[-.5684,15.2589,.09184]
F[1470]=[-.5684,15.2587,.09186]
F[1471]=[-.5684,15.2586,.09188]
F[1472]=[-.5684,15.2584,.0919]
F[1473]=[-.5684,15.2583,.09192]
F[1474]=[-.5684,15.2581,.09194]
F[1475]=[-.5684,15.2579,.09196]
F[1476]=[-.5684,15.2578,.09198]
F[1477]=[-.5684,15.2576,.092]
F[1478]=[-.5684,15.2575,.09201]
F[1479]=[-.5684,15.2573,.09203]
F[1480]=[-.5684,15.2572,.09205]
F[1481]=[-.5684,15.257,.09207]
F[1482]=[-.5684,15.2569,.09209]
F[1483]=[-.5684,15.2568,.09211]
F[1484]=[-.5684,15.2566,.09213]
F[1485]=[-.5684,15.2565,.09215]
F[1486]=[-.5684,15.2563,.09217]
F[1487]=[-.5684,15.2562,.09219]
F[1488]=[-.5684,15.2561,.09221]
F[1489]=[-.5684,15.2559,.09223]
F[1490]=[-.5684,15.2558,.09225]
F[1491]=[-.5684,15.2557,.09227]
F[1492]=[-.5684,15.2555,.09229]
F[1493]=[-.5684,15.2554,.09231]
F[1494]=[-.5684,15.2553,.09232]
F[1495]=[-.5684,15.2551,.09234]
F[1496]=[-.5684,15.255,.09236]
F[1497]=[-.5684,15.2549,.09238]
F[1498]=[-.5684,15.2548,.0924]
F[1499]=[-.5684,15.2547,.09242]
F[1500]=[-.5684,15.2545,.09244]
F[1501]=[-.5684,15.2544,.09246]
F[1502]=[-.5684,15.2543,.09248]
F[1503]=[-.5684,15.2542,.0925]
F[1504]=[-.5684,15.2541,.09252]
F[1505]=[-.5684,15.254,.09254]
F[1506]=[-.5684,15.2538,.09256]
F[1507]=[-.5684,15.2537,.09258]
F[1508]=[-.5684,15.2536,.0926]
F[1509]=[-.5684,15.2535,.09262]
F[1510]=[-.5684,15.2534,.09263]
F[1511]=[-.5684,15.2533,.09265]
F[1512]=[-.5684,15.2532,.09267]
F[1513]=[-.5684,15.2531,.09269]
F[1514]=[-.5684,15.253,.09271]
F[1515]=[-.5684,15.2529,.09273]
F[1516]=[-.5684,15.2528,.09275]
F[1517]=[-.5684,15.2527,.09277]
F[1518]=[-.5684,15.2526,.09279]
F[1519]=[-.5684,15.2525,.09281]
F[1520]=[-.5684,15.2525,.09283]
F[1521]=[-.5684,15.2524,.09285]
F[1522]=[-.5684,15.2523,.09287]
F[1523]=[-.5684,15.2522,.09289]
F[1524]=[-.5684,15.2521,.09291]
F[1525]=[-.5684,15.252,.09292]
F[1526]=[-.5684,15.2519,.09294]
F[1527]=[-.5684,15.2519,.09296]
F[1528]=[-.5684,15.2518,.09298]
F[1529]=[-.5684,15.2517,.093]
F[1530]=[-.5684,15.2516,.09302]
F[1531]=[-.5684,15.2515,.09304]
F[1532]=[-.5684,15.2515,.09306]
F[1533]=[-.5684,15.2514,.09308]
F[1534]=[-.5684,15.2513,.0931]
F[1535]=[-.5684,15.2513,.09312]
F[1536]=[-.5684,15.2512,.09314]
F[1537]=[-.5684,15.2511,.09316]
F[1538]=[-.5684,15.2511,.09318]
F[1539]=[-.5684,15.251,.0932]
F[1540]=[-.5684,15.2509,.09321]
F[1541]=[-.5684,15.2509,.09323]
F[1542]=[-.5684,15.2508,.09325]
F[1543]=[-.5684,15.2508,.09327]
F[1544]=[-.5684,15.2507,.09329]
F[1545]=[-.5684,15.2507,.09331]
F[1546]=[-.5684,15.2506,.09333]
F[1547]=[-.5684,15.2506,.09335]
F[1548]=[-.5684,15.2505,.09337]
F[1549]=[-.5684,15.2505,.09339]
F[1550]=[-.5684,15.2504,.09341]
F[1551]=[-.5684,15.2504,.09343]
F[1552]=[-.5684,15.2503,.09345]
F[1553]=[-.5684,15.2503,.09346]
F[1554]=[-.5684,15.2502,.09348]
F[1555]=[-.5684,15.2502,.0935]
F[1556]=[-.5684,15.2502,.09352]
F[1557]=[-.5684,15.2501,.09354]
F[1558]=[-.5684,15.2501,.09356]
F[1559]=[-.5684,15.25,.09358]
F[1560]=[-.5684,15.25,.0936]
F[1561]=[-.5684,15.25,.09362]
F[1562]=[-.5684,15.25,.09364]
F[1563]=[-.5684,15.2499,.09366]
F[1564]=[-.5684,15.2499,.09368]
F[1565]=[-.5684,15.2499,.09369]
F[1566]=[-.5684,15.2498,.09371]
F[1567]=[-.5684,15.2498,.09373]
F[1568]=[-.5684,15.2498,.09375]
F[1569]=[-.5684,15.2498,.09377]
F[1570]=[-.5684,15.2498,.09379]
F[1571]=[-.5684,15.2497,.09381]
F[1572]=[-.5684,15.2497,.09383]
F[1573]=[-.5684,15.2497,.09385]
F[1574]=[-.5684,15.2497,.09387]
F[1575]=[-.5684,15.2497,.09388]
F[1576]=[-.5684,15.2497,.0939]
F[1577]=[-.5684,15.2497,.09392]
F[1578]=[-.5684,15.2497,.09394]
F[1579]=[-.5684,15.2497,.09396]
F[1580]=[-.5684,15.2497,.09398]
F[1581]=[-.5684,15.2496,.094]
F[1582]=[-.5684,15.2496,.09402]
F[1583]=[-.5684,15.2496,.09404]
F[1584]=[-.5684,15.2496,.09406]
F[1585]=[-.5684,15.2496,.09407]
F[1586]=[-.5684,15.2497,.09409]
F[1587]=[-.5684,15.2497,.09411]
F[1588]=[-.5684,15.2497,.09413]
F[1589]=[-.5684,15.2497,.09415]
F[1590]=[-.5684,15.2497,.09417]
F[1591]=[-.5684,15.2497,.09419]
F[1592]=[-.5684,15.2497,.09421]
F[1593]=[-.5684,15.2497,.09422]
F[1594]=[-.5684,15.2497,.09424]
F[1595]=[-.5684,15.2497,.09426]
F[1596]=[-.5684,15.2498,.09428]
F[1597]=[-.5684,15.2498,.0943]
F[1598]=[-.5684,15.2498,.09432]
F[1599]=[-.5684,15.2498,.09434]
F[1600]=[-.5684,15.2498,.09436]
F[1601]=[-.5684,15.2499,.09437]
F[1602]=[-.5684,15.2499,.09439]
F[1603]=[-.5684,15.2499,.09441]
F[1604]=[-.5684,15.2499,.09443]
F[1605]=[-.5684,15.25,.09445]
F[1606]=[-.5684,15.25,.09447]
F[1607]=[-.5684,15.25,.09449]
F[1608]=[-.5684,15.25,.0945]
F[1609]=[-.5684,15.2501,.09452]
F[1610]=[-.5684,15.2501,.09454]
F[1611]=[-.5684,15.2501,.09456]
F[1612]=[-.5684,15.2502,.09458]
F[1613]=[-.5684,15.2502,.0946]
F[1614]=[-.5684,15.2502,.09461]
F[1615]=[-.5684,15.2503,.09463]
F[1616]=[-.5684,15.2503,.09465]
F[1617]=[-.5684,15.2504,.09467]
F[1618]=[-.5684,15.2504,.09469]
F[1619]=[-.5684,15.2505,.09471]
F[1620]=[-.5684,15.2505,.09472]
F[1621]=[-.5684,15.2505,.09474]
F[1622]=[-.5684,15.2506,.09476]
F[1623]=[-.5684,15.2506,.09478]
F[1624]=[-.5684,15.2507,.0948]
F[1625]=[-.5684,15.2507,.09481]
F[1626]=[-.5684,15.2508,.09483]
F[1627]=[-.5684,15.2508,.09485]
F[1628]=[-.5684,15.2509,.09487]
F[1629]=[-.5684,15.2509,.09489]
F[1630]=[-.5684,15.251,.09491]
F[1631]=[-.5684,15.2511,.09492]
F[1632]=[-.5684,15.2511,.09494]
F[1633]=[-.5684,15.2512,.09496]
F[1634]=[-.5684,15.2512,.09498]
F[1635]=[-.5684,15.2513,.095]
F[1636]=[-.5684,15.2514,.09501]
F[1637]=[-.5684,15.2514,.09503]
F[1638]=[-.5684,15.2515,.09505]
F[1639]=[-.5684,15.2515,.09507]
F[1640]=[-.5684,15.2516,.09508]
F[1641]=[-.5684,15.2517,.0951]
F[1642]=[-.5684,15.2517,.09512]
F[1643]=[-.5684,15.2518,.09514]
F[1644]=[-.5684,15.2519,.09516]
F[1645]=[-.5684,15.2519,.09517]
F[1646]=[-.5684,15.252,.09519]
F[1647]=[-.5684,15.2521,.09521]
F[1648]=[-.5684,15.2522,.09523]
F[1649]=[-.5684,15.2522,.09524]
F[1650]=[-.5684,15.2523,.09526]
F[1651]=[-.5684,15.2524,.09528]
F[1652]=[-.5684,15.2525,.0953]
F[1653]=[-.5684,15.2525,.09531]
F[1654]=[-.5684,15.2526,.09533]
F[1655]=[-.5684,15.2527,.09535]
F[1656]=[-.5684,15.2528,.09537]
F[1657]=[-.5684,15.2529,.09538]
F[1658]=[-.5684,15.2529,.0954]
F[1659]=[-.5684,15.253,.09542]
F[1660]=[-.5684,15.2531,.09544]
F[1661]=[-.5684,15.2532,.09545]
F[1662]=[-.5684,15.2533,.09547]
F[1663]=[-.5684,15.2534,.09549]
F[1664]=[-.5684,15.2534,.0955]
F[1665]=[-.5684,15.2535,.09552]
F[1666]=[-.5684,15.2536,.09554]
F[1667]=[-.5684,15.2537,.09556]
F[1668]=[-.5684,15.2538,.09557]
F[1669]=[-.5684,15.2539,.09559]
F[1670]=[-.5684,15.254,.09561]
F[1671]=[-.5684,15.2541,.09562]
F[1672]=[-.5684,15.2542,.09564]
F[1673]=[-.5684,15.2543,.09566]
F[1674]=[-.5684,15.2543,.09567]
F[1675]=[-.5684,15.2544,.09569]
F[1676]=[-.5684,15.2545,.09571]
F[1677]=[-.5684,15.2546,.09573]
F[1678]=[-.5684,15.2547,.09574]
F[1679]=[-.5684,15.2548,.09576]
F[1680]=[-.5684,15.2549,.09578]
F[1681]=[-.5684,15.255,.09579]
F[1682]=[-.5684,15.2551,.09581]
F[1683]=[-.5684,15.2552,.09583]
F[1684]=[-.5684,15.2553,.09584]
F[1685]=[-.5684,15.2554,.09586]
F[1686]=[-.5684,15.2555,.09588]
F[1687]=[-.5684,15.2556,.09589]
F[1688]=[-.5684,15.2557,.09591]
F[1689]=[-.5684,15.2558,.09593]
F[1690]=[-.5684,15.2559,.09594]
F[1691]=[-.5684,15.256,.09596]
F[1692]=[-.5684,15.2561,.09597]
F[1693]=[-.5684,15.2563,.09599]
F[1694]=[-.5684,15.2564,.09601]
F[1695]=[-.5684,15.2565,.09602]
F[1696]=[-.5684,15.2566,.09604]
F[1697]=[-.5684,15.2567,.09606]
F[1698]=[-.5684,15.2568,.09607]
F[1699]=[-.5684,15.2569,.09609]
F[1700]=[-.5684,15.257,.0961]
F[1701]=[-.5684,15.2571,.09612]
F[1702]=[-.5684,15.2572,.09614]
F[1703]=[-.5684,15.2574,.09615]
F[1704]=[-.5684,15.2575,.09617]
F[1705]=[-.5684,15.2576,.09618]
F[1706]=[-.5684,15.2577,.0962]
F[1707]=[-.5684,15.2578,.09622]
F[1708]=[-.5684,15.2579,.09623]
F[1709]=[-.5684,15.258,.09625]
F[1710]=[-.5684,15.2582,.09626]
F[1711]=[-.5684,15.2583,.09628]
F[1712]=[-.5684,15.2584,.0963]
F[1713]=[-.5684,15.2585,.09631]
F[1714]=[-.5684,15.2586,.09633]
F[1715]=[-.5684,15.2587,.09634]
F[1716]=[-.5684,15.2589,.09636]
F[1717]=[-.5684,15.259,.09637]
F[1718]=[-.5684,15.2591,.09639]
F[1719]=[-.5684,15.2592,.09641]
F[1720]=[-.5684,15.2593,.09642]
F[1721]=[-.5684,15.2595,.09644]
F[1722]=[-.5684,15.2596,.09645]
F[1723]=[-.5684,15.2597,.09647]
F[1724]=[-.5684,15.2598,.09648]
F[1725]=[-.5684,15.2599,.0965]
F[1726]=[-.5684,15.2601,.09651]
F[1727]=[-.5684,15.2602,.09653]
F[1728]=[-.5684,15.2603,.09654]
F[1729]=[-.5684,15.2604,.09656]
F[1730]=[-.5684,15.2606,.09657]
F[1731]=[-.5684,15.2607,.09659]
F[1732]=[-.5684,15.2608,.0966]
F[1733]=[-.5684,15.261,.09662]
F[1734]=[-.5684,15.2611,.09663]
F[1735]=[-.5684,15.2612,.09665]
F[1736]=[-.5684,15.2613,.09666]
F[1737]=[-.5684,15.2615,.09668]
F[1738]=[-.5684,15.2616,.09669]
F[1739]=[-.5684,15.2617,.09671]
F[1740]=[-.5684,15.2619,.09672]
F[1741]=[-.5684,15.262,.09674]
F[1742]=[-.5684,15.2621,.09675]
F[1743]=[-.5684,15.2622,.09677]
F[1744]=[-.5684,15.2624,.09678]
F[1745]=[-.5684,15.2625,.0968]
F[1746]=[-.5684,15.2626,.09681]
F[1747]=[-.5684,15.2628,.09683]
F[1748]=[-.5684,15.2629,.09684]
F[1749]=[-.5684,15.263,.09686]
F[1750]=[-.5684,15.2632,.09687]
F[1751]=[-.5684,15.2633,.09688]
F[1752]=[-.5684,15.2635,.0969]
F[1753]=[-.5684,15.2636,.09691]
F[1754]=[-.5684,15.2637,.09693]
F[1755]=[-.5684,15.2639,.09694]
F[1756]=[-.5684,15.264,.09696]
F[1757]=[-.5684,15.2641,.09697]
F[1758]=[-.5684,15.2643,.09699]
F[1759]=[-.5684,15.2644,.097]
F[1760]=[-.5684,15.2646,.09701]
F[1761]=[-.5684,15.2647,.09703]
F[1762]=[-.5684,15.2648,.09704]
F[1763]=[-.5684,15.265,.09706]
F[1764]=[-.5684,15.2651,.09707]
F[1765]=[-.5684,15.2653,.09708]
F[1766]=[-.5684,15.2654,.0971]
F[1767]=[-.5684,15.2655,.09711]
F[1768]=[-.5684,15.2657,.09713]
F[1769]=[-.5684,15.2658,.09714]
F[1770]=[-.5684,15.266,.09715]
F[1771]=[-.5684,15.2661,.09717]
F[1772]=[-.5684,15.2663,.09718]
F[1773]=[-.5684,15.2664,.0972]
F[1774]=[-.5684,15.2665,.09721]
F[1775]=[-.5684,15.2667,.09722]
F[1776]=[-.5684,15.2668,.09724]
F[1777]=[-.5684,15.267,.09725]
F[1778]=[-.5684,15.2671,.09726]
F[1779]=[-.5684,15.2673,.09728]
F[1780]=[-.5684,15.2674,.09729]
F[1781]=[-.5684,15.2676,.0973]
F[1782]=[-.5684,15.2677,.09732]
F[1783]=[-.5684,15.2679,.09733]
F[1784]=[-.5684,15.268,.09734]
F[1785]=[-.5684,15.2682,.09736]
F[1786]=[-.5684,15.2683,.09737]
F[1787]=[-.5684,15.2685,.09739]
F[1788]=[-.5684,15.2686,.0974]
F[1789]=[-.5684,15.2688,.09741]
F[1790]=[-.5684,15.2689,.09743]
F[1791]=[-.5684,15.2691,.09744]
F[1792]=[-.5684,15.2692,.09745]
F[1793]=[-.5684,15.2694,.09746]
F[1794]=[-.5684,15.2695,.09748]
F[1795]=[-.5684,15.2697,.09749]
F[1796]=[-.5684,15.2698,.0975]
F[1797]=[-.5684,15.27,.09752]
F[1798]=[-.5684,15.2702,.09753]
F[1799]=[-.5684,15.2703,.09754]
F[1800]=[-.5684,15.2705,.09756]
F[1801]=[-.5684,15.2706,.09757]
F[1802]=[-.5684,15.2708,.09758]
F[1803]=[-.5684,15.2709,.0976]
F[1804]=[-.5684,15.2711,.09761]
F[1805]=[-.5684,15.2713,.09762]
F[1806]=[-.5684,15.2714,.09763]
F[1807]=[-.5684,15.2716,.09765]
F[1808]=[-.5684,15.2717,.09766]
F[1809]=[-.5684,15.2719,.09767]
F[1810]=[-.5684,15.272,.09769]
F[1811]=[-.5684,15.2722,.0977]
F[1812]=[-.5684,15.2724,.09771]
F[1813]=[-.5684,15.2725,.09772]
F[1814]=[-.5684,15.2727,.09774]
F[1815]=[-.5684,15.2729,.09775]
F[1816]=[-.5684,15.273,.09776]
F[1817]=[-.5684,15.2732,.09777]
F[1818]=[-.5684,15.2733,.09779]
F[1819]=[-.5684,15.2735,.0978]
F[1820]=[-.5684,15.2737,.09781]
F[1821]=[-.5684,15.2738,.09782]
F[1822]=[-.5684,15.274,.09784]
F[1823]=[-.5684,15.2742,.09785]
F[1824]=[-.5684,15.2743,.09786]
F[1825]=[-.5684,15.2745,.09787]
F[1826]=[-.5684,15.2747,.09789]
F[1827]=[-.5684,15.2748,.0979]
F[1828]=[-.5684,15.275,.09791]
F[1829]=[-.5684,15.2752,.09792]
F[1830]=[-.5684,15.2753,.09794]
F[1831]=[-.5684,15.2755,.09795]
F[1832]=[-.5684,15.2757,.09796]
F[1833]=[-.5684,15.2758,.09797]
F[1834]=[-.5684,15.276,.09799]
F[1835]=[-.5684,15.2762,.098]
F[1836]=[-.5684,15.2763,.09801]
F[1837]=[-.5684,15.2765,.09802]
F[1838]=[-.5684,15.2767,.09803]
F[1839]=[-.5684,15.2768,.09805]
F[1840]=[-.5684,15.277,.09806]
F[1841]=[-.5684,15.2772,.09807]
F[1842]=[-.5684,15.2773,.09808]
F[1843]=[-.5684,15.2775,.0981]
F[1844]=[-.5684,15.2777,.09811]
F[1845]=[-.5684,15.2779,.09812]
F[1846]=[-.5684,15.278,.09813]
F[1847]=[-.5684,15.2782,.09814]
F[1848]=[-.5684,15.2784,.09816]
F[1849]=[-.5684,15.2785,.09817]
F[1850]=[-.5684,15.2787,.09818]
F[1851]=[-.5684,15.2789,.09819]
F[1852]=[-.5684,15.2791,.0982]
F[1853]=[-.5684,15.2792,.09822]
F[1854]=[-.5684,15.2794,.09823]
F[1855]=[-.5684,15.2796,.09824]
F[1856]=[-.5684,15.2798,.09825]


if ((MF=="F"))
   {
    result=resultStr(F[AGEDAYS],BMI(KILOS,MM/10));
   }
else
   {
    result=resultStr(M[AGEDAYS],BMI(KILOS,MM/10));
    //defaults to male values
   }

return result;
}

function HAZ_W06(MF, AGEDAYS, KILOS, MM)
{

var M = new Array();
var F = new Array();
//hazlms.js  WHO]
//sex,agedays2,l,m,s]
M[0]=[1,49.8842,.03795]
M[1]=[1,50.0601,.03785]
M[2]=[1,50.2359,.03775]
M[3]=[1,50.4118,.03764]
M[4]=[1,50.5876,.03754]
M[5]=[1,50.7635,.03744]
M[6]=[1,50.9393,.03734]
M[7]=[1,51.1152,.03723]
M[8]=[1,51.291,.03713]
M[9]=[1,51.4669,.03703]
M[10]=[1,51.6427,.03693]
M[11]=[1,51.8186,.03682]
M[12]=[1,51.9944,.03672]
M[13]=[1,52.1702,.03662]
M[14]=[1,52.3461,.03652]
M[15]=[1,52.4978,.03645]
M[16]=[1,52.6488,.03639]
M[17]=[1,52.799,.03633]
M[18]=[1,52.9483,.03627]
M[19]=[1,53.0967,.03621]
M[20]=[1,53.2441,.03615]
M[21]=[1,53.3905,.03609]
M[22]=[1,53.536,.03603]
M[23]=[1,53.6805,.03597]
M[24]=[1,53.8239,.03592]
M[25]=[1,53.9664,.03586]
M[26]=[1,54.1079,.03581]
M[27]=[1,54.2485,.03575]
M[28]=[1,54.3881,.0357]
M[29]=[1,54.5268,.03565]
M[30]=[1,54.6645,.03559]
M[31]=[1,54.8012,.03554]
M[32]=[1,54.9368,.03549]
M[33]=[1,55.0714,.03544]
M[34]=[1,55.2049,.03539]
M[35]=[1,55.3374,.03534]
M[36]=[1,55.4688,.03529]
M[37]=[1,55.5992,.03524]
M[38]=[1,55.7285,.0352]
M[39]=[1,55.8568,.03515]
M[40]=[1,55.9841,.0351]
M[41]=[1,56.1104,.03506]
M[42]=[1,56.2357,.03501]
M[43]=[1,56.3599,.03496]
M[44]=[1,56.4833,.03492]
M[45]=[1,56.6056,.03488]
M[46]=[1,56.7269,.03483]
M[47]=[1,56.8472,.03479]
M[48]=[1,56.9666,.03475]
M[49]=[1,57.0851,.0347]
M[50]=[1,57.2026,.03466]
M[51]=[1,57.3192,.03462]
M[52]=[1,57.4349,.03458]
M[53]=[1,57.5497,.03454]
M[54]=[1,57.6637,.0345]
M[55]=[1,57.7767,.03446]
M[56]=[1,57.8889,.03442]
M[57]=[1,58.0003,.03438]
M[58]=[1,58.1109,.03434]
M[59]=[1,58.2207,.03431]
M[60]=[1,58.3299,.03427]
M[61]=[1,58.4384,.03423]
M[62]=[1,58.5463,.0342]
M[63]=[1,58.6536,.03416]
M[64]=[1,58.7603,.03412]
M[65]=[1,58.8664,.03409]
M[66]=[1,58.9718,.03405]
M[67]=[1,59.0766,.03402]
M[68]=[1,59.1808,.03398]
M[69]=[1,59.2843,.03395]
M[70]=[1,59.3872,.03392]
M[71]=[1,59.4894,.03388]
M[72]=[1,59.591,.03385]
M[73]=[1,59.692,.03382]
M[74]=[1,59.7923,.03379]
M[75]=[1,59.892,.03375]
M[76]=[1,59.991,.03372]
M[77]=[1,60.0894,.03369]
M[78]=[1,60.1872,.03366]
M[79]=[1,60.2843,.03363]
M[80]=[1,60.3808,.0336]
M[81]=[1,60.4767,.03357]
M[82]=[1,60.5719,.03354]
M[83]=[1,60.6665,.03351]
M[84]=[1,60.7605,.03348]
M[85]=[1,60.8539,.03345]
M[86]=[1,60.9466,.03342]
M[87]=[1,61.0388,.0334]
M[88]=[1,61.1303,.03337]
M[89]=[1,61.2212,.03334]
M[90]=[1,61.3115,.03331]
M[91]=[1,61.4013,.03329]
M[92]=[1,61.4904,.03326]
M[93]=[1,61.579,.03323]
M[94]=[1,61.667,.03321]
M[95]=[1,61.7543,.03318]
M[96]=[1,61.8411,.03316]
M[97]=[1,61.9274,.03313]
M[98]=[1,62.013,.03311]
M[99]=[1,62.0981,.03308]
M[100]=[1,62.1826,.03306]
M[101]=[1,62.2665,.03303]
M[102]=[1,62.3499,.03301]
M[103]=[1,62.4327,.03298]
M[104]=[1,62.5149,.03296]
M[105]=[1,62.5966,.03294]
M[106]=[1,62.6778,.03291]
M[107]=[1,62.7584,.03289]
M[108]=[1,62.8384,.03287]
M[109]=[1,62.918,.03284]
M[110]=[1,62.9969,.03282]
M[111]=[1,63.0754,.0328]
M[112]=[1,63.1533,.03278]
M[113]=[1,63.2307,.03276]
M[114]=[1,63.3076,.03273]
M[115]=[1,63.3839,.03271]
M[116]=[1,63.4598,.03269]
M[117]=[1,63.5351,.03267]
M[118]=[1,63.6099,.03265]
M[119]=[1,63.6842,.03263]
M[120]=[1,63.758,.03261]
M[121]=[1,63.8313,.03259]
M[122]=[1,63.9041,.03257]
M[123]=[1,63.9765,.03255]
M[124]=[1,64.0483,.03253]
M[125]=[1,64.1197,.03251]
M[126]=[1,64.1906,.03249]
M[127]=[1,64.261,.03247]
M[128]=[1,64.331,.03245]
M[129]=[1,64.4006,.03243]
M[130]=[1,64.4697,.03241]
M[131]=[1,64.5383,.03239]
M[132]=[1,64.6066,.03238]
M[133]=[1,64.6744,.03236]
M[134]=[1,64.7418,.03234]
M[135]=[1,64.8088,.03232]
M[136]=[1,64.8755,.0323]
M[137]=[1,64.9417,.03229]
M[138]=[1,65.0075,.03227]
M[139]=[1,65.073,.03225]
M[140]=[1,65.138,.03223]
M[141]=[1,65.2027,.03222]
M[142]=[1,65.2671,.0322]
M[143]=[1,65.331,.03218]
M[144]=[1,65.3946,.03217]
M[145]=[1,65.4579,.03215]
M[146]=[1,65.5208,.03214]
M[147]=[1,65.5834,.03212]
M[148]=[1,65.6456,.0321]
M[149]=[1,65.7075,.03209]
M[150]=[1,65.769,.03207]
M[151]=[1,65.8303,.03206]
M[152]=[1,65.8912,.03204]
M[153]=[1,65.9518,.03203]
M[154]=[1,66.0121,.03201]
M[155]=[1,66.0721,.032]
M[156]=[1,66.1317,.03198]
M[157]=[1,66.1911,.03197]
M[158]=[1,66.2502,.03196]
M[159]=[1,66.3089,.03194]
M[160]=[1,66.3674,.03193]
M[161]=[1,66.4256,.03191]
M[162]=[1,66.4835,.0319]
M[163]=[1,66.5412,.03189]
M[164]=[1,66.5985,.03187]
M[165]=[1,66.6556,.03186]
M[166]=[1,66.7125,.03185]
M[167]=[1,66.7691,.03183]
M[168]=[1,66.8254,.03182]
M[169]=[1,66.8815,.03181]
M[170]=[1,66.9373,.0318]
M[171]=[1,66.993,.03179]
M[172]=[1,67.0483,.03177]
M[173]=[1,67.1035,.03176]
M[174]=[1,67.1584,.03175]
M[175]=[1,67.2132,.03174]
M[176]=[1,67.2677,.03173]
M[177]=[1,67.3219,.03171]
M[178]=[1,67.376,.0317]
M[179]=[1,67.4299,.03169]
M[180]=[1,67.4836,.03168]
M[181]=[1,67.5371,.03167]
M[182]=[1,67.5904,.03166]
M[183]=[1,67.6435,.03165]
M[184]=[1,67.6964,.03164]
M[185]=[1,67.7491,.03163]
M[186]=[1,67.8017,.03162]
M[187]=[1,67.8541,.03161]
M[188]=[1,67.9062,.0316]
M[189]=[1,67.9583,.03159]
M[190]=[1,68.0101,.03158]
M[191]=[1,68.0618,.03157]
M[192]=[1,68.1133,.03156]
M[193]=[1,68.1647,.03155]
M[194]=[1,68.2158,.03154]
M[195]=[1,68.2669,.03153]
M[196]=[1,68.3177,.03152]
M[197]=[1,68.3685,.03152]
M[198]=[1,68.419,.03151]
M[199]=[1,68.4695,.0315]
M[200]=[1,68.5198,.03149]
M[201]=[1,68.5699,.03148]
M[202]=[1,68.6199,.03147]
M[203]=[1,68.6698,.03147]
M[204]=[1,68.7195,.03146]
M[205]=[1,68.7691,.03145]
M[206]=[1,68.8186,.03144]
M[207]=[1,68.8679,.03144]
M[208]=[1,68.9171,.03143]
M[209]=[1,68.9662,.03142]
M[210]=[1,69.0152,.03141]
M[211]=[1,69.0641,.03141]
M[212]=[1,69.1128,.0314]
M[213]=[1,69.1615,.03139]
M[214]=[1,69.21,.03139]
M[215]=[1,69.2584,.03138]
M[216]=[1,69.3067,.03137]
M[217]=[1,69.3549,.03137]
M[218]=[1,69.4031,.03136]
M[219]=[1,69.4511,.03136]
M[220]=[1,69.499,.03135]
M[221]=[1,69.5468,.03134]
M[222]=[1,69.5945,.03134]
M[223]=[1,69.6421,.03133]
M[224]=[1,69.6896,.03133]
M[225]=[1,69.737,.03132]
M[226]=[1,69.7844,.03132]
M[227]=[1,69.8316,.03131]
M[228]=[1,69.8787,.03131]
M[229]=[1,69.9258,.0313]
M[230]=[1,69.9728,.0313]
M[231]=[1,70.0197,.03129]
M[232]=[1,70.0665,.03129]
M[233]=[1,70.1132,.03128]
M[234]=[1,70.1599,.03128]
M[235]=[1,70.2064,.03127]
M[236]=[1,70.2529,.03127]
M[237]=[1,70.2994,.03126]
M[238]=[1,70.3457,.03126]
M[239]=[1,70.392,.03126]
M[240]=[1,70.4382,.03125]
M[241]=[1,70.4843,.03125]
M[242]=[1,70.5304,.03125]
M[243]=[1,70.5764,.03124]
M[244]=[1,70.6224,.03124]
M[245]=[1,70.6683,.03123]
M[246]=[1,70.7141,.03123]
M[247]=[1,70.7598,.03123]
M[248]=[1,70.8055,.03122]
M[249]=[1,70.8511,.03122]
M[250]=[1,70.8967,.03122]
M[251]=[1,70.9422,.03122]
M[252]=[1,70.9876,.03121]
M[253]=[1,71.033,.03121]
M[254]=[1,71.0783,.03121]
M[255]=[1,71.1235,.03121]
M[256]=[1,71.1687,.0312]
M[257]=[1,71.2138,.0312]
M[258]=[1,71.2589,.0312]
M[259]=[1,71.3039,.0312]
M[260]=[1,71.3488,.03119]
M[261]=[1,71.3937,.03119]
M[262]=[1,71.4385,.03119]
M[263]=[1,71.4832,.03119]
M[264]=[1,71.5279,.03119]
M[265]=[1,71.5725,.03118]
M[266]=[1,71.6171,.03118]
M[267]=[1,71.6616,.03118]
M[268]=[1,71.706,.03118]
M[269]=[1,71.7504,.03118]
M[270]=[1,71.7947,.03118]
M[271]=[1,71.839,.03118]
M[272]=[1,71.8832,.03118]
M[273]=[1,71.9273,.03117]
M[274]=[1,71.9714,.03117]
M[275]=[1,72.0154,.03117]
M[276]=[1,72.0594,.03117]
M[277]=[1,72.1033,.03117]
M[278]=[1,72.1472,.03117]
M[279]=[1,72.1909,.03117]
M[280]=[1,72.2347,.03117]
M[281]=[1,72.2783,.03117]
M[282]=[1,72.3219,.03117]
M[283]=[1,72.3655,.03117]
M[284]=[1,72.4089,.03117]
M[285]=[1,72.4523,.03117]
M[286]=[1,72.4957,.03117]
M[287]=[1,72.539,.03117]
M[288]=[1,72.5822,.03117]
M[289]=[1,72.6253,.03117]
M[290]=[1,72.6684,.03117]
M[291]=[1,72.7115,.03117]
M[292]=[1,72.7544,.03117]
M[293]=[1,72.7974,.03117]
M[294]=[1,72.8402,.03117]
M[295]=[1,72.883,.03117]
M[296]=[1,72.9257,.03117]
M[297]=[1,72.9684,.03117]
M[298]=[1,73.011,.03117]
M[299]=[1,73.0535,.03118]
M[300]=[1,73.096,.03118]
M[301]=[1,73.1384,.03118]
M[302]=[1,73.1808,.03118]
M[303]=[1,73.2231,.03118]
M[304]=[1,73.2653,.03118]
M[305]=[1,73.3075,.03118]
M[306]=[1,73.3497,.03118]
M[307]=[1,73.3917,.03119]
M[308]=[1,73.4337,.03119]
M[309]=[1,73.4757,.03119]
M[310]=[1,73.5176,.03119]
M[311]=[1,73.5594,.03119]
M[312]=[1,73.6012,.03119]
M[313]=[1,73.6429,.0312]
M[314]=[1,73.6845,.0312]
M[315]=[1,73.7261,.0312]
M[316]=[1,73.7677,.0312]
M[317]=[1,73.8091,.0312]
M[318]=[1,73.8506,.03121]
M[319]=[1,73.8919,.03121]
M[320]=[1,73.9333,.03121]
M[321]=[1,73.9745,.03121]
M[322]=[1,74.0157,.03122]
M[323]=[1,74.0569,.03122]
M[324]=[1,74.0979,.03122]
M[325]=[1,74.139,.03122]
M[326]=[1,74.18,.03123]
M[327]=[1,74.2209,.03123]
M[328]=[1,74.2618,.03123]
M[329]=[1,74.3026,.03124]
M[330]=[1,74.3433,.03124]
M[331]=[1,74.3841,.03124]
M[332]=[1,74.4247,.03124]
M[333]=[1,74.4653,.03125]
M[334]=[1,74.5059,.03125]
M[335]=[1,74.5464,.03125]
M[336]=[1,74.5868,.03126]
M[337]=[1,74.6272,.03126]
M[338]=[1,74.6676,.03126]
M[339]=[1,74.7079,.03127]
M[340]=[1,74.7481,.03127]
M[341]=[1,74.7883,.03127]
M[342]=[1,74.8285,.03128]
M[343]=[1,74.8686,.03128]
M[344]=[1,74.9086,.03128]
M[345]=[1,74.9486,.03129]
M[346]=[1,74.9886,.03129]
M[347]=[1,75.0285,.0313]
M[348]=[1,75.0683,.0313]
M[349]=[1,75.1081,.0313]
M[350]=[1,75.1479,.03131]
M[351]=[1,75.1876,.03131]
M[352]=[1,75.2273,.03132]
M[353]=[1,75.2669,.03132]
M[354]=[1,75.3065,.03132]
M[355]=[1,75.346,.03133]
M[356]=[1,75.3855,.03133]
M[357]=[1,75.425,.03134]
M[358]=[1,75.4644,.03134]
M[359]=[1,75.5037,.03135]
M[360]=[1,75.5431,.03135]
M[361]=[1,75.5824,.03136]
M[362]=[1,75.6216,.03136]
M[363]=[1,75.6608,.03136]
M[364]=[1,75.6999,.03137]
M[365]=[1,75.7391,.03137]
M[366]=[1,75.7781,.03138]
M[367]=[1,75.8172,.03138]
M[368]=[1,75.8562,.03139]
M[369]=[1,75.8951,.03139]
M[370]=[1,75.934,.0314]
M[371]=[1,75.9729,.0314]
M[372]=[1,76.0117,.03141]
M[373]=[1,76.0505,.03141]
M[374]=[1,76.0892,.03142]
M[375]=[1,76.1279,.03142]
M[376]=[1,76.1665,.03143]
M[377]=[1,76.2051,.03143]
M[378]=[1,76.2437,.03144]
M[379]=[1,76.2822,.03144]
M[380]=[1,76.3207,.03145]
M[381]=[1,76.3591,.03146]
M[382]=[1,76.3975,.03146]
M[383]=[1,76.4358,.03147]
M[384]=[1,76.4741,.03147]
M[385]=[1,76.5124,.03148]
M[386]=[1,76.5506,.03148]
M[387]=[1,76.5888,.03149]
M[388]=[1,76.6269,.03149]
M[389]=[1,76.665,.0315]
M[390]=[1,76.703,.03151]
M[391]=[1,76.741,.03151]
M[392]=[1,76.779,.03152]
M[393]=[1,76.8169,.03152]
M[394]=[1,76.8548,.03153]
M[395]=[1,76.8926,.03154]
M[396]=[1,76.9304,.03154]
M[397]=[1,76.9682,.03155]
M[398]=[1,77.0059,.03155]
M[399]=[1,77.0435,.03156]
M[400]=[1,77.0812,.03157]
M[401]=[1,77.1187,.03157]
M[402]=[1,77.1563,.03158]
M[403]=[1,77.1938,.03159]
M[404]=[1,77.2313,.03159]
M[405]=[1,77.2687,.0316]
M[406]=[1,77.306,.0316]
M[407]=[1,77.3434,.03161]
M[408]=[1,77.3807,.03162]
M[409]=[1,77.4179,.03162]
M[410]=[1,77.4551,.03163]
M[411]=[1,77.4923,.03164]
M[412]=[1,77.5295,.03164]
M[413]=[1,77.5665,.03165]
M[414]=[1,77.6036,.03166]
M[415]=[1,77.6406,.03166]
M[416]=[1,77.6776,.03167]
M[417]=[1,77.7145,.03168]
M[418]=[1,77.7514,.03168]
M[419]=[1,77.7883,.03169]
M[420]=[1,77.8251,.0317]
M[421]=[1,77.8618,.0317]
M[422]=[1,77.8986,.03171]
M[423]=[1,77.9353,.03172]
M[424]=[1,77.9719,.03172]
M[425]=[1,78.0085,.03173]
M[426]=[1,78.0451,.03174]
M[427]=[1,78.0817,.03175]
M[428]=[1,78.1182,.03175]
M[429]=[1,78.1546,.03176]
M[430]=[1,78.1911,.03177]
M[431]=[1,78.2275,.03177]
M[432]=[1,78.2638,.03178]
M[433]=[1,78.3001,.03179]
M[434]=[1,78.3364,.0318]
M[435]=[1,78.3727,.0318]
M[436]=[1,78.4089,.03181]
M[437]=[1,78.4451,.03182]
M[438]=[1,78.4812,.03183]
M[439]=[1,78.5173,.03183]
M[440]=[1,78.5534,.03184]
M[441]=[1,78.5894,.03185]
M[442]=[1,78.6254,.03186]
M[443]=[1,78.6614,.03186]
M[444]=[1,78.6973,.03187]
M[445]=[1,78.7332,.03188]
M[446]=[1,78.7691,.03189]
M[447]=[1,78.8049,.03189]
M[448]=[1,78.8407,.0319]
M[449]=[1,78.8764,.03191]
M[450]=[1,78.9122,.03192]
M[451]=[1,78.9479,.03192]
M[452]=[1,78.9835,.03193]
M[453]=[1,79.0191,.03194]
M[454]=[1,79.0547,.03195]
M[455]=[1,79.0903,.03196]
M[456]=[1,79.1258,.03196]
M[457]=[1,79.1613,.03197]
M[458]=[1,79.1968,.03198]
M[459]=[1,79.2322,.03199]
M[460]=[1,79.2676,.032]
M[461]=[1,79.303,.032]
M[462]=[1,79.3383,.03201]
M[463]=[1,79.3736,.03202]
M[464]=[1,79.4089,.03203]
M[465]=[1,79.4441,.03204]
M[466]=[1,79.4793,.03204]
M[467]=[1,79.5145,.03205]
M[468]=[1,79.5496,.03206]
M[469]=[1,79.5847,.03207]
M[470]=[1,79.6198,.03208]
M[471]=[1,79.6548,.03209]
M[472]=[1,79.6898,.03209]
M[473]=[1,79.7248,.0321]
M[474]=[1,79.7598,.03211]
M[475]=[1,79.7947,.03212]
M[476]=[1,79.8296,.03213]
M[477]=[1,79.8644,.03214]
M[478]=[1,79.8993,.03214]
M[479]=[1,79.9341,.03215]
M[480]=[1,79.9688,.03216]
M[481]=[1,80.0036,.03217]
M[482]=[1,80.0383,.03218]
M[483]=[1,80.0729,.03219]
M[484]=[1,80.1076,.0322]
M[485]=[1,80.1422,.0322]
M[486]=[1,80.1768,.03221]
M[487]=[1,80.2113,.03222]
M[488]=[1,80.2459,.03223]
M[489]=[1,80.2804,.03224]
M[490]=[1,80.3148,.03225]
M[491]=[1,80.3493,.03226]
M[492]=[1,80.3837,.03226]
M[493]=[1,80.4181,.03227]
M[494]=[1,80.4524,.03228]
M[495]=[1,80.4867,.03229]
M[496]=[1,80.521,.0323]
M[497]=[1,80.5553,.03231]
M[498]=[1,80.5895,.03232]
M[499]=[1,80.6237,.03233]
M[500]=[1,80.6578,.03234]
M[501]=[1,80.692,.03234]
M[502]=[1,80.7261,.03235]
M[503]=[1,80.7602,.03236]
M[504]=[1,80.7942,.03237]
M[505]=[1,80.8282,.03238]
M[506]=[1,80.8622,.03239]
M[507]=[1,80.8961,.0324]
M[508]=[1,80.9301,.03241]
M[509]=[1,80.964,.03242]
M[510]=[1,80.9978,.03243]
M[511]=[1,81.0317,.03244]
M[512]=[1,81.0655,.03245]
M[513]=[1,81.0992,.03245]
M[514]=[1,81.133,.03246]
M[515]=[1,81.1667,.03247]
M[516]=[1,81.2004,.03248]
M[517]=[1,81.234,.03249]
M[518]=[1,81.2677,.0325]
M[519]=[1,81.3013,.03251]
M[520]=[1,81.3348,.03252]
M[521]=[1,81.3684,.03253]
M[522]=[1,81.4019,.03254]
M[523]=[1,81.4353,.03255]
M[524]=[1,81.4688,.03256]
M[525]=[1,81.5022,.03257]
M[526]=[1,81.5356,.03258]
M[527]=[1,81.569,.03259]
M[528]=[1,81.6023,.0326]
M[529]=[1,81.6356,.03261]
M[530]=[1,81.6689,.03261]
M[531]=[1,81.7021,.03262]
M[532]=[1,81.7353,.03263]
M[533]=[1,81.7685,.03264]
M[534]=[1,81.8017,.03265]
M[535]=[1,81.8348,.03266]
M[536]=[1,81.8679,.03267]
M[537]=[1,81.9009,.03268]
M[538]=[1,81.934,.03269]
M[539]=[1,81.967,.0327]
M[540]=[1,82,.03271]
M[541]=[1,82.0329,.03272]
M[542]=[1,82.0659,.03273]
M[543]=[1,82.0987,.03274]
M[544]=[1,82.1316,.03275]
M[545]=[1,82.1644,.03276]
M[546]=[1,82.1973,.03277]
M[547]=[1,82.23,.03278]
M[548]=[1,82.2628,.03279]
M[549]=[1,82.2955,.0328]
M[550]=[1,82.3282,.03281]
M[551]=[1,82.3609,.03282]
M[552]=[1,82.3935,.03283]
M[553]=[1,82.4261,.03284]
M[554]=[1,82.4587,.03285]
M[555]=[1,82.4912,.03286]
M[556]=[1,82.5237,.03287]
M[557]=[1,82.5562,.03288]
M[558]=[1,82.5887,.03289]
M[559]=[1,82.6211,.0329]
M[560]=[1,82.6535,.03291]
M[561]=[1,82.6859,.03292]
M[562]=[1,82.7182,.03293]
M[563]=[1,82.7505,.03294]
M[564]=[1,82.7828,.03295]
M[565]=[1,82.8151,.03296]
M[566]=[1,82.8473,.03297]
M[567]=[1,82.8795,.03298]
M[568]=[1,82.9117,.03299]
M[569]=[1,82.9438,.033]
M[570]=[1,82.9759,.03301]
M[571]=[1,83.008,.03302]
M[572]=[1,83.04,.03303]
M[573]=[1,83.0721,.03304]
M[574]=[1,83.1041,.03305]
M[575]=[1,83.136,.03306]
M[576]=[1,83.168,.03308]
M[577]=[1,83.1999,.03309]
M[578]=[1,83.2318,.0331]
M[579]=[1,83.2637,.03311]
M[580]=[1,83.2955,.03312]
M[581]=[1,83.3273,.03313]
M[582]=[1,83.3591,.03314]
M[583]=[1,83.3908,.03315]
M[584]=[1,83.4226,.03316]
M[585]=[1,83.4543,.03317]
M[586]=[1,83.4859,.03318]
M[587]=[1,83.5176,.03319]
M[588]=[1,83.5492,.0332]
M[589]=[1,83.5808,.03321]
M[590]=[1,83.6124,.03322]
M[591]=[1,83.6439,.03323]
M[592]=[1,83.6754,.03324]
M[593]=[1,83.7069,.03325]
M[594]=[1,83.7384,.03326]
M[595]=[1,83.7698,.03327]
M[596]=[1,83.8012,.03329]
M[597]=[1,83.8326,.0333]
M[598]=[1,83.864,.03331]
M[599]=[1,83.8953,.03332]
M[600]=[1,83.9267,.03333]
M[601]=[1,83.9579,.03334]
M[602]=[1,83.9892,.03335]
M[603]=[1,84.0205,.03336]
M[604]=[1,84.0517,.03337]
M[605]=[1,84.0829,.03338]
M[606]=[1,84.114,.03339]
M[607]=[1,84.1452,.0334]
M[608]=[1,84.1763,.03341]
M[609]=[1,84.2074,.03342]
M[610]=[1,84.2385,.03344]
M[611]=[1,84.2695,.03345]
M[612]=[1,84.3006,.03346]
M[613]=[1,84.3316,.03347]
M[614]=[1,84.3626,.03348]
M[615]=[1,84.3935,.03349]
M[616]=[1,84.4245,.0335]
M[617]=[1,84.4554,.03351]
M[618]=[1,84.4862,.03352]
M[619]=[1,84.5171,.03353]
M[620]=[1,84.5479,.03354]
M[621]=[1,84.5787,.03356]
M[622]=[1,84.6095,.03357]
M[623]=[1,84.6403,.03358]
M[624]=[1,84.671,.03359]
M[625]=[1,84.7017,.0336]
M[626]=[1,84.7324,.03361]
M[627]=[1,84.7631,.03362]
M[628]=[1,84.7937,.03363]
M[629]=[1,84.8243,.03364]
M[630]=[1,84.8549,.03365]
M[631]=[1,84.8855,.03367]
M[632]=[1,84.916,.03368]
M[633]=[1,84.9465,.03369]
M[634]=[1,84.977,.0337]
M[635]=[1,85.0075,.03371]
M[636]=[1,85.0379,.03372]
M[637]=[1,85.0683,.03373]
M[638]=[1,85.0987,.03374]
M[639]=[1,85.1291,.03375]
M[640]=[1,85.1594,.03377]
M[641]=[1,85.1897,.03378]
M[642]=[1,85.22,.03379]
M[643]=[1,85.2503,.0338]
M[644]=[1,85.2805,.03381]
M[645]=[1,85.3108,.03382]
M[646]=[1,85.341,.03383]
M[647]=[1,85.3711,.03384]
M[648]=[1,85.4013,.03385]
M[649]=[1,85.4314,.03387]
M[650]=[1,85.4615,.03388]
M[651]=[1,85.4916,.03389]
M[652]=[1,85.5217,.0339]
M[653]=[1,85.5517,.03391]
M[654]=[1,85.5817,.03392]
M[655]=[1,85.6117,.03393]
M[656]=[1,85.6417,.03394]
M[657]=[1,85.6716,.03396]
M[658]=[1,85.7015,.03397]
M[659]=[1,85.7314,.03398]
M[660]=[1,85.7613,.03399]
M[661]=[1,85.7912,.034]
M[662]=[1,85.821,.03401]
M[663]=[1,85.8508,.03402]
M[664]=[1,85.8806,.03404]
M[665]=[1,85.9104,.03405]
M[666]=[1,85.9401,.03406]
M[667]=[1,85.9698,.03407]
M[668]=[1,85.9995,.03408]
M[669]=[1,86.0292,.03409]
M[670]=[1,86.0589,.0341]
M[671]=[1,86.0885,.03411]
M[672]=[1,86.1181,.03413]
M[673]=[1,86.1477,.03414]
M[674]=[1,86.1773,.03415]
M[675]=[1,86.2068,.03416]
M[676]=[1,86.2363,.03417]
M[677]=[1,86.2659,.03418]
M[678]=[1,86.2954,.03419]
M[679]=[1,86.3248,.03421]
M[680]=[1,86.3543,.03422]
M[681]=[1,86.3837,.03423]
M[682]=[1,86.4131,.03424]
M[683]=[1,86.4425,.03425]
M[684]=[1,86.4719,.03426]
M[685]=[1,86.5012,.03427]
M[686]=[1,86.5306,.03429]
M[687]=[1,86.5599,.0343]
M[688]=[1,86.5892,.03431]
M[689]=[1,86.6184,.03432]
M[690]=[1,86.6477,.03433]
M[691]=[1,86.6769,.03434]
M[692]=[1,86.7061,.03435]
M[693]=[1,86.7353,.03437]
M[694]=[1,86.7645,.03438]
M[695]=[1,86.7937,.03439]
M[696]=[1,86.8228,.0344]
M[697]=[1,86.8519,.03441]
M[698]=[1,86.881,.03442]
M[699]=[1,86.9101,.03443]
M[700]=[1,86.9392,.03445]
M[701]=[1,86.9682,.03446]
M[702]=[1,86.9972,.03447]
M[703]=[1,87.0262,.03448]
M[704]=[1,87.0552,.03449]
M[705]=[1,87.0842,.0345]
M[706]=[1,87.1131,.03451]
M[707]=[1,87.142,.03453]
M[708]=[1,87.1709,.03454]
M[709]=[1,87.1998,.03455]
M[710]=[1,87.2287,.03456]
M[711]=[1,87.2575,.03457]
M[712]=[1,87.2863,.03458]
M[713]=[1,87.3151,.03459]
M[714]=[1,87.3439,.03461]
M[715]=[1,87.3727,.03462]
M[716]=[1,87.4014,.03463]
M[717]=[1,87.4302,.03464]
M[718]=[1,87.4589,.03465]
M[719]=[1,87.4876,.03466]
M[720]=[1,87.5162,.03467]
M[721]=[1,87.5449,.03469]
M[722]=[1,87.5735,.0347]
M[723]=[1,87.6021,.03471]
M[724]=[1,87.6307,.03472]
M[725]=[1,87.6593,.03473]
M[726]=[1,87.6878,.03474]
M[727]=[1,87.7164,.03475]
M[728]=[1,87.7449,.03477]
M[729]=[1,87.7734,.03478]
M[730]=[1,87.8018,.03479]
M[731]=[1,87.1303,.03508]
M[732]=[1,87.1587,.03509]
M[733]=[1,87.1871,.0351]
M[734]=[1,87.2155,.03511]
M[735]=[1,87.2439,.03513]
M[736]=[1,87.2722,.03514]
M[737]=[1,87.3006,.03515]
M[738]=[1,87.3289,.03516]
M[739]=[1,87.3571,.03517]
M[740]=[1,87.3854,.03518]
M[741]=[1,87.4136,.03519]
M[742]=[1,87.4419,.03521]
M[743]=[1,87.4701,.03522]
M[744]=[1,87.4982,.03523]
M[745]=[1,87.5264,.03524]
M[746]=[1,87.5545,.03525]
M[747]=[1,87.5826,.03526]
M[748]=[1,87.6107,.03527]
M[749]=[1,87.6388,.03528]
M[750]=[1,87.6668,.0353]
M[751]=[1,87.6948,.03531]
M[752]=[1,87.7228,.03532]
M[753]=[1,87.7508,.03533]
M[754]=[1,87.7788,.03534]
M[755]=[1,87.8067,.03535]
M[756]=[1,87.8346,.03536]
M[757]=[1,87.8625,.03538]
M[758]=[1,87.8903,.03539]
M[759]=[1,87.9181,.0354]
M[760]=[1,87.946,.03541]
M[761]=[1,87.9737,.03542]
M[762]=[1,88.0015,.03543]
M[763]=[1,88.0292,.03544]
M[764]=[1,88.057,.03545]
M[765]=[1,88.0846,.03547]
M[766]=[1,88.1123,.03548]
M[767]=[1,88.14,.03549]
M[768]=[1,88.1676,.0355]
M[769]=[1,88.1952,.03551]
M[770]=[1,88.2228,.03552]
M[771]=[1,88.2503,.03553]
M[772]=[1,88.2778,.03555]
M[773]=[1,88.3053,.03556]
M[774]=[1,88.3328,.03557]
M[775]=[1,88.3603,.03558]
M[776]=[1,88.3877,.03559]
M[777]=[1,88.4151,.0356]
M[778]=[1,88.4425,.03561]
M[779]=[1,88.4699,.03562]
M[780]=[1,88.4972,.03564]
M[781]=[1,88.5245,.03565]
M[782]=[1,88.5518,.03566]
M[783]=[1,88.5791,.03567]
M[784]=[1,88.6063,.03568]
M[785]=[1,88.6335,.03569]
M[786]=[1,88.6607,.0357]
M[787]=[1,88.6879,.03571]
M[788]=[1,88.715,.03572]
M[789]=[1,88.7422,.03574]
M[790]=[1,88.7693,.03575]
M[791]=[1,88.7964,.03576]
M[792]=[1,88.8234,.03577]
M[793]=[1,88.8504,.03578]
M[794]=[1,88.8775,.03579]
M[795]=[1,88.9044,.0358]
M[796]=[1,88.9314,.03581]
M[797]=[1,88.9584,.03582]
M[798]=[1,88.9853,.03584]
M[799]=[1,89.0122,.03585]
M[800]=[1,89.0391,.03586]
M[801]=[1,89.0659,.03587]
M[802]=[1,89.0927,.03588]
M[803]=[1,89.1195,.03589]
M[804]=[1,89.1463,.0359]
M[805]=[1,89.1731,.03591]
M[806]=[1,89.1998,.03592]
M[807]=[1,89.2266,.03593]
M[808]=[1,89.2533,.03595]
M[809]=[1,89.2799,.03596]
M[810]=[1,89.3066,.03597]
M[811]=[1,89.3332,.03598]
M[812]=[1,89.3598,.03599]
M[813]=[1,89.3864,.036]
M[814]=[1,89.413,.03601]
M[815]=[1,89.4395,.03602]
M[816]=[1,89.466,.03603]
M[817]=[1,89.4925,.03604]
M[818]=[1,89.519,.03605]
M[819]=[1,89.5455,.03607]
M[820]=[1,89.5719,.03608]
M[821]=[1,89.5983,.03609]
M[822]=[1,89.6247,.0361]
M[823]=[1,89.651,.03611]
M[824]=[1,89.6774,.03612]
M[825]=[1,89.7037,.03613]
M[826]=[1,89.73,.03614]
M[827]=[1,89.7563,.03615]
M[828]=[1,89.7825,.03616]
M[829]=[1,89.8087,.03617]
M[830]=[1,89.8349,.03618]
M[831]=[1,89.8611,.0362]
M[832]=[1,89.8873,.03621]
M[833]=[1,89.9134,.03622]
M[834]=[1,89.9395,.03623]
M[835]=[1,89.9656,.03624]
M[836]=[1,89.9917,.03625]
M[837]=[1,90.0177,.03626]
M[838]=[1,90.0437,.03627]
M[839]=[1,90.0697,.03628]
M[840]=[1,90.0957,.03629]
M[841]=[1,90.1216,.0363]
M[842]=[1,90.1476,.03631]
M[843]=[1,90.1735,.03632]
M[844]=[1,90.1994,.03633]
M[845]=[1,90.2252,.03634]
M[846]=[1,90.251,.03636]
M[847]=[1,90.2769,.03637]
M[848]=[1,90.3026,.03638]
M[849]=[1,90.3284,.03639]
M[850]=[1,90.3541,.0364]
M[851]=[1,90.3799,.03641]
M[852]=[1,90.4056,.03642]
M[853]=[1,90.4312,.03643]
M[854]=[1,90.4569,.03644]
M[855]=[1,90.4825,.03645]
M[856]=[1,90.5081,.03646]
M[857]=[1,90.5337,.03647]
M[858]=[1,90.5592,.03648]
M[859]=[1,90.5848,.03649]
M[860]=[1,90.6103,.0365]
M[861]=[1,90.6358,.03651]
M[862]=[1,90.6612,.03652]
M[863]=[1,90.6867,.03653]
M[864]=[1,90.7121,.03654]
M[865]=[1,90.7375,.03655]
M[866]=[1,90.7628,.03656]
M[867]=[1,90.7882,.03657]
M[868]=[1,90.8135,.03659]
M[869]=[1,90.8388,.0366]
M[870]=[1,90.8641,.03661]
M[871]=[1,90.8893,.03662]
M[872]=[1,90.9146,.03663]
M[873]=[1,90.9398,.03664]
M[874]=[1,90.965,.03665]
M[875]=[1,90.9901,.03666]
M[876]=[1,91.0153,.03667]
M[877]=[1,91.0404,.03668]
M[878]=[1,91.0655,.03669]
M[879]=[1,91.0905,.0367]
M[880]=[1,91.1156,.03671]
M[881]=[1,91.1406,.03672]
M[882]=[1,91.1656,.03673]
M[883]=[1,91.1906,.03674]
M[884]=[1,91.2155,.03675]
M[885]=[1,91.2405,.03676]
M[886]=[1,91.2654,.03677]
M[887]=[1,91.2903,.03678]
M[888]=[1,91.3151,.03679]
M[889]=[1,91.34,.0368]
M[890]=[1,91.3648,.03681]
M[891]=[1,91.3896,.03682]
M[892]=[1,91.4144,.03683]
M[893]=[1,91.4391,.03684]
M[894]=[1,91.4639,.03685]
M[895]=[1,91.4886,.03686]
M[896]=[1,91.5133,.03687]
M[897]=[1,91.5379,.03688]
M[898]=[1,91.5626,.03689]
M[899]=[1,91.5872,.0369]
M[900]=[1,91.6118,.03691]
M[901]=[1,91.6364,.03692]
M[902]=[1,91.6609,.03693]
M[903]=[1,91.6855,.03694]
M[904]=[1,91.71,.03695]
M[905]=[1,91.7345,.03696]
M[906]=[1,91.759,.03697]
M[907]=[1,91.7834,.03698]
M[908]=[1,91.8078,.03699]
M[909]=[1,91.8323,.037]
M[910]=[1,91.8566,.03701]
M[911]=[1,91.881,.03702]
M[912]=[1,91.9053,.03703]
M[913]=[1,91.9297,.03704]
M[914]=[1,91.954,.03705]
M[915]=[1,91.9783,.03706]
M[916]=[1,92.0025,.03707]
M[917]=[1,92.0268,.03708]
M[918]=[1,92.051,.03709]
M[919]=[1,92.0752,.0371]
M[920]=[1,92.0993,.03711]
M[921]=[1,92.1235,.03711]
M[922]=[1,92.1476,.03712]
M[923]=[1,92.1717,.03713]
M[924]=[1,92.1958,.03714]
M[925]=[1,92.2199,.03715]
M[926]=[1,92.244,.03716]
M[927]=[1,92.268,.03717]
M[928]=[1,92.292,.03718]
M[929]=[1,92.316,.03719]
M[930]=[1,92.34,.0372]
M[931]=[1,92.3639,.03721]
M[932]=[1,92.3879,.03722]
M[933]=[1,92.4118,.03723]
M[934]=[1,92.4357,.03724]
M[935]=[1,92.4595,.03725]
M[936]=[1,92.4834,.03726]
M[937]=[1,92.5072,.03727]
M[938]=[1,92.531,.03728]
M[939]=[1,92.5548,.03729]
M[940]=[1,92.5786,.0373]
M[941]=[1,92.6023,.0373]
M[942]=[1,92.6261,.03731]
M[943]=[1,92.6498,.03732]
M[944]=[1,92.6735,.03733]
M[945]=[1,92.6971,.03734]
M[946]=[1,92.7208,.03735]
M[947]=[1,92.7444,.03736]
M[948]=[1,92.768,.03737]
M[949]=[1,92.7916,.03738]
M[950]=[1,92.8152,.03739]
M[951]=[1,92.8388,.0374]
M[952]=[1,92.8623,.03741]
M[953]=[1,92.8858,.03742]
M[954]=[1,92.9093,.03743]
M[955]=[1,92.9328,.03743]
M[956]=[1,92.9562,.03744]
M[957]=[1,92.9797,.03745]
M[958]=[1,93.0031,.03746]
M[959]=[1,93.0265,.03747]
M[960]=[1,93.0499,.03748]
M[961]=[1,93.0732,.03749]
M[962]=[1,93.0966,.0375]
M[963]=[1,93.1199,.03751]
M[964]=[1,93.1432,.03752]
M[965]=[1,93.1665,.03753]
M[966]=[1,93.1898,.03753]
M[967]=[1,93.213,.03754]
M[968]=[1,93.2363,.03755]
M[969]=[1,93.2595,.03756]
M[970]=[1,93.2827,.03757]
M[971]=[1,93.3059,.03758]
M[972]=[1,93.329,.03759]
M[973]=[1,93.3522,.0376]
M[974]=[1,93.3753,.03761]
M[975]=[1,93.3984,.03762]
M[976]=[1,93.4215,.03762]
M[977]=[1,93.4446,.03763]
M[978]=[1,93.4676,.03764]
M[979]=[1,93.4906,.03765]
M[980]=[1,93.5137,.03766]
M[981]=[1,93.5367,.03767]
M[982]=[1,93.5596,.03768]
M[983]=[1,93.5826,.03769]
M[984]=[1,93.6056,.03769]
M[985]=[1,93.6285,.0377]
M[986]=[1,93.6514,.03771]
M[987]=[1,93.6743,.03772]
M[988]=[1,93.6972,.03773]
M[989]=[1,93.7201,.03774]
M[990]=[1,93.7429,.03775]
M[991]=[1,93.7658,.03776]
M[992]=[1,93.7886,.03776]
M[993]=[1,93.8114,.03777]
M[994]=[1,93.8342,.03778]
M[995]=[1,93.8569,.03779]
M[996]=[1,93.8797,.0378]
M[997]=[1,93.9024,.03781]
M[998]=[1,93.9252,.03782]
M[999]=[1,93.9479,.03782]
M[1000]=[1,93.9706,.03783]
M[1001]=[1,93.9932,.03784]
M[1002]=[1,94.0159,.03785]
M[1003]=[1,94.0385,.03786]
M[1004]=[1,94.0612,.03787]
M[1005]=[1,94.0838,.03788]
M[1006]=[1,94.1064,.03788]
M[1007]=[1,94.129,.03789]
M[1008]=[1,94.1516,.0379]
M[1009]=[1,94.1741,.03791]
M[1010]=[1,94.1967,.03792]
M[1011]=[1,94.2192,.03793]
M[1012]=[1,94.2417,.03793]
M[1013]=[1,94.2642,.03794]
M[1014]=[1,94.2867,.03795]
M[1015]=[1,94.3092,.03796]
M[1016]=[1,94.3317,.03797]
M[1017]=[1,94.3541,.03798]
M[1018]=[1,94.3765,.03798]
M[1019]=[1,94.399,.03799]
M[1020]=[1,94.4214,.038]
M[1021]=[1,94.4438,.03801]
M[1022]=[1,94.4662,.03802]
M[1023]=[1,94.4885,.03802]
M[1024]=[1,94.5109,.03803]
M[1025]=[1,94.5332,.03804]
M[1026]=[1,94.5556,.03805]
M[1027]=[1,94.5779,.03806]
M[1028]=[1,94.6002,.03807]
M[1029]=[1,94.6225,.03807]
M[1030]=[1,94.6447,.03808]
M[1031]=[1,94.667,.03809]
M[1032]=[1,94.6893,.0381]
M[1033]=[1,94.7115,.03811]
M[1034]=[1,94.7337,.03811]
M[1035]=[1,94.7559,.03812]
M[1036]=[1,94.7782,.03813]
M[1037]=[1,94.8003,.03814]
M[1038]=[1,94.8225,.03815]
M[1039]=[1,94.8447,.03815]
M[1040]=[1,94.8668,.03816]
M[1041]=[1,94.889,.03817]
M[1042]=[1,94.9111,.03818]
M[1043]=[1,94.9332,.03819]
M[1044]=[1,94.9553,.03819]
M[1045]=[1,94.9774,.0382]
M[1046]=[1,94.9995,.03821]
M[1047]=[1,95.0216,.03822]
M[1048]=[1,95.0436,.03822]
M[1049]=[1,95.0657,.03823]
M[1050]=[1,95.0877,.03824]
M[1051]=[1,95.1097,.03825]
M[1052]=[1,95.1317,.03826]
M[1053]=[1,95.1537,.03826]
M[1054]=[1,95.1757,.03827]
M[1055]=[1,95.1977,.03828]
M[1056]=[1,95.2197,.03829]
M[1057]=[1,95.2416,.03829]
M[1058]=[1,95.2636,.0383]
M[1059]=[1,95.2855,.03831]
M[1060]=[1,95.3074,.03832]
M[1061]=[1,95.3293,.03833]
M[1062]=[1,95.3512,.03833]
M[1063]=[1,95.3731,.03834]
M[1064]=[1,95.3949,.03835]
M[1065]=[1,95.4168,.03836]
M[1066]=[1,95.4386,.03836]
M[1067]=[1,95.4605,.03837]
M[1068]=[1,95.4823,.03838]
M[1069]=[1,95.5041,.03839]
M[1070]=[1,95.5259,.03839]
M[1071]=[1,95.5477,.0384]
M[1072]=[1,95.5695,.03841]
M[1073]=[1,95.5913,.03842]
M[1074]=[1,95.613,.03842]
M[1075]=[1,95.6348,.03843]
M[1076]=[1,95.6565,.03844]
M[1077]=[1,95.6782,.03845]
M[1078]=[1,95.6999,.03845]
M[1079]=[1,95.7216,.03846]
M[1080]=[1,95.7433,.03847]
M[1081]=[1,95.765,.03848]
M[1082]=[1,95.7867,.03848]
M[1083]=[1,95.8083,.03849]
M[1084]=[1,95.83,.0385]
M[1085]=[1,95.8516,.0385]
M[1086]=[1,95.8732,.03851]
M[1087]=[1,95.8948,.03852]
M[1088]=[1,95.9165,.03853]
M[1089]=[1,95.938,.03853]
M[1090]=[1,95.9596,.03854]
M[1091]=[1,95.9812,.03855]
M[1092]=[1,96.0028,.03856]
M[1093]=[1,96.0243,.03856]
M[1094]=[1,96.0459,.03857]
M[1095]=[1,96.0674,.03858]
M[1096]=[1,96.0889,.03858]
M[1097]=[1,96.1104,.03859]
M[1098]=[1,96.1319,.0386]
M[1099]=[1,96.1534,.03861]
M[1100]=[1,96.1749,.03861]
M[1101]=[1,96.1964,.03862]
M[1102]=[1,96.2178,.03863]
M[1103]=[1,96.2393,.03863]
M[1104]=[1,96.2607,.03864]
M[1105]=[1,96.2821,.03865]
M[1106]=[1,96.3035,.03866]
M[1107]=[1,96.325,.03866]
M[1108]=[1,96.3464,.03867]
M[1109]=[1,96.3677,.03868]
M[1110]=[1,96.3891,.03868]
M[1111]=[1,96.4105,.03869]
M[1112]=[1,96.4318,.0387]
M[1113]=[1,96.4532,.0387]
M[1114]=[1,96.4745,.03871]
M[1115]=[1,96.4958,.03872]
M[1116]=[1,96.5172,.03873]
M[1117]=[1,96.5385,.03873]
M[1118]=[1,96.5598,.03874]
M[1119]=[1,96.581,.03875]
M[1120]=[1,96.6023,.03875]
M[1121]=[1,96.6236,.03876]
M[1122]=[1,96.6448,.03877]
M[1123]=[1,96.6661,.03877]
M[1124]=[1,96.6873,.03878]
M[1125]=[1,96.7085,.03879]
M[1126]=[1,96.7298,.03879]
M[1127]=[1,96.751,.0388]
M[1128]=[1,96.7722,.03881]
M[1129]=[1,96.7933,.03881]
M[1130]=[1,96.8145,.03882]
M[1131]=[1,96.8357,.03883]
M[1132]=[1,96.8568,.03883]
M[1133]=[1,96.878,.03884]
M[1134]=[1,96.8991,.03885]
M[1135]=[1,96.9203,.03885]
M[1136]=[1,96.9414,.03886]
M[1137]=[1,96.9625,.03887]
M[1138]=[1,96.9836,.03887]
M[1139]=[1,97.0047,.03888]
M[1140]=[1,97.0258,.03889]
M[1141]=[1,97.0468,.03889]
M[1142]=[1,97.0679,.0389]
M[1143]=[1,97.0889,.03891]
M[1144]=[1,97.11,.03891]
M[1145]=[1,97.131,.03892]
M[1146]=[1,97.1521,.03893]
M[1147]=[1,97.1731,.03893]
M[1148]=[1,97.1941,.03894]
M[1149]=[1,97.2151,.03895]
M[1150]=[1,97.2361,.03895]
M[1151]=[1,97.257,.03896]
M[1152]=[1,97.278,.03897]
M[1153]=[1,97.299,.03897]
M[1154]=[1,97.3199,.03898]
M[1155]=[1,97.3409,.03899]
M[1156]=[1,97.3618,.03899]
M[1157]=[1,97.3827,.039]
M[1158]=[1,97.4036,.03901]
M[1159]=[1,97.4245,.03901]
M[1160]=[1,97.4454,.03902]
M[1161]=[1,97.4663,.03902]
M[1162]=[1,97.4872,.03903]
M[1163]=[1,97.5081,.03904]
M[1164]=[1,97.5289,.03904]
M[1165]=[1,97.5498,.03905]
M[1166]=[1,97.5706,.03906]
M[1167]=[1,97.5914,.03906]
M[1168]=[1,97.6123,.03907]
M[1169]=[1,97.6331,.03908]
M[1170]=[1,97.6539,.03908]
M[1171]=[1,97.6747,.03909]
M[1172]=[1,97.6954,.03909]
M[1173]=[1,97.7162,.0391]
M[1174]=[1,97.737,.03911]
M[1175]=[1,97.7577,.03911]
M[1176]=[1,97.7785,.03912]
M[1177]=[1,97.7992,.03913]
M[1178]=[1,97.8199,.03913]
M[1179]=[1,97.8406,.03914]
M[1180]=[1,97.8614,.03914]
M[1181]=[1,97.8821,.03915]
M[1182]=[1,97.9027,.03916]
M[1183]=[1,97.9234,.03916]
M[1184]=[1,97.9441,.03917]
M[1185]=[1,97.9647,.03917]
M[1186]=[1,97.9854,.03918]
M[1187]=[1,98.006,.03919]
M[1188]=[1,98.0267,.03919]
M[1189]=[1,98.0473,.0392]
M[1190]=[1,98.0679,.0392]
M[1191]=[1,98.0885,.03921]
M[1192]=[1,98.1091,.03922]
M[1193]=[1,98.1297,.03922]
M[1194]=[1,98.1503,.03923]
M[1195]=[1,98.1708,.03924]
M[1196]=[1,98.1914,.03924]
M[1197]=[1,98.2119,.03925]
M[1198]=[1,98.2325,.03925]
M[1199]=[1,98.253,.03926]
M[1200]=[1,98.2735,.03927]
M[1201]=[1,98.294,.03927]
M[1202]=[1,98.3145,.03928]
M[1203]=[1,98.335,.03928]
M[1204]=[1,98.3555,.03929]
M[1205]=[1,98.3759,.03929]
M[1206]=[1,98.3964,.0393]
M[1207]=[1,98.4169,.03931]
M[1208]=[1,98.4373,.03931]
M[1209]=[1,98.4577,.03932]
M[1210]=[1,98.4782,.03932]
M[1211]=[1,98.4986,.03933]
M[1212]=[1,98.519,.03934]
M[1213]=[1,98.5394,.03934]
M[1214]=[1,98.5598,.03935]
M[1215]=[1,98.5801,.03935]
M[1216]=[1,98.6005,.03936]
M[1217]=[1,98.6209,.03937]
M[1218]=[1,98.6412,.03937]
M[1219]=[1,98.6615,.03938]
M[1220]=[1,98.6819,.03938]
M[1221]=[1,98.7022,.03939]
M[1222]=[1,98.7225,.03939]
M[1223]=[1,98.7428,.0394]
M[1224]=[1,98.7631,.03941]
M[1225]=[1,98.7834,.03941]
M[1226]=[1,98.8036,.03942]
M[1227]=[1,98.8239,.03942]
M[1228]=[1,98.8442,.03943]
M[1229]=[1,98.8644,.03943]
M[1230]=[1,98.8846,.03944]
M[1231]=[1,98.9049,.03945]
M[1232]=[1,98.9251,.03945]
M[1233]=[1,98.9453,.03946]
M[1234]=[1,98.9655,.03946]
M[1235]=[1,98.9857,.03947]
M[1236]=[1,99.0058,.03947]
M[1237]=[1,99.026,.03948]
M[1238]=[1,99.0461,.03949]
M[1239]=[1,99.0663,.03949]
M[1240]=[1,99.0864,.0395]
M[1241]=[1,99.1065,.0395]
M[1242]=[1,99.1267,.03951]
M[1243]=[1,99.1468,.03951]
M[1244]=[1,99.1669,.03952]
M[1245]=[1,99.1869,.03952]
M[1246]=[1,99.207,.03953]
M[1247]=[1,99.2271,.03954]
M[1248]=[1,99.2471,.03954]
M[1249]=[1,99.2672,.03955]
M[1250]=[1,99.2872,.03955]
M[1251]=[1,99.3072,.03956]
M[1252]=[1,99.3272,.03956]
M[1253]=[1,99.3472,.03957]
M[1254]=[1,99.3672,.03957]
M[1255]=[1,99.3872,.03958]
M[1256]=[1,99.4072,.03958]
M[1257]=[1,99.4272,.03959]
M[1258]=[1,99.4471,.0396]
M[1259]=[1,99.4671,.0396]
M[1260]=[1,99.487,.03961]
M[1261]=[1,99.5069,.03961]
M[1262]=[1,99.5268,.03962]
M[1263]=[1,99.5467,.03962]
M[1264]=[1,99.5666,.03963]
M[1265]=[1,99.5865,.03963]
M[1266]=[1,99.6064,.03964]
M[1267]=[1,99.6262,.03964]
M[1268]=[1,99.6461,.03965]
M[1269]=[1,99.666,.03966]
M[1270]=[1,99.6858,.03966]
M[1271]=[1,99.7056,.03967]
M[1272]=[1,99.7254,.03967]
M[1273]=[1,99.7452,.03968]
M[1274]=[1,99.765,.03968]
M[1275]=[1,99.7848,.03969]
M[1276]=[1,99.8046,.03969]
M[1277]=[1,99.8244,.0397]
M[1278]=[1,99.8441,.0397]
M[1279]=[1,99.8639,.03971]
M[1280]=[1,99.8836,.03971]
M[1281]=[1,99.9034,.03972]
M[1282]=[1,99.9231,.03972]
M[1283]=[1,99.9428,.03973]
M[1284]=[1,99.9625,.03973]
M[1285]=[1,99.9822,.03974]
M[1286]=[1,100.0019,.03975]
M[1287]=[1,100.0216,.03975]
M[1288]=[1,100.0412,.03976]
M[1289]=[1,100.0609,.03976]
M[1290]=[1,100.0805,.03977]
M[1291]=[1,100.1002,.03977]
M[1292]=[1,100.1198,.03978]
M[1293]=[1,100.1394,.03978]
M[1294]=[1,100.1591,.03979]
M[1295]=[1,100.1787,.03979]
M[1296]=[1,100.1983,.0398]
M[1297]=[1,100.2178,.0398]
M[1298]=[1,100.2374,.03981]
M[1299]=[1,100.257,.03981]
M[1300]=[1,100.2765,.03982]
M[1301]=[1,100.2961,.03982]
M[1302]=[1,100.3156,.03983]
M[1303]=[1,100.3352,.03983]
M[1304]=[1,100.3547,.03984]
M[1305]=[1,100.3742,.03984]
M[1306]=[1,100.3937,.03985]
M[1307]=[1,100.4132,.03985]
M[1308]=[1,100.4327,.03986]
M[1309]=[1,100.4522,.03986]
M[1310]=[1,100.4717,.03987]
M[1311]=[1,100.4911,.03987]
M[1312]=[1,100.5106,.03988]
M[1313]=[1,100.53,.03988]
M[1314]=[1,100.5495,.03989]
M[1315]=[1,100.5689,.0399]
M[1316]=[1,100.5883,.0399]
M[1317]=[1,100.6077,.03991]
M[1318]=[1,100.6271,.03991]
M[1319]=[1,100.6465,.03992]
M[1320]=[1,100.6659,.03992]
M[1321]=[1,100.6853,.03993]
M[1322]=[1,100.7046,.03993]
M[1323]=[1,100.724,.03994]
M[1324]=[1,100.7434,.03994]
M[1325]=[1,100.7627,.03995]
M[1326]=[1,100.782,.03995]
M[1327]=[1,100.8013,.03996]
M[1328]=[1,100.8207,.03996]
M[1329]=[1,100.84,.03997]
M[1330]=[1,100.8593,.03997]
M[1331]=[1,100.8786,.03998]
M[1332]=[1,100.8978,.03998]
M[1333]=[1,100.9171,.03999]
M[1334]=[1,100.9364,.03999]
M[1335]=[1,100.9556,.04]
M[1336]=[1,100.9749,.04]
M[1337]=[1,100.9941,.04001]
M[1338]=[1,101.0134,.04001]
M[1339]=[1,101.0326,.04002]
M[1340]=[1,101.0518,.04002]
M[1341]=[1,101.071,.04003]
M[1342]=[1,101.0902,.04003]
M[1343]=[1,101.1094,.04004]
M[1344]=[1,101.1286,.04004]
M[1345]=[1,101.1477,.04004]
M[1346]=[1,101.1669,.04005]
M[1347]=[1,101.1861,.04005]
M[1348]=[1,101.2052,.04006]
M[1349]=[1,101.2244,.04006]
M[1350]=[1,101.2435,.04007]
M[1351]=[1,101.2626,.04007]
M[1352]=[1,101.2817,.04008]
M[1353]=[1,101.3008,.04008]
M[1354]=[1,101.32,.04009]
M[1355]=[1,101.339,.04009]
M[1356]=[1,101.3581,.0401]
M[1357]=[1,101.3772,.0401]
M[1358]=[1,101.3963,.04011]
M[1359]=[1,101.4153,.04011]
M[1360]=[1,101.4344,.04012]
M[1361]=[1,101.4535,.04012]
M[1362]=[1,101.4725,.04013]
M[1363]=[1,101.4915,.04013]
M[1364]=[1,101.5106,.04014]
M[1365]=[1,101.5296,.04014]
M[1366]=[1,101.5486,.04015]
M[1367]=[1,101.5676,.04015]
M[1368]=[1,101.5866,.04016]
M[1369]=[1,101.6056,.04016]
M[1370]=[1,101.6246,.04017]
M[1371]=[1,101.6435,.04017]
M[1372]=[1,101.6625,.04018]
M[1373]=[1,101.6815,.04018]
M[1374]=[1,101.7004,.04019]
M[1375]=[1,101.7194,.04019]
M[1376]=[1,101.7383,.0402]
M[1377]=[1,101.7572,.0402]
M[1378]=[1,101.7762,.0402]
M[1379]=[1,101.7951,.04021]
M[1380]=[1,101.814,.04021]
M[1381]=[1,101.8329,.04022]
M[1382]=[1,101.8518,.04022]
M[1383]=[1,101.8707,.04023]
M[1384]=[1,101.8896,.04023]
M[1385]=[1,101.9085,.04024]
M[1386]=[1,101.9274,.04024]
M[1387]=[1,101.9462,.04025]
M[1388]=[1,101.9651,.04025]
M[1389]=[1,101.9839,.04026]
M[1390]=[1,102.0028,.04026]
M[1391]=[1,102.0216,.04027]
M[1392]=[1,102.0405,.04027]
M[1393]=[1,102.0593,.04028]
M[1394]=[1,102.0781,.04028]
M[1395]=[1,102.097,.04029]
M[1396]=[1,102.1158,.04029]
M[1397]=[1,102.1346,.0403]
M[1398]=[1,102.1534,.0403]
M[1399]=[1,102.1722,.0403]
M[1400]=[1,102.191,.04031]
M[1401]=[1,102.2097,.04031]
M[1402]=[1,102.2285,.04032]
M[1403]=[1,102.2473,.04032]
M[1404]=[1,102.2661,.04033]
M[1405]=[1,102.2848,.04033]
M[1406]=[1,102.3036,.04034]
M[1407]=[1,102.3223,.04034]
M[1408]=[1,102.3411,.04035]
M[1409]=[1,102.3598,.04035]
M[1410]=[1,102.3785,.04036]
M[1411]=[1,102.3972,.04036]
M[1412]=[1,102.416,.04037]
M[1413]=[1,102.4347,.04037]
M[1414]=[1,102.4534,.04037]
M[1415]=[1,102.4721,.04038]
M[1416]=[1,102.4908,.04038]
M[1417]=[1,102.5095,.04039]
M[1418]=[1,102.5282,.04039]
M[1419]=[1,102.5469,.0404]
M[1420]=[1,102.5655,.0404]
M[1421]=[1,102.5842,.04041]
M[1422]=[1,102.6029,.04041]
M[1423]=[1,102.6215,.04042]
M[1424]=[1,102.6402,.04042]
M[1425]=[1,102.6588,.04043]
M[1426]=[1,102.6775,.04043]
M[1427]=[1,102.6961,.04044]
M[1428]=[1,102.7148,.04044]
M[1429]=[1,102.7334,.04044]
M[1430]=[1,102.752,.04045]
M[1431]=[1,102.7706,.04045]
M[1432]=[1,102.7893,.04046]
M[1433]=[1,102.8079,.04046]
M[1434]=[1,102.8265,.04047]
M[1435]=[1,102.8451,.04047]
M[1436]=[1,102.8637,.04048]
M[1437]=[1,102.8823,.04048]
M[1438]=[1,102.9009,.04049]
M[1439]=[1,102.9195,.04049]
M[1440]=[1,102.938,.0405]
M[1441]=[1,102.9566,.0405]
M[1442]=[1,102.9752,.0405]
M[1443]=[1,102.9938,.04051]
M[1444]=[1,103.0123,.04051]
M[1445]=[1,103.0309,.04052]
M[1446]=[1,103.0494,.04052]
M[1447]=[1,103.068,.04053]
M[1448]=[1,103.0865,.04053]
M[1449]=[1,103.1051,.04054]
M[1450]=[1,103.1236,.04054]
M[1451]=[1,103.1421,.04055]
M[1452]=[1,103.1607,.04055]
M[1453]=[1,103.1792,.04055]
M[1454]=[1,103.1977,.04056]
M[1455]=[1,103.2162,.04056]
M[1456]=[1,103.2348,.04057]
M[1457]=[1,103.2533,.04057]
M[1458]=[1,103.2718,.04058]
M[1459]=[1,103.2903,.04058]
M[1460]=[1,103.3088,.04059]
M[1461]=[1,103.3273,.04059]
M[1462]=[1,103.3458,.0406]
M[1463]=[1,103.3643,.0406]
M[1464]=[1,103.3827,.0406]
M[1465]=[1,103.4012,.04061]
M[1466]=[1,103.4197,.04061]
M[1467]=[1,103.4382,.04062]
M[1468]=[1,103.4566,.04062]
M[1469]=[1,103.4751,.04063]
M[1470]=[1,103.4936,.04063]
M[1471]=[1,103.512,.04064]
M[1472]=[1,103.5305,.04064]
M[1473]=[1,103.5489,.04065]
M[1474]=[1,103.5674,.04065]
M[1475]=[1,103.5858,.04065]
M[1476]=[1,103.6043,.04066]
M[1477]=[1,103.6227,.04066]
M[1478]=[1,103.6412,.04067]
M[1479]=[1,103.6596,.04067]
M[1480]=[1,103.678,.04068]
M[1481]=[1,103.6965,.04068]
M[1482]=[1,103.7149,.04069]
M[1483]=[1,103.7333,.04069]
M[1484]=[1,103.7517,.04069]
M[1485]=[1,103.7701,.0407]
M[1486]=[1,103.7885,.0407]
M[1487]=[1,103.807,.04071]
M[1488]=[1,103.8254,.04071]
M[1489]=[1,103.8438,.04072]
M[1490]=[1,103.8622,.04072]
M[1491]=[1,103.8806,.04073]
M[1492]=[1,103.899,.04073]
M[1493]=[1,103.9174,.04073]
M[1494]=[1,103.9357,.04074]
M[1495]=[1,103.9541,.04074]
M[1496]=[1,103.9725,.04075]
M[1497]=[1,103.9909,.04075]
M[1498]=[1,104.0093,.04076]
M[1499]=[1,104.0277,.04076]
M[1500]=[1,104.046,.04077]
M[1501]=[1,104.0644,.04077]
M[1502]=[1,104.0828,.04078]
M[1503]=[1,104.1011,.04078]
M[1504]=[1,104.1195,.04078]
M[1505]=[1,104.1379,.04079]
M[1506]=[1,104.1562,.04079]
M[1507]=[1,104.1746,.0408]
M[1508]=[1,104.1929,.0408]
M[1509]=[1,104.2113,.04081]
M[1510]=[1,104.2296,.04081]
M[1511]=[1,104.248,.04082]
M[1512]=[1,104.2663,.04082]
M[1513]=[1,104.2847,.04082]
M[1514]=[1,104.303,.04083]
M[1515]=[1,104.3213,.04083]
M[1516]=[1,104.3397,.04084]
M[1517]=[1,104.358,.04084]
M[1518]=[1,104.3763,.04085]
M[1519]=[1,104.3947,.04085]
M[1520]=[1,104.413,.04086]
M[1521]=[1,104.4313,.04086]
M[1522]=[1,104.4496,.04086]
M[1523]=[1,104.4679,.04087]
M[1524]=[1,104.4863,.04087]
M[1525]=[1,104.5046,.04088]
M[1526]=[1,104.5229,.04088]
M[1527]=[1,104.5412,.04089]
M[1528]=[1,104.5595,.04089]
M[1529]=[1,104.5778,.04089]
M[1530]=[1,104.5961,.0409]
M[1531]=[1,104.6144,.0409]
M[1532]=[1,104.6327,.04091]
M[1533]=[1,104.651,.04091]
M[1534]=[1,104.6693,.04092]
M[1535]=[1,104.6876,.04092]
M[1536]=[1,104.7059,.04093]
M[1537]=[1,104.7242,.04093]
M[1538]=[1,104.7425,.04093]
M[1539]=[1,104.7608,.04094]
M[1540]=[1,104.7791,.04094]
M[1541]=[1,104.7974,.04095]
M[1542]=[1,104.8157,.04095]
M[1543]=[1,104.8339,.04096]
M[1544]=[1,104.8522,.04096]
M[1545]=[1,104.8705,.04097]
M[1546]=[1,104.8888,.04097]
M[1547]=[1,104.9071,.04097]
M[1548]=[1,104.9253,.04098]
M[1549]=[1,104.9436,.04098]
M[1550]=[1,104.9619,.04099]
M[1551]=[1,104.9802,.04099]
M[1552]=[1,104.9984,.041]
M[1553]=[1,105.0167,.041]
M[1554]=[1,105.035,.041]
M[1555]=[1,105.0532,.04101]
M[1556]=[1,105.0715,.04101]
M[1557]=[1,105.0898,.04102]
M[1558]=[1,105.108,.04102]
M[1559]=[1,105.1263,.04103]
M[1560]=[1,105.1445,.04103]
M[1561]=[1,105.1628,.04104]
M[1562]=[1,105.1811,.04104]
M[1563]=[1,105.1993,.04104]
M[1564]=[1,105.2176,.04105]
M[1565]=[1,105.2358,.04105]
M[1566]=[1,105.2541,.04106]
M[1567]=[1,105.2723,.04106]
M[1568]=[1,105.2906,.04107]
M[1569]=[1,105.3088,.04107]
M[1570]=[1,105.3271,.04107]
M[1571]=[1,105.3453,.04108]
M[1572]=[1,105.3635,.04108]
M[1573]=[1,105.3818,.04109]
M[1574]=[1,105.4,.04109]
M[1575]=[1,105.4183,.0411]
M[1576]=[1,105.4365,.0411]
M[1577]=[1,105.4547,.04111]
M[1578]=[1,105.473,.04111]
M[1579]=[1,105.4912,.04111]
M[1580]=[1,105.5094,.04112]
M[1581]=[1,105.5277,.04112]
M[1582]=[1,105.5459,.04113]
M[1583]=[1,105.5641,.04113]
M[1584]=[1,105.5824,.04114]
M[1585]=[1,105.6006,.04114]
M[1586]=[1,105.6188,.04114]
M[1587]=[1,105.637,.04115]
M[1588]=[1,105.6553,.04115]
M[1589]=[1,105.6735,.04116]
M[1590]=[1,105.6917,.04116]
M[1591]=[1,105.7099,.04117]
M[1592]=[1,105.7281,.04117]
M[1593]=[1,105.7463,.04117]
M[1594]=[1,105.7646,.04118]
M[1595]=[1,105.7828,.04118]
M[1596]=[1,105.801,.04119]
M[1597]=[1,105.8192,.04119]
M[1598]=[1,105.8374,.0412]
M[1599]=[1,105.8556,.0412]
M[1600]=[1,105.8738,.0412]
M[1601]=[1,105.892,.04121]
M[1602]=[1,105.9102,.04121]
M[1603]=[1,105.9284,.04122]
M[1604]=[1,105.9466,.04122]
M[1605]=[1,105.9648,.04123]
M[1606]=[1,105.983,.04123]
M[1607]=[1,106.0012,.04123]
M[1608]=[1,106.0194,.04124]
M[1609]=[1,106.0376,.04124]
M[1610]=[1,106.0558,.04125]
M[1611]=[1,106.074,.04125]
M[1612]=[1,106.0922,.04126]
M[1613]=[1,106.1104,.04126]
M[1614]=[1,106.1286,.04127]
M[1615]=[1,106.1467,.04127]
M[1616]=[1,106.1649,.04127]
M[1617]=[1,106.1831,.04128]
M[1618]=[1,106.2013,.04128]
M[1619]=[1,106.2195,.04129]
M[1620]=[1,106.2377,.04129]
M[1621]=[1,106.2558,.0413]
M[1622]=[1,106.274,.0413]
M[1623]=[1,106.2922,.0413]
M[1624]=[1,106.3104,.04131]
M[1625]=[1,106.3285,.04131]
M[1626]=[1,106.3467,.04132]
M[1627]=[1,106.3649,.04132]
M[1628]=[1,106.3831,.04132]
M[1629]=[1,106.4012,.04133]
M[1630]=[1,106.4194,.04133]
M[1631]=[1,106.4376,.04134]
M[1632]=[1,106.4557,.04134]
M[1633]=[1,106.4739,.04135]
M[1634]=[1,106.4921,.04135]
M[1635]=[1,106.5102,.04135]
M[1636]=[1,106.5284,.04136]
M[1637]=[1,106.5465,.04136]
M[1638]=[1,106.5647,.04137]
M[1639]=[1,106.5829,.04137]
M[1640]=[1,106.601,.04138]
M[1641]=[1,106.6192,.04138]
M[1642]=[1,106.6373,.04138]
M[1643]=[1,106.6555,.04139]
M[1644]=[1,106.6736,.04139]
M[1645]=[1,106.6918,.0414]
M[1646]=[1,106.7099,.0414]
M[1647]=[1,106.7281,.04141]
M[1648]=[1,106.7462,.04141]
M[1649]=[1,106.7644,.04141]
M[1650]=[1,106.7825,.04142]
M[1651]=[1,106.8006,.04142]
M[1652]=[1,106.8188,.04143]
M[1653]=[1,106.8369,.04143]
M[1654]=[1,106.8551,.04144]
M[1655]=[1,106.8732,.04144]
M[1656]=[1,106.8913,.04144]
M[1657]=[1,106.9095,.04145]
M[1658]=[1,106.9276,.04145]
M[1659]=[1,106.9457,.04146]
M[1660]=[1,106.9639,.04146]
M[1661]=[1,106.982,.04147]
M[1662]=[1,107.0001,.04147]
M[1663]=[1,107.0183,.04147]
M[1664]=[1,107.0364,.04148]
M[1665]=[1,107.0545,.04148]
M[1666]=[1,107.0727,.04149]
M[1667]=[1,107.0908,.04149]
M[1668]=[1,107.1089,.04149]
M[1669]=[1,107.127,.0415]
M[1670]=[1,107.1452,.0415]
M[1671]=[1,107.1633,.04151]
M[1672]=[1,107.1814,.04151]
M[1673]=[1,107.1995,.04152]
M[1674]=[1,107.2176,.04152]
M[1675]=[1,107.2358,.04152]
M[1676]=[1,107.2539,.04153]
M[1677]=[1,107.272,.04153]
M[1678]=[1,107.2901,.04154]
M[1679]=[1,107.3082,.04154]
M[1680]=[1,107.3263,.04154]
M[1681]=[1,107.3444,.04155]
M[1682]=[1,107.3625,.04155]
M[1683]=[1,107.3806,.04156]
M[1684]=[1,107.3988,.04156]
M[1685]=[1,107.4169,.04157]
M[1686]=[1,107.435,.04157]
M[1687]=[1,107.4531,.04157]
M[1688]=[1,107.4712,.04158]
M[1689]=[1,107.4893,.04158]
M[1690]=[1,107.5074,.04159]
M[1691]=[1,107.5255,.04159]
M[1692]=[1,107.5436,.0416]
M[1693]=[1,107.5617,.0416]
M[1694]=[1,107.5798,.0416]
M[1695]=[1,107.5979,.04161]
M[1696]=[1,107.616,.04161]
M[1697]=[1,107.6341,.04162]
M[1698]=[1,107.6522,.04162]
M[1699]=[1,107.6702,.04162]
M[1700]=[1,107.6883,.04163]
M[1701]=[1,107.7064,.04163]
M[1702]=[1,107.7245,.04164]
M[1703]=[1,107.7426,.04164]
M[1704]=[1,107.7607,.04165]
M[1705]=[1,107.7788,.04165]
M[1706]=[1,107.7969,.04165]
M[1707]=[1,107.8149,.04166]
M[1708]=[1,107.833,.04166]
M[1709]=[1,107.8511,.04167]
M[1710]=[1,107.8692,.04167]
M[1711]=[1,107.8873,.04167]
M[1712]=[1,107.9053,.04168]
M[1713]=[1,107.9234,.04168]
M[1714]=[1,107.9415,.04169]
M[1715]=[1,107.9596,.04169]
M[1716]=[1,107.9777,.04169]
M[1717]=[1,107.9957,.0417]
M[1718]=[1,108.0138,.0417]
M[1719]=[1,108.0319,.04171]
M[1720]=[1,108.0499,.04171]
M[1721]=[1,108.068,.04172]
M[1722]=[1,108.0861,.04172]
M[1723]=[1,108.1041,.04172]
M[1724]=[1,108.1222,.04173]
M[1725]=[1,108.1403,.04173]
M[1726]=[1,108.1583,.04174]
M[1727]=[1,108.1764,.04174]
M[1728]=[1,108.1945,.04174]
M[1729]=[1,108.2125,.04175]
M[1730]=[1,108.2306,.04175]
M[1731]=[1,108.2487,.04176]
M[1732]=[1,108.2667,.04176]
M[1733]=[1,108.2848,.04176]
M[1734]=[1,108.3028,.04177]
M[1735]=[1,108.3209,.04177]
M[1736]=[1,108.3389,.04178]
M[1737]=[1,108.357,.04178]
M[1738]=[1,108.375,.04179]
M[1739]=[1,108.3931,.04179]
M[1740]=[1,108.4112,.04179]
M[1741]=[1,108.4292,.0418]
M[1742]=[1,108.4473,.0418]
M[1743]=[1,108.4653,.04181]
M[1744]=[1,108.4833,.04181]
M[1745]=[1,108.5014,.04181]
M[1746]=[1,108.5194,.04182]
M[1747]=[1,108.5375,.04182]
M[1748]=[1,108.5555,.04183]
M[1749]=[1,108.5736,.04183]
M[1750]=[1,108.5916,.04183]
M[1751]=[1,108.6097,.04184]
M[1752]=[1,108.6277,.04184]
M[1753]=[1,108.6457,.04185]
M[1754]=[1,108.6638,.04185]
M[1755]=[1,108.6818,.04185]
M[1756]=[1,108.6998,.04186]
M[1757]=[1,108.7179,.04186]
M[1758]=[1,108.7359,.04187]
M[1759]=[1,108.7539,.04187]
M[1760]=[1,108.772,.04188]
M[1761]=[1,108.79,.04188]
M[1762]=[1,108.808,.04188]
M[1763]=[1,108.8261,.04189]
M[1764]=[1,108.8441,.04189]
M[1765]=[1,108.8621,.0419]
M[1766]=[1,108.8801,.0419]
M[1767]=[1,108.8982,.0419]
M[1768]=[1,108.9162,.04191]
M[1769]=[1,108.9342,.04191]
M[1770]=[1,108.9522,.04192]
M[1771]=[1,108.9702,.04192]
M[1772]=[1,108.9883,.04192]
M[1773]=[1,109.0063,.04193]
M[1774]=[1,109.0243,.04193]
M[1775]=[1,109.0423,.04194]
M[1776]=[1,109.0603,.04194]
M[1777]=[1,109.0783,.04194]
M[1778]=[1,109.0963,.04195]
M[1779]=[1,109.1144,.04195]
M[1780]=[1,109.1324,.04196]
M[1781]=[1,109.1504,.04196]
M[1782]=[1,109.1684,.04196]
M[1783]=[1,109.1864,.04197]
M[1784]=[1,109.2044,.04197]
M[1785]=[1,109.2224,.04198]
M[1786]=[1,109.2404,.04198]
M[1787]=[1,109.2584,.04198]
M[1788]=[1,109.2764,.04199]
M[1789]=[1,109.2944,.04199]
M[1790]=[1,109.3124,.042]
M[1791]=[1,109.3304,.042]
M[1792]=[1,109.3484,.042]
M[1793]=[1,109.3664,.04201]
M[1794]=[1,109.3843,.04201]
M[1795]=[1,109.4023,.04202]
M[1796]=[1,109.4203,.04202]
M[1797]=[1,109.4383,.04202]
M[1798]=[1,109.4563,.04203]
M[1799]=[1,109.4743,.04203]
M[1800]=[1,109.4923,.04204]
M[1801]=[1,109.5102,.04204]
M[1802]=[1,109.5282,.04204]
M[1803]=[1,109.5462,.04205]
M[1804]=[1,109.5642,.04205]
M[1805]=[1,109.5822,.04206]
M[1806]=[1,109.6001,.04206]
M[1807]=[1,109.6181,.04206]
M[1808]=[1,109.6361,.04207]
M[1809]=[1,109.654,.04207]
M[1810]=[1,109.672,.04208]
M[1811]=[1,109.69,.04208]
M[1812]=[1,109.7079,.04208]
M[1813]=[1,109.7259,.04209]
M[1814]=[1,109.7439,.04209]
M[1815]=[1,109.7618,.0421]
M[1816]=[1,109.7798,.0421]
M[1817]=[1,109.7978,.0421]
M[1818]=[1,109.8157,.04211]
M[1819]=[1,109.8337,.04211]
M[1820]=[1,109.8516,.04212]
M[1821]=[1,109.8696,.04212]
M[1822]=[1,109.8875,.04212]
M[1823]=[1,109.9055,.04213]
M[1824]=[1,109.9234,.04213]
M[1825]=[1,109.9414,.04214]
M[1826]=[1,109.9593,.04214]
M[1827]=[1,109.9773,.04214]
M[1828]=[1,109.9952,.04215]
M[1829]=[1,110.0131,.04215]
M[1830]=[1,110.0311,.04216]
M[1831]=[1,110.049,.04216]
M[1832]=[1,110.0669,.04216]
M[1833]=[1,110.0849,.04217]
M[1834]=[1,110.1028,.04217]
M[1835]=[1,110.1207,.04218]
M[1836]=[1,110.1387,.04218]
M[1837]=[1,110.1566,.04218]
M[1838]=[1,110.1745,.04219]
M[1839]=[1,110.1924,.04219]
M[1840]=[1,110.2104,.0422]
M[1841]=[1,110.2283,.0422]
M[1842]=[1,110.2462,.0422]
M[1843]=[1,110.2641,.04221]
M[1844]=[1,110.282,.04221]
M[1845]=[1,110.3,.04222]
M[1846]=[1,110.3179,.04222]
M[1847]=[1,110.3358,.04222]
M[1848]=[1,110.3537,.04223]
M[1849]=[1,110.3716,.04223]
M[1850]=[1,110.3895,.04223]
M[1851]=[1,110.4074,.04224]
M[1852]=[1,110.4253,.04224]
M[1853]=[1,110.4432,.04225]
M[1854]=[1,110.4611,.04225]
M[1855]=[1,110.479,.04225]
M[1856]=[1,110.4969,.04226]
F[0]=[1,49.1477,.0379]
F[1]=[1,49.3166,.03783]
F[2]=[1,49.4854,.03776]
F[3]=[1,49.6543,.0377]
F[4]=[1,49.8232,.03763]
F[5]=[1,49.9921,.03756]
F[6]=[1,50.1609,.03749]
F[7]=[1,50.3298,.03742]
F[8]=[1,50.4987,.03735]
F[9]=[1,50.6676,.03728]
F[10]=[1,50.8365,.03722]
F[11]=[1,51.0053,.03715]
F[12]=[1,51.1742,.03708]
F[13]=[1,51.3431,.03701]
F[14]=[1,51.512,.03694]
F[15]=[1,51.651,.0369]
F[16]=[1,51.7895,.03687]
F[17]=[1,51.9272,.03683]
F[18]=[1,52.0641,.0368]
F[19]=[1,52.2002,.03676]
F[20]=[1,52.3353,.03673]
F[21]=[1,52.4695,.03669]
F[22]=[1,52.6027,.03666]
F[23]=[1,52.7349,.03663]
F[24]=[1,52.8661,.0366]
F[25]=[1,52.9963,.03656]
F[26]=[1,53.1255,.03653]
F[27]=[1,53.2537,.0365]
F[28]=[1,53.3809,.03647]
F[29]=[1,53.5072,.03644]
F[30]=[1,53.6326,.03641]
F[31]=[1,53.7571,.03638]
F[32]=[1,53.8806,.03636]
F[33]=[1,54.0031,.03633]
F[34]=[1,54.1247,.0363]
F[35]=[1,54.2454,.03627]
F[36]=[1,54.3651,.03625]
F[37]=[1,54.4839,.03622]
F[38]=[1,54.6018,.03619]
F[39]=[1,54.7187,.03617]
F[40]=[1,54.8348,.03614]
F[41]=[1,54.9499,.03612]
F[42]=[1,55.0642,.03609]
F[43]=[1,55.1777,.03607]
F[44]=[1,55.2903,.03604]
F[45]=[1,55.4021,.03602]
F[46]=[1,55.513,.036]
F[47]=[1,55.623,.03597]
F[48]=[1,55.7322,.03595]
F[49]=[1,55.8406,.03593]
F[50]=[1,55.9482,.03591]
F[51]=[1,56.0549,.03588]
F[52]=[1,56.1609,.03586]
F[53]=[1,56.266,.03584]
F[54]=[1,56.3704,.03582]
F[55]=[1,56.4739,.0358]
F[56]=[1,56.5767,.03578]
F[57]=[1,56.6788,.03576]
F[58]=[1,56.78,.03574]
F[59]=[1,56.8806,.03572]
F[60]=[1,56.9805,.0357]
F[61]=[1,57.0796,.03568]
F[62]=[1,57.1782,.03566]
F[63]=[1,57.2761,.03564]
F[64]=[1,57.3733,.03562]
F[65]=[1,57.4699,.03561]
F[66]=[1,57.5659,.03559]
F[67]=[1,57.6613,.03557]
F[68]=[1,57.756,.03555]
F[69]=[1,57.8501,.03553]
F[70]=[1,57.9436,.03552]
F[71]=[1,58.0365,.0355]
F[72]=[1,58.1288,.03548]
F[73]=[1,58.2206,.03547]
F[74]=[1,58.3117,.03545]
F[75]=[1,58.4022,.03543]
F[76]=[1,58.4922,.03542]
F[77]=[1,58.5816,.0354]
F[78]=[1,58.6705,.03539]
F[79]=[1,58.7588,.03537]
F[80]=[1,58.8465,.03536]
F[81]=[1,58.9337,.03534]
F[82]=[1,59.0204,.03533]
F[83]=[1,59.1066,.03531]
F[84]=[1,59.1922,.0353]
F[85]=[1,59.2773,.03528]
F[86]=[1,59.3619,.03527]
F[87]=[1,59.4459,.03526]
F[88]=[1,59.5295,.03524]
F[89]=[1,59.6126,.03523]
F[90]=[1,59.6952,.03521]
F[91]=[1,59.7773,.0352]
F[92]=[1,59.8589,.03519]
F[93]=[1,59.9401,.03517]
F[94]=[1,60.0209,.03516]
F[95]=[1,60.1011,.03515]
F[96]=[1,60.181,.03514]
F[97]=[1,60.2603,.03512]
F[98]=[1,60.3393,.03511]
F[99]=[1,60.4178,.0351]
F[100]=[1,60.4958,.03509]
F[101]=[1,60.5734,.03508]
F[102]=[1,60.6506,.03506]
F[103]=[1,60.7273,.03505]
F[104]=[1,60.8036,.03504]
F[105]=[1,60.8795,.03503]
F[106]=[1,60.955,.03502]
F[107]=[1,61.0301,.03501]
F[108]=[1,61.1047,.035]
F[109]=[1,61.1789,.03499]
F[110]=[1,61.2527,.03497]
F[111]=[1,61.3261,.03496]
F[112]=[1,61.3991,.03495]
F[113]=[1,61.4717,.03494]
F[114]=[1,61.5439,.03493]
F[115]=[1,61.6156,.03492]
F[116]=[1,61.687,.03491]
F[117]=[1,61.758,.0349]
F[118]=[1,61.8286,.03489]
F[119]=[1,61.8988,.03488]
F[120]=[1,61.9686,.03487]
F[121]=[1,62.0381,.03487]
F[122]=[1,62.1071,.03486]
F[123]=[1,62.1758,.03485]
F[124]=[1,62.2441,.03484]
F[125]=[1,62.312,.03483]
F[126]=[1,62.3795,.03482]
F[127]=[1,62.4467,.03481]
F[128]=[1,62.5135,.0348]
F[129]=[1,62.58,.03479]
F[130]=[1,62.6461,.03479]
F[131]=[1,62.7118,.03478]
F[132]=[1,62.7772,.03477]
F[133]=[1,62.8423,.03476]
F[134]=[1,62.907,.03475]
F[135]=[1,62.9714,.03475]
F[136]=[1,63.0354,.03474]
F[137]=[1,63.0991,.03473]
F[138]=[1,63.1626,.03472]
F[139]=[1,63.2257,.03471]
F[140]=[1,63.2884,.03471]
F[141]=[1,63.3509,.0347]
F[142]=[1,63.4131,.03469]
F[143]=[1,63.475,.03469]
F[144]=[1,63.5365,.03468]
F[145]=[1,63.5978,.03467]
F[146]=[1,63.6588,.03467]
F[147]=[1,63.7196,.03466]
F[148]=[1,63.78,.03465]
F[149]=[1,63.8402,.03465]
F[150]=[1,63.9,.03464]
F[151]=[1,63.9597,.03463]
F[152]=[1,64.019,.03463]
F[153]=[1,64.0781,.03462]
F[154]=[1,64.137,.03461]
F[155]=[1,64.1956,.03461]
F[156]=[1,64.2539,.0346]
F[157]=[1,64.312,.0346]
F[158]=[1,64.3699,.03459]
F[159]=[1,64.4276,.03459]
F[160]=[1,64.485,.03458]
F[161]=[1,64.5422,.03457]
F[162]=[1,64.5991,.03457]
F[163]=[1,64.6559,.03456]
F[164]=[1,64.7124,.03456]
F[165]=[1,64.7688,.03455]
F[166]=[1,64.8249,.03455]
F[167]=[1,64.8808,.03454]
F[168]=[1,64.9366,.03454]
F[169]=[1,64.9921,.03453]
F[170]=[1,65.0474,.03453]
F[171]=[1,65.1026,.03453]
F[172]=[1,65.1576,.03452]
F[173]=[1,65.2123,.03452]
F[174]=[1,65.267,.03451]
F[175]=[1,65.3214,.03451]
F[176]=[1,65.3757,.0345]
F[177]=[1,65.4298,.0345]
F[178]=[1,65.4837,.0345]
F[179]=[1,65.5375,.03449]
F[180]=[1,65.5911,.03449]
F[181]=[1,65.6445,.03449]
F[182]=[1,65.6978,.03448]
F[183]=[1,65.751,.03448]
F[184]=[1,65.804,.03447]
F[185]=[1,65.8568,.03447]
F[186]=[1,65.9095,.03447]
F[187]=[1,65.9621,.03447]
F[188]=[1,66.0145,.03446]
F[189]=[1,66.0668,.03446]
F[190]=[1,66.1189,.03446]
F[191]=[1,66.1709,.03445]
F[192]=[1,66.2228,.03445]
F[193]=[1,66.2745,.03445]
F[194]=[1,66.3261,.03444]
F[195]=[1,66.3776,.03444]
F[196]=[1,66.429,.03444]
F[197]=[1,66.4802,.03444]
F[198]=[1,66.5313,.03444]
F[199]=[1,66.5823,.03443]
F[200]=[1,66.6331,.03443]
F[201]=[1,66.6839,.03443]
F[202]=[1,66.7345,.03443]
F[203]=[1,66.785,.03442]
F[204]=[1,66.8354,.03442]
F[205]=[1,66.8857,.03442]
F[206]=[1,66.9359,.03442]
F[207]=[1,66.9859,.03442]
F[208]=[1,67.0359,.03442]
F[209]=[1,67.0858,.03441]
F[210]=[1,67.1355,.03441]
F[211]=[1,67.1852,.03441]
F[212]=[1,67.2347,.03441]
F[213]=[1,67.2842,.03441]
F[214]=[1,67.3335,.03441]
F[215]=[1,67.3828,.03441]
F[216]=[1,67.432,.03441]
F[217]=[1,67.481,.0344]
F[218]=[1,67.53,.0344]
F[219]=[1,67.5789,.0344]
F[220]=[1,67.6277,.0344]
F[221]=[1,67.6764,.0344]
F[222]=[1,67.725,.0344]
F[223]=[1,67.7735,.0344]
F[224]=[1,67.8219,.0344]
F[225]=[1,67.8703,.0344]
F[226]=[1,67.9185,.0344]
F[227]=[1,67.9667,.0344]
F[228]=[1,68.0148,.0344]
F[229]=[1,68.0628,.0344]
F[230]=[1,68.1107,.0344]
F[231]=[1,68.1585,.0344]
F[232]=[1,68.2063,.0344]
F[233]=[1,68.254,.0344]
F[234]=[1,68.3016,.0344]
F[235]=[1,68.3491,.0344]
F[236]=[1,68.3965,.0344]
F[237]=[1,68.4439,.0344]
F[238]=[1,68.4911,.0344]
F[239]=[1,68.5383,.0344]
F[240]=[1,68.5855,.0344]
F[241]=[1,68.6325,.0344]
F[242]=[1,68.6795,.0344]
F[243]=[1,68.7264,.0344]
F[244]=[1,68.7732,.0344]
F[245]=[1,68.82,.0344]
F[246]=[1,68.8666,.0344]
F[247]=[1,68.9133,.0344]
F[248]=[1,68.9598,.0344]
F[249]=[1,69.0063,.0344]
F[250]=[1,69.0527,.0344]
F[251]=[1,69.099,.03441]
F[252]=[1,69.1452,.03441]
F[253]=[1,69.1914,.03441]
F[254]=[1,69.2376,.03441]
F[255]=[1,69.2836,.03441]
F[256]=[1,69.3296,.03441]
F[257]=[1,69.3755,.03441]
F[258]=[1,69.4214,.03441]
F[259]=[1,69.4672,.03441]
F[260]=[1,69.5129,.03442]
F[261]=[1,69.5585,.03442]
F[262]=[1,69.6041,.03442]
F[263]=[1,69.6496,.03442]
F[264]=[1,69.6951,.03442]
F[265]=[1,69.7405,.03442]
F[266]=[1,69.7858,.03443]
F[267]=[1,69.8311,.03443]
F[268]=[1,69.8763,.03443]
F[269]=[1,69.9215,.03443]
F[270]=[1,69.9666,.03443]
F[271]=[1,70.0116,.03444]
F[272]=[1,70.0566,.03444]
F[273]=[1,70.1015,.03444]
F[274]=[1,70.1463,.03444]
F[275]=[1,70.1911,.03444]
F[276]=[1,70.2358,.03445]
F[277]=[1,70.2805,.03445]
F[278]=[1,70.3251,.03445]
F[279]=[1,70.3697,.03445]
F[280]=[1,70.4142,.03445]
F[281]=[1,70.4586,.03446]
F[282]=[1,70.503,.03446]
F[283]=[1,70.5474,.03446]
F[284]=[1,70.5917,.03446]
F[285]=[1,70.6359,.03447]
F[286]=[1,70.68,.03447]
F[287]=[1,70.7241,.03447]
F[288]=[1,70.7682,.03448]
F[289]=[1,70.8122,.03448]
F[290]=[1,70.8561,.03448]
F[291]=[1,70.9,.03448]
F[292]=[1,70.9439,.03449]
F[293]=[1,70.9876,.03449]
F[294]=[1,71.0314,.03449]
F[295]=[1,71.075,.0345]
F[296]=[1,71.1187,.0345]
F[297]=[1,71.1622,.0345]
F[298]=[1,71.2057,.0345]
F[299]=[1,71.2492,.03451]
F[300]=[1,71.2926,.03451]
F[301]=[1,71.3359,.03451]
F[302]=[1,71.3792,.03452]
F[303]=[1,71.4224,.03452]
F[304]=[1,71.4656,.03452]
F[305]=[1,71.5088,.03453]
F[306]=[1,71.5518,.03453]
F[307]=[1,71.5949,.03453]
F[308]=[1,71.6378,.03454]
F[309]=[1,71.6808,.03454]
F[310]=[1,71.7236,.03454]
F[311]=[1,71.7664,.03455]
F[312]=[1,71.8092,.03455]
F[313]=[1,71.8519,.03456]
F[314]=[1,71.8946,.03456]
F[315]=[1,71.9372,.03456]
F[316]=[1,71.9798,.03457]
F[317]=[1,72.0223,.03457]
F[318]=[1,72.0647,.03457]
F[319]=[1,72.1071,.03458]
F[320]=[1,72.1495,.03458]
F[321]=[1,72.1918,.03459]
F[322]=[1,72.234,.03459]
F[323]=[1,72.2762,.03459]
F[324]=[1,72.3184,.0346]
F[325]=[1,72.3605,.0346]
F[326]=[1,72.4025,.03461]
F[327]=[1,72.4445,.03461]
F[328]=[1,72.4865,.03461]
F[329]=[1,72.5284,.03462]
F[330]=[1,72.5702,.03462]
F[331]=[1,72.612,.03463]
F[332]=[1,72.6538,.03463]
F[333]=[1,72.6955,.03464]
F[334]=[1,72.7372,.03464]
F[335]=[1,72.7788,.03464]
F[336]=[1,72.8203,.03465]
F[337]=[1,72.8618,.03465]
F[338]=[1,72.9033,.03466]
F[339]=[1,72.9447,.03466]
F[340]=[1,72.9861,.03467]
F[341]=[1,73.0274,.03467]
F[342]=[1,73.0686,.03468]
F[343]=[1,73.1099,.03468]
F[344]=[1,73.151,.03469]
F[345]=[1,73.1922,.03469]
F[346]=[1,73.2332,.03469]
F[347]=[1,73.2743,.0347]
F[348]=[1,73.3152,.0347]
F[349]=[1,73.3562,.03471]
F[350]=[1,73.3971,.03471]
F[351]=[1,73.4379,.03472]
F[352]=[1,73.4787,.03472]
F[353]=[1,73.5195,.03473]
F[354]=[1,73.5602,.03473]
F[355]=[1,73.6008,.03474]
F[356]=[1,73.6414,.03474]
F[357]=[1,73.682,.03475]
F[358]=[1,73.7225,.03475]
F[359]=[1,73.763,.03476]
F[360]=[1,73.8034,.03476]
F[361]=[1,73.8438,.03477]
F[362]=[1,73.8842,.03477]
F[363]=[1,73.9245,.03478]
F[364]=[1,73.9647,.03478]
F[365]=[1,74.0049,.03479]
F[366]=[1,74.0451,.03479]
F[367]=[1,74.0852,.0348]
F[368]=[1,74.1253,.0348]
F[369]=[1,74.1653,.03481]
F[370]=[1,74.2053,.03482]
F[371]=[1,74.2452,.03482]
F[372]=[1,74.2851,.03483]
F[373]=[1,74.325,.03483]
F[374]=[1,74.3648,.03484]
F[375]=[1,74.4045,.03484]
F[376]=[1,74.4443,.03485]
F[377]=[1,74.4839,.03485]
F[378]=[1,74.5236,.03486]
F[379]=[1,74.5632,.03486]
F[380]=[1,74.6027,.03487]
F[381]=[1,74.6422,.03488]
F[382]=[1,74.6817,.03488]
F[383]=[1,74.7211,.03489]
F[384]=[1,74.7605,.03489]
F[385]=[1,74.7998,.0349]
F[386]=[1,74.8391,.0349]
F[387]=[1,74.8784,.03491]
F[388]=[1,74.9176,.03491]
F[389]=[1,74.9567,.03492]
F[390]=[1,74.9959,.03493]
F[391]=[1,75.0349,.03493]
F[392]=[1,75.074,.03494]
F[393]=[1,75.113,.03494]
F[394]=[1,75.1519,.03495]
F[395]=[1,75.1908,.03495]
F[396]=[1,75.2297,.03496]
F[397]=[1,75.2686,.03497]
F[398]=[1,75.3073,.03497]
F[399]=[1,75.3461,.03498]
F[400]=[1,75.3848,.03498]
F[401]=[1,75.4235,.03499]
F[402]=[1,75.4621,.035]
F[403]=[1,75.5007,.035]
F[404]=[1,75.5392,.03501]
F[405]=[1,75.5777,.03501]
F[406]=[1,75.6162,.03502]
F[407]=[1,75.6546,.03503]
F[408]=[1,75.693,.03503]
F[409]=[1,75.7313,.03504]
F[410]=[1,75.7696,.03504]
F[411]=[1,75.8079,.03505]
F[412]=[1,75.8461,.03506]
F[413]=[1,75.8843,.03506]
F[414]=[1,75.9224,.03507]
F[415]=[1,75.9605,.03507]
F[416]=[1,75.9986,.03508]
F[417]=[1,76.0366,.03509]
F[418]=[1,76.0746,.03509]
F[419]=[1,76.1125,.0351]
F[420]=[1,76.1504,.03511]
F[421]=[1,76.1883,.03511]
F[422]=[1,76.2261,.03512]
F[423]=[1,76.2639,.03512]
F[424]=[1,76.3016,.03513]
F[425]=[1,76.3393,.03514]
F[426]=[1,76.377,.03514]
F[427]=[1,76.4146,.03515]
F[428]=[1,76.4522,.03516]
F[429]=[1,76.4897,.03516]
F[430]=[1,76.5272,.03517]
F[431]=[1,76.5647,.03518]
F[432]=[1,76.6021,.03518]
F[433]=[1,76.6395,.03519]
F[434]=[1,76.6769,.03519]
F[435]=[1,76.7142,.0352]
F[436]=[1,76.7515,.03521]
F[437]=[1,76.7887,.03521]
F[438]=[1,76.8259,.03522]
F[439]=[1,76.8631,.03523]
F[440]=[1,76.9002,.03523]
F[441]=[1,76.9373,.03524]
F[442]=[1,76.9744,.03525]
F[443]=[1,77.0114,.03525]
F[444]=[1,77.0484,.03526]
F[445]=[1,77.0853,.03527]
F[446]=[1,77.1222,.03527]
F[447]=[1,77.1591,.03528]
F[448]=[1,77.1959,.03529]
F[449]=[1,77.2327,.03529]
F[450]=[1,77.2695,.0353]
F[451]=[1,77.3062,.0353]
F[452]=[1,77.3429,.03531]
F[453]=[1,77.3796,.03532]
F[454]=[1,77.4162,.03532]
F[455]=[1,77.4528,.03533]
F[456]=[1,77.4893,.03534]
F[457]=[1,77.5258,.03534]
F[458]=[1,77.5623,.03535]
F[459]=[1,77.5988,.03536]
F[460]=[1,77.6352,.03536]
F[461]=[1,77.6716,.03537]
F[462]=[1,77.7079,.03538]
F[463]=[1,77.7442,.03538]
F[464]=[1,77.7805,.03539]
F[465]=[1,77.8167,.0354]
F[466]=[1,77.8529,.0354]
F[467]=[1,77.8891,.03541]
F[468]=[1,77.9252,.03542]
F[469]=[1,77.9613,.03543]
F[470]=[1,77.9974,.03543]
F[471]=[1,78.0334,.03544]
F[472]=[1,78.0694,.03545]
F[473]=[1,78.1054,.03545]
F[474]=[1,78.1413,.03546]
F[475]=[1,78.1772,.03547]
F[476]=[1,78.2131,.03547]
F[477]=[1,78.249,.03548]
F[478]=[1,78.2848,.03549]
F[479]=[1,78.3205,.03549]
F[480]=[1,78.3563,.0355]
F[481]=[1,78.392,.03551]
F[482]=[1,78.4276,.03551]
F[483]=[1,78.4633,.03552]
F[484]=[1,78.4989,.03553]
F[485]=[1,78.5345,.03553]
F[486]=[1,78.57,.03554]
F[487]=[1,78.6055,.03555]
F[488]=[1,78.641,.03556]
F[489]=[1,78.6764,.03556]
F[490]=[1,78.7118,.03557]
F[491]=[1,78.7472,.03558]
F[492]=[1,78.7826,.03558]
F[493]=[1,78.8179,.03559]
F[494]=[1,78.8532,.0356]
F[495]=[1,78.8884,.0356]
F[496]=[1,78.9236,.03561]
F[497]=[1,78.9588,.03562]
F[498]=[1,78.994,.03562]
F[499]=[1,79.0291,.03563]
F[500]=[1,79.0642,.03564]
F[501]=[1,79.0993,.03565]
F[502]=[1,79.1343,.03565]
F[503]=[1,79.1693,.03566]
F[504]=[1,79.2042,.03567]
F[505]=[1,79.2392,.03567]
F[506]=[1,79.2741,.03568]
F[507]=[1,79.3089,.03569]
F[508]=[1,79.3438,.03569]
F[509]=[1,79.3786,.0357]
F[510]=[1,79.4134,.03571]
F[511]=[1,79.4481,.03572]
F[512]=[1,79.4828,.03572]
F[513]=[1,79.5175,.03573]
F[514]=[1,79.5521,.03574]
F[515]=[1,79.5868,.03574]
F[516]=[1,79.6213,.03575]
F[517]=[1,79.6559,.03576]
F[518]=[1,79.6904,.03577]
F[519]=[1,79.7249,.03577]
F[520]=[1,79.7594,.03578]
F[521]=[1,79.7938,.03579]
F[522]=[1,79.8282,.03579]
F[523]=[1,79.8626,.0358]
F[524]=[1,79.8969,.03581]
F[525]=[1,79.9312,.03582]
F[526]=[1,79.9655,.03582]
F[527]=[1,79.9998,.03583]
F[528]=[1,80.034,.03584]
F[529]=[1,80.0682,.03584]
F[530]=[1,80.1023,.03585]
F[531]=[1,80.1365,.03586]
F[532]=[1,80.1706,.03587]
F[533]=[1,80.2046,.03587]
F[534]=[1,80.2387,.03588]
F[535]=[1,80.2727,.03589]
F[536]=[1,80.3067,.03589]
F[537]=[1,80.3406,.0359]
F[538]=[1,80.3745,.03591]
F[539]=[1,80.4084,.03592]
F[540]=[1,80.4423,.03592]
F[541]=[1,80.4761,.03593]
F[542]=[1,80.5099,.03594]
F[543]=[1,80.5437,.03594]
F[544]=[1,80.5774,.03595]
F[545]=[1,80.6112,.03596]
F[546]=[1,80.6448,.03597]
F[547]=[1,80.6785,.03597]
F[548]=[1,80.7121,.03598]
F[549]=[1,80.7457,.03599]
F[550]=[1,80.7793,.036]
F[551]=[1,80.8128,.036]
F[552]=[1,80.8464,.03601]
F[553]=[1,80.8798,.03602]
F[554]=[1,80.9133,.03602]
F[555]=[1,80.9467,.03603]
F[556]=[1,80.9801,.03604]
F[557]=[1,81.0135,.03605]
F[558]=[1,81.0468,.03605]
F[559]=[1,81.0802,.03606]
F[560]=[1,81.1134,.03607]
F[561]=[1,81.1467,.03608]
F[562]=[1,81.1799,.03608]
F[563]=[1,81.2131,.03609]
F[564]=[1,81.2463,.0361]
F[565]=[1,81.2795,.03611]
F[566]=[1,81.3126,.03611]
F[567]=[1,81.3457,.03612]
F[568]=[1,81.3788,.03613]
F[569]=[1,81.4118,.03613]
F[570]=[1,81.4448,.03614]
F[571]=[1,81.4778,.03615]
F[572]=[1,81.5108,.03616]
F[573]=[1,81.5437,.03616]
F[574]=[1,81.5766,.03617]
F[575]=[1,81.6095,.03618]
F[576]=[1,81.6423,.03619]
F[577]=[1,81.6752,.03619]
F[578]=[1,81.708,.0362]
F[579]=[1,81.7407,.03621]
F[580]=[1,81.7735,.03622]
F[581]=[1,81.8062,.03622]
F[582]=[1,81.8389,.03623]
F[583]=[1,81.8715,.03624]
F[584]=[1,81.9042,.03624]
F[585]=[1,81.9368,.03625]
F[586]=[1,81.9694,.03626]
F[587]=[1,82.0019,.03627]
F[588]=[1,82.0345,.03627]
F[589]=[1,82.067,.03628]
F[590]=[1,82.0994,.03629]
F[591]=[1,82.1319,.0363]
F[592]=[1,82.1643,.0363]
F[593]=[1,82.1967,.03631]
F[594]=[1,82.2291,.03632]
F[595]=[1,82.2614,.03633]
F[596]=[1,82.2938,.03633]
F[597]=[1,82.3261,.03634]
F[598]=[1,82.3583,.03635]
F[599]=[1,82.3906,.03636]
F[600]=[1,82.4228,.03636]
F[601]=[1,82.455,.03637]
F[602]=[1,82.4872,.03638]
F[603]=[1,82.5193,.03639]
F[604]=[1,82.5514,.03639]
F[605]=[1,82.5835,.0364]
F[606]=[1,82.6156,.03641]
F[607]=[1,82.6476,.03642]
F[608]=[1,82.6796,.03642]
F[609]=[1,82.7116,.03643]
F[610]=[1,82.7436,.03644]
F[611]=[1,82.7755,.03645]
F[612]=[1,82.8074,.03645]
F[613]=[1,82.8393,.03646]
F[614]=[1,82.8712,.03647]
F[615]=[1,82.903,.03648]
F[616]=[1,82.9348,.03648]
F[617]=[1,82.9666,.03649]
F[618]=[1,82.9984,.0365]
F[619]=[1,83.0301,.0365]
F[620]=[1,83.0618,.03651]
F[621]=[1,83.0935,.03652]
F[622]=[1,83.1251,.03653]
F[623]=[1,83.1568,.03653]
F[624]=[1,83.1884,.03654]
F[625]=[1,83.22,.03655]
F[626]=[1,83.2515,.03656]
F[627]=[1,83.2831,.03656]
F[628]=[1,83.3146,.03657]
F[629]=[1,83.3461,.03658]
F[630]=[1,83.3775,.03659]
F[631]=[1,83.4089,.03659]
F[632]=[1,83.4403,.0366]
F[633]=[1,83.4717,.03661]
F[634]=[1,83.5031,.03662]
F[635]=[1,83.5344,.03662]
F[636]=[1,83.5657,.03663]
F[637]=[1,83.597,.03664]
F[638]=[1,83.6283,.03665]
F[639]=[1,83.6595,.03665]
F[640]=[1,83.6907,.03666]
F[641]=[1,83.7219,.03667]
F[642]=[1,83.753,.03668]
F[643]=[1,83.7842,.03668]
F[644]=[1,83.8153,.03669]
F[645]=[1,83.8464,.0367]
F[646]=[1,83.8774,.03671]
F[647]=[1,83.9085,.03671]
F[648]=[1,83.9395,.03672]
F[649]=[1,83.9705,.03673]
F[650]=[1,84.0014,.03674]
F[651]=[1,84.0324,.03674]
F[652]=[1,84.0633,.03675]
F[653]=[1,84.0941,.03676]
F[654]=[1,84.125,.03677]
F[655]=[1,84.1558,.03677]
F[656]=[1,84.1867,.03678]
F[657]=[1,84.2174,.03679]
F[658]=[1,84.2482,.0368]
F[659]=[1,84.2789,.0368]
F[660]=[1,84.3096,.03681]
F[661]=[1,84.3403,.03682]
F[662]=[1,84.371,.03683]
F[663]=[1,84.4016,.03683]
F[664]=[1,84.4323,.03684]
F[665]=[1,84.4628,.03685]
F[666]=[1,84.4934,.03686]
F[667]=[1,84.5239,.03686]
F[668]=[1,84.5545,.03687]
F[669]=[1,84.585,.03688]
F[670]=[1,84.6154,.03689]
F[671]=[1,84.6459,.03689]
F[672]=[1,84.6763,.0369]
F[673]=[1,84.7067,.03691]
F[674]=[1,84.737,.03692]
F[675]=[1,84.7674,.03692]
F[676]=[1,84.7977,.03693]
F[677]=[1,84.828,.03694]
F[678]=[1,84.8583,.03695]
F[679]=[1,84.8885,.03695]
F[680]=[1,84.9188,.03696]
F[681]=[1,84.949,.03697]
F[682]=[1,84.9791,.03698]
F[683]=[1,85.0093,.03698]
F[684]=[1,85.0394,.03699]
F[685]=[1,85.0695,.037]
F[686]=[1,85.0996,.03701]
F[687]=[1,85.1297,.03701]
F[688]=[1,85.1597,.03702]
F[689]=[1,85.1897,.03703]
F[690]=[1,85.2197,.03704]
F[691]=[1,85.2497,.03704]
F[692]=[1,85.2796,.03705]
F[693]=[1,85.3096,.03706]
F[694]=[1,85.3395,.03706]
F[695]=[1,85.3693,.03707]
F[696]=[1,85.3992,.03708]
F[697]=[1,85.429,.03709]
F[698]=[1,85.4588,.03709]
F[699]=[1,85.4886,.0371]
F[700]=[1,85.5184,.03711]
F[701]=[1,85.5481,.03712]
F[702]=[1,85.5778,.03712]
F[703]=[1,85.6075,.03713]
F[704]=[1,85.6372,.03714]
F[705]=[1,85.6668,.03715]
F[706]=[1,85.6964,.03715]
F[707]=[1,85.726,.03716]
F[708]=[1,85.7556,.03717]
F[709]=[1,85.7852,.03718]
F[710]=[1,85.8147,.03718]
F[711]=[1,85.8442,.03719]
F[712]=[1,85.8737,.0372]
F[713]=[1,85.9032,.03721]
F[714]=[1,85.9326,.03721]
F[715]=[1,85.9621,.03722]
F[716]=[1,85.9915,.03723]
F[717]=[1,86.0208,.03724]
F[718]=[1,86.0502,.03724]
F[719]=[1,86.0795,.03725]
F[720]=[1,86.1089,.03726]
F[721]=[1,86.1381,.03727]
F[722]=[1,86.1674,.03727]
F[723]=[1,86.1967,.03728]
F[724]=[1,86.2259,.03729]
F[725]=[1,86.2551,.03729]
F[726]=[1,86.2843,.0373]
F[727]=[1,86.3134,.03731]
F[728]=[1,86.3426,.03732]
F[729]=[1,86.3717,.03732]
F[730]=[1,86.4008,.03733]
F[731]=[1,85.7299,.03764]
F[732]=[1,85.7589,.03765]
F[733]=[1,85.788,.03766]
F[734]=[1,85.817,.03767]
F[735]=[1,85.846,.03767]
F[736]=[1,85.8749,.03768]
F[737]=[1,85.9039,.03769]
F[738]=[1,85.9328,.0377]
F[739]=[1,85.9617,.0377]
F[740]=[1,85.9906,.03771]
F[741]=[1,86.0194,.03772]
F[742]=[1,86.0483,.03772]
F[743]=[1,86.0771,.03773]
F[744]=[1,86.1059,.03774]
F[745]=[1,86.1347,.03775]
F[746]=[1,86.1634,.03775]
F[747]=[1,86.1921,.03776]
F[748]=[1,86.2209,.03777]
F[749]=[1,86.2495,.03778]
F[750]=[1,86.2782,.03778]
F[751]=[1,86.3069,.03779]
F[752]=[1,86.3355,.0378]
F[753]=[1,86.3641,.0378]
F[754]=[1,86.3927,.03781]
F[755]=[1,86.4212,.03782]
F[756]=[1,86.4498,.03783]
F[757]=[1,86.4783,.03783]
F[758]=[1,86.5068,.03784]
F[759]=[1,86.5353,.03785]
F[760]=[1,86.5638,.03786]
F[761]=[1,86.5922,.03786]
F[762]=[1,86.6206,.03787]
F[763]=[1,86.649,.03788]
F[764]=[1,86.6774,.03788]
F[765]=[1,86.7057,.03789]
F[766]=[1,86.7341,.0379]
F[767]=[1,86.7624,.03791]
F[768]=[1,86.7907,.03791]
F[769]=[1,86.819,.03792]
F[770]=[1,86.8472,.03793]
F[771]=[1,86.8754,.03794]
F[772]=[1,86.9037,.03794]
F[773]=[1,86.9319,.03795]
F[774]=[1,86.96,.03796]
F[775]=[1,86.9882,.03796]
F[776]=[1,87.0163,.03797]
F[777]=[1,87.0444,.03798]
F[778]=[1,87.0725,.03799]
F[779]=[1,87.1006,.03799]
F[780]=[1,87.1286,.038]
F[781]=[1,87.1567,.03801]
F[782]=[1,87.1847,.03801]
F[783]=[1,87.2126,.03802]
F[784]=[1,87.2406,.03803]
F[785]=[1,87.2686,.03804]
F[786]=[1,87.2965,.03804]
F[787]=[1,87.3244,.03805]
F[788]=[1,87.3523,.03806]
F[789]=[1,87.3801,.03806]
F[790]=[1,87.408,.03807]
F[791]=[1,87.4358,.03808]
F[792]=[1,87.4636,.03809]
F[793]=[1,87.4914,.03809]
F[794]=[1,87.5192,.0381]
F[795]=[1,87.5469,.03811]
F[796]=[1,87.5746,.03812]
F[797]=[1,87.6023,.03812]
F[798]=[1,87.63,.03813]
F[799]=[1,87.6577,.03814]
F[800]=[1,87.6853,.03814]
F[801]=[1,87.7129,.03815]
F[802]=[1,87.7405,.03816]
F[803]=[1,87.7681,.03817]
F[804]=[1,87.7956,.03817]
F[805]=[1,87.8232,.03818]
F[806]=[1,87.8507,.03819]
F[807]=[1,87.8782,.03819]
F[808]=[1,87.9056,.0382]
F[809]=[1,87.9331,.03821]
F[810]=[1,87.9605,.03821]
F[811]=[1,87.9879,.03822]
F[812]=[1,88.0153,.03823]
F[813]=[1,88.0427,.03824]
F[814]=[1,88.07,.03824]
F[815]=[1,88.0974,.03825]
F[816]=[1,88.1247,.03826]
F[817]=[1,88.1519,.03826]
F[818]=[1,88.1792,.03827]
F[819]=[1,88.2065,.03828]
F[820]=[1,88.2337,.03829]
F[821]=[1,88.2609,.03829]
F[822]=[1,88.2881,.0383]
F[823]=[1,88.3152,.03831]
F[824]=[1,88.3423,.03831]
F[825]=[1,88.3695,.03832]
F[826]=[1,88.3966,.03833]
F[827]=[1,88.4236,.03834]
F[828]=[1,88.4507,.03834]
F[829]=[1,88.4777,.03835]
F[830]=[1,88.5047,.03836]
F[831]=[1,88.5317,.03836]
F[832]=[1,88.5587,.03837]
F[833]=[1,88.5856,.03838]
F[834]=[1,88.6126,.03838]
F[835]=[1,88.6395,.03839]
F[836]=[1,88.6664,.0384]
F[837]=[1,88.6932,.03841]
F[838]=[1,88.7201,.03841]
F[839]=[1,88.7469,.03842]
F[840]=[1,88.7737,.03843]
F[841]=[1,88.8005,.03843]
F[842]=[1,88.8273,.03844]
F[843]=[1,88.854,.03845]
F[844]=[1,88.8807,.03845]
F[845]=[1,88.9074,.03846]
F[846]=[1,88.9341,.03847]
F[847]=[1,88.9608,.03848]
F[848]=[1,88.9874,.03848]
F[849]=[1,89.014,.03849]
F[850]=[1,89.0406,.0385]
F[851]=[1,89.0672,.0385]
F[852]=[1,89.0938,.03851]
F[853]=[1,89.1203,.03852]
F[854]=[1,89.1468,.03852]
F[855]=[1,89.1733,.03853]
F[856]=[1,89.1998,.03854]
F[857]=[1,89.2263,.03855]
F[858]=[1,89.2527,.03855]
F[859]=[1,89.2791,.03856]
F[860]=[1,89.3055,.03857]
F[861]=[1,89.3319,.03857]
F[862]=[1,89.3583,.03858]
F[863]=[1,89.3846,.03859]
F[864]=[1,89.4109,.03859]
F[865]=[1,89.4372,.0386]
F[866]=[1,89.4635,.03861]
F[867]=[1,89.4898,.03861]
F[868]=[1,89.516,.03862]
F[869]=[1,89.5422,.03863]
F[870]=[1,89.5684,.03864]
F[871]=[1,89.5946,.03864]
F[872]=[1,89.6208,.03865]
F[873]=[1,89.6469,.03866]
F[874]=[1,89.673,.03866]
F[875]=[1,89.6991,.03867]
F[876]=[1,89.7252,.03868]
F[877]=[1,89.7513,.03868]
F[878]=[1,89.7773,.03869]
F[879]=[1,89.8033,.0387]
F[880]=[1,89.8293,.0387]
F[881]=[1,89.8553,.03871]
F[882]=[1,89.8813,.03872]
F[883]=[1,89.9072,.03872]
F[884]=[1,89.9331,.03873]
F[885]=[1,89.9591,.03874]
F[886]=[1,89.9849,.03874]
F[887]=[1,90.0108,.03875]
F[888]=[1,90.0366,.03876]
F[889]=[1,90.0625,.03877]
F[890]=[1,90.0883,.03877]
F[891]=[1,90.1141,.03878]
F[892]=[1,90.1398,.03879]
F[893]=[1,90.1656,.03879]
F[894]=[1,90.1913,.0388]
F[895]=[1,90.217,.03881]
F[896]=[1,90.2427,.03881]
F[897]=[1,90.2684,.03882]
F[898]=[1,90.294,.03883]
F[899]=[1,90.3197,.03883]
F[900]=[1,90.3453,.03884]
F[901]=[1,90.3709,.03885]
F[902]=[1,90.3965,.03885]
F[903]=[1,90.422,.03886]
F[904]=[1,90.4476,.03887]
F[905]=[1,90.4731,.03887]
F[906]=[1,90.4986,.03888]
F[907]=[1,90.524,.03889]
F[908]=[1,90.5495,.03889]
F[909]=[1,90.575,.0389]
F[910]=[1,90.6004,.03891]
F[911]=[1,90.6258,.03891]
F[912]=[1,90.6512,.03892]
F[913]=[1,90.6765,.03893]
F[914]=[1,90.7019,.03893]
F[915]=[1,90.7272,.03894]
F[916]=[1,90.7525,.03895]
F[917]=[1,90.7778,.03895]
F[918]=[1,90.8031,.03896]
F[919]=[1,90.8283,.03897]
F[920]=[1,90.8536,.03897]
F[921]=[1,90.8788,.03898]
F[922]=[1,90.904,.03899]
F[923]=[1,90.9292,.03899]
F[924]=[1,90.9544,.039]
F[925]=[1,90.9795,.03901]
F[926]=[1,91.0046,.03901]
F[927]=[1,91.0297,.03902]
F[928]=[1,91.0548,.03903]
F[929]=[1,91.0799,.03903]
F[930]=[1,91.105,.03904]
F[931]=[1,91.13,.03905]
F[932]=[1,91.155,.03905]
F[933]=[1,91.18,.03906]
F[934]=[1,91.205,.03907]
F[935]=[1,91.23,.03907]
F[936]=[1,91.2549,.03908]
F[937]=[1,91.2799,.03909]
F[938]=[1,91.3048,.03909]
F[939]=[1,91.3297,.0391]
F[940]=[1,91.3545,.03911]
F[941]=[1,91.3794,.03911]
F[942]=[1,91.4043,.03912]
F[943]=[1,91.4291,.03913]
F[944]=[1,91.4539,.03913]
F[945]=[1,91.4787,.03914]
F[946]=[1,91.5035,.03915]
F[947]=[1,91.5282,.03915]
F[948]=[1,91.553,.03916]
F[949]=[1,91.5777,.03917]
F[950]=[1,91.6024,.03917]
F[951]=[1,91.6271,.03918]
F[952]=[1,91.6518,.03918]
F[953]=[1,91.6764,.03919]
F[954]=[1,91.7011,.0392]
F[955]=[1,91.7257,.0392]
F[956]=[1,91.7503,.03921]
F[957]=[1,91.7749,.03922]
F[958]=[1,91.7995,.03922]
F[959]=[1,91.8241,.03923]
F[960]=[1,91.8486,.03924]
F[961]=[1,91.8731,.03924]
F[962]=[1,91.8976,.03925]
F[963]=[1,91.9221,.03926]
F[964]=[1,91.9466,.03926]
F[965]=[1,91.9711,.03927]
F[966]=[1,91.9955,.03928]
F[967]=[1,92.02,.03928]
F[968]=[1,92.0444,.03929]
F[969]=[1,92.0688,.03929]
F[970]=[1,92.0932,.0393]
F[971]=[1,92.1175,.03931]
F[972]=[1,92.1419,.03931]
F[973]=[1,92.1662,.03932]
F[974]=[1,92.1906,.03933]
F[975]=[1,92.2149,.03933]
F[976]=[1,92.2392,.03934]
F[977]=[1,92.2635,.03935]
F[978]=[1,92.2877,.03935]
F[979]=[1,92.312,.03936]
F[980]=[1,92.3362,.03936]
F[981]=[1,92.3604,.03937]
F[982]=[1,92.3846,.03938]
F[983]=[1,92.4088,.03938]
F[984]=[1,92.433,.03939]
F[985]=[1,92.4572,.0394]
F[986]=[1,92.4813,.0394]
F[987]=[1,92.5054,.03941]
F[988]=[1,92.5295,.03942]
F[989]=[1,92.5536,.03942]
F[990]=[1,92.5777,.03943]
F[991]=[1,92.6018,.03943]
F[992]=[1,92.6259,.03944]
F[993]=[1,92.6499,.03945]
F[994]=[1,92.6739,.03945]
F[995]=[1,92.698,.03946]
F[996]=[1,92.722,.03947]
F[997]=[1,92.7459,.03947]
F[998]=[1,92.7699,.03948]
F[999]=[1,92.7939,.03948]
F[1000]=[1,92.8178,.03949]
F[1001]=[1,92.8418,.0395]
F[1002]=[1,92.8657,.0395]
F[1003]=[1,92.8896,.03951]
F[1004]=[1,92.9135,.03952]
F[1005]=[1,92.9373,.03952]
F[1006]=[1,92.9612,.03953]
F[1007]=[1,92.985,.03953]
F[1008]=[1,93.0089,.03954]
F[1009]=[1,93.0327,.03955]
F[1010]=[1,93.0565,.03955]
F[1011]=[1,93.0803,.03956]
F[1012]=[1,93.1041,.03957]
F[1013]=[1,93.1278,.03957]
F[1014]=[1,93.1516,.03958]
F[1015]=[1,93.1753,.03958]
F[1016]=[1,93.1991,.03959]
F[1017]=[1,93.2228,.0396]
F[1018]=[1,93.2465,.0396]
F[1019]=[1,93.2702,.03961]
F[1020]=[1,93.2938,.03961]
F[1021]=[1,93.3175,.03962]
F[1022]=[1,93.3411,.03963]
F[1023]=[1,93.3648,.03963]
F[1024]=[1,93.3884,.03964]
F[1025]=[1,93.412,.03964]
F[1026]=[1,93.4356,.03965]
F[1027]=[1,93.4592,.03966]
F[1028]=[1,93.4827,.03966]
F[1029]=[1,93.5063,.03967]
F[1030]=[1,93.5298,.03968]
F[1031]=[1,93.5534,.03968]
F[1032]=[1,93.5769,.03969]
F[1033]=[1,93.6004,.03969]
F[1034]=[1,93.6239,.0397]
F[1035]=[1,93.6473,.03971]
F[1036]=[1,93.6708,.03971]
F[1037]=[1,93.6943,.03972]
F[1038]=[1,93.7177,.03972]
F[1039]=[1,93.7411,.03973]
F[1040]=[1,93.7646,.03974]
F[1041]=[1,93.788,.03974]
F[1042]=[1,93.8113,.03975]
F[1043]=[1,93.8347,.03975]
F[1044]=[1,93.8581,.03976]
F[1045]=[1,93.8814,.03977]
F[1046]=[1,93.9048,.03977]
F[1047]=[1,93.9281,.03978]
F[1048]=[1,93.9514,.03978]
F[1049]=[1,93.9747,.03979]
F[1050]=[1,93.998,.0398]
F[1051]=[1,94.0213,.0398]
F[1052]=[1,94.0446,.03981]
F[1053]=[1,94.0678,.03981]
F[1054]=[1,94.0911,.03982]
F[1055]=[1,94.1143,.03983]
F[1056]=[1,94.1376,.03983]
F[1057]=[1,94.1608,.03984]
F[1058]=[1,94.184,.03984]
F[1059]=[1,94.2071,.03985]
F[1060]=[1,94.2303,.03986]
F[1061]=[1,94.2535,.03986]
F[1062]=[1,94.2766,.03987]
F[1063]=[1,94.2998,.03987]
F[1064]=[1,94.3229,.03988]
F[1065]=[1,94.346,.03989]
F[1066]=[1,94.3691,.03989]
F[1067]=[1,94.3922,.0399]
F[1068]=[1,94.4153,.0399]
F[1069]=[1,94.4384,.03991]
F[1070]=[1,94.4615,.03991]
F[1071]=[1,94.4845,.03992]
F[1072]=[1,94.5075,.03993]
F[1073]=[1,94.5306,.03993]
F[1074]=[1,94.5536,.03994]
F[1075]=[1,94.5766,.03994]
F[1076]=[1,94.5996,.03995]
F[1077]=[1,94.6226,.03996]
F[1078]=[1,94.6455,.03996]
F[1079]=[1,94.6685,.03997]
F[1080]=[1,94.6914,.03997]
F[1081]=[1,94.7144,.03998]
F[1082]=[1,94.7373,.03999]
F[1083]=[1,94.7602,.03999]
F[1084]=[1,94.7831,.04]
F[1085]=[1,94.806,.04]
F[1086]=[1,94.8289,.04001]
F[1087]=[1,94.8518,.04001]
F[1088]=[1,94.8747,.04002]
F[1089]=[1,94.8975,.04003]
F[1090]=[1,94.9203,.04003]
F[1091]=[1,94.9432,.04004]
F[1092]=[1,94.966,.04004]
F[1093]=[1,94.9888,.04005]
F[1094]=[1,95.0116,.04005]
F[1095]=[1,95.0344,.04006]
F[1096]=[1,95.0572,.04007]
F[1097]=[1,95.0799,.04007]
F[1098]=[1,95.1027,.04008]
F[1099]=[1,95.1254,.04008]
F[1100]=[1,95.1482,.04009]
F[1101]=[1,95.1709,.04009]
F[1102]=[1,95.1936,.0401]
F[1103]=[1,95.2163,.04011]
F[1104]=[1,95.239,.04011]
F[1105]=[1,95.2617,.04012]
F[1106]=[1,95.2844,.04012]
F[1107]=[1,95.307,.04013]
F[1108]=[1,95.3297,.04013]
F[1109]=[1,95.3523,.04014]
F[1110]=[1,95.375,.04015]
F[1111]=[1,95.3976,.04015]
F[1112]=[1,95.4202,.04016]
F[1113]=[1,95.4428,.04016]
F[1114]=[1,95.4654,.04017]
F[1115]=[1,95.488,.04017]
F[1116]=[1,95.5105,.04018]
F[1117]=[1,95.5331,.04019]
F[1118]=[1,95.5556,.04019]
F[1119]=[1,95.5782,.0402]
F[1120]=[1,95.6007,.0402]
F[1121]=[1,95.6232,.04021]
F[1122]=[1,95.6457,.04021]
F[1123]=[1,95.6682,.04022]
F[1124]=[1,95.6907,.04023]
F[1125]=[1,95.7132,.04023]
F[1126]=[1,95.7356,.04024]
F[1127]=[1,95.7581,.04024]
F[1128]=[1,95.7805,.04025]
F[1129]=[1,95.803,.04025]
F[1130]=[1,95.8254,.04026]
F[1131]=[1,95.8478,.04026]
F[1132]=[1,95.8702,.04027]
F[1133]=[1,95.8926,.04028]
F[1134]=[1,95.915,.04028]
F[1135]=[1,95.9374,.04029]
F[1136]=[1,95.9597,.04029]
F[1137]=[1,95.9821,.0403]
F[1138]=[1,96.0044,.0403]
F[1139]=[1,96.0268,.04031]
F[1140]=[1,96.0491,.04032]
F[1141]=[1,96.0714,.04032]
F[1142]=[1,96.0937,.04033]
F[1143]=[1,96.116,.04033]
F[1144]=[1,96.1383,.04034]
F[1145]=[1,96.1606,.04034]
F[1146]=[1,96.1828,.04035]
F[1147]=[1,96.2051,.04035]
F[1148]=[1,96.2273,.04036]
F[1149]=[1,96.2495,.04036]
F[1150]=[1,96.2718,.04037]
F[1151]=[1,96.294,.04038]
F[1152]=[1,96.3162,.04038]
F[1153]=[1,96.3384,.04039]
F[1154]=[1,96.3606,.04039]
F[1155]=[1,96.3827,.0404]
F[1156]=[1,96.4049,.0404]
F[1157]=[1,96.427,.04041]
F[1158]=[1,96.4492,.04041]
F[1159]=[1,96.4713,.04042]
F[1160]=[1,96.4934,.04043]
F[1161]=[1,96.5156,.04043]
F[1162]=[1,96.5377,.04044]
F[1163]=[1,96.5598,.04044]
F[1164]=[1,96.5818,.04045]
F[1165]=[1,96.6039,.04045]
F[1166]=[1,96.626,.04046]
F[1167]=[1,96.648,.04046]
F[1168]=[1,96.6701,.04047]
F[1169]=[1,96.6921,.04047]
F[1170]=[1,96.7141,.04048]
F[1171]=[1,96.7362,.04049]
F[1172]=[1,96.7582,.04049]
F[1173]=[1,96.7802,.0405]
F[1174]=[1,96.8021,.0405]
F[1175]=[1,96.8241,.04051]
F[1176]=[1,96.8461,.04051]
F[1177]=[1,96.868,.04052]
F[1178]=[1,96.89,.04052]
F[1179]=[1,96.9119,.04053]
F[1180]=[1,96.9339,.04053]
F[1181]=[1,96.9558,.04054]
F[1182]=[1,96.9777,.04054]
F[1183]=[1,96.9996,.04055]
F[1184]=[1,97.0215,.04056]
F[1185]=[1,97.0434,.04056]
F[1186]=[1,97.0652,.04057]
F[1187]=[1,97.0871,.04057]
F[1188]=[1,97.1089,.04058]
F[1189]=[1,97.1308,.04058]
F[1190]=[1,97.1526,.04059]
F[1191]=[1,97.1744,.04059]
F[1192]=[1,97.1963,.0406]
F[1193]=[1,97.2181,.0406]
F[1194]=[1,97.2399,.04061]
F[1195]=[1,97.2616,.04061]
F[1196]=[1,97.2834,.04062]
F[1197]=[1,97.3052,.04063]
F[1198]=[1,97.3269,.04063]
F[1199]=[1,97.3487,.04064]
F[1200]=[1,97.3704,.04064]
F[1201]=[1,97.3922,.04065]
F[1202]=[1,97.4139,.04065]
F[1203]=[1,97.4356,.04066]
F[1204]=[1,97.4573,.04066]
F[1205]=[1,97.479,.04067]
F[1206]=[1,97.5007,.04067]
F[1207]=[1,97.5223,.04068]
F[1208]=[1,97.544,.04068]
F[1209]=[1,97.5657,.04069]
F[1210]=[1,97.5873,.04069]
F[1211]=[1,97.6089,.0407]
F[1212]=[1,97.6306,.0407]
F[1213]=[1,97.6522,.04071]
F[1214]=[1,97.6738,.04072]
F[1215]=[1,97.6954,.04072]
F[1216]=[1,97.717,.04073]
F[1217]=[1,97.7385,.04073]
F[1218]=[1,97.7601,.04074]
F[1219]=[1,97.7817,.04074]
F[1220]=[1,97.8032,.04075]
F[1221]=[1,97.8248,.04075]
F[1222]=[1,97.8463,.04076]
F[1223]=[1,97.8678,.04076]
F[1224]=[1,97.8893,.04077]
F[1225]=[1,97.9108,.04077]
F[1226]=[1,97.9323,.04078]
F[1227]=[1,97.9538,.04078]
F[1228]=[1,97.9753,.04079]
F[1229]=[1,97.9968,.04079]
F[1230]=[1,98.0182,.0408]
F[1231]=[1,98.0397,.0408]
F[1232]=[1,98.0611,.04081]
F[1233]=[1,98.0825,.04081]
F[1234]=[1,98.1039,.04082]
F[1235]=[1,98.1253,.04082]
F[1236]=[1,98.1467,.04083]
F[1237]=[1,98.1681,.04084]
F[1238]=[1,98.1895,.04084]
F[1239]=[1,98.2109,.04085]
F[1240]=[1,98.2322,.04085]
F[1241]=[1,98.2536,.04086]
F[1242]=[1,98.2749,.04086]
F[1243]=[1,98.2963,.04087]
F[1244]=[1,98.3176,.04087]
F[1245]=[1,98.3389,.04088]
F[1246]=[1,98.3602,.04088]
F[1247]=[1,98.3815,.04089]
F[1248]=[1,98.4028,.04089]
F[1249]=[1,98.4241,.0409]
F[1250]=[1,98.4453,.0409]
F[1251]=[1,98.4666,.04091]
F[1252]=[1,98.4878,.04091]
F[1253]=[1,98.5091,.04092]
F[1254]=[1,98.5303,.04092]
F[1255]=[1,98.5515,.04093]
F[1256]=[1,98.5727,.04093]
F[1257]=[1,98.5939,.04094]
F[1258]=[1,98.6151,.04094]
F[1259]=[1,98.6363,.04095]
F[1260]=[1,98.6575,.04095]
F[1261]=[1,98.6786,.04096]
F[1262]=[1,98.6998,.04096]
F[1263]=[1,98.7209,.04097]
F[1264]=[1,98.7421,.04097]
F[1265]=[1,98.7632,.04098]
F[1266]=[1,98.7843,.04098]
F[1267]=[1,98.8054,.04099]
F[1268]=[1,98.8265,.04099]
F[1269]=[1,98.8476,.041]
F[1270]=[1,98.8687,.041]
F[1271]=[1,98.8897,.04101]
F[1272]=[1,98.9108,.04101]
F[1273]=[1,98.9318,.04102]
F[1274]=[1,98.9529,.04103]
F[1275]=[1,98.9739,.04103]
F[1276]=[1,98.9949,.04104]
F[1277]=[1,99.0159,.04104]
F[1278]=[1,99.0369,.04105]
F[1279]=[1,99.0579,.04105]
F[1280]=[1,99.0789,.04106]
F[1281]=[1,99.0999,.04106]
F[1282]=[1,99.1208,.04107]
F[1283]=[1,99.1418,.04107]
F[1284]=[1,99.1628,.04108]
F[1285]=[1,99.1837,.04108]
F[1286]=[1,99.2046,.04109]
F[1287]=[1,99.2255,.04109]
F[1288]=[1,99.2464,.0411]
F[1289]=[1,99.2673,.0411]
F[1290]=[1,99.2882,.04111]
F[1291]=[1,99.3091,.04111]
F[1292]=[1,99.33,.04112]
F[1293]=[1,99.3509,.04112]
F[1294]=[1,99.3717,.04113]
F[1295]=[1,99.3926,.04113]
F[1296]=[1,99.4134,.04114]
F[1297]=[1,99.4342,.04114]
F[1298]=[1,99.455,.04115]
F[1299]=[1,99.4758,.04115]
F[1300]=[1,99.4966,.04116]
F[1301]=[1,99.5174,.04116]
F[1302]=[1,99.5382,.04117]
F[1303]=[1,99.559,.04117]
F[1304]=[1,99.5798,.04118]
F[1305]=[1,99.6005,.04118]
F[1306]=[1,99.6212,.04119]
F[1307]=[1,99.642,.04119]
F[1308]=[1,99.6627,.0412]
F[1309]=[1,99.6834,.0412]
F[1310]=[1,99.7041,.04121]
F[1311]=[1,99.7248,.04121]
F[1312]=[1,99.7455,.04122]
F[1313]=[1,99.7662,.04122]
F[1314]=[1,99.7869,.04123]
F[1315]=[1,99.8075,.04123]
F[1316]=[1,99.8282,.04124]
F[1317]=[1,99.8488,.04124]
F[1318]=[1,99.8695,.04125]
F[1319]=[1,99.8901,.04125]
F[1320]=[1,99.9107,.04126]
F[1321]=[1,99.9313,.04126]
F[1322]=[1,99.9519,.04126]
F[1323]=[1,99.9725,.04127]
F[1324]=[1,99.9931,.04127]
F[1325]=[1,100.0137,.04128]
F[1326]=[1,100.0342,.04128]
F[1327]=[1,100.0548,.04129]
F[1328]=[1,100.0753,.04129]
F[1329]=[1,100.0959,.0413]
F[1330]=[1,100.1164,.0413]
F[1331]=[1,100.1369,.04131]
F[1332]=[1,100.1574,.04131]
F[1333]=[1,100.1779,.04132]
F[1334]=[1,100.1984,.04132]
F[1335]=[1,100.2189,.04133]
F[1336]=[1,100.2394,.04133]
F[1337]=[1,100.2598,.04134]
F[1338]=[1,100.2803,.04134]
F[1339]=[1,100.3007,.04135]
F[1340]=[1,100.3212,.04135]
F[1341]=[1,100.3416,.04136]
F[1342]=[1,100.362,.04136]
F[1343]=[1,100.3824,.04137]
F[1344]=[1,100.4028,.04137]
F[1345]=[1,100.4232,.04138]
F[1346]=[1,100.4436,.04138]
F[1347]=[1,100.464,.04139]
F[1348]=[1,100.4843,.04139]
F[1349]=[1,100.5047,.0414]
F[1350]=[1,100.525,.0414]
F[1351]=[1,100.5454,.04141]
F[1352]=[1,100.5657,.04141]
F[1353]=[1,100.586,.04142]
F[1354]=[1,100.6063,.04142]
F[1355]=[1,100.6266,.04143]
F[1356]=[1,100.6469,.04143]
F[1357]=[1,100.6672,.04144]
F[1358]=[1,100.6875,.04144]
F[1359]=[1,100.7077,.04145]
F[1360]=[1,100.728,.04145]
F[1361]=[1,100.7482,.04146]
F[1362]=[1,100.7685,.04146]
F[1363]=[1,100.7887,.04146]
F[1364]=[1,100.8089,.04147]
F[1365]=[1,100.8291,.04147]
F[1366]=[1,100.8493,.04148]
F[1367]=[1,100.8695,.04148]
F[1368]=[1,100.8897,.04149]
F[1369]=[1,100.9099,.04149]
F[1370]=[1,100.9301,.0415]
F[1371]=[1,100.9502,.0415]
F[1372]=[1,100.9704,.04151]
F[1373]=[1,100.9905,.04151]
F[1374]=[1,101.0107,.04152]
F[1375]=[1,101.0308,.04152]
F[1376]=[1,101.0509,.04153]
F[1377]=[1,101.071,.04153]
F[1378]=[1,101.0911,.04154]
F[1379]=[1,101.1112,.04154]
F[1380]=[1,101.1313,.04155]
F[1381]=[1,101.1514,.04155]
F[1382]=[1,101.1714,.04156]
F[1383]=[1,101.1915,.04156]
F[1384]=[1,101.2115,.04157]
F[1385]=[1,101.2316,.04157]
F[1386]=[1,101.2516,.04158]
F[1387]=[1,101.2716,.04158]
F[1388]=[1,101.2917,.04158]
F[1389]=[1,101.3117,.04159]
F[1390]=[1,101.3317,.04159]
F[1391]=[1,101.3517,.0416]
F[1392]=[1,101.3716,.0416]
F[1393]=[1,101.3916,.04161]
F[1394]=[1,101.4116,.04161]
F[1395]=[1,101.4315,.04162]
F[1396]=[1,101.4515,.04162]
F[1397]=[1,101.4714,.04163]
F[1398]=[1,101.4914,.04163]
F[1399]=[1,101.5113,.04164]
F[1400]=[1,101.5312,.04164]
F[1401]=[1,101.5511,.04165]
F[1402]=[1,101.571,.04165]
F[1403]=[1,101.5909,.04166]
F[1404]=[1,101.6108,.04166]
F[1405]=[1,101.6306,.04167]
F[1406]=[1,101.6505,.04167]
F[1407]=[1,101.6704,.04167]
F[1408]=[1,101.6902,.04168]
F[1409]=[1,101.7101,.04168]
F[1410]=[1,101.7299,.04169]
F[1411]=[1,101.7497,.04169]
F[1412]=[1,101.7695,.0417]
F[1413]=[1,101.7893,.0417]
F[1414]=[1,101.8091,.04171]
F[1415]=[1,101.8289,.04171]
F[1416]=[1,101.8487,.04172]
F[1417]=[1,101.8685,.04172]
F[1418]=[1,101.8883,.04173]
F[1419]=[1,101.908,.04173]
F[1420]=[1,101.9278,.04174]
F[1421]=[1,101.9475,.04174]
F[1422]=[1,101.9673,.04175]
F[1423]=[1,101.987,.04175]
F[1424]=[1,102.0067,.04175]
F[1425]=[1,102.0264,.04176]
F[1426]=[1,102.0461,.04176]
F[1427]=[1,102.0658,.04177]
F[1428]=[1,102.0855,.04177]
F[1429]=[1,102.1052,.04178]
F[1430]=[1,102.1249,.04178]
F[1431]=[1,102.1446,.04179]
F[1432]=[1,102.1642,.04179]
F[1433]=[1,102.1839,.0418]
F[1434]=[1,102.2035,.0418]
F[1435]=[1,102.2232,.04181]
F[1436]=[1,102.2428,.04181]
F[1437]=[1,102.2624,.04181]
F[1438]=[1,102.282,.04182]
F[1439]=[1,102.3016,.04182]
F[1440]=[1,102.3212,.04183]
F[1441]=[1,102.3408,.04183]
F[1442]=[1,102.3604,.04184]
F[1443]=[1,102.38,.04184]
F[1444]=[1,102.3996,.04185]
F[1445]=[1,102.4191,.04185]
F[1446]=[1,102.4387,.04186]
F[1447]=[1,102.4582,.04186]
F[1448]=[1,102.4778,.04187]
F[1449]=[1,102.4973,.04187]
F[1450]=[1,102.5168,.04187]
F[1451]=[1,102.5364,.04188]
F[1452]=[1,102.5559,.04188]
F[1453]=[1,102.5754,.04189]
F[1454]=[1,102.5949,.04189]
F[1455]=[1,102.6144,.0419]
F[1456]=[1,102.6338,.0419]
F[1457]=[1,102.6533,.04191]
F[1458]=[1,102.6728,.04191]
F[1459]=[1,102.6923,.04192]
F[1460]=[1,102.7117,.04192]
F[1461]=[1,102.7312,.04193]
F[1462]=[1,102.7506,.04193]
F[1463]=[1,102.77,.04193]
F[1464]=[1,102.7895,.04194]
F[1465]=[1,102.8089,.04194]
F[1466]=[1,102.8283,.04195]
F[1467]=[1,102.8477,.04195]
F[1468]=[1,102.8671,.04196]
F[1469]=[1,102.8865,.04196]
F[1470]=[1,102.9059,.04197]
F[1471]=[1,102.9252,.04197]
F[1472]=[1,102.9446,.04198]
F[1473]=[1,102.964,.04198]
F[1474]=[1,102.9833,.04198]
F[1475]=[1,103.0027,.04199]
F[1476]=[1,103.022,.04199]
F[1477]=[1,103.0414,.042]
F[1478]=[1,103.0607,.042]
F[1479]=[1,103.08,.04201]
F[1480]=[1,103.0993,.04201]
F[1481]=[1,103.1186,.04202]
F[1482]=[1,103.1379,.04202]
F[1483]=[1,103.1572,.04203]
F[1484]=[1,103.1765,.04203]
F[1485]=[1,103.1958,.04203]
F[1486]=[1,103.2151,.04204]
F[1487]=[1,103.2343,.04204]
F[1488]=[1,103.2536,.04205]
F[1489]=[1,103.2728,.04205]
F[1490]=[1,103.2921,.04206]
F[1491]=[1,103.3113,.04206]
F[1492]=[1,103.3306,.04207]
F[1493]=[1,103.3498,.04207]
F[1494]=[1,103.369,.04208]
F[1495]=[1,103.3882,.04208]
F[1496]=[1,103.4074,.04208]
F[1497]=[1,103.4266,.04209]
F[1498]=[1,103.4458,.04209]
F[1499]=[1,103.465,.0421]
F[1500]=[1,103.4842,.0421]
F[1501]=[1,103.5034,.04211]
F[1502]=[1,103.5225,.04211]
F[1503]=[1,103.5417,.04212]
F[1504]=[1,103.5608,.04212]
F[1505]=[1,103.58,.04212]
F[1506]=[1,103.5991,.04213]
F[1507]=[1,103.6183,.04213]
F[1508]=[1,103.6374,.04214]
F[1509]=[1,103.6565,.04214]
F[1510]=[1,103.6756,.04215]
F[1511]=[1,103.6947,.04215]
F[1512]=[1,103.7138,.04216]
F[1513]=[1,103.7329,.04216]
F[1514]=[1,103.752,.04216]
F[1515]=[1,103.7711,.04217]
F[1516]=[1,103.7902,.04217]
F[1517]=[1,103.8092,.04218]
F[1518]=[1,103.8283,.04218]
F[1519]=[1,103.8473,.04219]
F[1520]=[1,103.8664,.04219]
F[1521]=[1,103.8854,.0422]
F[1522]=[1,103.9045,.0422]
F[1523]=[1,103.9235,.0422]
F[1524]=[1,103.9425,.04221]
F[1525]=[1,103.9616,.04221]
F[1526]=[1,103.9806,.04222]
F[1527]=[1,103.9996,.04222]
F[1528]=[1,104.0186,.04223]
F[1529]=[1,104.0376,.04223]
F[1530]=[1,104.0565,.04224]
F[1531]=[1,104.0755,.04224]
F[1532]=[1,104.0945,.04224]
F[1533]=[1,104.1135,.04225]
F[1534]=[1,104.1324,.04225]
F[1535]=[1,104.1514,.04226]
F[1536]=[1,104.1703,.04226]
F[1537]=[1,104.1893,.04227]
F[1538]=[1,104.2082,.04227]
F[1539]=[1,104.2271,.04227]
F[1540]=[1,104.2461,.04228]
F[1541]=[1,104.265,.04228]
F[1542]=[1,104.2839,.04229]
F[1543]=[1,104.3028,.04229]
F[1544]=[1,104.3217,.0423]
F[1545]=[1,104.3406,.0423]
F[1546]=[1,104.3595,.04231]
F[1547]=[1,104.3784,.04231]
F[1548]=[1,104.3972,.04231]
F[1549]=[1,104.4161,.04232]
F[1550]=[1,104.435,.04232]
F[1551]=[1,104.4538,.04233]
F[1552]=[1,104.4727,.04233]
F[1553]=[1,104.4915,.04234]
F[1554]=[1,104.5104,.04234]
F[1555]=[1,104.5292,.04234]
F[1556]=[1,104.548,.04235]
F[1557]=[1,104.5668,.04235]
F[1558]=[1,104.5856,.04236]
F[1559]=[1,104.6045,.04236]
F[1560]=[1,104.6233,.04237]
F[1561]=[1,104.6421,.04237]
F[1562]=[1,104.6608,.04238]
F[1563]=[1,104.6796,.04238]
F[1564]=[1,104.6984,.04238]
F[1565]=[1,104.7172,.04239]
F[1566]=[1,104.736,.04239]
F[1567]=[1,104.7547,.0424]
F[1568]=[1,104.7735,.0424]
F[1569]=[1,104.7922,.04241]
F[1570]=[1,104.811,.04241]
F[1571]=[1,104.8297,.04241]
F[1572]=[1,104.8484,.04242]
F[1573]=[1,104.8672,.04242]
F[1574]=[1,104.8859,.04243]
F[1575]=[1,104.9046,.04243]
F[1576]=[1,104.9233,.04244]
F[1577]=[1,104.942,.04244]
F[1578]=[1,104.9607,.04244]
F[1579]=[1,104.9794,.04245]
F[1580]=[1,104.9981,.04245]
F[1581]=[1,105.0167,.04246]
F[1582]=[1,105.0354,.04246]
F[1583]=[1,105.0541,.04247]
F[1584]=[1,105.0727,.04247]
F[1585]=[1,105.0914,.04247]
F[1586]=[1,105.11,.04248]
F[1587]=[1,105.1287,.04248]
F[1588]=[1,105.1473,.04249]
F[1589]=[1,105.166,.04249]
F[1590]=[1,105.1846,.0425]
F[1591]=[1,105.2032,.0425]
F[1592]=[1,105.2218,.0425]
F[1593]=[1,105.2404,.04251]
F[1594]=[1,105.259,.04251]
F[1595]=[1,105.2776,.04252]
F[1596]=[1,105.2962,.04252]
F[1597]=[1,105.3148,.04253]
F[1598]=[1,105.3334,.04253]
F[1599]=[1,105.352,.04253]
F[1600]=[1,105.3705,.04254]
F[1601]=[1,105.3891,.04254]
F[1602]=[1,105.4076,.04255]
F[1603]=[1,105.4262,.04255]
F[1604]=[1,105.4447,.04256]
F[1605]=[1,105.4633,.04256]
F[1606]=[1,105.4818,.04256]
F[1607]=[1,105.5003,.04257]
F[1608]=[1,105.5189,.04257]
F[1609]=[1,105.5374,.04258]
F[1610]=[1,105.5559,.04258]
F[1611]=[1,105.5744,.04259]
F[1612]=[1,105.5929,.04259]
F[1613]=[1,105.6114,.04259]
F[1614]=[1,105.6299,.0426]
F[1615]=[1,105.6483,.0426]
F[1616]=[1,105.6668,.04261]
F[1617]=[1,105.6853,.04261]
F[1618]=[1,105.7037,.04262]
F[1619]=[1,105.7222,.04262]
F[1620]=[1,105.7406,.04262]
F[1621]=[1,105.7591,.04263]
F[1622]=[1,105.7775,.04263]
F[1623]=[1,105.796,.04264]
F[1624]=[1,105.8144,.04264]
F[1625]=[1,105.8328,.04264]
F[1626]=[1,105.8512,.04265]
F[1627]=[1,105.8696,.04265]
F[1628]=[1,105.888,.04266]
F[1629]=[1,105.9064,.04266]
F[1630]=[1,105.9248,.04267]
F[1631]=[1,105.9432,.04267]
F[1632]=[1,105.9616,.04267]
F[1633]=[1,105.98,.04268]
F[1634]=[1,105.9983,.04268]
F[1635]=[1,106.0167,.04269]
F[1636]=[1,106.0351,.04269]
F[1637]=[1,106.0534,.0427]
F[1638]=[1,106.0718,.0427]
F[1639]=[1,106.0901,.0427]
F[1640]=[1,106.1084,.04271]
F[1641]=[1,106.1268,.04271]
F[1642]=[1,106.1451,.04272]
F[1643]=[1,106.1634,.04272]
F[1644]=[1,106.1817,.04272]
F[1645]=[1,106.2,.04273]
F[1646]=[1,106.2183,.04273]
F[1647]=[1,106.2366,.04274]
F[1648]=[1,106.2549,.04274]
F[1649]=[1,106.2732,.04275]
F[1650]=[1,106.2915,.04275]
F[1651]=[1,106.3097,.04275]
F[1652]=[1,106.328,.04276]
F[1653]=[1,106.3463,.04276]
F[1654]=[1,106.3645,.04277]
F[1655]=[1,106.3828,.04277]
F[1656]=[1,106.401,.04277]
F[1657]=[1,106.4192,.04278]
F[1658]=[1,106.4375,.04278]
F[1659]=[1,106.4557,.04279]
F[1660]=[1,106.4739,.04279]
F[1661]=[1,106.4921,.0428]
F[1662]=[1,106.5103,.0428]
F[1663]=[1,106.5285,.0428]
F[1664]=[1,106.5467,.04281]
F[1665]=[1,106.5649,.04281]
F[1666]=[1,106.5831,.04282]
F[1667]=[1,106.6013,.04282]
F[1668]=[1,106.6195,.04282]
F[1669]=[1,106.6376,.04283]
F[1670]=[1,106.6558,.04283]
F[1671]=[1,106.6739,.04284]
F[1672]=[1,106.6921,.04284]
F[1673]=[1,106.7102,.04285]
F[1674]=[1,106.7284,.04285]
F[1675]=[1,106.7465,.04285]
F[1676]=[1,106.7646,.04286]
F[1677]=[1,106.7828,.04286]
F[1678]=[1,106.8009,.04287]
F[1679]=[1,106.819,.04287]
F[1680]=[1,106.8371,.04287]
F[1681]=[1,106.8552,.04288]
F[1682]=[1,106.8733,.04288]
F[1683]=[1,106.8914,.04289]
F[1684]=[1,106.9094,.04289]
F[1685]=[1,106.9275,.04289]
F[1686]=[1,106.9456,.0429]
F[1687]=[1,106.9636,.0429]
F[1688]=[1,106.9817,.04291]
F[1689]=[1,106.9998,.04291]
F[1690]=[1,107.0178,.04292]
F[1691]=[1,107.0358,.04292]
F[1692]=[1,107.0539,.04292]
F[1693]=[1,107.0719,.04293]
F[1694]=[1,107.0899,.04293]
F[1695]=[1,107.1079,.04294]
F[1696]=[1,107.126,.04294]
F[1697]=[1,107.144,.04294]
F[1698]=[1,107.162,.04295]
F[1699]=[1,107.1799,.04295]
F[1700]=[1,107.1979,.04296]
F[1701]=[1,107.2159,.04296]
F[1702]=[1,107.2339,.04296]
F[1703]=[1,107.2519,.04297]
F[1704]=[1,107.2698,.04297]
F[1705]=[1,107.2878,.04298]
F[1706]=[1,107.3057,.04298]
F[1707]=[1,107.3237,.04299]
F[1708]=[1,107.3416,.04299]
F[1709]=[1,107.3596,.04299]
F[1710]=[1,107.3775,.043]
F[1711]=[1,107.3954,.043]
F[1712]=[1,107.4133,.04301]
F[1713]=[1,107.4312,.04301]
F[1714]=[1,107.4492,.04301]
F[1715]=[1,107.4671,.04302]
F[1716]=[1,107.4849,.04302]
F[1717]=[1,107.5028,.04303]
F[1718]=[1,107.5207,.04303]
F[1719]=[1,107.5386,.04303]
F[1720]=[1,107.5565,.04304]
F[1721]=[1,107.5743,.04304]
F[1722]=[1,107.5922,.04305]
F[1723]=[1,107.61,.04305]
F[1724]=[1,107.6279,.04305]
F[1725]=[1,107.6457,.04306]
F[1726]=[1,107.6636,.04306]
F[1727]=[1,107.6814,.04307]
F[1728]=[1,107.6992,.04307]
F[1729]=[1,107.717,.04308]
F[1730]=[1,107.7349,.04308]
F[1731]=[1,107.7527,.04308]
F[1732]=[1,107.7705,.04309]
F[1733]=[1,107.7883,.04309]
F[1734]=[1,107.806,.0431]
F[1735]=[1,107.8238,.0431]
F[1736]=[1,107.8416,.0431]
F[1737]=[1,107.8594,.04311]
F[1738]=[1,107.8772,.04311]
F[1739]=[1,107.8949,.04312]
F[1740]=[1,107.9127,.04312]
F[1741]=[1,107.9304,.04312]
F[1742]=[1,107.9482,.04313]
F[1743]=[1,107.9659,.04313]
F[1744]=[1,107.9836,.04314]
F[1745]=[1,108.0014,.04314]
F[1746]=[1,108.0191,.04314]
F[1747]=[1,108.0368,.04315]
F[1748]=[1,108.0545,.04315]
F[1749]=[1,108.0722,.04316]
F[1750]=[1,108.0899,.04316]
F[1751]=[1,108.1076,.04316]
F[1752]=[1,108.1253,.04317]
F[1753]=[1,108.143,.04317]
F[1754]=[1,108.1607,.04318]
F[1755]=[1,108.1783,.04318]
F[1756]=[1,108.196,.04318]
F[1757]=[1,108.2137,.04319]
F[1758]=[1,108.2313,.04319]
F[1759]=[1,108.249,.0432]
F[1760]=[1,108.2666,.0432]
F[1761]=[1,108.2842,.04321]
F[1762]=[1,108.3019,.04321]
F[1763]=[1,108.3195,.04321]
F[1764]=[1,108.3371,.04322]
F[1765]=[1,108.3547,.04322]
F[1766]=[1,108.3723,.04323]
F[1767]=[1,108.3899,.04323]
F[1768]=[1,108.4075,.04323]
F[1769]=[1,108.4251,.04324]
F[1770]=[1,108.4427,.04324]
F[1771]=[1,108.4603,.04325]
F[1772]=[1,108.4779,.04325]
F[1773]=[1,108.4954,.04325]
F[1774]=[1,108.513,.04326]
F[1775]=[1,108.5306,.04326]
F[1776]=[1,108.5481,.04327]
F[1777]=[1,108.5657,.04327]
F[1778]=[1,108.5832,.04327]
F[1779]=[1,108.6008,.04328]
F[1780]=[1,108.6183,.04328]
F[1781]=[1,108.6358,.04329]
F[1782]=[1,108.6533,.04329]
F[1783]=[1,108.6709,.04329]
F[1784]=[1,108.6884,.0433]
F[1785]=[1,108.7059,.0433]
F[1786]=[1,108.7234,.04331]
F[1787]=[1,108.7409,.04331]
F[1788]=[1,108.7583,.04331]
F[1789]=[1,108.7758,.04332]
F[1790]=[1,108.7933,.04332]
F[1791]=[1,108.8108,.04333]
F[1792]=[1,108.8282,.04333]
F[1793]=[1,108.8457,.04333]
F[1794]=[1,108.8632,.04334]
F[1795]=[1,108.8806,.04334]
F[1796]=[1,108.8981,.04335]
F[1797]=[1,108.9155,.04335]
F[1798]=[1,108.9329,.04335]
F[1799]=[1,108.9504,.04336]
F[1800]=[1,108.9678,.04336]
F[1801]=[1,108.9852,.04337]
F[1802]=[1,109.0026,.04337]
F[1803]=[1,109.02,.04337]
F[1804]=[1,109.0374,.04338]
F[1805]=[1,109.0548,.04338]
F[1806]=[1,109.0722,.04339]
F[1807]=[1,109.0896,.04339]
F[1808]=[1,109.107,.04339]
F[1809]=[1,109.1244,.0434]
F[1810]=[1,109.1417,.0434]
F[1811]=[1,109.1591,.04341]
F[1812]=[1,109.1764,.04341]
F[1813]=[1,109.1938,.04341]
F[1814]=[1,109.2112,.04342]
F[1815]=[1,109.2285,.04342]
F[1816]=[1,109.2458,.04343]
F[1817]=[1,109.2632,.04343]
F[1818]=[1,109.2805,.04343]
F[1819]=[1,109.2978,.04344]
F[1820]=[1,109.3151,.04344]
F[1821]=[1,109.3324,.04345]
F[1822]=[1,109.3498,.04345]
F[1823]=[1,109.3671,.04345]
F[1824]=[1,109.3844,.04346]
F[1825]=[1,109.4016,.04346]
F[1826]=[1,109.4189,.04346]
F[1827]=[1,109.4362,.04347]
F[1828]=[1,109.4535,.04347]
F[1829]=[1,109.4708,.04348]
F[1830]=[1,109.488,.04348]
F[1831]=[1,109.5053,.04348]
F[1832]=[1,109.5225,.04349]
F[1833]=[1,109.5398,.04349]
F[1834]=[1,109.557,.0435]
F[1835]=[1,109.5743,.0435]
F[1836]=[1,109.5915,.0435]
F[1837]=[1,109.6088,.04351]
F[1838]=[1,109.626,.04351]
F[1839]=[1,109.6432,.04352]
F[1840]=[1,109.6604,.04352]
F[1841]=[1,109.6776,.04352]
F[1842]=[1,109.6948,.04353]
F[1843]=[1,109.712,.04353]
F[1844]=[1,109.7292,.04354]
F[1845]=[1,109.7464,.04354]
F[1846]=[1,109.7636,.04354]
F[1847]=[1,109.7808,.04355]
F[1848]=[1,109.798,.04355]
F[1849]=[1,109.8151,.04356]
F[1850]=[1,109.8323,.04356]
F[1851]=[1,109.8494,.04356]
F[1852]=[1,109.8666,.04357]
F[1853]=[1,109.8837,.04357]
F[1854]=[1,109.9009,.04358]
F[1855]=[1,109.918,.04358]
F[1856]=[1,109.9352,.04358]

if ((MF=="F"))
   {
   result=resultStr(F[AGEDAYS],MM/10);
   }
   else
   {
    result=resultStr(M[AGEDAYS],MM/10);
    //defaults to male values
   }
   
return result;
}


